#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "cd3e574fdd2e41661ad9235356bfb71684d9b9bc";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "lexer";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "import \"util\" as util",
  "import \"unicode\" as unicode",
  "import \"errormessages\" as errormessages",
  "import \"stringMap\" as map",
  "",
  "def keywords = map.new",
  "keywords.put(\"alias\", true)",
  "keywords.put(\"class\", true)",
  "keywords.put(\"def\", true)",
  "keywords.put(\"dialect\", true)",
  "keywords.put(\"exclude\", true)",
  "keywords.put(\"factory\", true)",
  "keywords.put(\"import\", true)",
  "keywords.put(\"inherits\", true)",
  "keywords.put(\"inherit\", true)",
  "keywords.put(\"is\", true)",
  "keywords.put(\"method\", true)",
  "keywords.put(\"object\", true)",
  "keywords.put(\"return\", true)",
  "keywords.put(\"trait\", true)",
  "keywords.put(\"type\", true)",
  "keywords.put(\"use\", true)",
  "keywords.put(\"var\", true)",
  "",
  "def operatorChars = \"-&|:$#\\\\%^@?*/+!~\"",
  "",
  "method padl(s, l, w) {",
  "    if (s.size >= l) then {",
  "        return s",
  "    }",
  "    var s' := s",
  "    while {s'.size < l} do {",
  "        s' := w ++ s'",
  "    }",
  "    return s'",
  "}",
  "",
  "class new {",
  "    var lineNumber := 1",
  "    var linePosition := 0",
  "    var startPosition := 1",
  "    var indentLevel := 0",
  "    var startLine := 1",
  "    var stringStart",
  "    ",
  "    class token {",
  "        def line is public = lineNumber",
  "        def indent is public = indentLevel",
  "        def linePos is public = startPosition",
  "",
  "        var next is public := false",
  "        var prev is public := false",
  "",
  "        method ==(other) {",
  "            if (other == false) then {",
  "                false",
  "            } else {",
  "                (other.line == line) && (other.linePos == linePos)",
  "            }",
  "        }",
  "        method asString { \"({line}:{linePos}){self.kind} {self.value}\" }",
  "    }",
  "",
  "",
  "    class identifierToken(s) {",
  "        inherits token",
  "        def kind is public = \"identifier\"",
  "        def value is public = s",
  "        def size is public = s.size",
  "    }",
  "    class stringToken(s) {",
  "        inherits token",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = linePosition - stringStart + 1",
  "    }",
  "    class multiLineStringToken(s) {",
  "        inherits token",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "        def line' = startLine",
  "        def linePos' = stringStart",
  "        method line is override { line' }",
  "        method linePos is override { linePos' }",
  "    }",
  "    class commentToken(s) {",
  "        inherits token",
  "        def kind is public = \"comment\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "    }",
  "    class lBraceToken {",
  "        inherits token",
  "        def kind is public = \"lbrace\"",
  "        def value is public = \"\\{\"",
  "        def size is public = 1",
  "    }",
  "    class rBraceToken {",
  "        inherits token",
  "        def kind is public = \"rbrace\"",
  "        def value is public = \"}\"",
  "        def size is public = 1",
  "    }",
  "    class lParenToken {",
  "        inherits token",
  "        def kind is public = \"lparen\"",
  "        def value is public = \"(\"",
  "        def size is public = 1",
  "    }",
  "    class rParenToken {",
  "        inherits token",
  "        def kind is public = \"rparen\"",
  "        def value is public = \")\"",
  "        def size is public = 1",
  "    }",
  "    class lSquareToken {",
  "        inherits token",
  "        def kind is public = \"lsquare\"",
  "        def value is public = \"[\"",
  "        def size is public = 1",
  "    }",
  "    class rSquareToken {",
  "        inherits token",
  "        def kind is public = \"rsquare\"",
  "        def value is public = \"]\"",
  "        def size is public = 1",
  "    }",
  "    class commaToken {",
  "        inherits token",
  "        def kind is public = \"comma\"",
  "        def value is public = \",\"",
  "        def size is public = 1",
  "    }",
  "    class colonToken {",
  "        inherits token",
  "        def kind is public = \"colon\"",
  "        def value is public = \":\"",
  "        def size is public = 1",
  "    }",
  "    class dotToken {",
  "        inherits token",
  "        def kind is public = \"dot\"",
  "        def value is public = \".\"",
  "        def size is public = 1",
  "    }",
  "    class numToken(v, b) {",
  "        inherits token",
  "        def kind is public = \"num\"",
  "        def value is public = v",
  "        def base is public = b",
  "        def size is public = linePosition - startPosition",
  "    }",
  "    class keywordToken(v) {",
  "        inherits token",
  "        def kind is public = \"keyword\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class opToken(v) {",
  "        inherits token",
  "        def kind is public = \"op\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class arrowToken {",
  "        inherits token",
  "        def kind is public = \"arrow\"",
  "        def value is public = \"->\"",
  "        def size is public = 2",
  "    }",
  "    class bindToken {",
  "        inherits token",
  "        def kind is public = \"bind\"",
  "        def value is public = \":=\"",
  "        def size is public = 2",
  "    }",
  "    class semicolonToken {",
  "        inherits token",
  "        def kind is public = \"semicolon\"",
  "        def value is public = \";\"",
  "        def size is public = 1",
  "    }",
  "    class lGenericToken {",
  "        inherits token",
  "        def kind is public = \"lgeneric\"",
  "        def value is public = \"<\"",
  "        def size is public = 1",
  "    }",
  "    class rGenericToken {",
  "        inherits token",
  "        def kind is public = \"rgeneric\"",
  "        def value is public = \">\"",
  "        def size is public = 1",
  "    }",
  "    class eofToken {",
  "        inherits token",
  "        def kind is public = \"eof\"",
  "        def value is public = \"\"",
  "        def size is public = 0",
  "    }",
  "",
  "",
  "    method modechange(tokens, mode, accum) {",
  "        // When a new lexical class has begun, add to the token list",
  "        // the token corresponding to the previous accumulated data.",
  "        // mode is the previous lexical mode (a string), and accum the",
  "        // accumulated characters since that mode began. Modes are:",
  "        //   n           Whitespace       i   Identifier",
  "        //   \"           Quoted string    q   extended string",
  "        //   m           Number           o   Any operator",
  "        //   p           Pragma           d   Indentation",
  "        //   c           Comment",
  "        //   ,.{}()[]<>; The corresponding literal character",
  "        //",
  "        // There are three special cases for mode o. If accum is \"->\",",
  "        // \":=\", or \"=\", the corresponding special token is created.",
  "        // For mode i, a keyword token is created when the identifier",
  "        // is a reserved keyword.",
  "",
  "        var isDone := false",
  "        var tok := 0",
  "        if ((mode != \"n\") || (accum.size > 0)) then {",
  "            if (mode == \"i\") then {",
  "                tok := if (keywords.contains(accum)) then {",
  "                    keywordToken(accum)",
  "                } else {",
  "                    identifierToken(accum)",
  "                }",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"\\\"\" } then {",
  "                tok := stringToken(accum)",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"q\" } then {",
  "                tok := multiLineStringToken(accum)",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \",\" } then {",
  "                tok := commaToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \".\" } then {",
  "                tok := dotToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"\\{\" } then {",
  "                tok := lBraceToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"}\" } then {",
  "                tok := rBraceToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"(\" } then {",
  "                tok := lParenToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \")\" } then {",
  "                tok := rParenToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"[\" } then {",
  "                tok := lSquareToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"]\" } then {",
  "                tok := rSquareToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"<\" } then {",
  "                tok := lGenericToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \">\" } then {",
  "                tok := rGenericToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \";\" } then {",
  "                tok := semicolonToken",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"m\" } then {",
  "                if ((tokens.size > 1).andAlso {tokens.last.kind == \"dot\"}) then {",
  "                    def dot = tokens.pop",
  "                    if (tokens.last.kind == \"num\") then {",
  "                        if (tokens.last.base == 10) then {",
  "                            tok := tokens.pop",
  "                            var decimal := makeNumToken(accum)",
  "                            if(decimal.base == 10) then {",
  "                                tok := numToken(tok.value ++ \".\" ++ accum, 10)",
  "                            } else {",
  "                                def suggestions = []",
  "                                var suggestion := errormessages.suggestion.new",
  "                                suggestion.replaceRange(dot.linePos + 1, linePosition - 1)with(decimal.value)onLine(lineNumber)",
  "                                suggestions.push(suggestion)",
  "                                suggestion := errormessages.suggestion.new",
  "                                suggestion.deleteRange(dot.linePos, linePosition - 1)onLine(lineNumber)",
  "                                suggestions.push(suggestion)",
  "                                errormessages.syntaxError(\"The fractional part of a number must be in base 10.\")atRange(",
  "                                    lineNumber, dot.linePos + 1, linePosition - 1)withSuggestions(suggestions)",
  "                            }",
  "                        } else {",
  "                            def suggestions = []",
  "                            var suggestion := errormessages.suggestion.new",
  "                            suggestion.replaceRange(tokens.last.linePos, dot.linePos - 1)with(tokens.last.value)onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.deleteChar(dot.linePos)onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"A number in base {tokens.last.base} cannot have a fractional part.\")atRange(",
  "                                lineNumber, dot.linePos, linePosition - 1)withSuggestions(suggestions)",
  "                        }",
  "                    } else {",
  "                        if(tokens.last.kind == \"string\") then {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.replaceChar(dot.linePos)with(\"++\")onLine(dot.line)",
  "                            errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'. \"",
  "                                ++ \"To join a number to a string, use '++'.\")atRange(",
  "                                dot.line, dot.linePos, dot.linePos)withSuggestion(suggestion)",
  "                        } elseif { (tokens.last.kind == \"op\" ) || (tokens.last.kind == \"bind\") } then {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.insert(\"0\")atPosition(dot.linePos)onLine(dot.line)",
  "                            errormessages.syntaxError(\"A number must have a digit before the decimal point.\")atPosition(",
  "                                dot.line, dot.linePos)withSuggestion(suggestion)",
  "                        } elseif { tokens.last.kind == \"identifier\" } then {",
  "                            def suggestions = []",
  "                            if(tokens.last.value == \"o\") then {",
  "                                def suggestion = errormessages.suggestion.new",
  "                                suggestion.replaceChar(tokens.last.linePos)with(\"0\")onLine(tokens.last.line)",
  "                                suggestions.push(suggestion)",
  "                            }",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.replaceRange(dot.linePos, linePosition - 1)with(\"({accum})\")onLine(tokens.last.line)",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'.\")atRange(",
  "                                dot.line, dot.linePos, dot.linePos)withSuggestions(suggestions)",
  "                        } else {",
  "                            errormessages.syntaxError(\"A number may follow a '.' only if there is a number before the '.'.\")atRange(",
  "                                dot.line, dot.linePos, dot.linePos)",
  "                        }",
  "                    }",
  "                } else {",
  "                    tok := makeNumToken(accum)",
  "                }",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"o\" } then {",
  "                tok := opToken(accum)",
  "                if (accum == \"->\") then {",
  "                    tok := arrowToken",
  "                } elseif { accum == \":=\" } then {",
  "                    tok := bindToken",
  "                } elseif { accum == \":\" } then {",
  "                    tok := colonToken",
  "                }",
  "                tokens.push(tok)",
  "                isDone := true",
  "            } elseif { mode == \"d\" } then {",
  "                indentLevel := linePosition - 1",
  "                isDone := true",
  "            } elseif { mode == \"n\" } then {",
  "                isDone := true",
  "            } elseif { mode == \"c\" } then {",
  "                var firstNonSpace := 3      // skip the leading \"//\"",
  "                def accumSize = accum.size",
  "                while { (firstNonSpace <= accum.size).andAlso {",
  "                        accum.at(firstNonSpace) == \" \" } } do {",
  "                    firstNonSpace := firstNonSpace + 1 ",
  "                }",
  "                def cmt = accum.substringFrom(firstNonSpace)to(accum.size)",
  "                tokens.push(commentToken(cmt))",
  "                isDone := true",
  "            } elseif { mode == \"p\" } then {",
  "                if (accum.substringFrom(1)to(8) == \"#pragma \") then {",
  "                    util.processExtension(",
  "                        accum.substringFrom(9)to(accum.size))",
  "                }",
  "            } elseif { isDone } then {",
  "                //print(mode, accum, tokens)",
  "            } else {",
  "                errormessages.syntaxError \"Lexing error: no handler for mode {mode} with accum ‹{accum}›\"",
  "                    atPosition(lineNumber, linePosition)",
  "            }",
  "        }",
  "        startPosition := linePosition",
  "    }",
  "",
  "    method fromBase(str, base) {",
  "        var val := 0",
  "        var i := 0",
  "        for (str) do {c->",
  "            def n = c.ord",
  "            val := val * base",
  "            var inc := 0",
  "            if ((n >= 48) && (n <= 57)) then {",
  "                inc := n - 48 // 0",
  "            } elseif {(n >= 65) && (n <= 90)} then {",
  "                inc := n - 55 // 'A' - 10",
  "            } else {",
  "                inc := n - 87 // 'a' - 10",
  "            }",
  "            if (inc >= base) then {",
  "                if((str[1] == \"0\") && (inc < 16)) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\"x\")atPosition(linePosition - str.size + 1)onLine(lineNumber)",
  "                    errormessages.syntaxError(\"A number in base 16 must start with '0x'.\")atPosition(",
  "                        lineNumber, linePosition - str.size + 1)withSuggestion(suggestion)",
  "                } else {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(str.size == 1) then {",
  "                        suggestion.deleteRange(linePosition - str.size - 1, linePosition - 1)onLine(lineNumber)",
  "                    } else {",
  "                        suggestion.deleteChar(linePosition - str.size + i)onLine(lineNumber)",
  "                    }",
  "                    def validDigits = if(base <= 10) then {",
  "                        \"'0' to '{base - 1}'\"",
  "                    } else {",
  "                        \"'0' to '9', 'a' to '{unicode.create(87 + base)}'\"",
  "                    }",
  "                    errormessages.syntaxError(\"'{c}' is not a valid digit in base {base}. Valid digits are {validDigits}.\")atRange(",
  "                        lineNumber, linePosition - str.size + i, linePosition - str.size + i)withSuggestion(suggestion)",
  "                }",
  "            }",
  "            val := val + inc",
  "            i := i + 1",
  "        }",
  "        val",
  "    }",
  "            ",
  "    method hexdecchar(c) {",
  "    // Return the numeric value of the single hexadecimal digit c.",
  "        def AOrd = \"A\".ord",
  "        def aOrd = \"a\".ord",
  "        def zeroOrd = \"0\".ord",
  "        def cOrd = c.ord",
  "        if ( (cOrd >= AOrd) && (cOrd <= \"F\".ord) ) then {",
  "            cOrd - AOrd + 10",
  "        } elseif { (cOrd >= aOrd) && (cOrd <= \"f\".ord) } then {",
  "            cOrd - aOrd + 10",
  "        } elseif { (cOrd >= zeroOrd) && (cOrd <= \"9\".ord) } then {",
  "            cOrd - zeroOrd",
  "        } else {",
  "            errormessages.syntaxError(\"The character '{c}' must be a hexadecimal digit\")",
  "                atRange(lineNumber, linePosition, linePosition)",
  "        }",
  "    }",
  "",
  "    method makeNumToken(accum) {",
  "        var base := 10",
  "        var baseSet := false",
  "        var sofar := \"\"",
  "        var i := 0",
  "        for (accum) do {c->",
  "            if ((c == \"x\") && (!baseSet)) then {",
  "                base := sofar.asNumber",
  "                baseSet := true",
  "                if (base == 0) then {",
  "                    base := 16",
  "                }",
  "                if((base < 2) || (base > 36)) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceChar(linePosition - accum.size + i)with(\"*\")onLine(lineNumber)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteRange(linePosition - accum.size, linePosition - accum.size + i)onLine(lineNumber)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"Base {base} is not a valid numerical base.\")atRange(",
  "                        lineNumber, linePosition - accum.size, linePosition - accum.size + i - 1)withSuggestions(suggestions)",
  "                }",
  "                sofar := \"\"",
  "            } else {",
  "                sofar := sofar ++ c",
  "            }",
  "            i := i + 1",
  "        }",
  "        if(sofar == \"\") then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.deleteRange(linePosition - accum.size + i - 1, linePosition - 1)onLine(lineNumber)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\"0\")atPosition(linePosition)onLine(lineNumber)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"At least one digit must follow the 'x' in a number.\")atPosition(",
  "                lineNumber, linePosition - accum.size + i)withSuggestions(suggestions)",
  "        }",
  "        numToken(fromBase(sofar, base).asString, base)",
  "    }",
  "    // True if ov is a valid identifier character. Identifier",
  "    // characters are Unicode letters, Unicode numbers, apostrophe,",
  "    // and (currently) underscore.",
  "    method isidentifierchar(ov) {",
  "        if (unicode.isLetter(ov)) then {",
  "            return true",
  "        }",
  "        if (unicode.isNumber(ov)) then {",
  "            return true",
  "        }",
  "        if ((ov == 95) || (ov == 39)) then {",
  "            // 95 is _, 39 is '",
  "            true",
  "        } else {",
  "            false",
  "        }",
  "    }",
  "",
  "    // True if c (with codepoint ordval) is a valid operator character.",
  "    method isoperatorchar(c, ordval) {",
  "        if (operatorChars.contains(c)) then { return true }",
  "        if (unicode.isSymbolMathematical(ordval)) then { return true }",
  "        if (unicode.iscategory(c, \"So\")) then { return true }",
  "        return false",
  "    }",
  "",
  "    // Read the program text from util.infile and return a list of",
  "    // tokens.",
  "    method lexfile(file) {",
  "        def lines = []",
  "        def cLines = []",
  "        var line := \"\"",
  "        var cLine := \"\"",
  "        var wasCR := false",
  "        for(file.read) do { c ->",
  "            if (c == \"\\r\") then {",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "                line := \"\"",
  "                cLine := \"\"",
  "                wasCR := true",
  "            } elseif {c  == \"\\n\"} then {",
  "                if (wasCR) then {",
  "                    // the spec says \"LINE FEED that immediately",
  "                    // follows a CARRIAGE RETURN is ignored\"",
  "                } else {",
  "                    lines.push(line)",
  "                    cLines.push(cLine)",
  "                    line := \"\"",
  "                    cLine := \"\"",
  "                }",
  "                wasCR := false",
  "            } elseif {c == \"\\l\"} then {",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "                line := \"\"",
  "                cLine := \"\"",
  "                wasCR := false",
  "            } elseif {c == \"\\\\\"} then {",
  "                line := line ++ c",
  "                cLine := cLine ++ \"\\\\\\\\\"",
  "                wasCR := false",
  "            } elseif {c == \"\\\"\"} then {",
  "                line := line ++ c",
  "                cLine := cLine ++ \"\\\\\\\"\"",
  "                wasCR := false",
  "            } else {",
  "                line := line ++ c",
  "                cLine := cLine ++ c",
  "                wasCR := false",
  "            }",
  "        }",
  "        if (line != \"\") then {",
  "            // this deals with an un-terminated final line",
  "            lines.push(line)",
  "            cLines.push(cLine)",
  "        }",
  "        util.lines := lines",
  "        util.cLines := cLines",
  "        lexinput(lines)",
  "    }",
  "",
  "    method lexinput(inputLines) {",
  "        // tokens is a doubly-linked list of tokens.",
  "        var tokens := object {",
  "            var first is readable := false",
  "            var last is readable := false",
  "            var size' := 0",
  "",
  "            method push(t) {",
  "                if(first == false) then {",
  "                    first := t",
  "                    last := t",
  "                } else {",
  "                    last.next := t",
  "                    t.prev := last",
  "                    last := t",
  "                }",
  "                size' := size' + 1",
  "            }",
  "",
  "            method pop {",
  "                if(last != false) then {",
  "                    def popped = last",
  "                    last := last.prev",
  "                    if(last == false) then {",
  "                        first := false",
  "                    }",
  "                    size' := size' - 1",
  "                    popped",
  "                }",
  "            }",
  "",
  "            method poll {",
  "                if(first != false) then {",
  "                    def polled = first",
  "                    first := first.next",
  "                    if(first == false) then {",
  "                        last := false",
  "                    }",
  "                    size' := size' - 1",
  "                    polled",
  "                }",
  "            }",
  "",
  "            method size {",
  "                size' + 0",
  "            }",
  "",
  "            method iter {",
  "                object {",
  "                    var n := first",
  "                    method havemore {",
  "                        n != false",
  "                    }",
  "                    method hasNext {",
  "                        n != false",
  "                    }",
  "                    method next {",
  "                        def ret = n",
  "                        n := n.next",
  "                        ret",
  "                    }",
  "                }",
  "            }",
  "",
  "            method iterator {",
  "                iter",
  "            }",
  "            ",
  "            method do(action) {",
  "                var n := first",
  "                while { n != false } do {",
  "                    action.apply(n)",
  "                    n := n.next",
  "                }",
  "            }",
  "        }",
  "",
  "        var mode := \"d\"",
  "        var newmode := mode",
  "        var inStr := false",
  "        var inBackticks := false",
  "        var backtickIdent := false",
  "        var accum := \"\"",
  "        var escaped := false",
  "        var unichars := 0",
  "        var codepoint := 0",
  "        var interpdepth := 0",
  "        var interpString := false",
  "        var atStart := true",
  "        var newlineFound := false",
  "        linePosition := 0",
  "        util.log_verbose \"lexing.\"",
  "        def badSeparator = unicode.pattern(\"Z\", 9)not(32, 160)",
  "            // 32 is SPACE, and 160 NO-BREAK SPACE",
  "        def badControl =  unicode.pattern(\"C\")not(10, 13)",
  "        def selfModes = unicode.pattern(\"(\".ord, \")\".ord, \",\".ord,",
  "            \".\".ord, \"\\{\".ord, \"}\".ord, \"[\".ord, \"]\".ord, \";\".ord)",
  "        def brackets = unicode.pattern(\"(\".ord, \")\".ord,",
  "            \"\\{\".ord, \"}\".ord, \"[\".ord, \"]\".ord)",
  "        def identifierChar = unicode.pattern(\"L\", \"N\", 95, 39) // 95 = _, 39 = '",
  "        def digit = unicode.pattern(\"0\".ord, \"1\".ord, \"2\".ord, \"3\".ord,",
  "            \"4\".ord, \"5\".ord, \"6\".ord, \"7\".ord, \"8\".ord, \"9\".ord)",
  "        def mainBlock = { c ->",
  "            var ct := \"\"",
  "            var ordval := c.ord // String.ord gives the codepoint",
  "            if (badSeparator.match(ordval).andAlso { mode != \"q\" }) then {",
  "                // Character is whitespace, but not an ASCII space or",
  "                // Unicode NO-BREAK SPACE.  For example, a tab",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "                if (ordval == 9) then {",
  "                    if (inStr) then {",
  "                        suggestion.replaceRange(linePosition, linePosition)",
  "                            with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                            onLine(lineNumber)",
  "                        errormessages.syntaxError(\"tabs cannot be \"",
  "                            ++ \"written in the source code; \"",
  "                            ++ \"use the Unicode escape \\\\u\"",
  "                            ++ padl(ordval.inBase 16, 4, \"0\")",
  "                            ++ \" instead\")",
  "                            atRange(lineNumber, linePosition, linePosition)",
  "                            withSuggestion(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"Tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                        linePosition, linePosition)withSuggestion(suggestion)",
  "                } else {",
  "                    if (mode == \"\\\"\") then {",
  "                        suggestion.replaceRange(linePosition, linePosition)",
  "                            with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                            onLine(lineNumber)",
  "                        errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                            ++ \"is not a valid whitespace character\"",
  "                            ++ \" and cannot be \"",
  "                            ++ \"written in the source code; \"",
  "                            ++ \"use the Unicode escape \\\\u\"",
  "                            ++ padl(ordval.inBase 16, 4, \"0\")",
  "                            ++ \" instead\")",
  "                            atRange(lineNumber, linePosition, linePosition)",
  "                            withSuggestion(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                        ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                        linePosition, linePosition)withSuggestion(suggestion)",
  "                }",
  "            } elseif {badControl.match(ordval).andAlso { mode != \"q\" }} then {",
  "                // Character is a control character other than",
  "                // carriage return or line feed.",
  "                def suggestion = errormessages.suggestion.new",
  "                if (inStr) then {",
  "                    suggestion.replaceRange(linePosition, linePosition)",
  "                        with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                        onLine(lineNumber)",
  "                    errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                        ++ \"is a control character and cannot be \"",
  "                        ++ \"written in the source code; \"",
  "                        ++ \"use the Unicode escape \\\\u\"",
  "                        ++ padl(ordval.inBase 16, 4, \"0\")",
  "                        ++ \" instead\")",
  "                        atRange(lineNumber, linePosition, linePosition)",
  "                        withSuggestion(suggestion)",
  "                }",
  "                suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                    ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            }",
  "            if (atStart) then {",
  "                if (linePosition == 1) then {",
  "                    if (c == \"#\") then {",
  "                        mode := \"p\"",
  "                        newmode := mode",
  "                    } else {",
  "                        atStart := false",
  "                    }",
  "                }",
  "            }",
  "            if (inStr) then {",
  "",
  "            } elseif { (mode != \"c\") && (mode != \"p\") } then {",
  "                // Not in a comment or pragma, so look for a mode.",
  "                if ((c == \" \") && (mode != \"d\")) then {",
  "                    newmode := \"n\"",
  "                }",
  "                if (c == \"\\\"\") then {",
  "                    // Beginning of a string",
  "                    newmode := \"\\\"\"",
  "                    inStr := true",
  "                    stringStart := linePosition",
  "                } elseif { c == \"‹\" } then {",
  "                    // Beginning of a multi-line string",
  "                    newmode := \"q\"",
  "                    inStr := true",
  "                    startLine := lineNumber",
  "                    stringStart := linePosition",
  "                } elseif { identifierChar.match(ordval) } then {",
  "                    newmode := \"i\"",
  "                }",
  "                if (digit.match(ordval)) then {",
  "                    // This may overwrite newmode := \"i\"",
  "                    // established 5 lines up",
  "                    if (mode != \"i\") then {",
  "                        newmode := \"m\"",
  "                    }",
  "                }",
  "                if (mode == \"m\") then {",
  "                    if ((ordval >= 97) && (ordval <=122)) then {",
  "                        newmode := \"m\"",
  "                    } else {",
  "                        if ((ordval >= 65) && (ordval <= 90)) then {",
  "                            newmode := \"m\"",
  "                        }",
  "                    }",
  "                }",
  "                if (c == \"<\") then {",
  "                    if (mode == \"i\") then {",
  "                        newmode := \"<\"",
  "                    } elseif {(mode == \"n\") && (tokens.last.kind == \"op\")} then {",
  "                        newmode := \"<\"",
  "                    } else {",
  "                        newmode := \"o\"",
  "                    }",
  "                } elseif { (c == \">\") && ",
  "                        ((mode == \"i\") || (mode == \"<\") || (mode == \">\")) } then {",
  "                    if (mode == \">\") then {",
  "                        modechange(tokens, mode, accum)",
  "                    }",
  "                    newmode := \">\"",
  "                } elseif { isoperatorchar(c, ordval) } then {",
  "                    newmode := \"o\"",
  "                }",
  "                if (selfModes.match(ordval)) then {",
  "                    newmode := c",
  "                }",
  "                if (c == \"#\") then {",
  "                    if(util.lines.at(lineNumber).substringFrom(1)to(7) == \"#pragma\") then {",
  "                        if (atStart) then {",
  "                            mode := \"p\"",
  "                            newmode := \"p\"",
  "                        } else {",
  "                            errormessages.syntaxError \"pragmas must be at the start of the file.\"",
  "                                atLine(lineNumber)",
  "                        }",
  "                    }",
  "                }",
  "                if (c == \".\") then {",
  "                    if (accum == \".\") then {",
  "                        // Special handler for .. operator",
  "                        mode := \"o\"",
  "                        newmode := mode",
  "                    }",
  "                    if (accum == \"..\") then {",
  "                        // Special handler for ... identifier",
  "                        mode := \"n\"",
  "                        newmode := mode",
  "                        modechange(tokens, \"i\", \"...\")",
  "                        accum := \"\"",
  "                    }",
  "                }",
  "                if (c == \"/\") then {",
  "                    if (accum == \"/\") then {",
  "                        // Start of comment",
  "                        mode := \"c\"",
  "                        newmode := mode",
  "                    }",
  "                }",
  "                if (mode == \"n\") then {",
  "                    if (mode == newmode) then {",
  "                        if (unicode.isSeparator(ordval).not) then {",
  "                            if (unicode.isControl(ordval).not) then {",
  "                                if (ordval != 10) then {",
  "                                    if (ordval != 13) then {",
  "                                        if (ordval != 32) then {",
  "                                            if (c != \".\") then{",
  "                                                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                                    ++ \"is not a valid character; use spaces instead.\")atRange(",
  "                                                    lineNumber, linePosition, linePosition)",
  "                                            }",
  "                                        }",
  "                                    }",
  "                                }",
  "                            }",
  "                        }",
  "                    }",
  "                }",
  "            }",
  "            if (mode == \"\\\"\") then {",
  "                if (c == \"\\\"\") then {",
  "                    if (escaped.not) then {",
  "                        // End of string literal",
  "                        newmode := \"n\"",
  "                        inStr := false",
  "                        if (interpString) then {",
  "                            modechange(tokens, mode, accum)",
  "                            modechange(tokens, \")\", \")\")",
  "                            mode := newmode",
  "                            interpString := false",
  "                        }",
  "                    }",
  "                }",
  "            } elseif {mode == \"q\"} then {",
  "                if (c == \"›\") then {",
  "                    //end of literal",
  "                    newmode := \"n\"",
  "                    inStr := false",
  "                }",
  "            }",
  "            if (newmode != mode) then {",
  "                // This character is the beginning of a different",
  "                // lexical mode - process the old one now.",
  "                modechange(tokens, mode, accum)",
  "                if (interpdepth > 0) then {",
  "                    if (newmode == \"}\") then {",
  "                        // Find the position of the opening brace to ",
  "                        // check if the interpolation is empty.",
  "                        if (tokens.last.kind == \"lbrace\") then {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.deleteRange(linePosition - 1, linePosition)onLine(lineNumber)",
  "                            errormessages.syntaxError(\"A string interpolation cannot be empty.\")atRange(",
  "                                lineNumber, tokens.last.linePos, linePosition)withSuggestion(suggestion)",
  "                        }",
  "                        modechange(tokens, \")\", \")\")",
  "                        modechange(tokens, \"o\", \"++\")",
  "                        newmode := \"\\\"\"",
  "                        inStr := true",
  "                        interpdepth := interpdepth - 1",
  "                    }",
  "                }",
  "                mode := newmode",
  "                if (inStr) then {",
  "                    // String accum should skip the opening quote, but",
  "                    // other modes' should include their first",
  "                    // character.",
  "                    accum := \"\"",
  "                } else {",
  "                    accum := c",
  "                }",
  "                if (brackets.match(mode)) then {",
  "                    modechange(tokens, mode, accum)",
  "                    mode := \"n\"",
  "                    newmode := \"n\"",
  "                    accum := \"\"",
  "                }",
  "            } elseif { mode == \"\\\"\" } then {",
  "                if (c == \"\\n\") then {",
  "                    if (interpdepth > 0) then {",
  "                        // Find closest {.",
  "                        var line := lineNumber",
  "                        var i := util.lines.at(line).size",
  "                        while { util.lines.at(line)[i] != \"\\{\" } do {",
  "                            i := i - 1",
  "                            if(i == 0) then {",
  "                                lineNumber := line - 1",
  "                                i := util.lines.at(line).size",
  "                            }",
  "                        }",
  "                        def suggestions = []",
  "                        var suggestion := errormessages.suggestion.new",
  "                        suggestion.insert(\"\\\\\")atPosition(i)onLine(line)",
  "                        suggestions.push(suggestion)",
  "                        if((line == lineNumber) && (i == (linePosition - 2))) then {",
  "                            errormessages.syntaxError(\"For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                line, i)withSuggestions(suggestions)",
  "                        } else {",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.insert(\"}\")atPosition(linePosition - accum.size - 1)onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"A string interpolation must end with a '}'. For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                lineNumber, linePosition - accum.size - 1)withSuggestions(suggestions)",
  "                        }",
  "                    } else {",
  "                        def errorLine = util.lines.at(lineNumber)",
  "                        def nextLine = if(util.lines.size >= (lineNumber + 1)) then {",
  "                            util.lines.at(lineNumber + 1)",
  "                        } else {",
  "                            \"\"",
  "                        }",
  "                        // Count the number of literal quotes in the next line.",
  "                        var i := 1",
  "                        var count := 0",
  "                        while { i <= nextLine.size } do {",
  "                            if(nextLine[i] == \"\\\"\") then { count := count + 1 }",
  "                            elseif { nextLine[i] == \"\\\\\" } then { i := i + 1 }",
  "                            i := i + 1",
  "                        }",
  "                        if ((count % 2) == 1) then {",
  "                            def suggestions = []",
  "                            var suggestion := errormessages.suggestion.new",
  "                            suggestion.addLine(lineNumber, errorLine ++ nextLine)",
  "                            suggestion.addLine(lineNumber + 1, \"\")",
  "                            suggestions.push(suggestion)",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                            suggestion.addLine(lineNumber + 1, \"    ++ \\\"\" ++ nextLine)",
  "                            suggestions.push(suggestion)",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.addLine(lineNumber, errorLine ++ \"\\\\n\" ++ nextLine)",
  "                            suggestion.addLine(lineNumber + 1, \"\")",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"A string must end with a '\\\"'. To insert a newline in a string use '\\\\n'. \"",
  "                                ++ \"To split a string over multiple lines use '++' to join strings together.\")atRange(",
  "                                lineNumber, linePosition, linePosition)withSuggestions(suggestions)",
  "                        } else {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                            errormessages.syntaxError(\"A string must end with a '\\\"'.\")atPosition(",
  "                                lineNumber, linePosition)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                }",
  "                if (escaped) then {",
  "                    if (c == \"n\") then {",
  "                        // Newline escape",
  "                        accum := accum ++ \"\\u000a\"",
  "                    } elseif { c == \"u\" } then {",
  "                        // Beginning of a four-digit Unicode escape",
  "                        // (for a BMP codepoint).",
  "                        unichars := 4",
  "                        codepoint := 0",
  "                    } elseif { c == \"U\" } then {",
  "                        // Beginning of a six-digit Unicode escape",
  "                        // (for a general codepoint).",
  "                        unichars := 6",
  "                        codepoint := 0",
  "                    } elseif { c == \"t\" } then {",
  "                        // Tab escape",
  "                        accum := accum ++ \"\\u0009\"",
  "                    } elseif { c == \"r\" } then {",
  "                        // Carriage return escape",
  "                        accum := accum ++ \"\\u000d\"",
  "                    } elseif { c == \"b\" } then {",
  "                        // Backspace escape",
  "                        accum := accum ++ \"\\u0008\"",
  "                    } elseif { c == \"l\" } then {",
  "                        // LINE SEPARATOR escape",
  "                        accum := accum ++ \"\\u2028\"",
  "                    } elseif { c == \"f\" } then {",
  "                        // Form feed/page down escape",
  "                        accum := accum ++ \"\\u000c\"",
  "                    } elseif { c == \"e\" } then {",
  "                        // Escape escape",
  "                        accum := accum ++ \"\\u001b\"",
  "                    } elseif { c == \"_\" } then {",
  "                        // non-breaking space",
  "                        accum := accum ++ \"\\u00a0\"",
  "                    } else {",
  "                        // For any other character preceded by \\,",
  "                        // insert it literally.",
  "                        accum := accum ++ c",
  "                    }",
  "                    escaped := false",
  "                } elseif { c == \"\\\\\" } then {",
  "                    // Begin an escape sequence",
  "                    escaped := true",
  "                } elseif { unichars > 0 } then {",
  "                    // There are still hex digits to read for a",
  "                    // Unicode escape. Use the current character",
  "                    // as a hex digit and update the codepoint",
  "                    // being calculated with its value.",
  "                    unichars := unichars - 1",
  "                    codepoint := codepoint * 16",
  "                    codepoint := codepoint + hexdecchar(c)",
  "                    if (unichars == 0) then {",
  "                        // At the end of the sequence construct",
  "                        // the character in the unicode library.",
  "                        accum := accum ++ unicode.create(codepoint)",
  "                    }",
  "                } elseif { c == \"\\{\" } then {",
  "                    if (interpString.not) then {",
  "                        modechange(tokens, \"(\", \"(\")",
  "                        interpString := true",
  "                    }",
  "                    modechange(tokens, mode, accum)",
  "                    modechange(tokens, \"o\", \"++\")",
  "                    modechange(tokens, \"(\", \"(\")",
  "                    mode := \"n\"",
  "                    newmode := \"n\"",
  "                    accum := \"\"",
  "                    inStr:= false",
  "                    interpdepth := interpdepth + 1",
  "                } else {",
  "                    accum := accum ++ c",
  "                }",
  "            } elseif { c == \"\\n\" } then {",
  "                newlineFound := true",
  "                if (mode == \"q\") then {",
  "                    accum := accum ++ c",
  "                } else {",
  "                    // Linebreaks terminate any open tokens",
  "                    modechange(tokens, mode, accum)",
  "                    mode := \"d\"",
  "                    newmode := \"d\"",
  "                    accum := \"\"",
  "                }",
  "            } else {",
  "                accum := accum ++ c",
  "            }",
  "            if (accum == \"...\") then {",
  "                if (mode == \"o\") then {",
  "                    modechange(tokens, \"i\", \"...\")",
  "                    newmode := \"n\"",
  "                    mode := newmode",
  "                    accum := \"\"",
  "                }",
  "            }",
  "            if (newlineFound) then {",
  "                // Linebreaks increment the line counter and insert a",
  "                // special \"line\" token, which the parser can use to",
  "                // track the origin of AST nodes for later error",
  "                // reporting.",
  "                newlineFound := false",
  "                lineNumber := lineNumber + 1",
  "                linePosition := 0",
  "                startPosition := 1",
  "            }",
  "        }",
  "        for (inputLines) do { eachLine ->",
  "            for (eachLine) do { ch ->",
  "                linePosition := linePosition + 1",
  "                if (ch == \" \") then {",
  "                    if (mode == \"d\") then {",
  "                    } else {",
  "                        if (mode != \"n\") then {",
  "                            mainBlock.apply(ch)",
  "                        }",
  "                    }",
  "                } else {",
  "                    mainBlock.apply(ch)",
  "                }",
  "            }",
  "            mainBlock.apply \"\\n\"",
  "        }",
  "        linePosition := linePosition + 1",
  "        if (inStr) then {",
  "            if (mode == \"\\\"\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, util.lines.at(lineNumber) ++ \"\\\"\")",
  "                errormessages.syntaxError(\"A string must end with a '\\\"'.\")atPosition(",
  "                    lineNumber, linePosition)withSuggestion(suggestion)",
  "            } elseif {mode == \"q\"} then {",
  "                errormessages.syntaxError(\"A multi-line string must end with a '›'.\\n\" ++ ",
  "                    \"String opened on line {startLine} and unclosed at end of input.\")",
  "                    atRange(startLine, stringStart, util.lines.at(startLine).size)",
  "            }",
  "        }",
  "        modechange(tokens, mode, accum)",
  "        tokens.push(eofToken)",
  "        tokens",
  "    }",
  "}",
  "",
  "",
  NULL
};
Object reader_lexer_outer_27(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_lineNumber_28(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_lineNumber_28(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_linePosition_29(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_linePosition_29(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_startPosition_30(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_startPosition_30(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_indentLevel_31(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_indentLevel_31(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_startLine_32(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_startLine_32(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_stringStart_33(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_lexer_stringStart_33(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_lexer_outer_36(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_line_37(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_indent_38(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_linePos_39(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_next_40(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_next_40(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_prev_41(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_prev_41(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_outer_121(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_122(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_123(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_124(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_135(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_136(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_137(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_138(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_162(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_163(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_164(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_165(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_line_39__166(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_linePos_39__167(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_lexer_outer_196(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_197(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_198(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_199(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_214(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_215(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_216(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_217(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_228(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_229(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_230(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_231(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_242(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_243(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_244(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_245(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_256(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_257(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_258(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_259(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_270(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_272(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_273(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_284(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_285(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_286(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_287(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_298(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_299(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_300(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_301(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_312(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_313(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_314(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_315(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_326(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_327(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_328(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_329(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_340(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_342(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_base_343(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_size_344(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_outer_364(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_365(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_366(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_367(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_378(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_379(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_380(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_381(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_392(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_393(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_394(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_395(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_406(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_407(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_408(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_409(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_420(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_421(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_422(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_423(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_434(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_435(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_436(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_437(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_448(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_449(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_450(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_451(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_462(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_463(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_464(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_465(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_1858(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_first_1859(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_first_1859(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_last_1860(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_last_1860(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_size_39__1861(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_size_39__1861(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_outer_1969(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_n_1970(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_n_1970(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
static ClassData objclass26;
static ClassData objclass35;
static Object strlit68;
static Object strlit75;
static Object strlit82;
static Object strlit89;
static Object strlit95;
static ClassData objclass120;
static Object strlit129;
static ClassData objclass134;
static Object strlit143;
static ClassData objclass161;
static Object strlit178;
static ClassData objclass195;
static Object strlit204;
static ClassData objclass213;
static Object strlit222;
static Object strlit223;
static ClassData objclass227;
static Object strlit236;
static Object strlit237;
static ClassData objclass241;
static Object strlit250;
static Object strlit251;
static ClassData objclass255;
static Object strlit264;
static Object strlit265;
static ClassData objclass269;
static Object strlit278;
static Object strlit279;
static ClassData objclass283;
static Object strlit292;
static Object strlit293;
static ClassData objclass297;
static Object strlit306;
static Object strlit307;
static ClassData objclass311;
static Object strlit320;
static Object strlit321;
static ClassData objclass325;
static Object strlit334;
static Object strlit335;
static ClassData objclass339;
static Object strlit349;
static ClassData objclass363;
static Object strlit372;
static ClassData objclass377;
static Object strlit386;
static ClassData objclass391;
static Object strlit400;
static Object strlit401;
static ClassData objclass405;
static Object strlit414;
static Object strlit415;
static ClassData objclass419;
static Object strlit428;
static Object strlit429;
static ClassData objclass433;
static Object strlit442;
static Object strlit443;
static ClassData objclass447;
static Object strlit456;
static Object strlit457;
static ClassData objclass461;
static Object strlit470;
static Object strlit471;
static Object strlit487;
static Object strlit493;
static Object strlit510;
static Object strlit522;
static Object strlit534;
static Object strlit546;
static Object strlit558;
static Object strlit570;
static Object strlit582;
static Object strlit594;
static Object strlit606;
static Object strlit618;
static Object strlit630;
static Object strlit642;
static Object strlit654;
static Object strlit666;
static Object strlit674;
static Object strlit693;
static Object strlit725;
static Object strlit779;
static Object strlit835;
static Object strlit843;
static Object strlit859;
static Object strlit873;
static Object strlit879;
static Object strlit881;
static Object strlit893;
static Object strlit902;
static Object strlit915;
static Object strlit922;
static Object strlit930;
static Object strlit940;
static Object strlit956;
static Object strlit978;
static Object strlit982;
static Object strlit993;
static Object strlit1002;
static Object strlit1019;
static Object strlit1027;
static Object strlit1035;
static Object strlit1043;
static Object strlit1055;
static Object strlit1070;
static Object strlit1077;
static Object strlit1090;
static Object strlit1124;
static Object strlit1129;
static Object strlit1146;
static Object strlit1151;
static Object strlit1155;
static Object strlit1233;
static Object strlit1244;
static Object strlit1260;
static Object strlit1327;
static Object strlit1335;
static Object strlit1339;
static Object strlit1349;
static Object strlit1354;
static Object strlit1359;
static Object strlit1364;
static Object strlit1368;
static Object strlit1411;
static Object strlit1414;
static Object strlit1417;
static Object strlit1425;
static Object strlit1445;
static Object strlit1465;
static Object strlit1479;
static Object strlit1483;
static Object strlit1496;
static Object strlit1507;
static Object strlit1551;
static Object strlit1587;
static Object strlit1591;
static Object strlit1618;
static Object strlit1633;
static Object strlit1673;
static Object strlit1682;
static Object strlit1736;
static Object strlit1743;
static Object strlit1744;
static Object strlit1753;
static Object strlit1760;
static Object strlit1762;
static Object strlit1768;
static Object strlit1776;
static Object strlit1778;
static Object strlit1784;
static Object strlit1791;
static Object strlit1793;
static Object strlit1799;
static Object strlit1807;
static Object strlit1815;
static Object strlit1823;
static Object strlit1843;
static ClassData objclass1857;
static ClassData objclass1968;
static Object strlit2025;
static Object strlit2029;
static Object strlit2041;
static Object strlit2044;
static Object strlit2050;
static Object strlit2056;
static Object strlit2059;
static Object strlit2062;
static Object strlit2065;
static Object strlit2068;
static Object strlit2071;
static Object strlit2074;
static Object strlit2077;
static Object strlit2080;
static Object strlit2085;
static Object strlit2088;
static Object strlit2091;
static Object strlit2094;
static Object strlit2097;
static Object strlit2100;
static Object strlit2104;
static Object strlit2105;
static Object strlit2111;
static Object strlit2114;
static Object strlit2117;
static Object strlit2120;
static Object strlit2123;
static Object strlit2126;
static Object strlit2129;
static Object strlit2132;
static Object strlit2135;
static Object strlit2138;
static Object strlit2143;
static Object strlit2151;
static Object strlit2165;
static Object strlit2181;
static Object strlit2189;
static Object strlit2194;
static Object strlit2202;
static Object strlit2210;
static Object strlit2216;
static Object strlit2219;
static Object strlit2221;
static Object strlit2234;
static Object strlit2244;
static Object strlit2253;
static Object strlit2261;
static Object strlit2266;
static Object strlit2274;
static Object strlit2282;
static Object strlit2288;
static Object strlit2291;
static Object strlit2294;
static Object strlit2297;
static Object strlit2300;
static Object strlit2308;
static Object strlit2314;
static Object strlit2320;
static Object strlit2340;
static Object strlit2343;
static Object strlit2351;
static Object strlit2357;
static Object strlit2363;
static Object strlit2381;
static Object strlit2399;
static Object strlit2407;
static Object strlit2412;
static Object strlit2420;
static Object strlit2428;
static Object strlit2434;
static Object strlit2437;
static Object strlit2440;
static Object strlit2443;
static Object strlit2451;
static Object strlit2457;
static Object strlit2463;
static Object strlit2488;
static Object strlit2491;
static Object strlit2499;
static Object strlit2505;
static Object strlit2511;
static Object strlit2534;
static Object strlit2537;
static Object strlit2546;
static Object strlit2551;
static Object strlit2558;
static Object strlit2563;
static Object strlit2567;
static Object strlit2571;
static Object strlit2574;
static Object strlit2584;
static Object strlit2587;
static Object strlit2602;
static Object strlit2609;
static Object strlit2612;
static Object strlit2616;
static Object strlit2631;
static Object strlit2645;
static Object strlit2649;
static Object strlit2654;
static Object strlit2657;
static Object strlit2662;
static Object strlit2671;
static Object strlit2675;
static Object strlit2677;
static Object strlit2683;
static Object strlit2689;
static Object strlit2694;
static Object strlit2701;
static Object strlit2707;
static Object strlit2712;
static Object strlit2717;
static Object strlit2725;
static Object strlit2730;
static Object strlit2744;
static Object strlit2746;
static Object strlit2749;
static Object strlit2755;
static Object strlit2760;
static Object strlit2763;
static Object strlit2768;
static Object strlit2771;
static Object strlit2775;
static Object strlit2776;
static Object strlit2778;
static Object strlit2782;
static Object strlit2787;
static Object strlit2790;
static Object strlit2795;
static Object strlit2829;
static Object strlit2834;
static Object strlit2837;
static Object strlit2845;
static Object strlit2851;
static Object strlit2857;
static Object strlit2872;
static Object strlit2877;
static Object strlit2883;
static Object strlit2891;
static Object strlit2892;
static Object strlit2899;
static Object strlit2904;
static Object strlit2907;
static Object strlit2924;
static Object strlit2929;
static Object strlit2953;
static Object strlit2964;
static Object strlit2965;
static Object strlit2968;
static Object strlit2969;
static Object strlit2971;
static Object strlit2982;
static Object strlit2990;
static Object strlit2992;
static Object strlit2994;
static Object strlit2998;
static Object strlit3003;
static Object strlit3023;
static Object strlit3065;
static Object strlit3088;
static Object strlit3096;
static Object strlit3114;
static Object strlit3159;
static Object strlit3175;
static Object strlit3186;
static Object strlit3230;
static Object strlit3243;
static Object strlit3256;
static Object strlit3272;
static Object strlit3284;
static Object strlit3290;
static Object strlit3292;
static Object strlit3309;
static Object strlit3314;
static Object strlit3323;
static Object strlit3327;
static Object strlit3333;
static Object strlit3342;
static Object strlit3351;
static Object strlit3355;
static Object strlit3361;
static Object strlit3365;
static Object strlit3371;
static Object strlit3375;
static Object strlit3381;
static Object strlit3385;
static Object strlit3391;
static Object strlit3395;
static Object strlit3401;
static Object strlit3405;
static Object strlit3411;
static Object strlit3415;
static Object strlit3427;
static Object strlit3466;
static Object strlit3473;
static Object strlit3474;
static Object strlit3481;
static Object strlit3482;
static Object strlit3485;
static Object strlit3486;
static Object strlit3488;
static Object strlit3490;
static Object strlit3492;
static Object strlit3507;
static Object strlit3514;
static Object strlit3523;
static Object strlit3525;
static Object strlit3527;
static Object strlit3535;
static Object strlit3540;
static Object strlit3544;
static Object strlit3545;
static Object strlit3547;
static Object strlit3550;
static Object strlit3586;
static Object strlit3591;
static Object strlit3596;
static Object strlit3606;
static Object strlit3621;
static Object strlit3632;
static Object strlit3643;
static Object strlit3651;
static Object strlit3657;
static Object strlit3663;
static Object strlit3667;
Object module_util;
Object module_util_init();
Object module_unicode;
Object module_unicode_init();
Object module_errormessages;
Object module_errormessages_init();
Object module_stringMap;
Object module_stringMap_init();
static Object strlit3698;
static Object strlit3702;
static Object strlit3706;
static Object strlit3710;
static Object strlit3714;
static Object strlit3718;
static Object strlit3722;
static Object strlit3726;
static Object strlit3730;
static Object strlit3734;
static Object strlit3738;
static Object strlit3742;
static Object strlit3746;
static Object strlit3750;
static Object strlit3754;
static Object strlit3758;
static Object strlit3762;
static Object strlit3765;
Object meth_lexer__apply10(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_l = getfromclosure(closure, 0);
  Object *var_s_39_ = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_l (depth = 5)
  int op_slot_right_11 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe13 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s_39_ (depth = 7)
  partcv[0] = 0;
  Object call14 = callmethod(*var_s_39_, "size",
    1, partcv, params);
  gc_frame_end(callframe13);
// compiled call node returning call14 (depth = 6)
// compiled member node returning call14 (depth = 5)
  int op_slot_left_11 = gc_frame_newslot(call14);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult15 = callmethod(call14, "<", 1, partcv, params);
// compiled op node returning opresult15 (depth = 4)
  gc_frame_end(frame);
  return opresult15;
}
Object meth_lexer__apply18(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s_39_ = getfromclosure(closure, 0);
  Object *var_w = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s_39_ (depth = 6)
  int op_slot_right_19 = gc_frame_newslot(*var_s_39_);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_w (depth = 6)
  int op_slot_left_19 = gc_frame_newslot(*var_w);
  params[0] = *var_s_39_;
  partcv[0] = 1;
  Object opresult21 = callmethod(*var_w, "++", 1, partcv, params);
// compiled op node returning opresult21 (depth = 5)
  *var_s_39_ = opresult21;
  if (opresult21 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_padl1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "padl");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method padl");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for padl (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_w = &(stackframe->slots[2]);
  *var_w = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for padl");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s'");
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  int op_slot_right_3 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  partcv[0] = 0;
  Object call6 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe5);
// compiled call node returning call6 (depth = 5)
// compiled member node returning call6 (depth = 4)
  int op_slot_left_3 = gc_frame_newslot(call6);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult7 = callmethod(call6, ">=", 1, partcv, params);
// compiled op node returning opresult7 (depth = 3)
  Object if2 = done;
  if (istrue(opresult7)) {
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  return *var_s;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if2 = undefined;
  } else {
  }
// compiled if node returning if2 (depth = 2)
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  *var_s_39_ = *var_s;
  if (*var_s == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe8 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block9 = alloc_Block(NULL, NULL, "lexer", 32);
  gc_frame_newslot(block9);
// method "_apply"
  block_savedest(block9);
  Object closure10 = createclosure(3, "_apply");
  setclosureframe(closure10, stackframe);
  addtoclosure(closure10, var_l);
  addtoclosure(closure10, var_s_39_);
  addtoclosure(closure10, selfslot);
  struct UserObject *uo10 = (struct UserObject*)block9;
  uo10->data[0] = (Object)closure10;
  Method *meth_meth_lexer__apply10 = addmethod2pos(block9, "_apply", &meth_lexer__apply10, 0);
  int argcv_meth_lexer__apply10[] = {0};
  meth_meth_lexer__apply10->type = alloc_MethodType(1, argcv_meth_lexer__apply10);
  meth_meth_lexer__apply10->definitionModule = modulename;
  meth_meth_lexer__apply10->definitionLine = 28;
// compiled block node returning block9 (depth = 3)
  gc_frame_newslot(block9);
// starting to compile block node (depth = 3)
  Object block17 = alloc_Block(NULL, NULL, "lexer", 32);
  gc_frame_newslot(block17);
// method "_apply"
  block_savedest(block17);
  Object closure18 = createclosure(3, "_apply");
  setclosureframe(closure18, stackframe);
  addtoclosure(closure18, var_s_39_);
  addtoclosure(closure18, var_w);
  addtoclosure(closure18, selfslot);
  struct UserObject *uo18 = (struct UserObject*)block17;
  uo18->data[0] = (Object)closure18;
  Method *meth_meth_lexer__apply18 = addmethod2pos(block17, "_apply", &meth_lexer__apply18, 0);
  int argcv_meth_lexer__apply18[] = {0};
  meth_meth_lexer__apply18->type = alloc_MethodType(1, argcv_meth_lexer__apply18);
  meth_meth_lexer__apply18->definitionModule = modulename;
  meth_meth_lexer__apply18->definitionLine = 32;
// compiled block node returning block17 (depth = 3)
  gc_frame_newslot(block17);
// call case 5: prelude request
  params[0] = block9;
  params[1] = block17;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call24 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8);
// compiled call node returning call24 (depth = 2)
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s_39_ (depth = 3)
  return *var_s_39_;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__61__61_42(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool45 = alloc_Boolean(0);
// compiled identifier node returning bool45 (depth = 4)
  int op_slot_right_44 = gc_frame_newslot(bool45);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int op_slot_left_44 = gc_frame_newslot(*var_other);
  params[0] = bool45;
  partcv[0] = 1;
  Object opresult47 = callmethod(*var_other, "==", 1, partcv, params);
// compiled op node returning opresult47 (depth = 3)
  Object if43 = done;
  if (istrue(opresult47)) {
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool48 = alloc_Boolean(0);
// compiled identifier node returning bool48 (depth = 3)
    gc_frame_newslot(bool48);
    if43 = bool48;
  } else {
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe51 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call52 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe51);
// compiled call node returning call52 (depth = 6)
// compiled member node returning call52 (depth = 5)
  int op_slot_right_50 = gc_frame_newslot(call52);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe54 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  partcv[0] = 0;
  Object call55 = callmethod(*var_other, "linePos",
    1, partcv, params);
  gc_frame_end(callframe54);
// compiled call node returning call55 (depth = 6)
// compiled member node returning call55 (depth = 5)
  int op_slot_left_50 = gc_frame_newslot(call55);
  params[0] = call52;
  partcv[0] = 1;
  Object opresult56 = callmethod(call55, "==", 1, partcv, params);
// compiled op node returning opresult56 (depth = 4)
  int op_slot_right_49 = gc_frame_newslot(opresult56);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe59 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call60 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe59);
// compiled call node returning call60 (depth = 6)
// compiled member node returning call60 (depth = 5)
  int op_slot_right_58 = gc_frame_newslot(call60);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe62 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  partcv[0] = 0;
  Object call63 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe62);
// compiled call node returning call63 (depth = 6)
// compiled member node returning call63 (depth = 5)
  int op_slot_left_58 = gc_frame_newslot(call63);
  params[0] = call60;
  partcv[0] = 1;
  Object opresult64 = callmethod(call63, "==", 1, partcv, params);
// compiled op node returning opresult64 (depth = 4)
  int op_slot_left_49 = gc_frame_newslot(opresult64);
  params[0] = opresult56;
  partcv[0] = 1;
  Object opresult65 = callmethod(opresult64, "&&", 1, partcv, params);
// compiled op node returning opresult65 (depth = 3)
    gc_frame_newslot(opresult65);
    if43 = opresult65;
  }
// compiled if node returning if43 (depth = 2)
  gc_frame_end(frame);
  return if43;
}
Object meth_lexer_asString66(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit68 == NULL) {
    strlit68 = alloc_String("");
    gc_root(strlit68);
  }
// compiled string node returning strlit68 (depth = 3)
  int op_slot_right_67 = gc_frame_newslot(strlit68);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe71 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call72 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe71);
// compiled call node returning call72 (depth = 5)
// compiled member node returning call72 (depth = 4)
  int op_slot_right_70 = gc_frame_newslot(call72);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit75 == NULL) {
    strlit75 = alloc_String(" ");
    gc_root(strlit75);
  }
// compiled string node returning strlit75 (depth = 5)
  int op_slot_right_74 = gc_frame_newslot(strlit75);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe78 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call79 = callmethodflags(self, "kind", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe78);
// compiled call node returning call79 (depth = 7)
// compiled member node returning call79 (depth = 6)
  int op_slot_right_77 = gc_frame_newslot(call79);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit82 == NULL) {
    strlit82 = alloc_String(")");
    gc_root(strlit82);
  }
// compiled string node returning strlit82 (depth = 7)
  int op_slot_right_81 = gc_frame_newslot(strlit82);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe85 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call86 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe85);
// compiled call node returning call86 (depth = 9)
// compiled member node returning call86 (depth = 8)
  int op_slot_right_84 = gc_frame_newslot(call86);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit89 == NULL) {
    strlit89 = alloc_String(":");
    gc_root(strlit89);
  }
// compiled string node returning strlit89 (depth = 9)
  int op_slot_right_88 = gc_frame_newslot(strlit89);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe92 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call93 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe92);
// compiled call node returning call93 (depth = 11)
// compiled member node returning call93 (depth = 10)
  int op_slot_right_91 = gc_frame_newslot(call93);
// starting to compile string node (depth = 10)
  if (strlit95 == NULL) {
    strlit95 = alloc_String("(");
    gc_root(strlit95);
  }
// compiled string node returning strlit95 (depth = 10)
  int op_slot_left_91 = gc_frame_newslot(strlit95);
  params[0] = call93;
  partcv[0] = 1;
  Object opresult96 = callmethod(strlit95, "++", 1, partcv, params);
// compiled op node returning opresult96 (depth = 9)
  int op_slot_left_88 = gc_frame_newslot(opresult96);
  params[0] = strlit89;
  partcv[0] = 1;
  Object opresult97 = callmethod(opresult96, "++", 1, partcv, params);
// compiled op node returning opresult97 (depth = 8)
  int op_slot_left_84 = gc_frame_newslot(opresult97);
  params[0] = call86;
  partcv[0] = 1;
  Object opresult98 = callmethod(opresult97, "++", 1, partcv, params);
// compiled op node returning opresult98 (depth = 7)
  int op_slot_left_81 = gc_frame_newslot(opresult98);
  params[0] = strlit82;
  partcv[0] = 1;
  Object opresult99 = callmethod(opresult98, "++", 1, partcv, params);
// compiled op node returning opresult99 (depth = 6)
  int op_slot_left_77 = gc_frame_newslot(opresult99);
  params[0] = call79;
  partcv[0] = 1;
  Object opresult100 = callmethod(opresult99, "++", 1, partcv, params);
// compiled op node returning opresult100 (depth = 5)
  int op_slot_left_74 = gc_frame_newslot(opresult100);
  params[0] = strlit75;
  partcv[0] = 1;
  Object opresult101 = callmethod(opresult100, "++", 1, partcv, params);
// compiled op node returning opresult101 (depth = 4)
  int op_slot_left_70 = gc_frame_newslot(opresult101);
  params[0] = call72;
  partcv[0] = 1;
  Object opresult102 = callmethod(opresult101, "++", 1, partcv, params);
// compiled op node returning opresult102 (depth = 3)
  int op_slot_left_67 = gc_frame_newslot(opresult102);
  params[0] = strlit68;
  partcv[0] = 1;
  Object opresult103 = callmethod(opresult102, "++", 1, partcv, params);
// compiled op node returning opresult103 (depth = 2)
  gc_frame_end(frame);
  return opresult103;
}
Object meth_lexer_token34(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "token");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for token (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for token");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject35 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj35 = alloc_userobj2(9,8, objclass35);
  gc_frame_newslot(obj35);
if (objclass35 == NULL) {
  glfree(obj35->class->name);
  obj35->class->name = "token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj35, self, 0);
  addmethodreal(obj35,"outer", &reader_lexer_outer_36);
  Object oldself35 = self;
  struct StackFrameObject *oldstackframe35 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe35);
  gc_frame_newslot((Object)stackframe);
  self = obj35;
  Object *oldselfslot35 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter35 = (*(struct UserObject *)self).data[0], lowerouter35 = thisouter35;
  if (inheritingObject35) {
    struct UserObject *inho35 = (struct UserObject *)inheritingObject35;
    while (inho35->super != GraceDefaultObject) inho35 = (struct UserObject *)inho35->super;
    inho35->super = obj35;
    self = inheritingObject35;
    *selfslot = self;
    lowerouter35 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter35;
  }
if (objclass35 == NULL) {
  Method *reader37 = addmethodrealflags(obj35, "line",&reader_lexer_line_37, MFLAG_DEF);
  reader37->definitionModule = modulename;
  reader37->definitionLine = 47;
}
adddatum2(obj35, alloc_Undefined(), 1);
if (objclass35 == NULL) {
  Method *reader38 = addmethodrealflags(obj35, "indent",&reader_lexer_indent_38, MFLAG_DEF);
  reader38->definitionModule = modulename;
  reader38->definitionLine = 48;
}
adddatum2(obj35, alloc_Undefined(), 2);
if (objclass35 == NULL) {
  Method *reader39 = addmethodrealflags(obj35, "linePos",&reader_lexer_linePos_39, MFLAG_DEF);
  reader39->definitionModule = modulename;
  reader39->definitionLine = 49;
}
adddatum2(obj35, alloc_Undefined(), 3);
if (objclass35 == NULL) {
  Method *reader40 = addmethodrealflags(obj35, "next",&reader_lexer_next_40, 0);
  Method *writer40 = addmethodrealflags(obj35, "next:=",&writer_lexer_next_40, 0);
  reader40->definitionModule = modulename;
  writer40->definitionModule = modulename;
  reader40->definitionLine = 51;
  writer40->definitionLine = 51;
}
obj35->flags |= OFLAG_MUTABLE;
adddatum2(obj35, alloc_Undefined(), 4);
if (objclass35 == NULL) {
  Method *reader41 = addmethodrealflags(obj35, "prev",&reader_lexer_prev_41, 0);
  Method *writer41 = addmethodrealflags(obj35, "prev:=",&writer_lexer_prev_41, 0);
  reader41->definitionModule = modulename;
  writer41->definitionModule = modulename;
  reader41->definitionLine = 52;
  writer41->definitionLine = 52;
}
obj35->flags |= OFLAG_MUTABLE;
adddatum2(obj35, alloc_Undefined(), 5);
// method "=="
  struct UserObject *uo42 = (struct UserObject*)obj35;
  uo42->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61_42 = addmethod2pos(obj35, "==", &meth_lexer__61__61_42, 6);
  int argcv_meth_lexer__61__61_42[] = {1};
  meth_meth_lexer__61__61_42->type = alloc_MethodType(1, argcv_meth_lexer__61__61_42);
  meth_meth_lexer__61__61_42->definitionModule = modulename;
  meth_meth_lexer__61__61_42->definitionLine = 54;
// method "asString"
  struct UserObject *uo66 = (struct UserObject*)obj35;
  uo66->data[7] = emptyclosure;
  Method *meth_meth_lexer_asString66 = addmethod2pos(obj35, "asString", &meth_lexer_asString66, 7);
  int argcv_meth_lexer_asString66[] = {0};
  meth_meth_lexer_asString66->type = alloc_MethodType(1, argcv_meth_lexer_asString66);
  meth_meth_lexer_asString66->definitionModule = modulename;
  meth_meth_lexer_asString66->definitionLine = 61;
  sourceObject = obj35;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe104 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe105 = gc_frame_new();
// call case 3: self.outer request
  Object call106 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe105);
// compiled call node returning call106 (depth = 5)
// compiled member node returning call106 (depth = 4)
  partcv[0] = 0;
  Object call107 = callmethodflags(call106, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe104);
// compiled call node returning call107 (depth = 3)
// compiled member node returning call107 (depth = 2)
  adddatum2(obj35, call107, 1);
  sourceObject = obj35;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe108 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe109 = gc_frame_new();
// call case 3: self.outer request
  Object call110 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe109);
// compiled call node returning call110 (depth = 5)
// compiled member node returning call110 (depth = 4)
  partcv[0] = 0;
  Object call111 = callmethodflags(call110, "indentLevel", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe108);
// compiled call node returning call111 (depth = 3)
// compiled member node returning call111 (depth = 2)
  adddatum2(obj35, call111, 2);
  sourceObject = obj35;
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe112 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe113 = gc_frame_new();
// call case 3: self.outer request
  Object call114 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe113);
// compiled call node returning call114 (depth = 5)
// compiled member node returning call114 (depth = 4)
  partcv[0] = 0;
  Object call115 = callmethodflags(call114, "startPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe112);
// compiled call node returning call115 (depth = 3)
// compiled member node returning call115 (depth = 2)
  adddatum2(obj35, call115, 3);
  sourceObject = obj35;
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool116 = alloc_Boolean(0);
// compiled identifier node returning bool116 (depth = 2)
  adddatum2(obj35, bool116, 4);
  sourceObject = obj35;
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool117 = alloc_Boolean(0);
// compiled identifier node returning bool117 (depth = 2)
  adddatum2(obj35, bool117, 5);
  sourceObject = obj35;
  sourceObject = obj35;
  objclass35 = obj35->class;
  objclass35->definitionModule = modulename;
  objclass35->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter35;
  self = oldself35;
  selfslot = oldselfslot35;
  stackframe = oldstackframe35;
  gc_frame_end(frame);
  return obj35;
}
Object meth_lexer_token34_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "token()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for token (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for token");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject35 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj35 = alloc_userobj2(9,8, objclass35);
  gc_frame_newslot(obj35);
if (objclass35 == NULL) {
  glfree(obj35->class->name);
  obj35->class->name = "token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj35, self, 0);
  addmethodreal(obj35,"outer", &reader_lexer_outer_36);
  Object oldself35 = self;
  struct StackFrameObject *oldstackframe35 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe35);
  gc_frame_newslot((Object)stackframe);
  self = obj35;
  Object *oldselfslot35 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter35 = (*(struct UserObject *)self).data[0], lowerouter35 = thisouter35;
  if (inheritingObject35) {
    struct UserObject *inho35 = (struct UserObject *)inheritingObject35;
    while (inho35->super != GraceDefaultObject) inho35 = (struct UserObject *)inho35->super;
    inho35->super = obj35;
    self = inheritingObject35;
    *selfslot = self;
    lowerouter35 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter35;
  }
if (objclass35 == NULL) {
  Method *reader37 = addmethodrealflags(obj35, "line",&reader_lexer_line_37, MFLAG_DEF);
  reader37->definitionModule = modulename;
  reader37->definitionLine = 47;
}
adddatum2(obj35, alloc_Undefined(), 1);
if (objclass35 == NULL) {
  Method *reader38 = addmethodrealflags(obj35, "indent",&reader_lexer_indent_38, MFLAG_DEF);
  reader38->definitionModule = modulename;
  reader38->definitionLine = 48;
}
adddatum2(obj35, alloc_Undefined(), 2);
if (objclass35 == NULL) {
  Method *reader39 = addmethodrealflags(obj35, "linePos",&reader_lexer_linePos_39, MFLAG_DEF);
  reader39->definitionModule = modulename;
  reader39->definitionLine = 49;
}
adddatum2(obj35, alloc_Undefined(), 3);
if (objclass35 == NULL) {
  Method *reader40 = addmethodrealflags(obj35, "next",&reader_lexer_next_40, 0);
  Method *writer40 = addmethodrealflags(obj35, "next:=",&writer_lexer_next_40, 0);
  reader40->definitionModule = modulename;
  writer40->definitionModule = modulename;
  reader40->definitionLine = 51;
  writer40->definitionLine = 51;
}
obj35->flags |= OFLAG_MUTABLE;
adddatum2(obj35, alloc_Undefined(), 4);
if (objclass35 == NULL) {
  Method *reader41 = addmethodrealflags(obj35, "prev",&reader_lexer_prev_41, 0);
  Method *writer41 = addmethodrealflags(obj35, "prev:=",&writer_lexer_prev_41, 0);
  reader41->definitionModule = modulename;
  writer41->definitionModule = modulename;
  reader41->definitionLine = 52;
  writer41->definitionLine = 52;
}
obj35->flags |= OFLAG_MUTABLE;
adddatum2(obj35, alloc_Undefined(), 5);
// method "=="
  struct UserObject *uo42 = (struct UserObject*)obj35;
  uo42->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61_42 = addmethod2pos(obj35, "==", &meth_lexer__61__61_42, 6);
  int argcv_meth_lexer__61__61_42[] = {1};
  meth_meth_lexer__61__61_42->type = alloc_MethodType(1, argcv_meth_lexer__61__61_42);
  meth_meth_lexer__61__61_42->definitionModule = modulename;
  meth_meth_lexer__61__61_42->definitionLine = 54;
// method "asString"
  struct UserObject *uo66 = (struct UserObject*)obj35;
  uo66->data[7] = emptyclosure;
  Method *meth_meth_lexer_asString66 = addmethod2pos(obj35, "asString", &meth_lexer_asString66, 7);
  int argcv_meth_lexer_asString66[] = {0};
  meth_meth_lexer_asString66->type = alloc_MethodType(1, argcv_meth_lexer_asString66);
  meth_meth_lexer_asString66->definitionModule = modulename;
  meth_meth_lexer_asString66->definitionLine = 61;
  sourceObject = obj35;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe104 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe105 = gc_frame_new();
// call case 3: self.outer request
  Object call106 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe105);
// compiled call node returning call106 (depth = 5)
// compiled member node returning call106 (depth = 4)
  partcv[0] = 0;
  Object call107 = callmethodflags(call106, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe104);
// compiled call node returning call107 (depth = 3)
// compiled member node returning call107 (depth = 2)
  adddatum2(obj35, call107, 1);
  sourceObject = obj35;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe108 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe109 = gc_frame_new();
// call case 3: self.outer request
  Object call110 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe109);
// compiled call node returning call110 (depth = 5)
// compiled member node returning call110 (depth = 4)
  partcv[0] = 0;
  Object call111 = callmethodflags(call110, "indentLevel", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe108);
// compiled call node returning call111 (depth = 3)
// compiled member node returning call111 (depth = 2)
  adddatum2(obj35, call111, 2);
  sourceObject = obj35;
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe112 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe113 = gc_frame_new();
// call case 3: self.outer request
  Object call114 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe113);
// compiled call node returning call114 (depth = 5)
// compiled member node returning call114 (depth = 4)
  partcv[0] = 0;
  Object call115 = callmethodflags(call114, "startPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe112);
// compiled call node returning call115 (depth = 3)
// compiled member node returning call115 (depth = 2)
  adddatum2(obj35, call115, 3);
  sourceObject = obj35;
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool116 = alloc_Boolean(0);
// compiled identifier node returning bool116 (depth = 2)
  adddatum2(obj35, bool116, 4);
  sourceObject = obj35;
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool117 = alloc_Boolean(0);
// compiled identifier node returning bool117 (depth = 2)
  adddatum2(obj35, bool117, 5);
  sourceObject = obj35;
  sourceObject = obj35;
  objclass35 = obj35->class;
  objclass35->definitionModule = modulename;
  objclass35->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter35;
  self = oldself35;
  selfslot = oldselfslot35;
  stackframe = oldstackframe35;
  gc_frame_end(frame);
  return obj35;
}
Object meth_lexer_identifierToken119(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "identifierToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method identifierToken");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for identifierToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for identifierToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject120 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj120 = alloc_userobj2(3,4, objclass120);
  gc_frame_newslot(obj120);
if (objclass120 == NULL) {
  glfree(obj120->class->name);
  obj120->class->name = "identifierToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj120, self, 0);
  addmethodreal(obj120,"outer", &reader_lexer_outer_121);
  Object oldself120 = self;
  struct StackFrameObject *oldstackframe120 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe120);
  gc_frame_newslot((Object)stackframe);
  self = obj120;
  Object *oldselfslot120 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter120 = (*(struct UserObject *)self).data[0], lowerouter120 = thisouter120;
  if (inheritingObject120) {
    struct UserObject *inho120 = (struct UserObject *)inheritingObject120;
    while (inho120->super != GraceDefaultObject) inho120 = (struct UserObject *)inho120->super;
    inho120->super = obj120;
    self = inheritingObject120;
    *selfslot = self;
    lowerouter120 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter120;
  }
if (objclass120 == NULL) {
  Method *reader122 = addmethodrealflags(obj120, "kind",&reader_lexer_kind_122, MFLAG_DEF);
  reader122->definitionModule = modulename;
  reader122->definitionLine = 67;
}
adddatum2(obj120, alloc_Undefined(), 1);
if (objclass120 == NULL) {
  Method *reader123 = addmethodrealflags(obj120, "value",&reader_lexer_value_123, MFLAG_DEF);
  reader123->definitionModule = modulename;
  reader123->definitionLine = 68;
}
adddatum2(obj120, alloc_Undefined(), 2);
if (objclass120 == NULL) {
  Method *reader124 = addmethodrealflags(obj120, "size",&reader_lexer_size_124, MFLAG_DEF);
  reader124->definitionModule = modulename;
  reader124->definitionLine = 69;
}
adddatum2(obj120, alloc_Undefined(), 3);
  sourceObject = obj120;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe125 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe126 = gc_frame_new();
// call case 3: self.outer request
  Object call127 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe126);
// compiled call node returning call127 (depth = 4)
// compiled member node returning call127 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call128 = callmethodflags(call127, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe125);
// compiled call node returning call128 (depth = 2)
  struct UserObject *obj120_uo = (struct UserObject *)obj120;
  obj120_uo->super = call128;
  sourceObject = obj120;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit129 == NULL) {
    strlit129 = alloc_String("identifier");
    gc_root(strlit129);
  }
// compiled string node returning strlit129 (depth = 2)
  adddatum2(obj120, strlit129, 1);
  sourceObject = obj120;
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj120, *var_s, 2);
  sourceObject = obj120;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe130 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  partcv[0] = 0;
  Object call131 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe130);
// compiled call node returning call131 (depth = 3)
// compiled member node returning call131 (depth = 2)
  adddatum2(obj120, call131, 3);
  objclass120 = obj120->class;
  objclass120->definitionModule = modulename;
  objclass120->definitionLine = 65;
  (*(struct UserObject *)self).data[0] = lowerouter120;
  self = oldself120;
  selfslot = oldselfslot120;
  stackframe = oldstackframe120;
  gc_frame_end(frame);
  return obj120;
}
Object meth_lexer_identifierToken119_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "identifierToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method identifierToken()object");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for identifierToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for identifierToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject120 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj120 = alloc_userobj2(3,4, objclass120);
  gc_frame_newslot(obj120);
if (objclass120 == NULL) {
  glfree(obj120->class->name);
  obj120->class->name = "identifierToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj120, self, 0);
  addmethodreal(obj120,"outer", &reader_lexer_outer_121);
  Object oldself120 = self;
  struct StackFrameObject *oldstackframe120 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe120);
  gc_frame_newslot((Object)stackframe);
  self = obj120;
  Object *oldselfslot120 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter120 = (*(struct UserObject *)self).data[0], lowerouter120 = thisouter120;
  if (inheritingObject120) {
    struct UserObject *inho120 = (struct UserObject *)inheritingObject120;
    while (inho120->super != GraceDefaultObject) inho120 = (struct UserObject *)inho120->super;
    inho120->super = obj120;
    self = inheritingObject120;
    *selfslot = self;
    lowerouter120 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter120;
  }
if (objclass120 == NULL) {
  Method *reader122 = addmethodrealflags(obj120, "kind",&reader_lexer_kind_122, MFLAG_DEF);
  reader122->definitionModule = modulename;
  reader122->definitionLine = 67;
}
adddatum2(obj120, alloc_Undefined(), 1);
if (objclass120 == NULL) {
  Method *reader123 = addmethodrealflags(obj120, "value",&reader_lexer_value_123, MFLAG_DEF);
  reader123->definitionModule = modulename;
  reader123->definitionLine = 68;
}
adddatum2(obj120, alloc_Undefined(), 2);
if (objclass120 == NULL) {
  Method *reader124 = addmethodrealflags(obj120, "size",&reader_lexer_size_124, MFLAG_DEF);
  reader124->definitionModule = modulename;
  reader124->definitionLine = 69;
}
adddatum2(obj120, alloc_Undefined(), 3);
  sourceObject = obj120;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe125 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe126 = gc_frame_new();
// call case 3: self.outer request
  Object call127 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe126);
// compiled call node returning call127 (depth = 4)
// compiled member node returning call127 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call128 = callmethodflags(call127, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe125);
// compiled call node returning call128 (depth = 2)
  struct UserObject *obj120_uo = (struct UserObject *)obj120;
  obj120_uo->super = call128;
  sourceObject = obj120;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit129 == NULL) {
    strlit129 = alloc_String("identifier");
    gc_root(strlit129);
  }
// compiled string node returning strlit129 (depth = 2)
  adddatum2(obj120, strlit129, 1);
  sourceObject = obj120;
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj120, *var_s, 2);
  sourceObject = obj120;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe130 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  partcv[0] = 0;
  Object call131 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe130);
// compiled call node returning call131 (depth = 3)
// compiled member node returning call131 (depth = 2)
  adddatum2(obj120, call131, 3);
  objclass120 = obj120->class;
  objclass120->definitionModule = modulename;
  objclass120->definitionLine = 65;
  (*(struct UserObject *)self).data[0] = lowerouter120;
  self = oldself120;
  selfslot = oldselfslot120;
  stackframe = oldstackframe120;
  gc_frame_end(frame);
  return obj120;
}
Object meth_lexer_stringToken133(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "stringToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method stringToken");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for stringToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for stringToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject134 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj134 = alloc_userobj2(3,4, objclass134);
  gc_frame_newslot(obj134);
if (objclass134 == NULL) {
  glfree(obj134->class->name);
  obj134->class->name = "stringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj134, self, 0);
  addmethodreal(obj134,"outer", &reader_lexer_outer_135);
  Object oldself134 = self;
  struct StackFrameObject *oldstackframe134 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe134);
  gc_frame_newslot((Object)stackframe);
  self = obj134;
  Object *oldselfslot134 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter134 = (*(struct UserObject *)self).data[0], lowerouter134 = thisouter134;
  if (inheritingObject134) {
    struct UserObject *inho134 = (struct UserObject *)inheritingObject134;
    while (inho134->super != GraceDefaultObject) inho134 = (struct UserObject *)inho134->super;
    inho134->super = obj134;
    self = inheritingObject134;
    *selfslot = self;
    lowerouter134 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter134;
  }
if (objclass134 == NULL) {
  Method *reader136 = addmethodrealflags(obj134, "kind",&reader_lexer_kind_136, MFLAG_DEF);
  reader136->definitionModule = modulename;
  reader136->definitionLine = 73;
}
adddatum2(obj134, alloc_Undefined(), 1);
if (objclass134 == NULL) {
  Method *reader137 = addmethodrealflags(obj134, "value",&reader_lexer_value_137, MFLAG_DEF);
  reader137->definitionModule = modulename;
  reader137->definitionLine = 74;
}
adddatum2(obj134, alloc_Undefined(), 2);
if (objclass134 == NULL) {
  Method *reader138 = addmethodrealflags(obj134, "size",&reader_lexer_size_138, MFLAG_DEF);
  reader138->definitionModule = modulename;
  reader138->definitionLine = 75;
}
adddatum2(obj134, alloc_Undefined(), 3);
  sourceObject = obj134;
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe139 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe140 = gc_frame_new();
// call case 3: self.outer request
  Object call141 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe140);
// compiled call node returning call141 (depth = 4)
// compiled member node returning call141 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call142 = callmethodflags(call141, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe139);
// compiled call node returning call142 (depth = 2)
  struct UserObject *obj134_uo = (struct UserObject *)obj134;
  obj134_uo->super = call142;
  sourceObject = obj134;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit143 == NULL) {
    strlit143 = alloc_String("string");
    gc_root(strlit143);
  }
// compiled string node returning strlit143 (depth = 2)
  adddatum2(obj134, strlit143, 1);
  sourceObject = obj134;
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj134, *var_s, 2);
  sourceObject = obj134;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num145 = alloc_Float64(1);
// compiled num node returning num145 (depth = 3)
  int op_slot_right_144 = gc_frame_newslot(num145);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe148 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe149 = gc_frame_new();
// call case 3: self.outer request
  Object call150 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe149);
// compiled call node returning call150 (depth = 7)
// compiled member node returning call150 (depth = 6)
  partcv[0] = 0;
  Object call151 = callmethodflags(call150, "stringStart", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe148);
// compiled call node returning call151 (depth = 5)
// compiled member node returning call151 (depth = 4)
  int op_slot_right_147 = gc_frame_newslot(call151);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe153 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe154 = gc_frame_new();
// call case 3: self.outer request
  Object call155 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe154);
// compiled call node returning call155 (depth = 7)
// compiled member node returning call155 (depth = 6)
  partcv[0] = 0;
  Object call156 = callmethodflags(call155, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe153);
// compiled call node returning call156 (depth = 5)
// compiled member node returning call156 (depth = 4)
  int op_slot_left_147 = gc_frame_newslot(call156);
  params[0] = call151;
  partcv[0] = 1;
  Object diff157 = callmethod(call156, "-", 1, partcv, params);
// compiled op node returning diff157 (depth = 3)
  int op_slot_left_144 = gc_frame_newslot(diff157);
  params[0] = num145;
  partcv[0] = 1;
  Object sum158 = callmethod(diff157, "+", 1, partcv, params);
// compiled op node returning sum158 (depth = 2)
  adddatum2(obj134, sum158, 3);
  objclass134 = obj134->class;
  objclass134->definitionModule = modulename;
  objclass134->definitionLine = 71;
  (*(struct UserObject *)self).data[0] = lowerouter134;
  self = oldself134;
  selfslot = oldselfslot134;
  stackframe = oldstackframe134;
  gc_frame_end(frame);
  return obj134;
}
Object meth_lexer_stringToken133_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "stringToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method stringToken()object");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for stringToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for stringToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject134 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj134 = alloc_userobj2(3,4, objclass134);
  gc_frame_newslot(obj134);
if (objclass134 == NULL) {
  glfree(obj134->class->name);
  obj134->class->name = "stringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj134, self, 0);
  addmethodreal(obj134,"outer", &reader_lexer_outer_135);
  Object oldself134 = self;
  struct StackFrameObject *oldstackframe134 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe134);
  gc_frame_newslot((Object)stackframe);
  self = obj134;
  Object *oldselfslot134 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter134 = (*(struct UserObject *)self).data[0], lowerouter134 = thisouter134;
  if (inheritingObject134) {
    struct UserObject *inho134 = (struct UserObject *)inheritingObject134;
    while (inho134->super != GraceDefaultObject) inho134 = (struct UserObject *)inho134->super;
    inho134->super = obj134;
    self = inheritingObject134;
    *selfslot = self;
    lowerouter134 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter134;
  }
if (objclass134 == NULL) {
  Method *reader136 = addmethodrealflags(obj134, "kind",&reader_lexer_kind_136, MFLAG_DEF);
  reader136->definitionModule = modulename;
  reader136->definitionLine = 73;
}
adddatum2(obj134, alloc_Undefined(), 1);
if (objclass134 == NULL) {
  Method *reader137 = addmethodrealflags(obj134, "value",&reader_lexer_value_137, MFLAG_DEF);
  reader137->definitionModule = modulename;
  reader137->definitionLine = 74;
}
adddatum2(obj134, alloc_Undefined(), 2);
if (objclass134 == NULL) {
  Method *reader138 = addmethodrealflags(obj134, "size",&reader_lexer_size_138, MFLAG_DEF);
  reader138->definitionModule = modulename;
  reader138->definitionLine = 75;
}
adddatum2(obj134, alloc_Undefined(), 3);
  sourceObject = obj134;
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe139 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe140 = gc_frame_new();
// call case 3: self.outer request
  Object call141 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe140);
// compiled call node returning call141 (depth = 4)
// compiled member node returning call141 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call142 = callmethodflags(call141, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe139);
// compiled call node returning call142 (depth = 2)
  struct UserObject *obj134_uo = (struct UserObject *)obj134;
  obj134_uo->super = call142;
  sourceObject = obj134;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit143 == NULL) {
    strlit143 = alloc_String("string");
    gc_root(strlit143);
  }
// compiled string node returning strlit143 (depth = 2)
  adddatum2(obj134, strlit143, 1);
  sourceObject = obj134;
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj134, *var_s, 2);
  sourceObject = obj134;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num145 = alloc_Float64(1);
// compiled num node returning num145 (depth = 3)
  int op_slot_right_144 = gc_frame_newslot(num145);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe148 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe149 = gc_frame_new();
// call case 3: self.outer request
  Object call150 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe149);
// compiled call node returning call150 (depth = 7)
// compiled member node returning call150 (depth = 6)
  partcv[0] = 0;
  Object call151 = callmethodflags(call150, "stringStart", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe148);
// compiled call node returning call151 (depth = 5)
// compiled member node returning call151 (depth = 4)
  int op_slot_right_147 = gc_frame_newslot(call151);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe153 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe154 = gc_frame_new();
// call case 3: self.outer request
  Object call155 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe154);
// compiled call node returning call155 (depth = 7)
// compiled member node returning call155 (depth = 6)
  partcv[0] = 0;
  Object call156 = callmethodflags(call155, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe153);
// compiled call node returning call156 (depth = 5)
// compiled member node returning call156 (depth = 4)
  int op_slot_left_147 = gc_frame_newslot(call156);
  params[0] = call151;
  partcv[0] = 1;
  Object diff157 = callmethod(call156, "-", 1, partcv, params);
// compiled op node returning diff157 (depth = 3)
  int op_slot_left_144 = gc_frame_newslot(diff157);
  params[0] = num145;
  partcv[0] = 1;
  Object sum158 = callmethod(diff157, "+", 1, partcv, params);
// compiled op node returning sum158 (depth = 2)
  adddatum2(obj134, sum158, 3);
  objclass134 = obj134->class;
  objclass134->definitionModule = modulename;
  objclass134->definitionLine = 71;
  (*(struct UserObject *)self).data[0] = lowerouter134;
  self = oldself134;
  selfslot = oldselfslot134;
  stackframe = oldstackframe134;
  gc_frame_end(frame);
  return obj134;
}
Object meth_lexer_line168(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "line");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for line (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for line");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe169 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call170 = callmethodflags(self, "line'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe169);
// compiled call node returning call170 (depth = 3)
// compiled member node returning call170 (depth = 2)
  gc_frame_end(frame);
  return call170;
}
Object meth_lexer_linePos171(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "linePos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for linePos (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for linePos");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe172 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call173 = callmethodflags(self, "linePos'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe172);
// compiled call node returning call173 (depth = 3)
// compiled member node returning call173 (depth = 2)
  gc_frame_end(frame);
  return call173;
}
Object meth_lexer_multiLineStringToken160(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "multiLineStringToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method multiLineStringToken");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for multiLineStringToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for multiLineStringToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject161 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj161 = alloc_userobj2(7,8, objclass161);
  gc_frame_newslot(obj161);
if (objclass161 == NULL) {
  glfree(obj161->class->name);
  obj161->class->name = "multiLineStringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj161, self, 0);
  addmethodreal(obj161,"outer", &reader_lexer_outer_162);
  Object oldself161 = self;
  struct StackFrameObject *oldstackframe161 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe161);
  gc_frame_newslot((Object)stackframe);
  self = obj161;
  Object *oldselfslot161 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter161 = (*(struct UserObject *)self).data[0], lowerouter161 = thisouter161;
  if (inheritingObject161) {
    struct UserObject *inho161 = (struct UserObject *)inheritingObject161;
    while (inho161->super != GraceDefaultObject) inho161 = (struct UserObject *)inho161->super;
    inho161->super = obj161;
    self = inheritingObject161;
    *selfslot = self;
    lowerouter161 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter161;
  }
if (objclass161 == NULL) {
  Method *reader163 = addmethodrealflags(obj161, "kind",&reader_lexer_kind_163, MFLAG_DEF);
  reader163->definitionModule = modulename;
  reader163->definitionLine = 79;
}
adddatum2(obj161, alloc_Undefined(), 1);
if (objclass161 == NULL) {
  Method *reader164 = addmethodrealflags(obj161, "value",&reader_lexer_value_164, MFLAG_DEF);
  reader164->definitionModule = modulename;
  reader164->definitionLine = 80;
}
adddatum2(obj161, alloc_Undefined(), 2);
if (objclass161 == NULL) {
  Method *reader165 = addmethodrealflags(obj161, "size",&reader_lexer_size_165, MFLAG_DEF);
  reader165->definitionModule = modulename;
  reader165->definitionLine = 81;
}
adddatum2(obj161, alloc_Undefined(), 3);
if (objclass161 == NULL) {
  Method *reader166 = addmethodrealflags(obj161, "line'",&reader_lexer_line_39__166, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader166->definitionModule = modulename;
  reader166->definitionLine = 82;
}
adddatum2(obj161, alloc_Undefined(), 4);
if (objclass161 == NULL) {
  Method *reader167 = addmethodrealflags(obj161, "linePos'",&reader_lexer_linePos_39__167, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader167->definitionModule = modulename;
  reader167->definitionLine = 83;
}
adddatum2(obj161, alloc_Undefined(), 5);
// method "line"
  struct UserObject *uo168 = (struct UserObject*)obj161;
  uo168->data[6] = emptyclosure;
  Method *meth_meth_lexer_line168 = addmethod2pos(obj161, "line", &meth_lexer_line168, 6);
  int argcv_meth_lexer_line168[] = {0};
  meth_meth_lexer_line168->type = alloc_MethodType(1, argcv_meth_lexer_line168);
  meth_meth_lexer_line168->definitionModule = modulename;
  meth_meth_lexer_line168->definitionLine = 84;
// method "linePos"
  struct UserObject *uo171 = (struct UserObject*)obj161;
  uo171->data[7] = emptyclosure;
  Method *meth_meth_lexer_linePos171 = addmethod2pos(obj161, "linePos", &meth_lexer_linePos171, 7);
  int argcv_meth_lexer_linePos171[] = {0};
  meth_meth_lexer_linePos171->type = alloc_MethodType(1, argcv_meth_lexer_linePos171);
  meth_meth_lexer_linePos171->definitionModule = modulename;
  meth_meth_lexer_linePos171->definitionLine = 85;
  sourceObject = obj161;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe174 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe175 = gc_frame_new();
// call case 3: self.outer request
  Object call176 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe175);
// compiled call node returning call176 (depth = 4)
// compiled member node returning call176 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call177 = callmethodflags(call176, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe174);
// compiled call node returning call177 (depth = 2)
  struct UserObject *obj161_uo = (struct UserObject *)obj161;
  obj161_uo->super = call177;
  sourceObject = obj161;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit178 == NULL) {
    strlit178 = alloc_String("string");
    gc_root(strlit178);
  }
// compiled string node returning strlit178 (depth = 2)
  adddatum2(obj161, strlit178, 1);
  sourceObject = obj161;
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj161, *var_s, 2);
  sourceObject = obj161;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num180 = alloc_Float64(2);
// compiled num node returning num180 (depth = 3)
  int op_slot_right_179 = gc_frame_newslot(num180);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe182 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  partcv[0] = 0;
  Object call183 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe182);
// compiled call node returning call183 (depth = 4)
// compiled member node returning call183 (depth = 3)
  int op_slot_left_179 = gc_frame_newslot(call183);
  params[0] = num180;
  partcv[0] = 1;
  Object sum184 = callmethod(call183, "+", 1, partcv, params);
// compiled op node returning sum184 (depth = 2)
  adddatum2(obj161, sum184, 3);
  sourceObject = obj161;
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe185 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe186 = gc_frame_new();
// call case 3: self.outer request
  Object call187 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe186);
// compiled call node returning call187 (depth = 5)
// compiled member node returning call187 (depth = 4)
  partcv[0] = 0;
  Object call188 = callmethodflags(call187, "startLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe185);
// compiled call node returning call188 (depth = 3)
// compiled member node returning call188 (depth = 2)
  adddatum2(obj161, call188, 4);
  sourceObject = obj161;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe189 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe190 = gc_frame_new();
// call case 3: self.outer request
  Object call191 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe190);
// compiled call node returning call191 (depth = 5)
// compiled member node returning call191 (depth = 4)
  partcv[0] = 0;
  Object call192 = callmethodflags(call191, "stringStart", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe189);
// compiled call node returning call192 (depth = 3)
// compiled member node returning call192 (depth = 2)
  adddatum2(obj161, call192, 5);
  sourceObject = obj161;
  sourceObject = obj161;
  objclass161 = obj161->class;
  objclass161->definitionModule = modulename;
  objclass161->definitionLine = 77;
  (*(struct UserObject *)self).data[0] = lowerouter161;
  self = oldself161;
  selfslot = oldselfslot161;
  stackframe = oldstackframe161;
  gc_frame_end(frame);
  return obj161;
}
Object meth_lexer_multiLineStringToken160_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "multiLineStringToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method multiLineStringToken()object");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for multiLineStringToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for multiLineStringToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject161 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj161 = alloc_userobj2(7,8, objclass161);
  gc_frame_newslot(obj161);
if (objclass161 == NULL) {
  glfree(obj161->class->name);
  obj161->class->name = "multiLineStringToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj161, self, 0);
  addmethodreal(obj161,"outer", &reader_lexer_outer_162);
  Object oldself161 = self;
  struct StackFrameObject *oldstackframe161 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe161);
  gc_frame_newslot((Object)stackframe);
  self = obj161;
  Object *oldselfslot161 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter161 = (*(struct UserObject *)self).data[0], lowerouter161 = thisouter161;
  if (inheritingObject161) {
    struct UserObject *inho161 = (struct UserObject *)inheritingObject161;
    while (inho161->super != GraceDefaultObject) inho161 = (struct UserObject *)inho161->super;
    inho161->super = obj161;
    self = inheritingObject161;
    *selfslot = self;
    lowerouter161 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter161;
  }
if (objclass161 == NULL) {
  Method *reader163 = addmethodrealflags(obj161, "kind",&reader_lexer_kind_163, MFLAG_DEF);
  reader163->definitionModule = modulename;
  reader163->definitionLine = 79;
}
adddatum2(obj161, alloc_Undefined(), 1);
if (objclass161 == NULL) {
  Method *reader164 = addmethodrealflags(obj161, "value",&reader_lexer_value_164, MFLAG_DEF);
  reader164->definitionModule = modulename;
  reader164->definitionLine = 80;
}
adddatum2(obj161, alloc_Undefined(), 2);
if (objclass161 == NULL) {
  Method *reader165 = addmethodrealflags(obj161, "size",&reader_lexer_size_165, MFLAG_DEF);
  reader165->definitionModule = modulename;
  reader165->definitionLine = 81;
}
adddatum2(obj161, alloc_Undefined(), 3);
if (objclass161 == NULL) {
  Method *reader166 = addmethodrealflags(obj161, "line'",&reader_lexer_line_39__166, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader166->definitionModule = modulename;
  reader166->definitionLine = 82;
}
adddatum2(obj161, alloc_Undefined(), 4);
if (objclass161 == NULL) {
  Method *reader167 = addmethodrealflags(obj161, "linePos'",&reader_lexer_linePos_39__167, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader167->definitionModule = modulename;
  reader167->definitionLine = 83;
}
adddatum2(obj161, alloc_Undefined(), 5);
// method "line"
  struct UserObject *uo168 = (struct UserObject*)obj161;
  uo168->data[6] = emptyclosure;
  Method *meth_meth_lexer_line168 = addmethod2pos(obj161, "line", &meth_lexer_line168, 6);
  int argcv_meth_lexer_line168[] = {0};
  meth_meth_lexer_line168->type = alloc_MethodType(1, argcv_meth_lexer_line168);
  meth_meth_lexer_line168->definitionModule = modulename;
  meth_meth_lexer_line168->definitionLine = 84;
// method "linePos"
  struct UserObject *uo171 = (struct UserObject*)obj161;
  uo171->data[7] = emptyclosure;
  Method *meth_meth_lexer_linePos171 = addmethod2pos(obj161, "linePos", &meth_lexer_linePos171, 7);
  int argcv_meth_lexer_linePos171[] = {0};
  meth_meth_lexer_linePos171->type = alloc_MethodType(1, argcv_meth_lexer_linePos171);
  meth_meth_lexer_linePos171->definitionModule = modulename;
  meth_meth_lexer_linePos171->definitionLine = 85;
  sourceObject = obj161;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe174 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe175 = gc_frame_new();
// call case 3: self.outer request
  Object call176 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe175);
// compiled call node returning call176 (depth = 4)
// compiled member node returning call176 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call177 = callmethodflags(call176, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe174);
// compiled call node returning call177 (depth = 2)
  struct UserObject *obj161_uo = (struct UserObject *)obj161;
  obj161_uo->super = call177;
  sourceObject = obj161;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit178 == NULL) {
    strlit178 = alloc_String("string");
    gc_root(strlit178);
  }
// compiled string node returning strlit178 (depth = 2)
  adddatum2(obj161, strlit178, 1);
  sourceObject = obj161;
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj161, *var_s, 2);
  sourceObject = obj161;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num180 = alloc_Float64(2);
// compiled num node returning num180 (depth = 3)
  int op_slot_right_179 = gc_frame_newslot(num180);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe182 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  partcv[0] = 0;
  Object call183 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe182);
// compiled call node returning call183 (depth = 4)
// compiled member node returning call183 (depth = 3)
  int op_slot_left_179 = gc_frame_newslot(call183);
  params[0] = num180;
  partcv[0] = 1;
  Object sum184 = callmethod(call183, "+", 1, partcv, params);
// compiled op node returning sum184 (depth = 2)
  adddatum2(obj161, sum184, 3);
  sourceObject = obj161;
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe185 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe186 = gc_frame_new();
// call case 3: self.outer request
  Object call187 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe186);
// compiled call node returning call187 (depth = 5)
// compiled member node returning call187 (depth = 4)
  partcv[0] = 0;
  Object call188 = callmethodflags(call187, "startLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe185);
// compiled call node returning call188 (depth = 3)
// compiled member node returning call188 (depth = 2)
  adddatum2(obj161, call188, 4);
  sourceObject = obj161;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe189 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe190 = gc_frame_new();
// call case 3: self.outer request
  Object call191 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe190);
// compiled call node returning call191 (depth = 5)
// compiled member node returning call191 (depth = 4)
  partcv[0] = 0;
  Object call192 = callmethodflags(call191, "stringStart", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe189);
// compiled call node returning call192 (depth = 3)
// compiled member node returning call192 (depth = 2)
  adddatum2(obj161, call192, 5);
  sourceObject = obj161;
  sourceObject = obj161;
  objclass161 = obj161->class;
  objclass161->definitionModule = modulename;
  objclass161->definitionLine = 77;
  (*(struct UserObject *)self).data[0] = lowerouter161;
  self = oldself161;
  selfslot = oldselfslot161;
  stackframe = oldstackframe161;
  gc_frame_end(frame);
  return obj161;
}
Object meth_lexer_commentToken194(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commentToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method commentToken");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commentToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for commentToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject195 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj195 = alloc_userobj2(3,4, objclass195);
  gc_frame_newslot(obj195);
if (objclass195 == NULL) {
  glfree(obj195->class->name);
  obj195->class->name = "commentToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj195, self, 0);
  addmethodreal(obj195,"outer", &reader_lexer_outer_196);
  Object oldself195 = self;
  struct StackFrameObject *oldstackframe195 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe195);
  gc_frame_newslot((Object)stackframe);
  self = obj195;
  Object *oldselfslot195 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter195 = (*(struct UserObject *)self).data[0], lowerouter195 = thisouter195;
  if (inheritingObject195) {
    struct UserObject *inho195 = (struct UserObject *)inheritingObject195;
    while (inho195->super != GraceDefaultObject) inho195 = (struct UserObject *)inho195->super;
    inho195->super = obj195;
    self = inheritingObject195;
    *selfslot = self;
    lowerouter195 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter195;
  }
if (objclass195 == NULL) {
  Method *reader197 = addmethodrealflags(obj195, "kind",&reader_lexer_kind_197, MFLAG_DEF);
  reader197->definitionModule = modulename;
  reader197->definitionLine = 89;
}
adddatum2(obj195, alloc_Undefined(), 1);
if (objclass195 == NULL) {
  Method *reader198 = addmethodrealflags(obj195, "value",&reader_lexer_value_198, MFLAG_DEF);
  reader198->definitionModule = modulename;
  reader198->definitionLine = 90;
}
adddatum2(obj195, alloc_Undefined(), 2);
if (objclass195 == NULL) {
  Method *reader199 = addmethodrealflags(obj195, "size",&reader_lexer_size_199, MFLAG_DEF);
  reader199->definitionModule = modulename;
  reader199->definitionLine = 91;
}
adddatum2(obj195, alloc_Undefined(), 3);
  sourceObject = obj195;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe200 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe201 = gc_frame_new();
// call case 3: self.outer request
  Object call202 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe201);
// compiled call node returning call202 (depth = 4)
// compiled member node returning call202 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call203 = callmethodflags(call202, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe200);
// compiled call node returning call203 (depth = 2)
  struct UserObject *obj195_uo = (struct UserObject *)obj195;
  obj195_uo->super = call203;
  sourceObject = obj195;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit204 == NULL) {
    strlit204 = alloc_String("comment");
    gc_root(strlit204);
  }
// compiled string node returning strlit204 (depth = 2)
  adddatum2(obj195, strlit204, 1);
  sourceObject = obj195;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj195, *var_s, 2);
  sourceObject = obj195;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num206 = alloc_Float64(2);
// compiled num node returning num206 (depth = 3)
  int op_slot_right_205 = gc_frame_newslot(num206);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe208 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  partcv[0] = 0;
  Object call209 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe208);
// compiled call node returning call209 (depth = 4)
// compiled member node returning call209 (depth = 3)
  int op_slot_left_205 = gc_frame_newslot(call209);
  params[0] = num206;
  partcv[0] = 1;
  Object sum210 = callmethod(call209, "+", 1, partcv, params);
// compiled op node returning sum210 (depth = 2)
  adddatum2(obj195, sum210, 3);
  objclass195 = obj195->class;
  objclass195->definitionModule = modulename;
  objclass195->definitionLine = 87;
  (*(struct UserObject *)self).data[0] = lowerouter195;
  self = oldself195;
  selfslot = oldselfslot195;
  stackframe = oldstackframe195;
  gc_frame_end(frame);
  return obj195;
}
Object meth_lexer_commentToken194_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commentToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method commentToken()object");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commentToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for commentToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject195 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj195 = alloc_userobj2(3,4, objclass195);
  gc_frame_newslot(obj195);
if (objclass195 == NULL) {
  glfree(obj195->class->name);
  obj195->class->name = "commentToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj195, self, 0);
  addmethodreal(obj195,"outer", &reader_lexer_outer_196);
  Object oldself195 = self;
  struct StackFrameObject *oldstackframe195 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe195);
  gc_frame_newslot((Object)stackframe);
  self = obj195;
  Object *oldselfslot195 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter195 = (*(struct UserObject *)self).data[0], lowerouter195 = thisouter195;
  if (inheritingObject195) {
    struct UserObject *inho195 = (struct UserObject *)inheritingObject195;
    while (inho195->super != GraceDefaultObject) inho195 = (struct UserObject *)inho195->super;
    inho195->super = obj195;
    self = inheritingObject195;
    *selfslot = self;
    lowerouter195 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter195;
  }
if (objclass195 == NULL) {
  Method *reader197 = addmethodrealflags(obj195, "kind",&reader_lexer_kind_197, MFLAG_DEF);
  reader197->definitionModule = modulename;
  reader197->definitionLine = 89;
}
adddatum2(obj195, alloc_Undefined(), 1);
if (objclass195 == NULL) {
  Method *reader198 = addmethodrealflags(obj195, "value",&reader_lexer_value_198, MFLAG_DEF);
  reader198->definitionModule = modulename;
  reader198->definitionLine = 90;
}
adddatum2(obj195, alloc_Undefined(), 2);
if (objclass195 == NULL) {
  Method *reader199 = addmethodrealflags(obj195, "size",&reader_lexer_size_199, MFLAG_DEF);
  reader199->definitionModule = modulename;
  reader199->definitionLine = 91;
}
adddatum2(obj195, alloc_Undefined(), 3);
  sourceObject = obj195;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe200 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe201 = gc_frame_new();
// call case 3: self.outer request
  Object call202 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe201);
// compiled call node returning call202 (depth = 4)
// compiled member node returning call202 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call203 = callmethodflags(call202, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe200);
// compiled call node returning call203 (depth = 2)
  struct UserObject *obj195_uo = (struct UserObject *)obj195;
  obj195_uo->super = call203;
  sourceObject = obj195;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit204 == NULL) {
    strlit204 = alloc_String("comment");
    gc_root(strlit204);
  }
// compiled string node returning strlit204 (depth = 2)
  adddatum2(obj195, strlit204, 1);
  sourceObject = obj195;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj195, *var_s, 2);
  sourceObject = obj195;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num206 = alloc_Float64(2);
// compiled num node returning num206 (depth = 3)
  int op_slot_right_205 = gc_frame_newslot(num206);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe208 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  partcv[0] = 0;
  Object call209 = callmethod(*var_s, "size",
    1, partcv, params);
  gc_frame_end(callframe208);
// compiled call node returning call209 (depth = 4)
// compiled member node returning call209 (depth = 3)
  int op_slot_left_205 = gc_frame_newslot(call209);
  params[0] = num206;
  partcv[0] = 1;
  Object sum210 = callmethod(call209, "+", 1, partcv, params);
// compiled op node returning sum210 (depth = 2)
  adddatum2(obj195, sum210, 3);
  objclass195 = obj195->class;
  objclass195->definitionModule = modulename;
  objclass195->definitionLine = 87;
  (*(struct UserObject *)self).data[0] = lowerouter195;
  self = oldself195;
  selfslot = oldselfslot195;
  stackframe = oldstackframe195;
  gc_frame_end(frame);
  return obj195;
}
Object meth_lexer_lBraceToken212(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lBraceToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lBraceToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for lBraceToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject213 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj213 = alloc_userobj2(3,4, objclass213);
  gc_frame_newslot(obj213);
if (objclass213 == NULL) {
  glfree(obj213->class->name);
  obj213->class->name = "lBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj213, self, 0);
  addmethodreal(obj213,"outer", &reader_lexer_outer_214);
  Object oldself213 = self;
  struct StackFrameObject *oldstackframe213 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe213);
  gc_frame_newslot((Object)stackframe);
  self = obj213;
  Object *oldselfslot213 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter213 = (*(struct UserObject *)self).data[0], lowerouter213 = thisouter213;
  if (inheritingObject213) {
    struct UserObject *inho213 = (struct UserObject *)inheritingObject213;
    while (inho213->super != GraceDefaultObject) inho213 = (struct UserObject *)inho213->super;
    inho213->super = obj213;
    self = inheritingObject213;
    *selfslot = self;
    lowerouter213 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter213;
  }
if (objclass213 == NULL) {
  Method *reader215 = addmethodrealflags(obj213, "kind",&reader_lexer_kind_215, MFLAG_DEF);
  reader215->definitionModule = modulename;
  reader215->definitionLine = 95;
}
adddatum2(obj213, alloc_Undefined(), 1);
if (objclass213 == NULL) {
  Method *reader216 = addmethodrealflags(obj213, "value",&reader_lexer_value_216, MFLAG_DEF);
  reader216->definitionModule = modulename;
  reader216->definitionLine = 96;
}
adddatum2(obj213, alloc_Undefined(), 2);
if (objclass213 == NULL) {
  Method *reader217 = addmethodrealflags(obj213, "size",&reader_lexer_size_217, MFLAG_DEF);
  reader217->definitionModule = modulename;
  reader217->definitionLine = 97;
}
adddatum2(obj213, alloc_Undefined(), 3);
  sourceObject = obj213;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe218 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe219 = gc_frame_new();
// call case 3: self.outer request
  Object call220 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe219);
// compiled call node returning call220 (depth = 4)
// compiled member node returning call220 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call221 = callmethodflags(call220, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe218);
// compiled call node returning call221 (depth = 2)
  struct UserObject *obj213_uo = (struct UserObject *)obj213;
  obj213_uo->super = call221;
  sourceObject = obj213;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit222 == NULL) {
    strlit222 = alloc_String("lbrace");
    gc_root(strlit222);
  }
// compiled string node returning strlit222 (depth = 2)
  adddatum2(obj213, strlit222, 1);
  sourceObject = obj213;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit223 == NULL) {
    strlit223 = alloc_String("{");
    gc_root(strlit223);
  }
// compiled string node returning strlit223 (depth = 2)
  adddatum2(obj213, strlit223, 2);
  sourceObject = obj213;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num224 = alloc_Float64(1);
// compiled num node returning num224 (depth = 2)
  adddatum2(obj213, num224, 3);
  objclass213 = obj213->class;
  objclass213->definitionModule = modulename;
  objclass213->definitionLine = 93;
  (*(struct UserObject *)self).data[0] = lowerouter213;
  self = oldself213;
  selfslot = oldselfslot213;
  stackframe = oldstackframe213;
  gc_frame_end(frame);
  return obj213;
}
Object meth_lexer_lBraceToken212_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lBraceToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lBraceToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for lBraceToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject213 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj213 = alloc_userobj2(3,4, objclass213);
  gc_frame_newslot(obj213);
if (objclass213 == NULL) {
  glfree(obj213->class->name);
  obj213->class->name = "lBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj213, self, 0);
  addmethodreal(obj213,"outer", &reader_lexer_outer_214);
  Object oldself213 = self;
  struct StackFrameObject *oldstackframe213 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe213);
  gc_frame_newslot((Object)stackframe);
  self = obj213;
  Object *oldselfslot213 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter213 = (*(struct UserObject *)self).data[0], lowerouter213 = thisouter213;
  if (inheritingObject213) {
    struct UserObject *inho213 = (struct UserObject *)inheritingObject213;
    while (inho213->super != GraceDefaultObject) inho213 = (struct UserObject *)inho213->super;
    inho213->super = obj213;
    self = inheritingObject213;
    *selfslot = self;
    lowerouter213 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter213;
  }
if (objclass213 == NULL) {
  Method *reader215 = addmethodrealflags(obj213, "kind",&reader_lexer_kind_215, MFLAG_DEF);
  reader215->definitionModule = modulename;
  reader215->definitionLine = 95;
}
adddatum2(obj213, alloc_Undefined(), 1);
if (objclass213 == NULL) {
  Method *reader216 = addmethodrealflags(obj213, "value",&reader_lexer_value_216, MFLAG_DEF);
  reader216->definitionModule = modulename;
  reader216->definitionLine = 96;
}
adddatum2(obj213, alloc_Undefined(), 2);
if (objclass213 == NULL) {
  Method *reader217 = addmethodrealflags(obj213, "size",&reader_lexer_size_217, MFLAG_DEF);
  reader217->definitionModule = modulename;
  reader217->definitionLine = 97;
}
adddatum2(obj213, alloc_Undefined(), 3);
  sourceObject = obj213;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe218 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe219 = gc_frame_new();
// call case 3: self.outer request
  Object call220 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe219);
// compiled call node returning call220 (depth = 4)
// compiled member node returning call220 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call221 = callmethodflags(call220, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe218);
// compiled call node returning call221 (depth = 2)
  struct UserObject *obj213_uo = (struct UserObject *)obj213;
  obj213_uo->super = call221;
  sourceObject = obj213;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit222 == NULL) {
    strlit222 = alloc_String("lbrace");
    gc_root(strlit222);
  }
// compiled string node returning strlit222 (depth = 2)
  adddatum2(obj213, strlit222, 1);
  sourceObject = obj213;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit223 == NULL) {
    strlit223 = alloc_String("{");
    gc_root(strlit223);
  }
// compiled string node returning strlit223 (depth = 2)
  adddatum2(obj213, strlit223, 2);
  sourceObject = obj213;
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num224 = alloc_Float64(1);
// compiled num node returning num224 (depth = 2)
  adddatum2(obj213, num224, 3);
  objclass213 = obj213->class;
  objclass213->definitionModule = modulename;
  objclass213->definitionLine = 93;
  (*(struct UserObject *)self).data[0] = lowerouter213;
  self = oldself213;
  selfslot = oldselfslot213;
  stackframe = oldstackframe213;
  gc_frame_end(frame);
  return obj213;
}
Object meth_lexer_rBraceToken226(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rBraceToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for rBraceToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for rBraceToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject227 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj227 = alloc_userobj2(3,4, objclass227);
  gc_frame_newslot(obj227);
if (objclass227 == NULL) {
  glfree(obj227->class->name);
  obj227->class->name = "rBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj227, self, 0);
  addmethodreal(obj227,"outer", &reader_lexer_outer_228);
  Object oldself227 = self;
  struct StackFrameObject *oldstackframe227 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe227);
  gc_frame_newslot((Object)stackframe);
  self = obj227;
  Object *oldselfslot227 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter227 = (*(struct UserObject *)self).data[0], lowerouter227 = thisouter227;
  if (inheritingObject227) {
    struct UserObject *inho227 = (struct UserObject *)inheritingObject227;
    while (inho227->super != GraceDefaultObject) inho227 = (struct UserObject *)inho227->super;
    inho227->super = obj227;
    self = inheritingObject227;
    *selfslot = self;
    lowerouter227 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter227;
  }
if (objclass227 == NULL) {
  Method *reader229 = addmethodrealflags(obj227, "kind",&reader_lexer_kind_229, MFLAG_DEF);
  reader229->definitionModule = modulename;
  reader229->definitionLine = 101;
}
adddatum2(obj227, alloc_Undefined(), 1);
if (objclass227 == NULL) {
  Method *reader230 = addmethodrealflags(obj227, "value",&reader_lexer_value_230, MFLAG_DEF);
  reader230->definitionModule = modulename;
  reader230->definitionLine = 102;
}
adddatum2(obj227, alloc_Undefined(), 2);
if (objclass227 == NULL) {
  Method *reader231 = addmethodrealflags(obj227, "size",&reader_lexer_size_231, MFLAG_DEF);
  reader231->definitionModule = modulename;
  reader231->definitionLine = 103;
}
adddatum2(obj227, alloc_Undefined(), 3);
  sourceObject = obj227;
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe232 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe233 = gc_frame_new();
// call case 3: self.outer request
  Object call234 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe233);
// compiled call node returning call234 (depth = 4)
// compiled member node returning call234 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call235 = callmethodflags(call234, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe232);
// compiled call node returning call235 (depth = 2)
  struct UserObject *obj227_uo = (struct UserObject *)obj227;
  obj227_uo->super = call235;
  sourceObject = obj227;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit236 == NULL) {
    strlit236 = alloc_String("rbrace");
    gc_root(strlit236);
  }
// compiled string node returning strlit236 (depth = 2)
  adddatum2(obj227, strlit236, 1);
  sourceObject = obj227;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit237 == NULL) {
    strlit237 = alloc_String("}");
    gc_root(strlit237);
  }
// compiled string node returning strlit237 (depth = 2)
  adddatum2(obj227, strlit237, 2);
  sourceObject = obj227;
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num238 = alloc_Float64(1);
// compiled num node returning num238 (depth = 2)
  adddatum2(obj227, num238, 3);
  objclass227 = obj227->class;
  objclass227->definitionModule = modulename;
  objclass227->definitionLine = 99;
  (*(struct UserObject *)self).data[0] = lowerouter227;
  self = oldself227;
  selfslot = oldselfslot227;
  stackframe = oldstackframe227;
  gc_frame_end(frame);
  return obj227;
}
Object meth_lexer_rBraceToken226_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rBraceToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for rBraceToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for rBraceToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject227 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj227 = alloc_userobj2(3,4, objclass227);
  gc_frame_newslot(obj227);
if (objclass227 == NULL) {
  glfree(obj227->class->name);
  obj227->class->name = "rBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj227, self, 0);
  addmethodreal(obj227,"outer", &reader_lexer_outer_228);
  Object oldself227 = self;
  struct StackFrameObject *oldstackframe227 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe227);
  gc_frame_newslot((Object)stackframe);
  self = obj227;
  Object *oldselfslot227 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter227 = (*(struct UserObject *)self).data[0], lowerouter227 = thisouter227;
  if (inheritingObject227) {
    struct UserObject *inho227 = (struct UserObject *)inheritingObject227;
    while (inho227->super != GraceDefaultObject) inho227 = (struct UserObject *)inho227->super;
    inho227->super = obj227;
    self = inheritingObject227;
    *selfslot = self;
    lowerouter227 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter227;
  }
if (objclass227 == NULL) {
  Method *reader229 = addmethodrealflags(obj227, "kind",&reader_lexer_kind_229, MFLAG_DEF);
  reader229->definitionModule = modulename;
  reader229->definitionLine = 101;
}
adddatum2(obj227, alloc_Undefined(), 1);
if (objclass227 == NULL) {
  Method *reader230 = addmethodrealflags(obj227, "value",&reader_lexer_value_230, MFLAG_DEF);
  reader230->definitionModule = modulename;
  reader230->definitionLine = 102;
}
adddatum2(obj227, alloc_Undefined(), 2);
if (objclass227 == NULL) {
  Method *reader231 = addmethodrealflags(obj227, "size",&reader_lexer_size_231, MFLAG_DEF);
  reader231->definitionModule = modulename;
  reader231->definitionLine = 103;
}
adddatum2(obj227, alloc_Undefined(), 3);
  sourceObject = obj227;
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe232 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe233 = gc_frame_new();
// call case 3: self.outer request
  Object call234 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe233);
// compiled call node returning call234 (depth = 4)
// compiled member node returning call234 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call235 = callmethodflags(call234, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe232);
// compiled call node returning call235 (depth = 2)
  struct UserObject *obj227_uo = (struct UserObject *)obj227;
  obj227_uo->super = call235;
  sourceObject = obj227;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit236 == NULL) {
    strlit236 = alloc_String("rbrace");
    gc_root(strlit236);
  }
// compiled string node returning strlit236 (depth = 2)
  adddatum2(obj227, strlit236, 1);
  sourceObject = obj227;
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit237 == NULL) {
    strlit237 = alloc_String("}");
    gc_root(strlit237);
  }
// compiled string node returning strlit237 (depth = 2)
  adddatum2(obj227, strlit237, 2);
  sourceObject = obj227;
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num238 = alloc_Float64(1);
// compiled num node returning num238 (depth = 2)
  adddatum2(obj227, num238, 3);
  objclass227 = obj227->class;
  objclass227->definitionModule = modulename;
  objclass227->definitionLine = 99;
  (*(struct UserObject *)self).data[0] = lowerouter227;
  self = oldself227;
  selfslot = oldselfslot227;
  stackframe = oldstackframe227;
  gc_frame_end(frame);
  return obj227;
}
Object meth_lexer_lParenToken240(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lParenToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lParenToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for lParenToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject241 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj241 = alloc_userobj2(3,4, objclass241);
  gc_frame_newslot(obj241);
if (objclass241 == NULL) {
  glfree(obj241->class->name);
  obj241->class->name = "lParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj241, self, 0);
  addmethodreal(obj241,"outer", &reader_lexer_outer_242);
  Object oldself241 = self;
  struct StackFrameObject *oldstackframe241 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe241);
  gc_frame_newslot((Object)stackframe);
  self = obj241;
  Object *oldselfslot241 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter241 = (*(struct UserObject *)self).data[0], lowerouter241 = thisouter241;
  if (inheritingObject241) {
    struct UserObject *inho241 = (struct UserObject *)inheritingObject241;
    while (inho241->super != GraceDefaultObject) inho241 = (struct UserObject *)inho241->super;
    inho241->super = obj241;
    self = inheritingObject241;
    *selfslot = self;
    lowerouter241 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter241;
  }
if (objclass241 == NULL) {
  Method *reader243 = addmethodrealflags(obj241, "kind",&reader_lexer_kind_243, MFLAG_DEF);
  reader243->definitionModule = modulename;
  reader243->definitionLine = 107;
}
adddatum2(obj241, alloc_Undefined(), 1);
if (objclass241 == NULL) {
  Method *reader244 = addmethodrealflags(obj241, "value",&reader_lexer_value_244, MFLAG_DEF);
  reader244->definitionModule = modulename;
  reader244->definitionLine = 108;
}
adddatum2(obj241, alloc_Undefined(), 2);
if (objclass241 == NULL) {
  Method *reader245 = addmethodrealflags(obj241, "size",&reader_lexer_size_245, MFLAG_DEF);
  reader245->definitionModule = modulename;
  reader245->definitionLine = 109;
}
adddatum2(obj241, alloc_Undefined(), 3);
  sourceObject = obj241;
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe246 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe247 = gc_frame_new();
// call case 3: self.outer request
  Object call248 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe247);
// compiled call node returning call248 (depth = 4)
// compiled member node returning call248 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call249 = callmethodflags(call248, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe246);
// compiled call node returning call249 (depth = 2)
  struct UserObject *obj241_uo = (struct UserObject *)obj241;
  obj241_uo->super = call249;
  sourceObject = obj241;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit250 == NULL) {
    strlit250 = alloc_String("lparen");
    gc_root(strlit250);
  }
// compiled string node returning strlit250 (depth = 2)
  adddatum2(obj241, strlit250, 1);
  sourceObject = obj241;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit251 == NULL) {
    strlit251 = alloc_String("(");
    gc_root(strlit251);
  }
// compiled string node returning strlit251 (depth = 2)
  adddatum2(obj241, strlit251, 2);
  sourceObject = obj241;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num252 = alloc_Float64(1);
// compiled num node returning num252 (depth = 2)
  adddatum2(obj241, num252, 3);
  objclass241 = obj241->class;
  objclass241->definitionModule = modulename;
  objclass241->definitionLine = 105;
  (*(struct UserObject *)self).data[0] = lowerouter241;
  self = oldself241;
  selfslot = oldselfslot241;
  stackframe = oldstackframe241;
  gc_frame_end(frame);
  return obj241;
}
Object meth_lexer_lParenToken240_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lParenToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lParenToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for lParenToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject241 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj241 = alloc_userobj2(3,4, objclass241);
  gc_frame_newslot(obj241);
if (objclass241 == NULL) {
  glfree(obj241->class->name);
  obj241->class->name = "lParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj241, self, 0);
  addmethodreal(obj241,"outer", &reader_lexer_outer_242);
  Object oldself241 = self;
  struct StackFrameObject *oldstackframe241 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe241);
  gc_frame_newslot((Object)stackframe);
  self = obj241;
  Object *oldselfslot241 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter241 = (*(struct UserObject *)self).data[0], lowerouter241 = thisouter241;
  if (inheritingObject241) {
    struct UserObject *inho241 = (struct UserObject *)inheritingObject241;
    while (inho241->super != GraceDefaultObject) inho241 = (struct UserObject *)inho241->super;
    inho241->super = obj241;
    self = inheritingObject241;
    *selfslot = self;
    lowerouter241 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter241;
  }
if (objclass241 == NULL) {
  Method *reader243 = addmethodrealflags(obj241, "kind",&reader_lexer_kind_243, MFLAG_DEF);
  reader243->definitionModule = modulename;
  reader243->definitionLine = 107;
}
adddatum2(obj241, alloc_Undefined(), 1);
if (objclass241 == NULL) {
  Method *reader244 = addmethodrealflags(obj241, "value",&reader_lexer_value_244, MFLAG_DEF);
  reader244->definitionModule = modulename;
  reader244->definitionLine = 108;
}
adddatum2(obj241, alloc_Undefined(), 2);
if (objclass241 == NULL) {
  Method *reader245 = addmethodrealflags(obj241, "size",&reader_lexer_size_245, MFLAG_DEF);
  reader245->definitionModule = modulename;
  reader245->definitionLine = 109;
}
adddatum2(obj241, alloc_Undefined(), 3);
  sourceObject = obj241;
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe246 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe247 = gc_frame_new();
// call case 3: self.outer request
  Object call248 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe247);
// compiled call node returning call248 (depth = 4)
// compiled member node returning call248 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call249 = callmethodflags(call248, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe246);
// compiled call node returning call249 (depth = 2)
  struct UserObject *obj241_uo = (struct UserObject *)obj241;
  obj241_uo->super = call249;
  sourceObject = obj241;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit250 == NULL) {
    strlit250 = alloc_String("lparen");
    gc_root(strlit250);
  }
// compiled string node returning strlit250 (depth = 2)
  adddatum2(obj241, strlit250, 1);
  sourceObject = obj241;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit251 == NULL) {
    strlit251 = alloc_String("(");
    gc_root(strlit251);
  }
// compiled string node returning strlit251 (depth = 2)
  adddatum2(obj241, strlit251, 2);
  sourceObject = obj241;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num252 = alloc_Float64(1);
// compiled num node returning num252 (depth = 2)
  adddatum2(obj241, num252, 3);
  objclass241 = obj241->class;
  objclass241->definitionModule = modulename;
  objclass241->definitionLine = 105;
  (*(struct UserObject *)self).data[0] = lowerouter241;
  self = oldself241;
  selfslot = oldselfslot241;
  stackframe = oldstackframe241;
  gc_frame_end(frame);
  return obj241;
}
Object meth_lexer_rParenToken254(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rParenToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for rParenToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for rParenToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject255 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj255 = alloc_userobj2(3,4, objclass255);
  gc_frame_newslot(obj255);
if (objclass255 == NULL) {
  glfree(obj255->class->name);
  obj255->class->name = "rParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj255, self, 0);
  addmethodreal(obj255,"outer", &reader_lexer_outer_256);
  Object oldself255 = self;
  struct StackFrameObject *oldstackframe255 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe255);
  gc_frame_newslot((Object)stackframe);
  self = obj255;
  Object *oldselfslot255 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter255 = (*(struct UserObject *)self).data[0], lowerouter255 = thisouter255;
  if (inheritingObject255) {
    struct UserObject *inho255 = (struct UserObject *)inheritingObject255;
    while (inho255->super != GraceDefaultObject) inho255 = (struct UserObject *)inho255->super;
    inho255->super = obj255;
    self = inheritingObject255;
    *selfslot = self;
    lowerouter255 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter255;
  }
if (objclass255 == NULL) {
  Method *reader257 = addmethodrealflags(obj255, "kind",&reader_lexer_kind_257, MFLAG_DEF);
  reader257->definitionModule = modulename;
  reader257->definitionLine = 113;
}
adddatum2(obj255, alloc_Undefined(), 1);
if (objclass255 == NULL) {
  Method *reader258 = addmethodrealflags(obj255, "value",&reader_lexer_value_258, MFLAG_DEF);
  reader258->definitionModule = modulename;
  reader258->definitionLine = 114;
}
adddatum2(obj255, alloc_Undefined(), 2);
if (objclass255 == NULL) {
  Method *reader259 = addmethodrealflags(obj255, "size",&reader_lexer_size_259, MFLAG_DEF);
  reader259->definitionModule = modulename;
  reader259->definitionLine = 115;
}
adddatum2(obj255, alloc_Undefined(), 3);
  sourceObject = obj255;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe260 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe261 = gc_frame_new();
// call case 3: self.outer request
  Object call262 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe261);
// compiled call node returning call262 (depth = 4)
// compiled member node returning call262 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call263 = callmethodflags(call262, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe260);
// compiled call node returning call263 (depth = 2)
  struct UserObject *obj255_uo = (struct UserObject *)obj255;
  obj255_uo->super = call263;
  sourceObject = obj255;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit264 == NULL) {
    strlit264 = alloc_String("rparen");
    gc_root(strlit264);
  }
// compiled string node returning strlit264 (depth = 2)
  adddatum2(obj255, strlit264, 1);
  sourceObject = obj255;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit265 == NULL) {
    strlit265 = alloc_String(")");
    gc_root(strlit265);
  }
// compiled string node returning strlit265 (depth = 2)
  adddatum2(obj255, strlit265, 2);
  sourceObject = obj255;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num266 = alloc_Float64(1);
// compiled num node returning num266 (depth = 2)
  adddatum2(obj255, num266, 3);
  objclass255 = obj255->class;
  objclass255->definitionModule = modulename;
  objclass255->definitionLine = 111;
  (*(struct UserObject *)self).data[0] = lowerouter255;
  self = oldself255;
  selfslot = oldselfslot255;
  stackframe = oldstackframe255;
  gc_frame_end(frame);
  return obj255;
}
Object meth_lexer_rParenToken254_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rParenToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for rParenToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for rParenToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject255 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj255 = alloc_userobj2(3,4, objclass255);
  gc_frame_newslot(obj255);
if (objclass255 == NULL) {
  glfree(obj255->class->name);
  obj255->class->name = "rParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj255, self, 0);
  addmethodreal(obj255,"outer", &reader_lexer_outer_256);
  Object oldself255 = self;
  struct StackFrameObject *oldstackframe255 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe255);
  gc_frame_newslot((Object)stackframe);
  self = obj255;
  Object *oldselfslot255 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter255 = (*(struct UserObject *)self).data[0], lowerouter255 = thisouter255;
  if (inheritingObject255) {
    struct UserObject *inho255 = (struct UserObject *)inheritingObject255;
    while (inho255->super != GraceDefaultObject) inho255 = (struct UserObject *)inho255->super;
    inho255->super = obj255;
    self = inheritingObject255;
    *selfslot = self;
    lowerouter255 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter255;
  }
if (objclass255 == NULL) {
  Method *reader257 = addmethodrealflags(obj255, "kind",&reader_lexer_kind_257, MFLAG_DEF);
  reader257->definitionModule = modulename;
  reader257->definitionLine = 113;
}
adddatum2(obj255, alloc_Undefined(), 1);
if (objclass255 == NULL) {
  Method *reader258 = addmethodrealflags(obj255, "value",&reader_lexer_value_258, MFLAG_DEF);
  reader258->definitionModule = modulename;
  reader258->definitionLine = 114;
}
adddatum2(obj255, alloc_Undefined(), 2);
if (objclass255 == NULL) {
  Method *reader259 = addmethodrealflags(obj255, "size",&reader_lexer_size_259, MFLAG_DEF);
  reader259->definitionModule = modulename;
  reader259->definitionLine = 115;
}
adddatum2(obj255, alloc_Undefined(), 3);
  sourceObject = obj255;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe260 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe261 = gc_frame_new();
// call case 3: self.outer request
  Object call262 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe261);
// compiled call node returning call262 (depth = 4)
// compiled member node returning call262 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call263 = callmethodflags(call262, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe260);
// compiled call node returning call263 (depth = 2)
  struct UserObject *obj255_uo = (struct UserObject *)obj255;
  obj255_uo->super = call263;
  sourceObject = obj255;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit264 == NULL) {
    strlit264 = alloc_String("rparen");
    gc_root(strlit264);
  }
// compiled string node returning strlit264 (depth = 2)
  adddatum2(obj255, strlit264, 1);
  sourceObject = obj255;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit265 == NULL) {
    strlit265 = alloc_String(")");
    gc_root(strlit265);
  }
// compiled string node returning strlit265 (depth = 2)
  adddatum2(obj255, strlit265, 2);
  sourceObject = obj255;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num266 = alloc_Float64(1);
// compiled num node returning num266 (depth = 2)
  adddatum2(obj255, num266, 3);
  objclass255 = obj255->class;
  objclass255->definitionModule = modulename;
  objclass255->definitionLine = 111;
  (*(struct UserObject *)self).data[0] = lowerouter255;
  self = oldself255;
  selfslot = oldselfslot255;
  stackframe = oldstackframe255;
  gc_frame_end(frame);
  return obj255;
}
Object meth_lexer_lSquareToken268(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lSquareToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lSquareToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for lSquareToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject269 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj269 = alloc_userobj2(3,4, objclass269);
  gc_frame_newslot(obj269);
if (objclass269 == NULL) {
  glfree(obj269->class->name);
  obj269->class->name = "lSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj269, self, 0);
  addmethodreal(obj269,"outer", &reader_lexer_outer_270);
  Object oldself269 = self;
  struct StackFrameObject *oldstackframe269 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe269);
  gc_frame_newslot((Object)stackframe);
  self = obj269;
  Object *oldselfslot269 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter269 = (*(struct UserObject *)self).data[0], lowerouter269 = thisouter269;
  if (inheritingObject269) {
    struct UserObject *inho269 = (struct UserObject *)inheritingObject269;
    while (inho269->super != GraceDefaultObject) inho269 = (struct UserObject *)inho269->super;
    inho269->super = obj269;
    self = inheritingObject269;
    *selfslot = self;
    lowerouter269 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter269;
  }
if (objclass269 == NULL) {
  Method *reader271 = addmethodrealflags(obj269, "kind",&reader_lexer_kind_271, MFLAG_DEF);
  reader271->definitionModule = modulename;
  reader271->definitionLine = 119;
}
adddatum2(obj269, alloc_Undefined(), 1);
if (objclass269 == NULL) {
  Method *reader272 = addmethodrealflags(obj269, "value",&reader_lexer_value_272, MFLAG_DEF);
  reader272->definitionModule = modulename;
  reader272->definitionLine = 120;
}
adddatum2(obj269, alloc_Undefined(), 2);
if (objclass269 == NULL) {
  Method *reader273 = addmethodrealflags(obj269, "size",&reader_lexer_size_273, MFLAG_DEF);
  reader273->definitionModule = modulename;
  reader273->definitionLine = 121;
}
adddatum2(obj269, alloc_Undefined(), 3);
  sourceObject = obj269;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe274 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe275 = gc_frame_new();
// call case 3: self.outer request
  Object call276 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe275);
// compiled call node returning call276 (depth = 4)
// compiled member node returning call276 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call277 = callmethodflags(call276, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe274);
// compiled call node returning call277 (depth = 2)
  struct UserObject *obj269_uo = (struct UserObject *)obj269;
  obj269_uo->super = call277;
  sourceObject = obj269;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit278 == NULL) {
    strlit278 = alloc_String("lsquare");
    gc_root(strlit278);
  }
// compiled string node returning strlit278 (depth = 2)
  adddatum2(obj269, strlit278, 1);
  sourceObject = obj269;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit279 == NULL) {
    strlit279 = alloc_String("[");
    gc_root(strlit279);
  }
// compiled string node returning strlit279 (depth = 2)
  adddatum2(obj269, strlit279, 2);
  sourceObject = obj269;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num280 = alloc_Float64(1);
// compiled num node returning num280 (depth = 2)
  adddatum2(obj269, num280, 3);
  objclass269 = obj269->class;
  objclass269->definitionModule = modulename;
  objclass269->definitionLine = 117;
  (*(struct UserObject *)self).data[0] = lowerouter269;
  self = oldself269;
  selfslot = oldselfslot269;
  stackframe = oldstackframe269;
  gc_frame_end(frame);
  return obj269;
}
Object meth_lexer_lSquareToken268_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lSquareToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lSquareToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for lSquareToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject269 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj269 = alloc_userobj2(3,4, objclass269);
  gc_frame_newslot(obj269);
if (objclass269 == NULL) {
  glfree(obj269->class->name);
  obj269->class->name = "lSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj269, self, 0);
  addmethodreal(obj269,"outer", &reader_lexer_outer_270);
  Object oldself269 = self;
  struct StackFrameObject *oldstackframe269 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe269);
  gc_frame_newslot((Object)stackframe);
  self = obj269;
  Object *oldselfslot269 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter269 = (*(struct UserObject *)self).data[0], lowerouter269 = thisouter269;
  if (inheritingObject269) {
    struct UserObject *inho269 = (struct UserObject *)inheritingObject269;
    while (inho269->super != GraceDefaultObject) inho269 = (struct UserObject *)inho269->super;
    inho269->super = obj269;
    self = inheritingObject269;
    *selfslot = self;
    lowerouter269 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter269;
  }
if (objclass269 == NULL) {
  Method *reader271 = addmethodrealflags(obj269, "kind",&reader_lexer_kind_271, MFLAG_DEF);
  reader271->definitionModule = modulename;
  reader271->definitionLine = 119;
}
adddatum2(obj269, alloc_Undefined(), 1);
if (objclass269 == NULL) {
  Method *reader272 = addmethodrealflags(obj269, "value",&reader_lexer_value_272, MFLAG_DEF);
  reader272->definitionModule = modulename;
  reader272->definitionLine = 120;
}
adddatum2(obj269, alloc_Undefined(), 2);
if (objclass269 == NULL) {
  Method *reader273 = addmethodrealflags(obj269, "size",&reader_lexer_size_273, MFLAG_DEF);
  reader273->definitionModule = modulename;
  reader273->definitionLine = 121;
}
adddatum2(obj269, alloc_Undefined(), 3);
  sourceObject = obj269;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe274 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe275 = gc_frame_new();
// call case 3: self.outer request
  Object call276 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe275);
// compiled call node returning call276 (depth = 4)
// compiled member node returning call276 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call277 = callmethodflags(call276, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe274);
// compiled call node returning call277 (depth = 2)
  struct UserObject *obj269_uo = (struct UserObject *)obj269;
  obj269_uo->super = call277;
  sourceObject = obj269;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit278 == NULL) {
    strlit278 = alloc_String("lsquare");
    gc_root(strlit278);
  }
// compiled string node returning strlit278 (depth = 2)
  adddatum2(obj269, strlit278, 1);
  sourceObject = obj269;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit279 == NULL) {
    strlit279 = alloc_String("[");
    gc_root(strlit279);
  }
// compiled string node returning strlit279 (depth = 2)
  adddatum2(obj269, strlit279, 2);
  sourceObject = obj269;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num280 = alloc_Float64(1);
// compiled num node returning num280 (depth = 2)
  adddatum2(obj269, num280, 3);
  objclass269 = obj269->class;
  objclass269->definitionModule = modulename;
  objclass269->definitionLine = 117;
  (*(struct UserObject *)self).data[0] = lowerouter269;
  self = oldself269;
  selfslot = oldselfslot269;
  stackframe = oldstackframe269;
  gc_frame_end(frame);
  return obj269;
}
Object meth_lexer_rSquareToken282(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rSquareToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for rSquareToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for rSquareToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject283 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj283 = alloc_userobj2(3,4, objclass283);
  gc_frame_newslot(obj283);
if (objclass283 == NULL) {
  glfree(obj283->class->name);
  obj283->class->name = "rSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj283, self, 0);
  addmethodreal(obj283,"outer", &reader_lexer_outer_284);
  Object oldself283 = self;
  struct StackFrameObject *oldstackframe283 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe283);
  gc_frame_newslot((Object)stackframe);
  self = obj283;
  Object *oldselfslot283 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter283 = (*(struct UserObject *)self).data[0], lowerouter283 = thisouter283;
  if (inheritingObject283) {
    struct UserObject *inho283 = (struct UserObject *)inheritingObject283;
    while (inho283->super != GraceDefaultObject) inho283 = (struct UserObject *)inho283->super;
    inho283->super = obj283;
    self = inheritingObject283;
    *selfslot = self;
    lowerouter283 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter283;
  }
if (objclass283 == NULL) {
  Method *reader285 = addmethodrealflags(obj283, "kind",&reader_lexer_kind_285, MFLAG_DEF);
  reader285->definitionModule = modulename;
  reader285->definitionLine = 125;
}
adddatum2(obj283, alloc_Undefined(), 1);
if (objclass283 == NULL) {
  Method *reader286 = addmethodrealflags(obj283, "value",&reader_lexer_value_286, MFLAG_DEF);
  reader286->definitionModule = modulename;
  reader286->definitionLine = 126;
}
adddatum2(obj283, alloc_Undefined(), 2);
if (objclass283 == NULL) {
  Method *reader287 = addmethodrealflags(obj283, "size",&reader_lexer_size_287, MFLAG_DEF);
  reader287->definitionModule = modulename;
  reader287->definitionLine = 127;
}
adddatum2(obj283, alloc_Undefined(), 3);
  sourceObject = obj283;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe288 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe289 = gc_frame_new();
// call case 3: self.outer request
  Object call290 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe289);
// compiled call node returning call290 (depth = 4)
// compiled member node returning call290 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call291 = callmethodflags(call290, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe288);
// compiled call node returning call291 (depth = 2)
  struct UserObject *obj283_uo = (struct UserObject *)obj283;
  obj283_uo->super = call291;
  sourceObject = obj283;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit292 == NULL) {
    strlit292 = alloc_String("rsquare");
    gc_root(strlit292);
  }
// compiled string node returning strlit292 (depth = 2)
  adddatum2(obj283, strlit292, 1);
  sourceObject = obj283;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit293 == NULL) {
    strlit293 = alloc_String("]");
    gc_root(strlit293);
  }
// compiled string node returning strlit293 (depth = 2)
  adddatum2(obj283, strlit293, 2);
  sourceObject = obj283;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num294 = alloc_Float64(1);
// compiled num node returning num294 (depth = 2)
  adddatum2(obj283, num294, 3);
  objclass283 = obj283->class;
  objclass283->definitionModule = modulename;
  objclass283->definitionLine = 123;
  (*(struct UserObject *)self).data[0] = lowerouter283;
  self = oldself283;
  selfslot = oldselfslot283;
  stackframe = oldstackframe283;
  gc_frame_end(frame);
  return obj283;
}
Object meth_lexer_rSquareToken282_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rSquareToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for rSquareToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for rSquareToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject283 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj283 = alloc_userobj2(3,4, objclass283);
  gc_frame_newslot(obj283);
if (objclass283 == NULL) {
  glfree(obj283->class->name);
  obj283->class->name = "rSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj283, self, 0);
  addmethodreal(obj283,"outer", &reader_lexer_outer_284);
  Object oldself283 = self;
  struct StackFrameObject *oldstackframe283 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe283);
  gc_frame_newslot((Object)stackframe);
  self = obj283;
  Object *oldselfslot283 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter283 = (*(struct UserObject *)self).data[0], lowerouter283 = thisouter283;
  if (inheritingObject283) {
    struct UserObject *inho283 = (struct UserObject *)inheritingObject283;
    while (inho283->super != GraceDefaultObject) inho283 = (struct UserObject *)inho283->super;
    inho283->super = obj283;
    self = inheritingObject283;
    *selfslot = self;
    lowerouter283 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter283;
  }
if (objclass283 == NULL) {
  Method *reader285 = addmethodrealflags(obj283, "kind",&reader_lexer_kind_285, MFLAG_DEF);
  reader285->definitionModule = modulename;
  reader285->definitionLine = 125;
}
adddatum2(obj283, alloc_Undefined(), 1);
if (objclass283 == NULL) {
  Method *reader286 = addmethodrealflags(obj283, "value",&reader_lexer_value_286, MFLAG_DEF);
  reader286->definitionModule = modulename;
  reader286->definitionLine = 126;
}
adddatum2(obj283, alloc_Undefined(), 2);
if (objclass283 == NULL) {
  Method *reader287 = addmethodrealflags(obj283, "size",&reader_lexer_size_287, MFLAG_DEF);
  reader287->definitionModule = modulename;
  reader287->definitionLine = 127;
}
adddatum2(obj283, alloc_Undefined(), 3);
  sourceObject = obj283;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe288 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe289 = gc_frame_new();
// call case 3: self.outer request
  Object call290 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe289);
// compiled call node returning call290 (depth = 4)
// compiled member node returning call290 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call291 = callmethodflags(call290, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe288);
// compiled call node returning call291 (depth = 2)
  struct UserObject *obj283_uo = (struct UserObject *)obj283;
  obj283_uo->super = call291;
  sourceObject = obj283;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit292 == NULL) {
    strlit292 = alloc_String("rsquare");
    gc_root(strlit292);
  }
// compiled string node returning strlit292 (depth = 2)
  adddatum2(obj283, strlit292, 1);
  sourceObject = obj283;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit293 == NULL) {
    strlit293 = alloc_String("]");
    gc_root(strlit293);
  }
// compiled string node returning strlit293 (depth = 2)
  adddatum2(obj283, strlit293, 2);
  sourceObject = obj283;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num294 = alloc_Float64(1);
// compiled num node returning num294 (depth = 2)
  adddatum2(obj283, num294, 3);
  objclass283 = obj283->class;
  objclass283->definitionModule = modulename;
  objclass283->definitionLine = 123;
  (*(struct UserObject *)self).data[0] = lowerouter283;
  self = oldself283;
  selfslot = oldselfslot283;
  stackframe = oldstackframe283;
  gc_frame_end(frame);
  return obj283;
}
Object meth_lexer_commaToken296(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commaToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commaToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for commaToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject297 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj297 = alloc_userobj2(3,4, objclass297);
  gc_frame_newslot(obj297);
if (objclass297 == NULL) {
  glfree(obj297->class->name);
  obj297->class->name = "commaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj297, self, 0);
  addmethodreal(obj297,"outer", &reader_lexer_outer_298);
  Object oldself297 = self;
  struct StackFrameObject *oldstackframe297 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe297);
  gc_frame_newslot((Object)stackframe);
  self = obj297;
  Object *oldselfslot297 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter297 = (*(struct UserObject *)self).data[0], lowerouter297 = thisouter297;
  if (inheritingObject297) {
    struct UserObject *inho297 = (struct UserObject *)inheritingObject297;
    while (inho297->super != GraceDefaultObject) inho297 = (struct UserObject *)inho297->super;
    inho297->super = obj297;
    self = inheritingObject297;
    *selfslot = self;
    lowerouter297 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter297;
  }
if (objclass297 == NULL) {
  Method *reader299 = addmethodrealflags(obj297, "kind",&reader_lexer_kind_299, MFLAG_DEF);
  reader299->definitionModule = modulename;
  reader299->definitionLine = 131;
}
adddatum2(obj297, alloc_Undefined(), 1);
if (objclass297 == NULL) {
  Method *reader300 = addmethodrealflags(obj297, "value",&reader_lexer_value_300, MFLAG_DEF);
  reader300->definitionModule = modulename;
  reader300->definitionLine = 132;
}
adddatum2(obj297, alloc_Undefined(), 2);
if (objclass297 == NULL) {
  Method *reader301 = addmethodrealflags(obj297, "size",&reader_lexer_size_301, MFLAG_DEF);
  reader301->definitionModule = modulename;
  reader301->definitionLine = 133;
}
adddatum2(obj297, alloc_Undefined(), 3);
  sourceObject = obj297;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe302 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe303 = gc_frame_new();
// call case 3: self.outer request
  Object call304 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe303);
// compiled call node returning call304 (depth = 4)
// compiled member node returning call304 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call305 = callmethodflags(call304, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe302);
// compiled call node returning call305 (depth = 2)
  struct UserObject *obj297_uo = (struct UserObject *)obj297;
  obj297_uo->super = call305;
  sourceObject = obj297;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit306 == NULL) {
    strlit306 = alloc_String("comma");
    gc_root(strlit306);
  }
// compiled string node returning strlit306 (depth = 2)
  adddatum2(obj297, strlit306, 1);
  sourceObject = obj297;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit307 == NULL) {
    strlit307 = alloc_String(",");
    gc_root(strlit307);
  }
// compiled string node returning strlit307 (depth = 2)
  adddatum2(obj297, strlit307, 2);
  sourceObject = obj297;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num308 = alloc_Float64(1);
// compiled num node returning num308 (depth = 2)
  adddatum2(obj297, num308, 3);
  objclass297 = obj297->class;
  objclass297->definitionModule = modulename;
  objclass297->definitionLine = 129;
  (*(struct UserObject *)self).data[0] = lowerouter297;
  self = oldself297;
  selfslot = oldselfslot297;
  stackframe = oldstackframe297;
  gc_frame_end(frame);
  return obj297;
}
Object meth_lexer_commaToken296_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commaToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commaToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for commaToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject297 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj297 = alloc_userobj2(3,4, objclass297);
  gc_frame_newslot(obj297);
if (objclass297 == NULL) {
  glfree(obj297->class->name);
  obj297->class->name = "commaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj297, self, 0);
  addmethodreal(obj297,"outer", &reader_lexer_outer_298);
  Object oldself297 = self;
  struct StackFrameObject *oldstackframe297 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe297);
  gc_frame_newslot((Object)stackframe);
  self = obj297;
  Object *oldselfslot297 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter297 = (*(struct UserObject *)self).data[0], lowerouter297 = thisouter297;
  if (inheritingObject297) {
    struct UserObject *inho297 = (struct UserObject *)inheritingObject297;
    while (inho297->super != GraceDefaultObject) inho297 = (struct UserObject *)inho297->super;
    inho297->super = obj297;
    self = inheritingObject297;
    *selfslot = self;
    lowerouter297 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter297;
  }
if (objclass297 == NULL) {
  Method *reader299 = addmethodrealflags(obj297, "kind",&reader_lexer_kind_299, MFLAG_DEF);
  reader299->definitionModule = modulename;
  reader299->definitionLine = 131;
}
adddatum2(obj297, alloc_Undefined(), 1);
if (objclass297 == NULL) {
  Method *reader300 = addmethodrealflags(obj297, "value",&reader_lexer_value_300, MFLAG_DEF);
  reader300->definitionModule = modulename;
  reader300->definitionLine = 132;
}
adddatum2(obj297, alloc_Undefined(), 2);
if (objclass297 == NULL) {
  Method *reader301 = addmethodrealflags(obj297, "size",&reader_lexer_size_301, MFLAG_DEF);
  reader301->definitionModule = modulename;
  reader301->definitionLine = 133;
}
adddatum2(obj297, alloc_Undefined(), 3);
  sourceObject = obj297;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe302 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe303 = gc_frame_new();
// call case 3: self.outer request
  Object call304 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe303);
// compiled call node returning call304 (depth = 4)
// compiled member node returning call304 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call305 = callmethodflags(call304, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe302);
// compiled call node returning call305 (depth = 2)
  struct UserObject *obj297_uo = (struct UserObject *)obj297;
  obj297_uo->super = call305;
  sourceObject = obj297;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit306 == NULL) {
    strlit306 = alloc_String("comma");
    gc_root(strlit306);
  }
// compiled string node returning strlit306 (depth = 2)
  adddatum2(obj297, strlit306, 1);
  sourceObject = obj297;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit307 == NULL) {
    strlit307 = alloc_String(",");
    gc_root(strlit307);
  }
// compiled string node returning strlit307 (depth = 2)
  adddatum2(obj297, strlit307, 2);
  sourceObject = obj297;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num308 = alloc_Float64(1);
// compiled num node returning num308 (depth = 2)
  adddatum2(obj297, num308, 3);
  objclass297 = obj297->class;
  objclass297->definitionModule = modulename;
  objclass297->definitionLine = 129;
  (*(struct UserObject *)self).data[0] = lowerouter297;
  self = oldself297;
  selfslot = oldselfslot297;
  stackframe = oldstackframe297;
  gc_frame_end(frame);
  return obj297;
}
Object meth_lexer_colonToken310(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "colonToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for colonToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for colonToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject311 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj311 = alloc_userobj2(3,4, objclass311);
  gc_frame_newslot(obj311);
if (objclass311 == NULL) {
  glfree(obj311->class->name);
  obj311->class->name = "colonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj311, self, 0);
  addmethodreal(obj311,"outer", &reader_lexer_outer_312);
  Object oldself311 = self;
  struct StackFrameObject *oldstackframe311 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe311);
  gc_frame_newslot((Object)stackframe);
  self = obj311;
  Object *oldselfslot311 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter311 = (*(struct UserObject *)self).data[0], lowerouter311 = thisouter311;
  if (inheritingObject311) {
    struct UserObject *inho311 = (struct UserObject *)inheritingObject311;
    while (inho311->super != GraceDefaultObject) inho311 = (struct UserObject *)inho311->super;
    inho311->super = obj311;
    self = inheritingObject311;
    *selfslot = self;
    lowerouter311 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter311;
  }
if (objclass311 == NULL) {
  Method *reader313 = addmethodrealflags(obj311, "kind",&reader_lexer_kind_313, MFLAG_DEF);
  reader313->definitionModule = modulename;
  reader313->definitionLine = 137;
}
adddatum2(obj311, alloc_Undefined(), 1);
if (objclass311 == NULL) {
  Method *reader314 = addmethodrealflags(obj311, "value",&reader_lexer_value_314, MFLAG_DEF);
  reader314->definitionModule = modulename;
  reader314->definitionLine = 138;
}
adddatum2(obj311, alloc_Undefined(), 2);
if (objclass311 == NULL) {
  Method *reader315 = addmethodrealflags(obj311, "size",&reader_lexer_size_315, MFLAG_DEF);
  reader315->definitionModule = modulename;
  reader315->definitionLine = 139;
}
adddatum2(obj311, alloc_Undefined(), 3);
  sourceObject = obj311;
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe316 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe317 = gc_frame_new();
// call case 3: self.outer request
  Object call318 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe317);
// compiled call node returning call318 (depth = 4)
// compiled member node returning call318 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call319 = callmethodflags(call318, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe316);
// compiled call node returning call319 (depth = 2)
  struct UserObject *obj311_uo = (struct UserObject *)obj311;
  obj311_uo->super = call319;
  sourceObject = obj311;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit320 == NULL) {
    strlit320 = alloc_String("colon");
    gc_root(strlit320);
  }
// compiled string node returning strlit320 (depth = 2)
  adddatum2(obj311, strlit320, 1);
  sourceObject = obj311;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit321 == NULL) {
    strlit321 = alloc_String(":");
    gc_root(strlit321);
  }
// compiled string node returning strlit321 (depth = 2)
  adddatum2(obj311, strlit321, 2);
  sourceObject = obj311;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num322 = alloc_Float64(1);
// compiled num node returning num322 (depth = 2)
  adddatum2(obj311, num322, 3);
  objclass311 = obj311->class;
  objclass311->definitionModule = modulename;
  objclass311->definitionLine = 135;
  (*(struct UserObject *)self).data[0] = lowerouter311;
  self = oldself311;
  selfslot = oldselfslot311;
  stackframe = oldstackframe311;
  gc_frame_end(frame);
  return obj311;
}
Object meth_lexer_colonToken310_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "colonToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for colonToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for colonToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject311 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj311 = alloc_userobj2(3,4, objclass311);
  gc_frame_newslot(obj311);
if (objclass311 == NULL) {
  glfree(obj311->class->name);
  obj311->class->name = "colonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj311, self, 0);
  addmethodreal(obj311,"outer", &reader_lexer_outer_312);
  Object oldself311 = self;
  struct StackFrameObject *oldstackframe311 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe311);
  gc_frame_newslot((Object)stackframe);
  self = obj311;
  Object *oldselfslot311 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter311 = (*(struct UserObject *)self).data[0], lowerouter311 = thisouter311;
  if (inheritingObject311) {
    struct UserObject *inho311 = (struct UserObject *)inheritingObject311;
    while (inho311->super != GraceDefaultObject) inho311 = (struct UserObject *)inho311->super;
    inho311->super = obj311;
    self = inheritingObject311;
    *selfslot = self;
    lowerouter311 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter311;
  }
if (objclass311 == NULL) {
  Method *reader313 = addmethodrealflags(obj311, "kind",&reader_lexer_kind_313, MFLAG_DEF);
  reader313->definitionModule = modulename;
  reader313->definitionLine = 137;
}
adddatum2(obj311, alloc_Undefined(), 1);
if (objclass311 == NULL) {
  Method *reader314 = addmethodrealflags(obj311, "value",&reader_lexer_value_314, MFLAG_DEF);
  reader314->definitionModule = modulename;
  reader314->definitionLine = 138;
}
adddatum2(obj311, alloc_Undefined(), 2);
if (objclass311 == NULL) {
  Method *reader315 = addmethodrealflags(obj311, "size",&reader_lexer_size_315, MFLAG_DEF);
  reader315->definitionModule = modulename;
  reader315->definitionLine = 139;
}
adddatum2(obj311, alloc_Undefined(), 3);
  sourceObject = obj311;
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe316 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe317 = gc_frame_new();
// call case 3: self.outer request
  Object call318 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe317);
// compiled call node returning call318 (depth = 4)
// compiled member node returning call318 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call319 = callmethodflags(call318, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe316);
// compiled call node returning call319 (depth = 2)
  struct UserObject *obj311_uo = (struct UserObject *)obj311;
  obj311_uo->super = call319;
  sourceObject = obj311;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit320 == NULL) {
    strlit320 = alloc_String("colon");
    gc_root(strlit320);
  }
// compiled string node returning strlit320 (depth = 2)
  adddatum2(obj311, strlit320, 1);
  sourceObject = obj311;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit321 == NULL) {
    strlit321 = alloc_String(":");
    gc_root(strlit321);
  }
// compiled string node returning strlit321 (depth = 2)
  adddatum2(obj311, strlit321, 2);
  sourceObject = obj311;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num322 = alloc_Float64(1);
// compiled num node returning num322 (depth = 2)
  adddatum2(obj311, num322, 3);
  objclass311 = obj311->class;
  objclass311->definitionModule = modulename;
  objclass311->definitionLine = 135;
  (*(struct UserObject *)self).data[0] = lowerouter311;
  self = oldself311;
  selfslot = oldselfslot311;
  stackframe = oldstackframe311;
  gc_frame_end(frame);
  return obj311;
}
Object meth_lexer_dotToken324(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dotToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for dotToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for dotToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject325 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj325 = alloc_userobj2(3,4, objclass325);
  gc_frame_newslot(obj325);
if (objclass325 == NULL) {
  glfree(obj325->class->name);
  obj325->class->name = "dotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj325, self, 0);
  addmethodreal(obj325,"outer", &reader_lexer_outer_326);
  Object oldself325 = self;
  struct StackFrameObject *oldstackframe325 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe325);
  gc_frame_newslot((Object)stackframe);
  self = obj325;
  Object *oldselfslot325 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter325 = (*(struct UserObject *)self).data[0], lowerouter325 = thisouter325;
  if (inheritingObject325) {
    struct UserObject *inho325 = (struct UserObject *)inheritingObject325;
    while (inho325->super != GraceDefaultObject) inho325 = (struct UserObject *)inho325->super;
    inho325->super = obj325;
    self = inheritingObject325;
    *selfslot = self;
    lowerouter325 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter325;
  }
if (objclass325 == NULL) {
  Method *reader327 = addmethodrealflags(obj325, "kind",&reader_lexer_kind_327, MFLAG_DEF);
  reader327->definitionModule = modulename;
  reader327->definitionLine = 143;
}
adddatum2(obj325, alloc_Undefined(), 1);
if (objclass325 == NULL) {
  Method *reader328 = addmethodrealflags(obj325, "value",&reader_lexer_value_328, MFLAG_DEF);
  reader328->definitionModule = modulename;
  reader328->definitionLine = 144;
}
adddatum2(obj325, alloc_Undefined(), 2);
if (objclass325 == NULL) {
  Method *reader329 = addmethodrealflags(obj325, "size",&reader_lexer_size_329, MFLAG_DEF);
  reader329->definitionModule = modulename;
  reader329->definitionLine = 145;
}
adddatum2(obj325, alloc_Undefined(), 3);
  sourceObject = obj325;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe330 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe331 = gc_frame_new();
// call case 3: self.outer request
  Object call332 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe331);
// compiled call node returning call332 (depth = 4)
// compiled member node returning call332 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call333 = callmethodflags(call332, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe330);
// compiled call node returning call333 (depth = 2)
  struct UserObject *obj325_uo = (struct UserObject *)obj325;
  obj325_uo->super = call333;
  sourceObject = obj325;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit334 == NULL) {
    strlit334 = alloc_String("dot");
    gc_root(strlit334);
  }
// compiled string node returning strlit334 (depth = 2)
  adddatum2(obj325, strlit334, 1);
  sourceObject = obj325;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit335 == NULL) {
    strlit335 = alloc_String(".");
    gc_root(strlit335);
  }
// compiled string node returning strlit335 (depth = 2)
  adddatum2(obj325, strlit335, 2);
  sourceObject = obj325;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num336 = alloc_Float64(1);
// compiled num node returning num336 (depth = 2)
  adddatum2(obj325, num336, 3);
  objclass325 = obj325->class;
  objclass325->definitionModule = modulename;
  objclass325->definitionLine = 141;
  (*(struct UserObject *)self).data[0] = lowerouter325;
  self = oldself325;
  selfslot = oldselfslot325;
  stackframe = oldstackframe325;
  gc_frame_end(frame);
  return obj325;
}
Object meth_lexer_dotToken324_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dotToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for dotToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for dotToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject325 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj325 = alloc_userobj2(3,4, objclass325);
  gc_frame_newslot(obj325);
if (objclass325 == NULL) {
  glfree(obj325->class->name);
  obj325->class->name = "dotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj325, self, 0);
  addmethodreal(obj325,"outer", &reader_lexer_outer_326);
  Object oldself325 = self;
  struct StackFrameObject *oldstackframe325 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe325);
  gc_frame_newslot((Object)stackframe);
  self = obj325;
  Object *oldselfslot325 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter325 = (*(struct UserObject *)self).data[0], lowerouter325 = thisouter325;
  if (inheritingObject325) {
    struct UserObject *inho325 = (struct UserObject *)inheritingObject325;
    while (inho325->super != GraceDefaultObject) inho325 = (struct UserObject *)inho325->super;
    inho325->super = obj325;
    self = inheritingObject325;
    *selfslot = self;
    lowerouter325 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter325;
  }
if (objclass325 == NULL) {
  Method *reader327 = addmethodrealflags(obj325, "kind",&reader_lexer_kind_327, MFLAG_DEF);
  reader327->definitionModule = modulename;
  reader327->definitionLine = 143;
}
adddatum2(obj325, alloc_Undefined(), 1);
if (objclass325 == NULL) {
  Method *reader328 = addmethodrealflags(obj325, "value",&reader_lexer_value_328, MFLAG_DEF);
  reader328->definitionModule = modulename;
  reader328->definitionLine = 144;
}
adddatum2(obj325, alloc_Undefined(), 2);
if (objclass325 == NULL) {
  Method *reader329 = addmethodrealflags(obj325, "size",&reader_lexer_size_329, MFLAG_DEF);
  reader329->definitionModule = modulename;
  reader329->definitionLine = 145;
}
adddatum2(obj325, alloc_Undefined(), 3);
  sourceObject = obj325;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe330 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe331 = gc_frame_new();
// call case 3: self.outer request
  Object call332 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe331);
// compiled call node returning call332 (depth = 4)
// compiled member node returning call332 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call333 = callmethodflags(call332, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe330);
// compiled call node returning call333 (depth = 2)
  struct UserObject *obj325_uo = (struct UserObject *)obj325;
  obj325_uo->super = call333;
  sourceObject = obj325;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit334 == NULL) {
    strlit334 = alloc_String("dot");
    gc_root(strlit334);
  }
// compiled string node returning strlit334 (depth = 2)
  adddatum2(obj325, strlit334, 1);
  sourceObject = obj325;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit335 == NULL) {
    strlit335 = alloc_String(".");
    gc_root(strlit335);
  }
// compiled string node returning strlit335 (depth = 2)
  adddatum2(obj325, strlit335, 2);
  sourceObject = obj325;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num336 = alloc_Float64(1);
// compiled num node returning num336 (depth = 2)
  adddatum2(obj325, num336, 3);
  objclass325 = obj325->class;
  objclass325->definitionModule = modulename;
  objclass325->definitionLine = 141;
  (*(struct UserObject *)self).data[0] = lowerouter325;
  self = oldself325;
  selfslot = oldselfslot325;
  stackframe = oldstackframe325;
  gc_frame_end(frame);
  return obj325;
}
Object meth_lexer_numToken338(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method numToken");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for numToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for numToken");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject339 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj339 = alloc_userobj2(4,5, objclass339);
  gc_frame_newslot(obj339);
if (objclass339 == NULL) {
  glfree(obj339->class->name);
  obj339->class->name = "numToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj339, self, 0);
  addmethodreal(obj339,"outer", &reader_lexer_outer_340);
  Object oldself339 = self;
  struct StackFrameObject *oldstackframe339 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe339);
  gc_frame_newslot((Object)stackframe);
  self = obj339;
  Object *oldselfslot339 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter339 = (*(struct UserObject *)self).data[0], lowerouter339 = thisouter339;
  if (inheritingObject339) {
    struct UserObject *inho339 = (struct UserObject *)inheritingObject339;
    while (inho339->super != GraceDefaultObject) inho339 = (struct UserObject *)inho339->super;
    inho339->super = obj339;
    self = inheritingObject339;
    *selfslot = self;
    lowerouter339 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter339;
  }
if (objclass339 == NULL) {
  Method *reader341 = addmethodrealflags(obj339, "kind",&reader_lexer_kind_341, MFLAG_DEF);
  reader341->definitionModule = modulename;
  reader341->definitionLine = 149;
}
adddatum2(obj339, alloc_Undefined(), 1);
if (objclass339 == NULL) {
  Method *reader342 = addmethodrealflags(obj339, "value",&reader_lexer_value_342, MFLAG_DEF);
  reader342->definitionModule = modulename;
  reader342->definitionLine = 150;
}
adddatum2(obj339, alloc_Undefined(), 2);
if (objclass339 == NULL) {
  Method *reader343 = addmethodrealflags(obj339, "base",&reader_lexer_base_343, MFLAG_DEF);
  reader343->definitionModule = modulename;
  reader343->definitionLine = 151;
}
adddatum2(obj339, alloc_Undefined(), 3);
if (objclass339 == NULL) {
  Method *reader344 = addmethodrealflags(obj339, "size",&reader_lexer_size_344, MFLAG_DEF);
  reader344->definitionModule = modulename;
  reader344->definitionLine = 152;
}
adddatum2(obj339, alloc_Undefined(), 4);
  sourceObject = obj339;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe345 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe346 = gc_frame_new();
// call case 3: self.outer request
  Object call347 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe346);
// compiled call node returning call347 (depth = 4)
// compiled member node returning call347 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call348 = callmethodflags(call347, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe345);
// compiled call node returning call348 (depth = 2)
  struct UserObject *obj339_uo = (struct UserObject *)obj339;
  obj339_uo->super = call348;
  sourceObject = obj339;
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit349 == NULL) {
    strlit349 = alloc_String("num");
    gc_root(strlit349);
  }
// compiled string node returning strlit349 (depth = 2)
  adddatum2(obj339, strlit349, 1);
  sourceObject = obj339;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj339, *var_v, 2);
  sourceObject = obj339;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_b (depth = 2)
  adddatum2(obj339, *var_b, 3);
  sourceObject = obj339;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe351 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe352 = gc_frame_new();
// call case 3: self.outer request
  Object call353 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe352);
// compiled call node returning call353 (depth = 6)
// compiled member node returning call353 (depth = 5)
  partcv[0] = 0;
  Object call354 = callmethodflags(call353, "startPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe351);
// compiled call node returning call354 (depth = 4)
// compiled member node returning call354 (depth = 3)
  int op_slot_right_350 = gc_frame_newslot(call354);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe356 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe357 = gc_frame_new();
// call case 3: self.outer request
  Object call358 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe357);
// compiled call node returning call358 (depth = 6)
// compiled member node returning call358 (depth = 5)
  partcv[0] = 0;
  Object call359 = callmethodflags(call358, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe356);
// compiled call node returning call359 (depth = 4)
// compiled member node returning call359 (depth = 3)
  int op_slot_left_350 = gc_frame_newslot(call359);
  params[0] = call354;
  partcv[0] = 1;
  Object diff360 = callmethod(call359, "-", 1, partcv, params);
// compiled op node returning diff360 (depth = 2)
  adddatum2(obj339, diff360, 4);
  objclass339 = obj339->class;
  objclass339->definitionModule = modulename;
  objclass339->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter339;
  self = oldself339;
  selfslot = oldselfslot339;
  stackframe = oldstackframe339;
  gc_frame_end(frame);
  return obj339;
}
Object meth_lexer_numToken338_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method numToken()object");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for numToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for numToken");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject339 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj339 = alloc_userobj2(4,5, objclass339);
  gc_frame_newslot(obj339);
if (objclass339 == NULL) {
  glfree(obj339->class->name);
  obj339->class->name = "numToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj339, self, 0);
  addmethodreal(obj339,"outer", &reader_lexer_outer_340);
  Object oldself339 = self;
  struct StackFrameObject *oldstackframe339 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe339);
  gc_frame_newslot((Object)stackframe);
  self = obj339;
  Object *oldselfslot339 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter339 = (*(struct UserObject *)self).data[0], lowerouter339 = thisouter339;
  if (inheritingObject339) {
    struct UserObject *inho339 = (struct UserObject *)inheritingObject339;
    while (inho339->super != GraceDefaultObject) inho339 = (struct UserObject *)inho339->super;
    inho339->super = obj339;
    self = inheritingObject339;
    *selfslot = self;
    lowerouter339 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter339;
  }
if (objclass339 == NULL) {
  Method *reader341 = addmethodrealflags(obj339, "kind",&reader_lexer_kind_341, MFLAG_DEF);
  reader341->definitionModule = modulename;
  reader341->definitionLine = 149;
}
adddatum2(obj339, alloc_Undefined(), 1);
if (objclass339 == NULL) {
  Method *reader342 = addmethodrealflags(obj339, "value",&reader_lexer_value_342, MFLAG_DEF);
  reader342->definitionModule = modulename;
  reader342->definitionLine = 150;
}
adddatum2(obj339, alloc_Undefined(), 2);
if (objclass339 == NULL) {
  Method *reader343 = addmethodrealflags(obj339, "base",&reader_lexer_base_343, MFLAG_DEF);
  reader343->definitionModule = modulename;
  reader343->definitionLine = 151;
}
adddatum2(obj339, alloc_Undefined(), 3);
if (objclass339 == NULL) {
  Method *reader344 = addmethodrealflags(obj339, "size",&reader_lexer_size_344, MFLAG_DEF);
  reader344->definitionModule = modulename;
  reader344->definitionLine = 152;
}
adddatum2(obj339, alloc_Undefined(), 4);
  sourceObject = obj339;
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe345 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe346 = gc_frame_new();
// call case 3: self.outer request
  Object call347 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe346);
// compiled call node returning call347 (depth = 4)
// compiled member node returning call347 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call348 = callmethodflags(call347, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe345);
// compiled call node returning call348 (depth = 2)
  struct UserObject *obj339_uo = (struct UserObject *)obj339;
  obj339_uo->super = call348;
  sourceObject = obj339;
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit349 == NULL) {
    strlit349 = alloc_String("num");
    gc_root(strlit349);
  }
// compiled string node returning strlit349 (depth = 2)
  adddatum2(obj339, strlit349, 1);
  sourceObject = obj339;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj339, *var_v, 2);
  sourceObject = obj339;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_b (depth = 2)
  adddatum2(obj339, *var_b, 3);
  sourceObject = obj339;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe351 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe352 = gc_frame_new();
// call case 3: self.outer request
  Object call353 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe352);
// compiled call node returning call353 (depth = 6)
// compiled member node returning call353 (depth = 5)
  partcv[0] = 0;
  Object call354 = callmethodflags(call353, "startPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe351);
// compiled call node returning call354 (depth = 4)
// compiled member node returning call354 (depth = 3)
  int op_slot_right_350 = gc_frame_newslot(call354);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe356 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe357 = gc_frame_new();
// call case 3: self.outer request
  Object call358 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe357);
// compiled call node returning call358 (depth = 6)
// compiled member node returning call358 (depth = 5)
  partcv[0] = 0;
  Object call359 = callmethodflags(call358, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe356);
// compiled call node returning call359 (depth = 4)
// compiled member node returning call359 (depth = 3)
  int op_slot_left_350 = gc_frame_newslot(call359);
  params[0] = call354;
  partcv[0] = 1;
  Object diff360 = callmethod(call359, "-", 1, partcv, params);
// compiled op node returning diff360 (depth = 2)
  adddatum2(obj339, diff360, 4);
  objclass339 = obj339->class;
  objclass339->definitionModule = modulename;
  objclass339->definitionLine = 147;
  (*(struct UserObject *)self).data[0] = lowerouter339;
  self = oldself339;
  selfslot = oldselfslot339;
  stackframe = oldstackframe339;
  gc_frame_end(frame);
  return obj339;
}
Object meth_lexer_keywordToken362(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keywordToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keywordToken");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywordToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for keywordToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject363 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj363 = alloc_userobj2(3,4, objclass363);
  gc_frame_newslot(obj363);
if (objclass363 == NULL) {
  glfree(obj363->class->name);
  obj363->class->name = "keywordToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj363, self, 0);
  addmethodreal(obj363,"outer", &reader_lexer_outer_364);
  Object oldself363 = self;
  struct StackFrameObject *oldstackframe363 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe363);
  gc_frame_newslot((Object)stackframe);
  self = obj363;
  Object *oldselfslot363 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter363 = (*(struct UserObject *)self).data[0], lowerouter363 = thisouter363;
  if (inheritingObject363) {
    struct UserObject *inho363 = (struct UserObject *)inheritingObject363;
    while (inho363->super != GraceDefaultObject) inho363 = (struct UserObject *)inho363->super;
    inho363->super = obj363;
    self = inheritingObject363;
    *selfslot = self;
    lowerouter363 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter363;
  }
if (objclass363 == NULL) {
  Method *reader365 = addmethodrealflags(obj363, "kind",&reader_lexer_kind_365, MFLAG_DEF);
  reader365->definitionModule = modulename;
  reader365->definitionLine = 156;
}
adddatum2(obj363, alloc_Undefined(), 1);
if (objclass363 == NULL) {
  Method *reader366 = addmethodrealflags(obj363, "value",&reader_lexer_value_366, MFLAG_DEF);
  reader366->definitionModule = modulename;
  reader366->definitionLine = 157;
}
adddatum2(obj363, alloc_Undefined(), 2);
if (objclass363 == NULL) {
  Method *reader367 = addmethodrealflags(obj363, "size",&reader_lexer_size_367, MFLAG_DEF);
  reader367->definitionModule = modulename;
  reader367->definitionLine = 158;
}
adddatum2(obj363, alloc_Undefined(), 3);
  sourceObject = obj363;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe368 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe369 = gc_frame_new();
// call case 3: self.outer request
  Object call370 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe369);
// compiled call node returning call370 (depth = 4)
// compiled member node returning call370 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call371 = callmethodflags(call370, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe368);
// compiled call node returning call371 (depth = 2)
  struct UserObject *obj363_uo = (struct UserObject *)obj363;
  obj363_uo->super = call371;
  sourceObject = obj363;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit372 == NULL) {
    strlit372 = alloc_String("keyword");
    gc_root(strlit372);
  }
// compiled string node returning strlit372 (depth = 2)
  adddatum2(obj363, strlit372, 1);
  sourceObject = obj363;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj363, *var_v, 2);
  sourceObject = obj363;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe373 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_v (depth = 4)
  partcv[0] = 0;
  Object call374 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe373);
// compiled call node returning call374 (depth = 3)
// compiled member node returning call374 (depth = 2)
  adddatum2(obj363, call374, 3);
  objclass363 = obj363->class;
  objclass363->definitionModule = modulename;
  objclass363->definitionLine = 154;
  (*(struct UserObject *)self).data[0] = lowerouter363;
  self = oldself363;
  selfslot = oldselfslot363;
  stackframe = oldstackframe363;
  gc_frame_end(frame);
  return obj363;
}
Object meth_lexer_keywordToken362_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keywordToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keywordToken()object");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywordToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for keywordToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject363 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj363 = alloc_userobj2(3,4, objclass363);
  gc_frame_newslot(obj363);
if (objclass363 == NULL) {
  glfree(obj363->class->name);
  obj363->class->name = "keywordToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj363, self, 0);
  addmethodreal(obj363,"outer", &reader_lexer_outer_364);
  Object oldself363 = self;
  struct StackFrameObject *oldstackframe363 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe363);
  gc_frame_newslot((Object)stackframe);
  self = obj363;
  Object *oldselfslot363 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter363 = (*(struct UserObject *)self).data[0], lowerouter363 = thisouter363;
  if (inheritingObject363) {
    struct UserObject *inho363 = (struct UserObject *)inheritingObject363;
    while (inho363->super != GraceDefaultObject) inho363 = (struct UserObject *)inho363->super;
    inho363->super = obj363;
    self = inheritingObject363;
    *selfslot = self;
    lowerouter363 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter363;
  }
if (objclass363 == NULL) {
  Method *reader365 = addmethodrealflags(obj363, "kind",&reader_lexer_kind_365, MFLAG_DEF);
  reader365->definitionModule = modulename;
  reader365->definitionLine = 156;
}
adddatum2(obj363, alloc_Undefined(), 1);
if (objclass363 == NULL) {
  Method *reader366 = addmethodrealflags(obj363, "value",&reader_lexer_value_366, MFLAG_DEF);
  reader366->definitionModule = modulename;
  reader366->definitionLine = 157;
}
adddatum2(obj363, alloc_Undefined(), 2);
if (objclass363 == NULL) {
  Method *reader367 = addmethodrealflags(obj363, "size",&reader_lexer_size_367, MFLAG_DEF);
  reader367->definitionModule = modulename;
  reader367->definitionLine = 158;
}
adddatum2(obj363, alloc_Undefined(), 3);
  sourceObject = obj363;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe368 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe369 = gc_frame_new();
// call case 3: self.outer request
  Object call370 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe369);
// compiled call node returning call370 (depth = 4)
// compiled member node returning call370 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call371 = callmethodflags(call370, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe368);
// compiled call node returning call371 (depth = 2)
  struct UserObject *obj363_uo = (struct UserObject *)obj363;
  obj363_uo->super = call371;
  sourceObject = obj363;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit372 == NULL) {
    strlit372 = alloc_String("keyword");
    gc_root(strlit372);
  }
// compiled string node returning strlit372 (depth = 2)
  adddatum2(obj363, strlit372, 1);
  sourceObject = obj363;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj363, *var_v, 2);
  sourceObject = obj363;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe373 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_v (depth = 4)
  partcv[0] = 0;
  Object call374 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe373);
// compiled call node returning call374 (depth = 3)
// compiled member node returning call374 (depth = 2)
  adddatum2(obj363, call374, 3);
  objclass363 = obj363->class;
  objclass363->definitionModule = modulename;
  objclass363->definitionLine = 154;
  (*(struct UserObject *)self).data[0] = lowerouter363;
  self = oldself363;
  selfslot = oldselfslot363;
  stackframe = oldstackframe363;
  gc_frame_end(frame);
  return obj363;
}
Object meth_lexer_opToken376(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "opToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method opToken");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for opToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for opToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject377 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj377 = alloc_userobj2(3,4, objclass377);
  gc_frame_newslot(obj377);
if (objclass377 == NULL) {
  glfree(obj377->class->name);
  obj377->class->name = "opToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj377, self, 0);
  addmethodreal(obj377,"outer", &reader_lexer_outer_378);
  Object oldself377 = self;
  struct StackFrameObject *oldstackframe377 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe377);
  gc_frame_newslot((Object)stackframe);
  self = obj377;
  Object *oldselfslot377 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter377 = (*(struct UserObject *)self).data[0], lowerouter377 = thisouter377;
  if (inheritingObject377) {
    struct UserObject *inho377 = (struct UserObject *)inheritingObject377;
    while (inho377->super != GraceDefaultObject) inho377 = (struct UserObject *)inho377->super;
    inho377->super = obj377;
    self = inheritingObject377;
    *selfslot = self;
    lowerouter377 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter377;
  }
if (objclass377 == NULL) {
  Method *reader379 = addmethodrealflags(obj377, "kind",&reader_lexer_kind_379, MFLAG_DEF);
  reader379->definitionModule = modulename;
  reader379->definitionLine = 162;
}
adddatum2(obj377, alloc_Undefined(), 1);
if (objclass377 == NULL) {
  Method *reader380 = addmethodrealflags(obj377, "value",&reader_lexer_value_380, MFLAG_DEF);
  reader380->definitionModule = modulename;
  reader380->definitionLine = 163;
}
adddatum2(obj377, alloc_Undefined(), 2);
if (objclass377 == NULL) {
  Method *reader381 = addmethodrealflags(obj377, "size",&reader_lexer_size_381, MFLAG_DEF);
  reader381->definitionModule = modulename;
  reader381->definitionLine = 164;
}
adddatum2(obj377, alloc_Undefined(), 3);
  sourceObject = obj377;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe382 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe383 = gc_frame_new();
// call case 3: self.outer request
  Object call384 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe383);
// compiled call node returning call384 (depth = 4)
// compiled member node returning call384 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call385 = callmethodflags(call384, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe382);
// compiled call node returning call385 (depth = 2)
  struct UserObject *obj377_uo = (struct UserObject *)obj377;
  obj377_uo->super = call385;
  sourceObject = obj377;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit386 == NULL) {
    strlit386 = alloc_String("op");
    gc_root(strlit386);
  }
// compiled string node returning strlit386 (depth = 2)
  adddatum2(obj377, strlit386, 1);
  sourceObject = obj377;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj377, *var_v, 2);
  sourceObject = obj377;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe387 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_v (depth = 4)
  partcv[0] = 0;
  Object call388 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe387);
// compiled call node returning call388 (depth = 3)
// compiled member node returning call388 (depth = 2)
  adddatum2(obj377, call388, 3);
  objclass377 = obj377->class;
  objclass377->definitionModule = modulename;
  objclass377->definitionLine = 160;
  (*(struct UserObject *)self).data[0] = lowerouter377;
  self = oldself377;
  selfslot = oldselfslot377;
  stackframe = oldstackframe377;
  gc_frame_end(frame);
  return obj377;
}
Object meth_lexer_opToken376_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "opToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method opToken()object");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for opToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for opToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject377 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj377 = alloc_userobj2(3,4, objclass377);
  gc_frame_newslot(obj377);
if (objclass377 == NULL) {
  glfree(obj377->class->name);
  obj377->class->name = "opToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj377, self, 0);
  addmethodreal(obj377,"outer", &reader_lexer_outer_378);
  Object oldself377 = self;
  struct StackFrameObject *oldstackframe377 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe377);
  gc_frame_newslot((Object)stackframe);
  self = obj377;
  Object *oldselfslot377 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter377 = (*(struct UserObject *)self).data[0], lowerouter377 = thisouter377;
  if (inheritingObject377) {
    struct UserObject *inho377 = (struct UserObject *)inheritingObject377;
    while (inho377->super != GraceDefaultObject) inho377 = (struct UserObject *)inho377->super;
    inho377->super = obj377;
    self = inheritingObject377;
    *selfslot = self;
    lowerouter377 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter377;
  }
if (objclass377 == NULL) {
  Method *reader379 = addmethodrealflags(obj377, "kind",&reader_lexer_kind_379, MFLAG_DEF);
  reader379->definitionModule = modulename;
  reader379->definitionLine = 162;
}
adddatum2(obj377, alloc_Undefined(), 1);
if (objclass377 == NULL) {
  Method *reader380 = addmethodrealflags(obj377, "value",&reader_lexer_value_380, MFLAG_DEF);
  reader380->definitionModule = modulename;
  reader380->definitionLine = 163;
}
adddatum2(obj377, alloc_Undefined(), 2);
if (objclass377 == NULL) {
  Method *reader381 = addmethodrealflags(obj377, "size",&reader_lexer_size_381, MFLAG_DEF);
  reader381->definitionModule = modulename;
  reader381->definitionLine = 164;
}
adddatum2(obj377, alloc_Undefined(), 3);
  sourceObject = obj377;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe382 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe383 = gc_frame_new();
// call case 3: self.outer request
  Object call384 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe383);
// compiled call node returning call384 (depth = 4)
// compiled member node returning call384 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call385 = callmethodflags(call384, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe382);
// compiled call node returning call385 (depth = 2)
  struct UserObject *obj377_uo = (struct UserObject *)obj377;
  obj377_uo->super = call385;
  sourceObject = obj377;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit386 == NULL) {
    strlit386 = alloc_String("op");
    gc_root(strlit386);
  }
// compiled string node returning strlit386 (depth = 2)
  adddatum2(obj377, strlit386, 1);
  sourceObject = obj377;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj377, *var_v, 2);
  sourceObject = obj377;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe387 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_v (depth = 4)
  partcv[0] = 0;
  Object call388 = callmethod(*var_v, "size",
    1, partcv, params);
  gc_frame_end(callframe387);
// compiled call node returning call388 (depth = 3)
// compiled member node returning call388 (depth = 2)
  adddatum2(obj377, call388, 3);
  objclass377 = obj377->class;
  objclass377->definitionModule = modulename;
  objclass377->definitionLine = 160;
  (*(struct UserObject *)self).data[0] = lowerouter377;
  self = oldself377;
  selfslot = oldselfslot377;
  stackframe = oldstackframe377;
  gc_frame_end(frame);
  return obj377;
}
Object meth_lexer_arrowToken390(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arrowToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for arrowToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for arrowToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject391 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj391 = alloc_userobj2(3,4, objclass391);
  gc_frame_newslot(obj391);
if (objclass391 == NULL) {
  glfree(obj391->class->name);
  obj391->class->name = "arrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj391, self, 0);
  addmethodreal(obj391,"outer", &reader_lexer_outer_392);
  Object oldself391 = self;
  struct StackFrameObject *oldstackframe391 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe391);
  gc_frame_newslot((Object)stackframe);
  self = obj391;
  Object *oldselfslot391 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter391 = (*(struct UserObject *)self).data[0], lowerouter391 = thisouter391;
  if (inheritingObject391) {
    struct UserObject *inho391 = (struct UserObject *)inheritingObject391;
    while (inho391->super != GraceDefaultObject) inho391 = (struct UserObject *)inho391->super;
    inho391->super = obj391;
    self = inheritingObject391;
    *selfslot = self;
    lowerouter391 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter391;
  }
if (objclass391 == NULL) {
  Method *reader393 = addmethodrealflags(obj391, "kind",&reader_lexer_kind_393, MFLAG_DEF);
  reader393->definitionModule = modulename;
  reader393->definitionLine = 168;
}
adddatum2(obj391, alloc_Undefined(), 1);
if (objclass391 == NULL) {
  Method *reader394 = addmethodrealflags(obj391, "value",&reader_lexer_value_394, MFLAG_DEF);
  reader394->definitionModule = modulename;
  reader394->definitionLine = 169;
}
adddatum2(obj391, alloc_Undefined(), 2);
if (objclass391 == NULL) {
  Method *reader395 = addmethodrealflags(obj391, "size",&reader_lexer_size_395, MFLAG_DEF);
  reader395->definitionModule = modulename;
  reader395->definitionLine = 170;
}
adddatum2(obj391, alloc_Undefined(), 3);
  sourceObject = obj391;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe396 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe397 = gc_frame_new();
// call case 3: self.outer request
  Object call398 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe397);
// compiled call node returning call398 (depth = 4)
// compiled member node returning call398 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call399 = callmethodflags(call398, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe396);
// compiled call node returning call399 (depth = 2)
  struct UserObject *obj391_uo = (struct UserObject *)obj391;
  obj391_uo->super = call399;
  sourceObject = obj391;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit400 == NULL) {
    strlit400 = alloc_String("arrow");
    gc_root(strlit400);
  }
// compiled string node returning strlit400 (depth = 2)
  adddatum2(obj391, strlit400, 1);
  sourceObject = obj391;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit401 == NULL) {
    strlit401 = alloc_String("->");
    gc_root(strlit401);
  }
// compiled string node returning strlit401 (depth = 2)
  adddatum2(obj391, strlit401, 2);
  sourceObject = obj391;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num402 = alloc_Float64(2);
// compiled num node returning num402 (depth = 2)
  adddatum2(obj391, num402, 3);
  objclass391 = obj391->class;
  objclass391->definitionModule = modulename;
  objclass391->definitionLine = 166;
  (*(struct UserObject *)self).data[0] = lowerouter391;
  self = oldself391;
  selfslot = oldselfslot391;
  stackframe = oldstackframe391;
  gc_frame_end(frame);
  return obj391;
}
Object meth_lexer_arrowToken390_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arrowToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for arrowToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for arrowToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject391 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj391 = alloc_userobj2(3,4, objclass391);
  gc_frame_newslot(obj391);
if (objclass391 == NULL) {
  glfree(obj391->class->name);
  obj391->class->name = "arrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj391, self, 0);
  addmethodreal(obj391,"outer", &reader_lexer_outer_392);
  Object oldself391 = self;
  struct StackFrameObject *oldstackframe391 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe391);
  gc_frame_newslot((Object)stackframe);
  self = obj391;
  Object *oldselfslot391 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter391 = (*(struct UserObject *)self).data[0], lowerouter391 = thisouter391;
  if (inheritingObject391) {
    struct UserObject *inho391 = (struct UserObject *)inheritingObject391;
    while (inho391->super != GraceDefaultObject) inho391 = (struct UserObject *)inho391->super;
    inho391->super = obj391;
    self = inheritingObject391;
    *selfslot = self;
    lowerouter391 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter391;
  }
if (objclass391 == NULL) {
  Method *reader393 = addmethodrealflags(obj391, "kind",&reader_lexer_kind_393, MFLAG_DEF);
  reader393->definitionModule = modulename;
  reader393->definitionLine = 168;
}
adddatum2(obj391, alloc_Undefined(), 1);
if (objclass391 == NULL) {
  Method *reader394 = addmethodrealflags(obj391, "value",&reader_lexer_value_394, MFLAG_DEF);
  reader394->definitionModule = modulename;
  reader394->definitionLine = 169;
}
adddatum2(obj391, alloc_Undefined(), 2);
if (objclass391 == NULL) {
  Method *reader395 = addmethodrealflags(obj391, "size",&reader_lexer_size_395, MFLAG_DEF);
  reader395->definitionModule = modulename;
  reader395->definitionLine = 170;
}
adddatum2(obj391, alloc_Undefined(), 3);
  sourceObject = obj391;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe396 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe397 = gc_frame_new();
// call case 3: self.outer request
  Object call398 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe397);
// compiled call node returning call398 (depth = 4)
// compiled member node returning call398 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call399 = callmethodflags(call398, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe396);
// compiled call node returning call399 (depth = 2)
  struct UserObject *obj391_uo = (struct UserObject *)obj391;
  obj391_uo->super = call399;
  sourceObject = obj391;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit400 == NULL) {
    strlit400 = alloc_String("arrow");
    gc_root(strlit400);
  }
// compiled string node returning strlit400 (depth = 2)
  adddatum2(obj391, strlit400, 1);
  sourceObject = obj391;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit401 == NULL) {
    strlit401 = alloc_String("->");
    gc_root(strlit401);
  }
// compiled string node returning strlit401 (depth = 2)
  adddatum2(obj391, strlit401, 2);
  sourceObject = obj391;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num402 = alloc_Float64(2);
// compiled num node returning num402 (depth = 2)
  adddatum2(obj391, num402, 3);
  objclass391 = obj391->class;
  objclass391->definitionModule = modulename;
  objclass391->definitionLine = 166;
  (*(struct UserObject *)self).data[0] = lowerouter391;
  self = oldself391;
  selfslot = oldselfslot391;
  stackframe = oldstackframe391;
  gc_frame_end(frame);
  return obj391;
}
Object meth_lexer_bindToken404(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "bindToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for bindToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for bindToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject405 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj405 = alloc_userobj2(3,4, objclass405);
  gc_frame_newslot(obj405);
if (objclass405 == NULL) {
  glfree(obj405->class->name);
  obj405->class->name = "bindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj405, self, 0);
  addmethodreal(obj405,"outer", &reader_lexer_outer_406);
  Object oldself405 = self;
  struct StackFrameObject *oldstackframe405 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe405);
  gc_frame_newslot((Object)stackframe);
  self = obj405;
  Object *oldselfslot405 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter405 = (*(struct UserObject *)self).data[0], lowerouter405 = thisouter405;
  if (inheritingObject405) {
    struct UserObject *inho405 = (struct UserObject *)inheritingObject405;
    while (inho405->super != GraceDefaultObject) inho405 = (struct UserObject *)inho405->super;
    inho405->super = obj405;
    self = inheritingObject405;
    *selfslot = self;
    lowerouter405 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter405;
  }
if (objclass405 == NULL) {
  Method *reader407 = addmethodrealflags(obj405, "kind",&reader_lexer_kind_407, MFLAG_DEF);
  reader407->definitionModule = modulename;
  reader407->definitionLine = 174;
}
adddatum2(obj405, alloc_Undefined(), 1);
if (objclass405 == NULL) {
  Method *reader408 = addmethodrealflags(obj405, "value",&reader_lexer_value_408, MFLAG_DEF);
  reader408->definitionModule = modulename;
  reader408->definitionLine = 175;
}
adddatum2(obj405, alloc_Undefined(), 2);
if (objclass405 == NULL) {
  Method *reader409 = addmethodrealflags(obj405, "size",&reader_lexer_size_409, MFLAG_DEF);
  reader409->definitionModule = modulename;
  reader409->definitionLine = 176;
}
adddatum2(obj405, alloc_Undefined(), 3);
  sourceObject = obj405;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe410 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe411 = gc_frame_new();
// call case 3: self.outer request
  Object call412 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe411);
// compiled call node returning call412 (depth = 4)
// compiled member node returning call412 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call413 = callmethodflags(call412, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe410);
// compiled call node returning call413 (depth = 2)
  struct UserObject *obj405_uo = (struct UserObject *)obj405;
  obj405_uo->super = call413;
  sourceObject = obj405;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit414 == NULL) {
    strlit414 = alloc_String("bind");
    gc_root(strlit414);
  }
// compiled string node returning strlit414 (depth = 2)
  adddatum2(obj405, strlit414, 1);
  sourceObject = obj405;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit415 == NULL) {
    strlit415 = alloc_String(":=");
    gc_root(strlit415);
  }
// compiled string node returning strlit415 (depth = 2)
  adddatum2(obj405, strlit415, 2);
  sourceObject = obj405;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num416 = alloc_Float64(2);
// compiled num node returning num416 (depth = 2)
  adddatum2(obj405, num416, 3);
  objclass405 = obj405->class;
  objclass405->definitionModule = modulename;
  objclass405->definitionLine = 172;
  (*(struct UserObject *)self).data[0] = lowerouter405;
  self = oldself405;
  selfslot = oldselfslot405;
  stackframe = oldstackframe405;
  gc_frame_end(frame);
  return obj405;
}
Object meth_lexer_bindToken404_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "bindToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for bindToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for bindToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject405 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj405 = alloc_userobj2(3,4, objclass405);
  gc_frame_newslot(obj405);
if (objclass405 == NULL) {
  glfree(obj405->class->name);
  obj405->class->name = "bindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj405, self, 0);
  addmethodreal(obj405,"outer", &reader_lexer_outer_406);
  Object oldself405 = self;
  struct StackFrameObject *oldstackframe405 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe405);
  gc_frame_newslot((Object)stackframe);
  self = obj405;
  Object *oldselfslot405 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter405 = (*(struct UserObject *)self).data[0], lowerouter405 = thisouter405;
  if (inheritingObject405) {
    struct UserObject *inho405 = (struct UserObject *)inheritingObject405;
    while (inho405->super != GraceDefaultObject) inho405 = (struct UserObject *)inho405->super;
    inho405->super = obj405;
    self = inheritingObject405;
    *selfslot = self;
    lowerouter405 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter405;
  }
if (objclass405 == NULL) {
  Method *reader407 = addmethodrealflags(obj405, "kind",&reader_lexer_kind_407, MFLAG_DEF);
  reader407->definitionModule = modulename;
  reader407->definitionLine = 174;
}
adddatum2(obj405, alloc_Undefined(), 1);
if (objclass405 == NULL) {
  Method *reader408 = addmethodrealflags(obj405, "value",&reader_lexer_value_408, MFLAG_DEF);
  reader408->definitionModule = modulename;
  reader408->definitionLine = 175;
}
adddatum2(obj405, alloc_Undefined(), 2);
if (objclass405 == NULL) {
  Method *reader409 = addmethodrealflags(obj405, "size",&reader_lexer_size_409, MFLAG_DEF);
  reader409->definitionModule = modulename;
  reader409->definitionLine = 176;
}
adddatum2(obj405, alloc_Undefined(), 3);
  sourceObject = obj405;
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe410 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe411 = gc_frame_new();
// call case 3: self.outer request
  Object call412 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe411);
// compiled call node returning call412 (depth = 4)
// compiled member node returning call412 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call413 = callmethodflags(call412, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe410);
// compiled call node returning call413 (depth = 2)
  struct UserObject *obj405_uo = (struct UserObject *)obj405;
  obj405_uo->super = call413;
  sourceObject = obj405;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit414 == NULL) {
    strlit414 = alloc_String("bind");
    gc_root(strlit414);
  }
// compiled string node returning strlit414 (depth = 2)
  adddatum2(obj405, strlit414, 1);
  sourceObject = obj405;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit415 == NULL) {
    strlit415 = alloc_String(":=");
    gc_root(strlit415);
  }
// compiled string node returning strlit415 (depth = 2)
  adddatum2(obj405, strlit415, 2);
  sourceObject = obj405;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num416 = alloc_Float64(2);
// compiled num node returning num416 (depth = 2)
  adddatum2(obj405, num416, 3);
  objclass405 = obj405->class;
  objclass405->definitionModule = modulename;
  objclass405->definitionLine = 172;
  (*(struct UserObject *)self).data[0] = lowerouter405;
  self = oldself405;
  selfslot = oldselfslot405;
  stackframe = oldstackframe405;
  gc_frame_end(frame);
  return obj405;
}
Object meth_lexer_semicolonToken418(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "semicolonToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for semicolonToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for semicolonToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject419 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj419 = alloc_userobj2(3,4, objclass419);
  gc_frame_newslot(obj419);
if (objclass419 == NULL) {
  glfree(obj419->class->name);
  obj419->class->name = "semicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj419, self, 0);
  addmethodreal(obj419,"outer", &reader_lexer_outer_420);
  Object oldself419 = self;
  struct StackFrameObject *oldstackframe419 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe419);
  gc_frame_newslot((Object)stackframe);
  self = obj419;
  Object *oldselfslot419 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter419 = (*(struct UserObject *)self).data[0], lowerouter419 = thisouter419;
  if (inheritingObject419) {
    struct UserObject *inho419 = (struct UserObject *)inheritingObject419;
    while (inho419->super != GraceDefaultObject) inho419 = (struct UserObject *)inho419->super;
    inho419->super = obj419;
    self = inheritingObject419;
    *selfslot = self;
    lowerouter419 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter419;
  }
if (objclass419 == NULL) {
  Method *reader421 = addmethodrealflags(obj419, "kind",&reader_lexer_kind_421, MFLAG_DEF);
  reader421->definitionModule = modulename;
  reader421->definitionLine = 180;
}
adddatum2(obj419, alloc_Undefined(), 1);
if (objclass419 == NULL) {
  Method *reader422 = addmethodrealflags(obj419, "value",&reader_lexer_value_422, MFLAG_DEF);
  reader422->definitionModule = modulename;
  reader422->definitionLine = 181;
}
adddatum2(obj419, alloc_Undefined(), 2);
if (objclass419 == NULL) {
  Method *reader423 = addmethodrealflags(obj419, "size",&reader_lexer_size_423, MFLAG_DEF);
  reader423->definitionModule = modulename;
  reader423->definitionLine = 182;
}
adddatum2(obj419, alloc_Undefined(), 3);
  sourceObject = obj419;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe424 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe425 = gc_frame_new();
// call case 3: self.outer request
  Object call426 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe425);
// compiled call node returning call426 (depth = 4)
// compiled member node returning call426 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call427 = callmethodflags(call426, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe424);
// compiled call node returning call427 (depth = 2)
  struct UserObject *obj419_uo = (struct UserObject *)obj419;
  obj419_uo->super = call427;
  sourceObject = obj419;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit428 == NULL) {
    strlit428 = alloc_String("semicolon");
    gc_root(strlit428);
  }
// compiled string node returning strlit428 (depth = 2)
  adddatum2(obj419, strlit428, 1);
  sourceObject = obj419;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit429 == NULL) {
    strlit429 = alloc_String(";");
    gc_root(strlit429);
  }
// compiled string node returning strlit429 (depth = 2)
  adddatum2(obj419, strlit429, 2);
  sourceObject = obj419;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num430 = alloc_Float64(1);
// compiled num node returning num430 (depth = 2)
  adddatum2(obj419, num430, 3);
  objclass419 = obj419->class;
  objclass419->definitionModule = modulename;
  objclass419->definitionLine = 178;
  (*(struct UserObject *)self).data[0] = lowerouter419;
  self = oldself419;
  selfslot = oldselfslot419;
  stackframe = oldstackframe419;
  gc_frame_end(frame);
  return obj419;
}
Object meth_lexer_semicolonToken418_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "semicolonToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for semicolonToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for semicolonToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject419 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj419 = alloc_userobj2(3,4, objclass419);
  gc_frame_newslot(obj419);
if (objclass419 == NULL) {
  glfree(obj419->class->name);
  obj419->class->name = "semicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj419, self, 0);
  addmethodreal(obj419,"outer", &reader_lexer_outer_420);
  Object oldself419 = self;
  struct StackFrameObject *oldstackframe419 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe419);
  gc_frame_newslot((Object)stackframe);
  self = obj419;
  Object *oldselfslot419 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter419 = (*(struct UserObject *)self).data[0], lowerouter419 = thisouter419;
  if (inheritingObject419) {
    struct UserObject *inho419 = (struct UserObject *)inheritingObject419;
    while (inho419->super != GraceDefaultObject) inho419 = (struct UserObject *)inho419->super;
    inho419->super = obj419;
    self = inheritingObject419;
    *selfslot = self;
    lowerouter419 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter419;
  }
if (objclass419 == NULL) {
  Method *reader421 = addmethodrealflags(obj419, "kind",&reader_lexer_kind_421, MFLAG_DEF);
  reader421->definitionModule = modulename;
  reader421->definitionLine = 180;
}
adddatum2(obj419, alloc_Undefined(), 1);
if (objclass419 == NULL) {
  Method *reader422 = addmethodrealflags(obj419, "value",&reader_lexer_value_422, MFLAG_DEF);
  reader422->definitionModule = modulename;
  reader422->definitionLine = 181;
}
adddatum2(obj419, alloc_Undefined(), 2);
if (objclass419 == NULL) {
  Method *reader423 = addmethodrealflags(obj419, "size",&reader_lexer_size_423, MFLAG_DEF);
  reader423->definitionModule = modulename;
  reader423->definitionLine = 182;
}
adddatum2(obj419, alloc_Undefined(), 3);
  sourceObject = obj419;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe424 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe425 = gc_frame_new();
// call case 3: self.outer request
  Object call426 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe425);
// compiled call node returning call426 (depth = 4)
// compiled member node returning call426 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call427 = callmethodflags(call426, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe424);
// compiled call node returning call427 (depth = 2)
  struct UserObject *obj419_uo = (struct UserObject *)obj419;
  obj419_uo->super = call427;
  sourceObject = obj419;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit428 == NULL) {
    strlit428 = alloc_String("semicolon");
    gc_root(strlit428);
  }
// compiled string node returning strlit428 (depth = 2)
  adddatum2(obj419, strlit428, 1);
  sourceObject = obj419;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit429 == NULL) {
    strlit429 = alloc_String(";");
    gc_root(strlit429);
  }
// compiled string node returning strlit429 (depth = 2)
  adddatum2(obj419, strlit429, 2);
  sourceObject = obj419;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num430 = alloc_Float64(1);
// compiled num node returning num430 (depth = 2)
  adddatum2(obj419, num430, 3);
  objclass419 = obj419->class;
  objclass419->definitionModule = modulename;
  objclass419->definitionLine = 178;
  (*(struct UserObject *)self).data[0] = lowerouter419;
  self = oldself419;
  selfslot = oldselfslot419;
  stackframe = oldstackframe419;
  gc_frame_end(frame);
  return obj419;
}
Object meth_lexer_lGenericToken432(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lGenericToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lGenericToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for lGenericToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject433 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj433 = alloc_userobj2(3,4, objclass433);
  gc_frame_newslot(obj433);
if (objclass433 == NULL) {
  glfree(obj433->class->name);
  obj433->class->name = "lGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj433, self, 0);
  addmethodreal(obj433,"outer", &reader_lexer_outer_434);
  Object oldself433 = self;
  struct StackFrameObject *oldstackframe433 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe433);
  gc_frame_newslot((Object)stackframe);
  self = obj433;
  Object *oldselfslot433 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter433 = (*(struct UserObject *)self).data[0], lowerouter433 = thisouter433;
  if (inheritingObject433) {
    struct UserObject *inho433 = (struct UserObject *)inheritingObject433;
    while (inho433->super != GraceDefaultObject) inho433 = (struct UserObject *)inho433->super;
    inho433->super = obj433;
    self = inheritingObject433;
    *selfslot = self;
    lowerouter433 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter433;
  }
if (objclass433 == NULL) {
  Method *reader435 = addmethodrealflags(obj433, "kind",&reader_lexer_kind_435, MFLAG_DEF);
  reader435->definitionModule = modulename;
  reader435->definitionLine = 186;
}
adddatum2(obj433, alloc_Undefined(), 1);
if (objclass433 == NULL) {
  Method *reader436 = addmethodrealflags(obj433, "value",&reader_lexer_value_436, MFLAG_DEF);
  reader436->definitionModule = modulename;
  reader436->definitionLine = 187;
}
adddatum2(obj433, alloc_Undefined(), 2);
if (objclass433 == NULL) {
  Method *reader437 = addmethodrealflags(obj433, "size",&reader_lexer_size_437, MFLAG_DEF);
  reader437->definitionModule = modulename;
  reader437->definitionLine = 188;
}
adddatum2(obj433, alloc_Undefined(), 3);
  sourceObject = obj433;
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe438 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe439 = gc_frame_new();
// call case 3: self.outer request
  Object call440 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe439);
// compiled call node returning call440 (depth = 4)
// compiled member node returning call440 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call441 = callmethodflags(call440, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe438);
// compiled call node returning call441 (depth = 2)
  struct UserObject *obj433_uo = (struct UserObject *)obj433;
  obj433_uo->super = call441;
  sourceObject = obj433;
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit442 == NULL) {
    strlit442 = alloc_String("lgeneric");
    gc_root(strlit442);
  }
// compiled string node returning strlit442 (depth = 2)
  adddatum2(obj433, strlit442, 1);
  sourceObject = obj433;
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit443 == NULL) {
    strlit443 = alloc_String("<");
    gc_root(strlit443);
  }
// compiled string node returning strlit443 (depth = 2)
  adddatum2(obj433, strlit443, 2);
  sourceObject = obj433;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num444 = alloc_Float64(1);
// compiled num node returning num444 (depth = 2)
  adddatum2(obj433, num444, 3);
  objclass433 = obj433->class;
  objclass433->definitionModule = modulename;
  objclass433->definitionLine = 184;
  (*(struct UserObject *)self).data[0] = lowerouter433;
  self = oldself433;
  selfslot = oldselfslot433;
  stackframe = oldstackframe433;
  gc_frame_end(frame);
  return obj433;
}
Object meth_lexer_lGenericToken432_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lGenericToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lGenericToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for lGenericToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject433 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj433 = alloc_userobj2(3,4, objclass433);
  gc_frame_newslot(obj433);
if (objclass433 == NULL) {
  glfree(obj433->class->name);
  obj433->class->name = "lGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj433, self, 0);
  addmethodreal(obj433,"outer", &reader_lexer_outer_434);
  Object oldself433 = self;
  struct StackFrameObject *oldstackframe433 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe433);
  gc_frame_newslot((Object)stackframe);
  self = obj433;
  Object *oldselfslot433 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter433 = (*(struct UserObject *)self).data[0], lowerouter433 = thisouter433;
  if (inheritingObject433) {
    struct UserObject *inho433 = (struct UserObject *)inheritingObject433;
    while (inho433->super != GraceDefaultObject) inho433 = (struct UserObject *)inho433->super;
    inho433->super = obj433;
    self = inheritingObject433;
    *selfslot = self;
    lowerouter433 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter433;
  }
if (objclass433 == NULL) {
  Method *reader435 = addmethodrealflags(obj433, "kind",&reader_lexer_kind_435, MFLAG_DEF);
  reader435->definitionModule = modulename;
  reader435->definitionLine = 186;
}
adddatum2(obj433, alloc_Undefined(), 1);
if (objclass433 == NULL) {
  Method *reader436 = addmethodrealflags(obj433, "value",&reader_lexer_value_436, MFLAG_DEF);
  reader436->definitionModule = modulename;
  reader436->definitionLine = 187;
}
adddatum2(obj433, alloc_Undefined(), 2);
if (objclass433 == NULL) {
  Method *reader437 = addmethodrealflags(obj433, "size",&reader_lexer_size_437, MFLAG_DEF);
  reader437->definitionModule = modulename;
  reader437->definitionLine = 188;
}
adddatum2(obj433, alloc_Undefined(), 3);
  sourceObject = obj433;
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe438 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe439 = gc_frame_new();
// call case 3: self.outer request
  Object call440 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe439);
// compiled call node returning call440 (depth = 4)
// compiled member node returning call440 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call441 = callmethodflags(call440, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe438);
// compiled call node returning call441 (depth = 2)
  struct UserObject *obj433_uo = (struct UserObject *)obj433;
  obj433_uo->super = call441;
  sourceObject = obj433;
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit442 == NULL) {
    strlit442 = alloc_String("lgeneric");
    gc_root(strlit442);
  }
// compiled string node returning strlit442 (depth = 2)
  adddatum2(obj433, strlit442, 1);
  sourceObject = obj433;
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit443 == NULL) {
    strlit443 = alloc_String("<");
    gc_root(strlit443);
  }
// compiled string node returning strlit443 (depth = 2)
  adddatum2(obj433, strlit443, 2);
  sourceObject = obj433;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num444 = alloc_Float64(1);
// compiled num node returning num444 (depth = 2)
  adddatum2(obj433, num444, 3);
  objclass433 = obj433->class;
  objclass433->definitionModule = modulename;
  objclass433->definitionLine = 184;
  (*(struct UserObject *)self).data[0] = lowerouter433;
  self = oldself433;
  selfslot = oldselfslot433;
  stackframe = oldstackframe433;
  gc_frame_end(frame);
  return obj433;
}
Object meth_lexer_rGenericToken446(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rGenericToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for rGenericToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for rGenericToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject447 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj447 = alloc_userobj2(3,4, objclass447);
  gc_frame_newslot(obj447);
if (objclass447 == NULL) {
  glfree(obj447->class->name);
  obj447->class->name = "rGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj447, self, 0);
  addmethodreal(obj447,"outer", &reader_lexer_outer_448);
  Object oldself447 = self;
  struct StackFrameObject *oldstackframe447 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe447);
  gc_frame_newslot((Object)stackframe);
  self = obj447;
  Object *oldselfslot447 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter447 = (*(struct UserObject *)self).data[0], lowerouter447 = thisouter447;
  if (inheritingObject447) {
    struct UserObject *inho447 = (struct UserObject *)inheritingObject447;
    while (inho447->super != GraceDefaultObject) inho447 = (struct UserObject *)inho447->super;
    inho447->super = obj447;
    self = inheritingObject447;
    *selfslot = self;
    lowerouter447 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter447;
  }
if (objclass447 == NULL) {
  Method *reader449 = addmethodrealflags(obj447, "kind",&reader_lexer_kind_449, MFLAG_DEF);
  reader449->definitionModule = modulename;
  reader449->definitionLine = 192;
}
adddatum2(obj447, alloc_Undefined(), 1);
if (objclass447 == NULL) {
  Method *reader450 = addmethodrealflags(obj447, "value",&reader_lexer_value_450, MFLAG_DEF);
  reader450->definitionModule = modulename;
  reader450->definitionLine = 193;
}
adddatum2(obj447, alloc_Undefined(), 2);
if (objclass447 == NULL) {
  Method *reader451 = addmethodrealflags(obj447, "size",&reader_lexer_size_451, MFLAG_DEF);
  reader451->definitionModule = modulename;
  reader451->definitionLine = 194;
}
adddatum2(obj447, alloc_Undefined(), 3);
  sourceObject = obj447;
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe452 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe453 = gc_frame_new();
// call case 3: self.outer request
  Object call454 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe453);
// compiled call node returning call454 (depth = 4)
// compiled member node returning call454 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call455 = callmethodflags(call454, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe452);
// compiled call node returning call455 (depth = 2)
  struct UserObject *obj447_uo = (struct UserObject *)obj447;
  obj447_uo->super = call455;
  sourceObject = obj447;
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit456 == NULL) {
    strlit456 = alloc_String("rgeneric");
    gc_root(strlit456);
  }
// compiled string node returning strlit456 (depth = 2)
  adddatum2(obj447, strlit456, 1);
  sourceObject = obj447;
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit457 == NULL) {
    strlit457 = alloc_String(">");
    gc_root(strlit457);
  }
// compiled string node returning strlit457 (depth = 2)
  adddatum2(obj447, strlit457, 2);
  sourceObject = obj447;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num458 = alloc_Float64(1);
// compiled num node returning num458 (depth = 2)
  adddatum2(obj447, num458, 3);
  objclass447 = obj447->class;
  objclass447->definitionModule = modulename;
  objclass447->definitionLine = 190;
  (*(struct UserObject *)self).data[0] = lowerouter447;
  self = oldself447;
  selfslot = oldselfslot447;
  stackframe = oldstackframe447;
  gc_frame_end(frame);
  return obj447;
}
Object meth_lexer_rGenericToken446_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rGenericToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for rGenericToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for rGenericToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject447 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj447 = alloc_userobj2(3,4, objclass447);
  gc_frame_newslot(obj447);
if (objclass447 == NULL) {
  glfree(obj447->class->name);
  obj447->class->name = "rGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj447, self, 0);
  addmethodreal(obj447,"outer", &reader_lexer_outer_448);
  Object oldself447 = self;
  struct StackFrameObject *oldstackframe447 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe447);
  gc_frame_newslot((Object)stackframe);
  self = obj447;
  Object *oldselfslot447 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter447 = (*(struct UserObject *)self).data[0], lowerouter447 = thisouter447;
  if (inheritingObject447) {
    struct UserObject *inho447 = (struct UserObject *)inheritingObject447;
    while (inho447->super != GraceDefaultObject) inho447 = (struct UserObject *)inho447->super;
    inho447->super = obj447;
    self = inheritingObject447;
    *selfslot = self;
    lowerouter447 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter447;
  }
if (objclass447 == NULL) {
  Method *reader449 = addmethodrealflags(obj447, "kind",&reader_lexer_kind_449, MFLAG_DEF);
  reader449->definitionModule = modulename;
  reader449->definitionLine = 192;
}
adddatum2(obj447, alloc_Undefined(), 1);
if (objclass447 == NULL) {
  Method *reader450 = addmethodrealflags(obj447, "value",&reader_lexer_value_450, MFLAG_DEF);
  reader450->definitionModule = modulename;
  reader450->definitionLine = 193;
}
adddatum2(obj447, alloc_Undefined(), 2);
if (objclass447 == NULL) {
  Method *reader451 = addmethodrealflags(obj447, "size",&reader_lexer_size_451, MFLAG_DEF);
  reader451->definitionModule = modulename;
  reader451->definitionLine = 194;
}
adddatum2(obj447, alloc_Undefined(), 3);
  sourceObject = obj447;
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe452 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe453 = gc_frame_new();
// call case 3: self.outer request
  Object call454 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe453);
// compiled call node returning call454 (depth = 4)
// compiled member node returning call454 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call455 = callmethodflags(call454, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe452);
// compiled call node returning call455 (depth = 2)
  struct UserObject *obj447_uo = (struct UserObject *)obj447;
  obj447_uo->super = call455;
  sourceObject = obj447;
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit456 == NULL) {
    strlit456 = alloc_String("rgeneric");
    gc_root(strlit456);
  }
// compiled string node returning strlit456 (depth = 2)
  adddatum2(obj447, strlit456, 1);
  sourceObject = obj447;
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit457 == NULL) {
    strlit457 = alloc_String(">");
    gc_root(strlit457);
  }
// compiled string node returning strlit457 (depth = 2)
  adddatum2(obj447, strlit457, 2);
  sourceObject = obj447;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num458 = alloc_Float64(1);
// compiled num node returning num458 (depth = 2)
  adddatum2(obj447, num458, 3);
  objclass447 = obj447->class;
  objclass447->definitionModule = modulename;
  objclass447->definitionLine = 190;
  (*(struct UserObject *)self).data[0] = lowerouter447;
  self = oldself447;
  selfslot = oldselfslot447;
  stackframe = oldstackframe447;
  gc_frame_end(frame);
  return obj447;
}
Object meth_lexer_eofToken460(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eofToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for eofToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for eofToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject461 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj461 = alloc_userobj2(3,4, objclass461);
  gc_frame_newslot(obj461);
if (objclass461 == NULL) {
  glfree(obj461->class->name);
  obj461->class->name = "eofToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj461, self, 0);
  addmethodreal(obj461,"outer", &reader_lexer_outer_462);
  Object oldself461 = self;
  struct StackFrameObject *oldstackframe461 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe461);
  gc_frame_newslot((Object)stackframe);
  self = obj461;
  Object *oldselfslot461 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter461 = (*(struct UserObject *)self).data[0], lowerouter461 = thisouter461;
  if (inheritingObject461) {
    struct UserObject *inho461 = (struct UserObject *)inheritingObject461;
    while (inho461->super != GraceDefaultObject) inho461 = (struct UserObject *)inho461->super;
    inho461->super = obj461;
    self = inheritingObject461;
    *selfslot = self;
    lowerouter461 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter461;
  }
if (objclass461 == NULL) {
  Method *reader463 = addmethodrealflags(obj461, "kind",&reader_lexer_kind_463, MFLAG_DEF);
  reader463->definitionModule = modulename;
  reader463->definitionLine = 198;
}
adddatum2(obj461, alloc_Undefined(), 1);
if (objclass461 == NULL) {
  Method *reader464 = addmethodrealflags(obj461, "value",&reader_lexer_value_464, MFLAG_DEF);
  reader464->definitionModule = modulename;
  reader464->definitionLine = 199;
}
adddatum2(obj461, alloc_Undefined(), 2);
if (objclass461 == NULL) {
  Method *reader465 = addmethodrealflags(obj461, "size",&reader_lexer_size_465, MFLAG_DEF);
  reader465->definitionModule = modulename;
  reader465->definitionLine = 200;
}
adddatum2(obj461, alloc_Undefined(), 3);
  sourceObject = obj461;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe466 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe467 = gc_frame_new();
// call case 3: self.outer request
  Object call468 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe467);
// compiled call node returning call468 (depth = 4)
// compiled member node returning call468 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call469 = callmethodflags(call468, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe466);
// compiled call node returning call469 (depth = 2)
  struct UserObject *obj461_uo = (struct UserObject *)obj461;
  obj461_uo->super = call469;
  sourceObject = obj461;
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit470 == NULL) {
    strlit470 = alloc_String("eof");
    gc_root(strlit470);
  }
// compiled string node returning strlit470 (depth = 2)
  adddatum2(obj461, strlit470, 1);
  sourceObject = obj461;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit471 == NULL) {
    strlit471 = alloc_String("");
    gc_root(strlit471);
  }
// compiled string node returning strlit471 (depth = 2)
  adddatum2(obj461, strlit471, 2);
  sourceObject = obj461;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num472 = alloc_Float64(0);
// compiled num node returning num472 (depth = 2)
  adddatum2(obj461, num472, 3);
  objclass461 = obj461->class;
  objclass461->definitionModule = modulename;
  objclass461->definitionLine = 196;
  (*(struct UserObject *)self).data[0] = lowerouter461;
  self = oldself461;
  selfslot = oldselfslot461;
  stackframe = oldstackframe461;
  gc_frame_end(frame);
  return obj461;
}
Object meth_lexer_eofToken460_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eofToken()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for eofToken (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for eofToken");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject461 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj461 = alloc_userobj2(3,4, objclass461);
  gc_frame_newslot(obj461);
if (objclass461 == NULL) {
  glfree(obj461->class->name);
  obj461->class->name = "eofToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj461, self, 0);
  addmethodreal(obj461,"outer", &reader_lexer_outer_462);
  Object oldself461 = self;
  struct StackFrameObject *oldstackframe461 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe461);
  gc_frame_newslot((Object)stackframe);
  self = obj461;
  Object *oldselfslot461 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter461 = (*(struct UserObject *)self).data[0], lowerouter461 = thisouter461;
  if (inheritingObject461) {
    struct UserObject *inho461 = (struct UserObject *)inheritingObject461;
    while (inho461->super != GraceDefaultObject) inho461 = (struct UserObject *)inho461->super;
    inho461->super = obj461;
    self = inheritingObject461;
    *selfslot = self;
    lowerouter461 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter461;
  }
if (objclass461 == NULL) {
  Method *reader463 = addmethodrealflags(obj461, "kind",&reader_lexer_kind_463, MFLAG_DEF);
  reader463->definitionModule = modulename;
  reader463->definitionLine = 198;
}
adddatum2(obj461, alloc_Undefined(), 1);
if (objclass461 == NULL) {
  Method *reader464 = addmethodrealflags(obj461, "value",&reader_lexer_value_464, MFLAG_DEF);
  reader464->definitionModule = modulename;
  reader464->definitionLine = 199;
}
adddatum2(obj461, alloc_Undefined(), 2);
if (objclass461 == NULL) {
  Method *reader465 = addmethodrealflags(obj461, "size",&reader_lexer_size_465, MFLAG_DEF);
  reader465->definitionModule = modulename;
  reader465->definitionLine = 200;
}
adddatum2(obj461, alloc_Undefined(), 3);
  sourceObject = obj461;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe466 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe467 = gc_frame_new();
// call case 3: self.outer request
  Object call468 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe467);
// compiled call node returning call468 (depth = 4)
// compiled member node returning call468 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call469 = callmethodflags(call468, "token()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe466);
// compiled call node returning call469 (depth = 2)
  struct UserObject *obj461_uo = (struct UserObject *)obj461;
  obj461_uo->super = call469;
  sourceObject = obj461;
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit470 == NULL) {
    strlit470 = alloc_String("eof");
    gc_root(strlit470);
  }
// compiled string node returning strlit470 (depth = 2)
  adddatum2(obj461, strlit470, 1);
  sourceObject = obj461;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit471 == NULL) {
    strlit471 = alloc_String("");
    gc_root(strlit471);
  }
// compiled string node returning strlit471 (depth = 2)
  adddatum2(obj461, strlit471, 2);
  sourceObject = obj461;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num472 = alloc_Float64(0);
// compiled num node returning num472 (depth = 2)
  adddatum2(obj461, num472, 3);
  objclass461 = obj461->class;
  objclass461->definitionModule = modulename;
  objclass461->definitionLine = 196;
  (*(struct UserObject *)self).data[0] = lowerouter461;
  self = oldself461;
  selfslot = oldselfslot461;
  stackframe = oldstackframe461;
  gc_frame_end(frame);
  return obj461;
}
Object meth_lexer__apply672(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit674 == NULL) {
    strlit674 = alloc_String("dot");
    gc_root(strlit674);
  }
// compiled string node returning strlit674 (depth = 22)
  int op_slot_right_673 = gc_frame_newslot(strlit674);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe676 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe677 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  partcv[0] = 0;
  Object call678 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe677);
// compiled call node returning call678 (depth = 25)
// compiled member node returning call678 (depth = 24)
  partcv[0] = 0;
  Object call679 = callmethod(call678, "kind",
    1, partcv, params);
  gc_frame_end(callframe676);
// compiled call node returning call679 (depth = 23)
// compiled member node returning call679 (depth = 22)
  int op_slot_left_673 = gc_frame_newslot(call679);
  params[0] = strlit674;
  partcv[0] = 1;
  Object opresult680 = callmethod(call679, "==", 1, partcv, params);
// compiled op node returning opresult680 (depth = 21)
  gc_frame_end(frame);
  return opresult680;
}
Object meth_lexer__apply1088(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_firstNonSpace = getfromclosure(closure, 0);
  Object *var_accum = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 26)
// starting to compile string node (depth = 27)
  if (strlit1090 == NULL) {
    strlit1090 = alloc_String(" ");
    gc_root(strlit1090);
  }
// compiled string node returning strlit1090 (depth = 27)
  int op_slot_right_1089 = gc_frame_newslot(strlit1090);
// starting to compile call node (depth = 27)
  int callframe1092 = gc_frame_new();
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_firstNonSpace (depth = 28)
  gc_frame_newslot(*var_firstNonSpace);
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_accum (depth = 28)
  params[0] = *var_firstNonSpace;
  partcv[0] = 1;
  Object call1093 = callmethod(*var_accum, "at",
    1, partcv, params);
  gc_frame_end(callframe1092);
// compiled call node returning call1093 (depth = 27)
  int op_slot_left_1089 = gc_frame_newslot(call1093);
  params[0] = strlit1090;
  partcv[0] = 1;
  Object opresult1094 = callmethod(call1093, "==", 1, partcv, params);
// compiled op node returning opresult1094 (depth = 26)
  gc_frame_end(frame);
  return opresult1094;
}
Object meth_lexer__apply1085(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_firstNonSpace = getfromclosure(closure, 0);
  Object *var_accum = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 24)
  int callframe1086 = gc_frame_new();
// starting to compile block node (depth = 25)
  Object block1087 = alloc_Block(NULL, NULL, "lexer", 368);
  gc_frame_newslot(block1087);
// method "_apply"
  block_savedest(block1087);
  Object closure1088 = createclosure(3, "_apply");
  setclosureframe(closure1088, stackframe);
  addtoclosure(closure1088, var_firstNonSpace);
  addtoclosure(closure1088, var_accum);
  addtoclosure(closure1088, selfslot);
  struct UserObject *uo1088 = (struct UserObject*)block1087;
  uo1088->data[0] = (Object)closure1088;
  Method *meth_meth_lexer__apply1088 = addmethod2pos(block1087, "_apply", &meth_lexer__apply1088, 0);
  int argcv_meth_lexer__apply1088[] = {0};
  meth_meth_lexer__apply1088->type = alloc_MethodType(1, argcv_meth_lexer__apply1088);
  meth_meth_lexer__apply1088->definitionModule = modulename;
  meth_meth_lexer__apply1088->definitionLine = 367;
// compiled block node returning block1087 (depth = 25)
  gc_frame_newslot(block1087);
// call case 6: other member request
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 25)
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe1097 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_accum (depth = 28)
  partcv[0] = 0;
  Object call1098 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1097);
// compiled call node returning call1098 (depth = 27)
// compiled member node returning call1098 (depth = 26)
  int op_slot_right_1096 = gc_frame_newslot(call1098);
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_firstNonSpace (depth = 26)
  int op_slot_left_1096 = gc_frame_newslot(*var_firstNonSpace);
  params[0] = call1098;
  partcv[0] = 1;
  Object opresult1100 = callmethod(*var_firstNonSpace, "<=", 1, partcv, params);
// compiled op node returning opresult1100 (depth = 25)
  params[0] = block1087;
  partcv[0] = 1;
  Object call1101 = callmethod(opresult1100, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1086);
// compiled call node returning call1101 (depth = 24)
  gc_frame_end(frame);
  return call1101;
}
Object meth_lexer__apply1104(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_firstNonSpace = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 24)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 25)
// starting to compile num node (depth = 26)
  Object num1106 = alloc_Float64(1);
// compiled num node returning num1106 (depth = 26)
  int op_slot_right_1105 = gc_frame_newslot(num1106);
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_firstNonSpace (depth = 26)
  int op_slot_left_1105 = gc_frame_newslot(*var_firstNonSpace);
  params[0] = num1106;
  partcv[0] = 1;
  Object sum1108 = callmethod(*var_firstNonSpace, "+", 1, partcv, params);
// compiled op node returning sum1108 (depth = 25)
  *var_firstNonSpace = sum1108;
  if (sum1108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 24)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_modechange474(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(20, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "modechange");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method modechange");
  Object params[5];
  int partcv[3];
  Object *var_keywords = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for modechange (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokens = &(stackframe->slots[0]);
  *var_tokens = args[curarg];
  curarg++;
  Object *var_mode = &(stackframe->slots[1]);
  *var_mode = args[curarg];
  curarg++;
  Object *var_accum = &(stackframe->slots[2]);
  *var_accum = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for modechange");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_isDone = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "isDone");
  Object *var_tok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "tok");
  Object *var_dot = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dot");
  Object *var_decimal = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "decimal");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
  Object *var_suggestion = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "suggestion");
  Object *var_firstNonSpace = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "firstNonSpace");
  Object *var_accumSize = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "accumSize");
  Object *var_cmt = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "cmt");
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool475 = alloc_Boolean(0);
// compiled identifier node returning bool475 (depth = 3)
  *var_isDone = bool475;
  if (bool475 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num476 = alloc_Float64(0);
// compiled num node returning num476 (depth = 3)
  *var_tok = num476;
  if (num476 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num480 = alloc_Float64(0);
// compiled num node returning num480 (depth = 5)
  int op_slot_right_479 = gc_frame_newslot(num480);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe482 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  partcv[0] = 0;
  Object call483 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe482);
// compiled call node returning call483 (depth = 6)
// compiled member node returning call483 (depth = 5)
  int op_slot_left_479 = gc_frame_newslot(call483);
  params[0] = num480;
  partcv[0] = 1;
  Object opresult484 = callmethod(call483, ">", 1, partcv, params);
// compiled op node returning opresult484 (depth = 4)
  int op_slot_right_478 = gc_frame_newslot(opresult484);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit487 == NULL) {
    strlit487 = alloc_String("n");
    gc_root(strlit487);
  }
// compiled string node returning strlit487 (depth = 5)
  int op_slot_right_486 = gc_frame_newslot(strlit487);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_486 = gc_frame_newslot(*var_mode);
  params[0] = strlit487;
  partcv[0] = 1;
  Object opresult489 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult489 (depth = 4)
  int op_slot_left_478 = gc_frame_newslot(opresult489);
  params[0] = opresult484;
  partcv[0] = 1;
  Object opresult490 = callmethod(opresult489, "||", 1, partcv, params);
// compiled op node returning opresult490 (depth = 3)
  Object if477 = done;
  if (istrue(opresult490)) {
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit493 == NULL) {
    strlit493 = alloc_String("i");
    gc_root(strlit493);
  }
// compiled string node returning strlit493 (depth = 5)
  int op_slot_right_492 = gc_frame_newslot(strlit493);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_492 = gc_frame_newslot(*var_mode);
  params[0] = strlit493;
  partcv[0] = 1;
  Object opresult495 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult495 (depth = 4)
  Object if491 = done;
  if (istrue(opresult495)) {
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe497 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_keywords (depth = 7)
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call498 = callmethod(*var_keywords, "contains",
    1, partcv, params);
  gc_frame_end(callframe497);
// compiled call node returning call498 (depth = 6)
  Object if496 = done;
struct StackFrameObject *iftmpstackframe496 = stackframe;
  if (istrue(call498)) {
stackframe = alloc_StackFrame(0, iftmpstackframe496);
gc_frame_newslot((Object)stackframe);
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe499 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call500 = callmethodflags(self, "keywordToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe499);
// compiled call node returning call500 (depth = 6)
    gc_frame_newslot(call500);
    if496 = call500;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe496);
  gc_frame_newslot((Object)stackframe);
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe501 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call502 = callmethodflags(self, "identifierToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe501);
// compiled call node returning call502 (depth = 6)
    gc_frame_newslot(call502);
    if496 = call502;
  }
stackframe = iftmpstackframe496;
// compiled if node returning if496 (depth = 5)
  *var_tok = if496;
  if (if496 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe504 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tok (depth = 5)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call505 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe504);
// compiled call node returning call505 (depth = 4)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool506 = alloc_Boolean(1);
// compiled identifier node returning bool506 (depth = 5)
  *var_isDone = bool506;
  if (bool506 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if491 = done;
  } else {
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit510 == NULL) {
    strlit510 = alloc_String("""\x22""");
    gc_root(strlit510);
  }
// compiled string node returning strlit510 (depth = 6)
  int op_slot_right_509 = gc_frame_newslot(strlit510);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_509 = gc_frame_newslot(*var_mode);
  params[0] = strlit510;
  partcv[0] = 1;
  Object opresult512 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult512 (depth = 5)
  Object if508 = done;
  if (istrue(opresult512)) {
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe513 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call514 = callmethodflags(self, "stringToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe513);
// compiled call node returning call514 (depth = 6)
  *var_tok = call514;
  if (call514 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe516 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call517 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe516);
// compiled call node returning call517 (depth = 5)
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool518 = alloc_Boolean(1);
// compiled identifier node returning bool518 (depth = 6)
  *var_isDone = bool518;
  if (bool518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if508 = done;
  } else {
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit522 == NULL) {
    strlit522 = alloc_String("q");
    gc_root(strlit522);
  }
// compiled string node returning strlit522 (depth = 7)
  int op_slot_right_521 = gc_frame_newslot(strlit522);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_521 = gc_frame_newslot(*var_mode);
  params[0] = strlit522;
  partcv[0] = 1;
  Object opresult524 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult524 (depth = 6)
  Object if520 = done;
  if (istrue(opresult524)) {
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe525 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_accum (depth = 8)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call526 = callmethodflags(self, "multiLineStringToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe525);
// compiled call node returning call526 (depth = 7)
  *var_tok = call526;
  if (call526 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe528 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tok (depth = 7)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call529 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe528);
// compiled call node returning call529 (depth = 6)
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool530 = alloc_Boolean(1);
// compiled identifier node returning bool530 (depth = 7)
  *var_isDone = bool530;
  if (bool530 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if520 = done;
  } else {
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit534 == NULL) {
    strlit534 = alloc_String(",");
    gc_root(strlit534);
  }
// compiled string node returning strlit534 (depth = 8)
  int op_slot_right_533 = gc_frame_newslot(strlit534);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_533 = gc_frame_newslot(*var_mode);
  params[0] = strlit534;
  partcv[0] = 1;
  Object opresult536 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult536 (depth = 7)
  Object if532 = done;
  if (istrue(opresult536)) {
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe537 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call538 = callmethodflags(self, "commaToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe537);
// compiled call node returning call538 (depth = 9)
// compiled member node returning call538 (depth = 8)
  *var_tok = call538;
  if (call538 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe540 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call541 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe540);
// compiled call node returning call541 (depth = 7)
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool542 = alloc_Boolean(1);
// compiled identifier node returning bool542 (depth = 8)
  *var_isDone = bool542;
  if (bool542 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if532 = done;
  } else {
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit546 == NULL) {
    strlit546 = alloc_String(".");
    gc_root(strlit546);
  }
// compiled string node returning strlit546 (depth = 9)
  int op_slot_right_545 = gc_frame_newslot(strlit546);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_545 = gc_frame_newslot(*var_mode);
  params[0] = strlit546;
  partcv[0] = 1;
  Object opresult548 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult548 (depth = 8)
  Object if544 = done;
  if (istrue(opresult548)) {
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe549 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call550 = callmethodflags(self, "dotToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe549);
// compiled call node returning call550 (depth = 10)
// compiled member node returning call550 (depth = 9)
  *var_tok = call550;
  if (call550 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe552 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call553 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe552);
// compiled call node returning call553 (depth = 8)
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool554 = alloc_Boolean(1);
// compiled identifier node returning bool554 (depth = 9)
  *var_isDone = bool554;
  if (bool554 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if544 = done;
  } else {
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit558 == NULL) {
    strlit558 = alloc_String("{");
    gc_root(strlit558);
  }
// compiled string node returning strlit558 (depth = 10)
  int op_slot_right_557 = gc_frame_newslot(strlit558);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_557 = gc_frame_newslot(*var_mode);
  params[0] = strlit558;
  partcv[0] = 1;
  Object opresult560 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult560 (depth = 9)
  Object if556 = done;
  if (istrue(opresult560)) {
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe561 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call562 = callmethodflags(self, "lBraceToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe561);
// compiled call node returning call562 (depth = 11)
// compiled member node returning call562 (depth = 10)
  *var_tok = call562;
  if (call562 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe564 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call565 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe564);
// compiled call node returning call565 (depth = 9)
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool566 = alloc_Boolean(1);
// compiled identifier node returning bool566 (depth = 10)
  *var_isDone = bool566;
  if (bool566 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if556 = done;
  } else {
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit570 == NULL) {
    strlit570 = alloc_String("}");
    gc_root(strlit570);
  }
// compiled string node returning strlit570 (depth = 11)
  int op_slot_right_569 = gc_frame_newslot(strlit570);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  int op_slot_left_569 = gc_frame_newslot(*var_mode);
  params[0] = strlit570;
  partcv[0] = 1;
  Object opresult572 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult572 (depth = 10)
  Object if568 = done;
  if (istrue(opresult572)) {
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe573 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call574 = callmethodflags(self, "rBraceToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe573);
// compiled call node returning call574 (depth = 12)
// compiled member node returning call574 (depth = 11)
  *var_tok = call574;
  if (call574 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe576 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tok (depth = 11)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call577 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe576);
// compiled call node returning call577 (depth = 10)
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile identifier node (depth = 11)
  Object bool578 = alloc_Boolean(1);
// compiled identifier node returning bool578 (depth = 11)
  *var_isDone = bool578;
  if (bool578 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if568 = done;
  } else {
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit582 == NULL) {
    strlit582 = alloc_String("(");
    gc_root(strlit582);
  }
// compiled string node returning strlit582 (depth = 12)
  int op_slot_right_581 = gc_frame_newslot(strlit582);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  int op_slot_left_581 = gc_frame_newslot(*var_mode);
  params[0] = strlit582;
  partcv[0] = 1;
  Object opresult584 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult584 (depth = 11)
  Object if580 = done;
  if (istrue(opresult584)) {
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe585 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call586 = callmethodflags(self, "lParenToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe585);
// compiled call node returning call586 (depth = 13)
// compiled member node returning call586 (depth = 12)
  *var_tok = call586;
  if (call586 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe588 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tok (depth = 12)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call589 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe588);
// compiled call node returning call589 (depth = 11)
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile identifier node (depth = 12)
  Object bool590 = alloc_Boolean(1);
// compiled identifier node returning bool590 (depth = 12)
  *var_isDone = bool590;
  if (bool590 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if580 = done;
  } else {
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit594 == NULL) {
    strlit594 = alloc_String(")");
    gc_root(strlit594);
  }
// compiled string node returning strlit594 (depth = 13)
  int op_slot_right_593 = gc_frame_newslot(strlit594);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_mode (depth = 13)
  int op_slot_left_593 = gc_frame_newslot(*var_mode);
  params[0] = strlit594;
  partcv[0] = 1;
  Object opresult596 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult596 (depth = 12)
  Object if592 = done;
  if (istrue(opresult596)) {
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe597 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call598 = callmethodflags(self, "rParenToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe597);
// compiled call node returning call598 (depth = 14)
// compiled member node returning call598 (depth = 13)
  *var_tok = call598;
  if (call598 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe600 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call601 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe600);
// compiled call node returning call601 (depth = 12)
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile identifier node (depth = 13)
  Object bool602 = alloc_Boolean(1);
// compiled identifier node returning bool602 (depth = 13)
  *var_isDone = bool602;
  if (bool602 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if592 = done;
  } else {
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit606 == NULL) {
    strlit606 = alloc_String("[");
    gc_root(strlit606);
  }
// compiled string node returning strlit606 (depth = 14)
  int op_slot_right_605 = gc_frame_newslot(strlit606);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mode (depth = 14)
  int op_slot_left_605 = gc_frame_newslot(*var_mode);
  params[0] = strlit606;
  partcv[0] = 1;
  Object opresult608 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult608 (depth = 13)
  Object if604 = done;
  if (istrue(opresult608)) {
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 13)
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe609 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call610 = callmethodflags(self, "lSquareToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe609);
// compiled call node returning call610 (depth = 15)
// compiled member node returning call610 (depth = 14)
  *var_tok = call610;
  if (call610 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 13)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe612 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tok (depth = 14)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tokens (depth = 14)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call613 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe612);
// compiled call node returning call613 (depth = 13)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 13)
// starting to compile identifier node (depth = 14)
  Object bool614 = alloc_Boolean(1);
// compiled identifier node returning bool614 (depth = 14)
  *var_isDone = bool614;
  if (bool614 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 13)
    gc_frame_newslot(done);
    if604 = done;
  } else {
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit618 == NULL) {
    strlit618 = alloc_String("]");
    gc_root(strlit618);
  }
// compiled string node returning strlit618 (depth = 15)
  int op_slot_right_617 = gc_frame_newslot(strlit618);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_mode (depth = 15)
  int op_slot_left_617 = gc_frame_newslot(*var_mode);
  params[0] = strlit618;
  partcv[0] = 1;
  Object opresult620 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult620 (depth = 14)
  Object if616 = done;
  if (istrue(opresult620)) {
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe621 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call622 = callmethodflags(self, "rSquareToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe621);
// compiled call node returning call622 (depth = 16)
// compiled member node returning call622 (depth = 15)
  *var_tok = call622;
  if (call622 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 14)
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe624 = gc_frame_new();
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tok (depth = 15)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tokens (depth = 15)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call625 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe624);
// compiled call node returning call625 (depth = 14)
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// starting to compile identifier node (depth = 15)
  Object bool626 = alloc_Boolean(1);
// compiled identifier node returning bool626 (depth = 15)
  *var_isDone = bool626;
  if (bool626 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 14)
    gc_frame_newslot(done);
    if616 = done;
  } else {
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 14)
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit630 == NULL) {
    strlit630 = alloc_String("<");
    gc_root(strlit630);
  }
// compiled string node returning strlit630 (depth = 16)
  int op_slot_right_629 = gc_frame_newslot(strlit630);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_mode (depth = 16)
  int op_slot_left_629 = gc_frame_newslot(*var_mode);
  params[0] = strlit630;
  partcv[0] = 1;
  Object opresult632 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult632 (depth = 15)
  Object if628 = done;
  if (istrue(opresult632)) {
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 15)
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe633 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call634 = callmethodflags(self, "lGenericToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe633);
// compiled call node returning call634 (depth = 17)
// compiled member node returning call634 (depth = 16)
  *var_tok = call634;
  if (call634 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 15)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 15)
  int callframe636 = gc_frame_new();
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tok (depth = 16)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call637 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe636);
// compiled call node returning call637 (depth = 15)
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 15)
// starting to compile identifier node (depth = 16)
  Object bool638 = alloc_Boolean(1);
// compiled identifier node returning bool638 (depth = 16)
  *var_isDone = bool638;
  if (bool638 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 15)
    gc_frame_newslot(done);
    if628 = done;
  } else {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit642 == NULL) {
    strlit642 = alloc_String(">");
    gc_root(strlit642);
  }
// compiled string node returning strlit642 (depth = 17)
  int op_slot_right_641 = gc_frame_newslot(strlit642);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_mode (depth = 17)
  int op_slot_left_641 = gc_frame_newslot(*var_mode);
  params[0] = strlit642;
  partcv[0] = 1;
  Object opresult644 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult644 (depth = 16)
  Object if640 = done;
  if (istrue(opresult644)) {
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 16)
// starting to compile member node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe645 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call646 = callmethodflags(self, "rGenericToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe645);
// compiled call node returning call646 (depth = 18)
// compiled member node returning call646 (depth = 17)
  *var_tok = call646;
  if (call646 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 16)
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 16)
  int callframe648 = gc_frame_new();
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_tok (depth = 17)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_tokens (depth = 17)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call649 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe648);
// compiled call node returning call649 (depth = 16)
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 16)
// starting to compile identifier node (depth = 17)
  Object bool650 = alloc_Boolean(1);
// compiled identifier node returning bool650 (depth = 17)
  *var_isDone = bool650;
  if (bool650 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 16)
    gc_frame_newslot(done);
    if640 = done;
  } else {
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 16)
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit654 == NULL) {
    strlit654 = alloc_String(";");
    gc_root(strlit654);
  }
// compiled string node returning strlit654 (depth = 18)
  int op_slot_right_653 = gc_frame_newslot(strlit654);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_mode (depth = 18)
  int op_slot_left_653 = gc_frame_newslot(*var_mode);
  params[0] = strlit654;
  partcv[0] = 1;
  Object opresult656 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult656 (depth = 17)
  Object if652 = done;
  if (istrue(opresult656)) {
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile member node (depth = 18)
// starting to compile call node (depth = 19)
  int callframe657 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call658 = callmethodflags(self, "semicolonToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe657);
// compiled call node returning call658 (depth = 19)
// compiled member node returning call658 (depth = 18)
  *var_tok = call658;
  if (call658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 17)
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 17)
  int callframe660 = gc_frame_new();
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tok (depth = 18)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tokens (depth = 18)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call661 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe660);
// compiled call node returning call661 (depth = 17)
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile identifier node (depth = 18)
  Object bool662 = alloc_Boolean(1);
// compiled identifier node returning bool662 (depth = 18)
  *var_isDone = bool662;
  if (bool662 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 17)
    gc_frame_newslot(done);
    if652 = done;
  } else {
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 17)
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit666 == NULL) {
    strlit666 = alloc_String("m");
    gc_root(strlit666);
  }
// compiled string node returning strlit666 (depth = 19)
  int op_slot_right_665 = gc_frame_newslot(strlit666);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_mode (depth = 19)
  int op_slot_left_665 = gc_frame_newslot(*var_mode);
  params[0] = strlit666;
  partcv[0] = 1;
  Object opresult668 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult668 (depth = 18)
  Object if664 = done;
  if (istrue(opresult668)) {
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 18)
// starting to compile call node (depth = 19)
  int callframe670 = gc_frame_new();
// starting to compile block node (depth = 20)
  Object block671 = alloc_Block(NULL, NULL, "lexer", 285);
  gc_frame_newslot(block671);
// method "_apply"
  block_savedest(block671);
  Object closure672 = createclosure(2, "_apply");
  setclosureframe(closure672, stackframe);
  addtoclosure(closure672, var_tokens);
  addtoclosure(closure672, selfslot);
  struct UserObject *uo672 = (struct UserObject*)block671;
  uo672->data[0] = (Object)closure672;
  Method *meth_meth_lexer__apply672 = addmethod2pos(block671, "_apply", &meth_lexer__apply672, 0);
  int argcv_meth_lexer__apply672[] = {0};
  meth_meth_lexer__apply672->type = alloc_MethodType(1, argcv_meth_lexer__apply672);
  meth_meth_lexer__apply672->definitionModule = modulename;
  meth_meth_lexer__apply672->definitionLine = 281;
// compiled block node returning block671 (depth = 20)
  gc_frame_newslot(block671);
// call case 6: other member request
// starting to compile op node (depth = 20)
// starting to compile num node (depth = 21)
  Object num683 = alloc_Float64(1);
// compiled num node returning num683 (depth = 21)
  int op_slot_right_682 = gc_frame_newslot(num683);
// starting to compile member node (depth = 21)
// starting to compile call node (depth = 22)
  int callframe685 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_tokens (depth = 23)
  partcv[0] = 0;
  Object call686 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe685);
// compiled call node returning call686 (depth = 22)
// compiled member node returning call686 (depth = 21)
  int op_slot_left_682 = gc_frame_newslot(call686);
  params[0] = num683;
  partcv[0] = 1;
  Object opresult687 = callmethod(call686, ">", 1, partcv, params);
// compiled op node returning opresult687 (depth = 20)
  params[0] = block671;
  partcv[0] = 1;
  Object call688 = callmethod(opresult687, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe670);
// compiled call node returning call688 (depth = 19)
  Object if669 = done;
  if (istrue(call688)) {
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 19)
// starting to compile member node (depth = 20)
// starting to compile call node (depth = 21)
  int callframe689 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_tokens (depth = 22)
  partcv[0] = 0;
  Object call690 = callmethod(*var_tokens, "pop",
    1, partcv, params);
  gc_frame_end(callframe689);
// compiled call node returning call690 (depth = 21)
// compiled member node returning call690 (depth = 20)
  *var_dot = call690;
  if (call690 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 19)
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 19)
// starting to compile op node (depth = 20)
// starting to compile string node (depth = 21)
  if (strlit693 == NULL) {
    strlit693 = alloc_String("num");
    gc_root(strlit693);
  }
// compiled string node returning strlit693 (depth = 21)
  int op_slot_right_692 = gc_frame_newslot(strlit693);
// starting to compile member node (depth = 21)
// starting to compile call node (depth = 22)
  int callframe695 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe696 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_tokens (depth = 25)
  partcv[0] = 0;
  Object call697 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe696);
// compiled call node returning call697 (depth = 24)
// compiled member node returning call697 (depth = 23)
  partcv[0] = 0;
  Object call698 = callmethod(call697, "kind",
    1, partcv, params);
  gc_frame_end(callframe695);
// compiled call node returning call698 (depth = 22)
// compiled member node returning call698 (depth = 21)
  int op_slot_left_692 = gc_frame_newslot(call698);
  params[0] = strlit693;
  partcv[0] = 1;
  Object opresult699 = callmethod(call698, "==", 1, partcv, params);
// compiled op node returning opresult699 (depth = 20)
  Object if691 = done;
  if (istrue(opresult699)) {
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// starting to compile op node (depth = 21)
// starting to compile num node (depth = 22)
  Object num702 = alloc_Float64(10);
// compiled num node returning num702 (depth = 22)
  int op_slot_right_701 = gc_frame_newslot(num702);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe704 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe705 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  partcv[0] = 0;
  Object call706 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe705);
// compiled call node returning call706 (depth = 25)
// compiled member node returning call706 (depth = 24)
  partcv[0] = 0;
  Object call707 = callmethod(call706, "base",
    1, partcv, params);
  gc_frame_end(callframe704);
// compiled call node returning call707 (depth = 23)
// compiled member node returning call707 (depth = 22)
  int op_slot_left_701 = gc_frame_newslot(call707);
  params[0] = num702;
  partcv[0] = 1;
  Object opresult708 = callmethod(call707, "==", 1, partcv, params);
// compiled op node returning opresult708 (depth = 21)
  Object if700 = done;
  if (istrue(opresult708)) {
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 21)
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe709 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_tokens (depth = 24)
  partcv[0] = 0;
  Object call710 = callmethod(*var_tokens, "pop",
    1, partcv, params);
  gc_frame_end(callframe709);
// compiled call node returning call710 (depth = 23)
// compiled member node returning call710 (depth = 22)
  *var_tok = call710;
  if (call710 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 21)
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 21)
// starting to compile call node (depth = 22)
  int callframe712 = gc_frame_new();
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_accum (depth = 23)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call713 = callmethodflags(self, "makeNumToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe712);
// compiled call node returning call713 (depth = 22)
  *var_decimal = call713;
  if (call713 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 21)
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// starting to compile op node (depth = 22)
// starting to compile num node (depth = 23)
  Object num716 = alloc_Float64(10);
// compiled num node returning num716 (depth = 23)
  int op_slot_right_715 = gc_frame_newslot(num716);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe718 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_decimal (depth = 25)
  partcv[0] = 0;
  Object call719 = callmethod(*var_decimal, "base",
    1, partcv, params);
  gc_frame_end(callframe718);
// compiled call node returning call719 (depth = 24)
// compiled member node returning call719 (depth = 23)
  int op_slot_left_715 = gc_frame_newslot(call719);
  params[0] = num716;
  partcv[0] = 1;
  Object opresult720 = callmethod(call719, "==", 1, partcv, params);
// compiled op node returning opresult720 (depth = 22)
  Object if714 = done;
  if (istrue(opresult720)) {
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe721 = gc_frame_new();
// starting to compile op node (depth = 24)
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_accum (depth = 25)
  int op_slot_right_722 = gc_frame_newslot(*var_accum);
// starting to compile op node (depth = 25)
// starting to compile string node (depth = 26)
  if (strlit725 == NULL) {
    strlit725 = alloc_String(".");
    gc_root(strlit725);
  }
// compiled string node returning strlit725 (depth = 26)
  int op_slot_right_724 = gc_frame_newslot(strlit725);
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe727 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_tok (depth = 28)
  partcv[0] = 0;
  Object call728 = callmethod(*var_tok, "value",
    1, partcv, params);
  gc_frame_end(callframe727);
// compiled call node returning call728 (depth = 27)
// compiled member node returning call728 (depth = 26)
  int op_slot_left_724 = gc_frame_newslot(call728);
  params[0] = strlit725;
  partcv[0] = 1;
  Object opresult729 = callmethod(call728, "++", 1, partcv, params);
// compiled op node returning opresult729 (depth = 25)
  int op_slot_left_722 = gc_frame_newslot(opresult729);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult730 = callmethod(opresult729, "++", 1, partcv, params);
// compiled op node returning opresult730 (depth = 24)
  gc_frame_newslot(opresult730);
// starting to compile num node (depth = 24)
  Object num731 = alloc_Float64(10);
// compiled num node returning num731 (depth = 24)
  gc_frame_newslot(num731);
// call case 4: self request
  params[0] = opresult730;
  params[1] = num731;
  partcv[0] = 2;
  Object call732 = callmethodflags(self, "numToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe721);
// compiled call node returning call732 (depth = 23)
  *var_tok = call732;
  if (call732 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 22)
    gc_frame_newslot(done);
    if714 = done;
  } else {
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 22)
// starting to compile array node (depth = 23)
  Object array734 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array734 (depth = 23)
  *var_suggestions = array734;
  if (array734 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 22)
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 22)
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe735 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe736 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_errormessages (depth = 27)
  partcv[0] = 0;
  Object call737 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe736);
// compiled call node returning call737 (depth = 26)
// compiled member node returning call737 (depth = 25)
  partcv[0] = 0;
  Object call738 = callmethod(call737, "new",
    1, partcv, params);
  gc_frame_end(callframe735);
// compiled call node returning call738 (depth = 24)
// compiled member node returning call738 (depth = 23)
  *var_suggestion = call738;
  if (call738 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 22)
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe739 = gc_frame_new();
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num741 = alloc_Float64(1);
// compiled num node returning num741 (depth = 24)
  int op_slot_right_740 = gc_frame_newslot(num741);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe743 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call744 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe743);
// compiled call node returning call744 (depth = 25)
// compiled member node returning call744 (depth = 24)
  int op_slot_left_740 = gc_frame_newslot(call744);
  params[0] = num741;
  partcv[0] = 1;
  Object sum745 = callmethod(call744, "+", 1, partcv, params);
// compiled op node returning sum745 (depth = 23)
  gc_frame_newslot(sum745);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num747 = alloc_Float64(1);
// compiled num node returning num747 (depth = 24)
  int op_slot_right_746 = gc_frame_newslot(num747);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe749 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call750 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe749);
// compiled call node returning call750 (depth = 25)
// compiled member node returning call750 (depth = 24)
  int op_slot_left_746 = gc_frame_newslot(call750);
  params[0] = num747;
  partcv[0] = 1;
  Object diff751 = callmethod(call750, "-", 1, partcv, params);
// compiled op node returning diff751 (depth = 23)
  gc_frame_newslot(diff751);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe752 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_decimal (depth = 25)
  partcv[0] = 0;
  Object call753 = callmethod(*var_decimal, "value",
    1, partcv, params);
  gc_frame_end(callframe752);
// compiled call node returning call753 (depth = 24)
// compiled member node returning call753 (depth = 23)
  gc_frame_newslot(call753);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe754 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call755 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe754);
// compiled call node returning call755 (depth = 24)
// compiled member node returning call755 (depth = 23)
  gc_frame_newslot(call755);
// call case 6: other member request
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  params[0] = sum745;
  params[1] = diff751;
  params[2] = call753;
  params[3] = call755;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call756 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe739);
// compiled call node returning call756 (depth = 22)
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe757 = gc_frame_new();
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestions (depth = 23)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call758 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe757);
// compiled call node returning call758 (depth = 22)
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 22)
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe759 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe760 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_errormessages (depth = 27)
  partcv[0] = 0;
  Object call761 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe760);
// compiled call node returning call761 (depth = 26)
// compiled member node returning call761 (depth = 25)
  partcv[0] = 0;
  Object call762 = callmethod(call761, "new",
    1, partcv, params);
  gc_frame_end(callframe759);
// compiled call node returning call762 (depth = 24)
// compiled member node returning call762 (depth = 23)
  *var_suggestion = call762;
  if (call762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 22)
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe764 = gc_frame_new();
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe765 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  partcv[0] = 0;
  Object call766 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe765);
// compiled call node returning call766 (depth = 24)
// compiled member node returning call766 (depth = 23)
  gc_frame_newslot(call766);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num768 = alloc_Float64(1);
// compiled num node returning num768 (depth = 24)
  int op_slot_right_767 = gc_frame_newslot(num768);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe770 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call771 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe770);
// compiled call node returning call771 (depth = 25)
// compiled member node returning call771 (depth = 24)
  int op_slot_left_767 = gc_frame_newslot(call771);
  params[0] = num768;
  partcv[0] = 1;
  Object diff772 = callmethod(call771, "-", 1, partcv, params);
// compiled op node returning diff772 (depth = 23)
  gc_frame_newslot(diff772);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe773 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call774 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe773);
// compiled call node returning call774 (depth = 24)
// compiled member node returning call774 (depth = 23)
  gc_frame_newslot(call774);
// call case 6: other member request
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  params[0] = call766;
  params[1] = diff772;
  params[2] = call774;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call775 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe764);
// compiled call node returning call775 (depth = 22)
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe776 = gc_frame_new();
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestions (depth = 23)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call777 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe776);
// compiled call node returning call777 (depth = 22)
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe778 = gc_frame_new();
// starting to compile string node (depth = 23)
  if (strlit779 == NULL) {
    strlit779 = alloc_String("The fractional part of a number must be in base 10.");
    gc_root(strlit779);
  }
// compiled string node returning strlit779 (depth = 23)
  gc_frame_newslot(strlit779);
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe780 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call781 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe780);
// compiled call node returning call781 (depth = 24)
// compiled member node returning call781 (depth = 23)
  gc_frame_newslot(call781);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num783 = alloc_Float64(1);
// compiled num node returning num783 (depth = 24)
  int op_slot_right_782 = gc_frame_newslot(num783);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe785 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call786 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe785);
// compiled call node returning call786 (depth = 25)
// compiled member node returning call786 (depth = 24)
  int op_slot_left_782 = gc_frame_newslot(call786);
  params[0] = num783;
  partcv[0] = 1;
  Object sum787 = callmethod(call786, "+", 1, partcv, params);
// compiled op node returning sum787 (depth = 23)
  gc_frame_newslot(sum787);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num789 = alloc_Float64(1);
// compiled num node returning num789 (depth = 24)
  int op_slot_right_788 = gc_frame_newslot(num789);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe791 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call792 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe791);
// compiled call node returning call792 (depth = 25)
// compiled member node returning call792 (depth = 24)
  int op_slot_left_788 = gc_frame_newslot(call792);
  params[0] = num789;
  partcv[0] = 1;
  Object diff793 = callmethod(call792, "-", 1, partcv, params);
// compiled op node returning diff793 (depth = 23)
  gc_frame_newslot(diff793);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestions (depth = 23)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_errormessages (depth = 23)
  params[0] = strlit779;
  params[1] = call781;
  params[2] = sum787;
  params[3] = diff793;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call794 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe778);
// compiled call node returning call794 (depth = 22)
    gc_frame_newslot(call794);
    if714 = call794;
  }
// compiled if node returning if714 (depth = 21)
    gc_frame_newslot(if714);
    if700 = if714;
  } else {
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 21)
// starting to compile array node (depth = 22)
  Object array795 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array795 (depth = 22)
  *var_suggestions = array795;
  if (array795 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 21)
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 21)
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe796 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe797 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_errormessages (depth = 26)
  partcv[0] = 0;
  Object call798 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe797);
// compiled call node returning call798 (depth = 25)
// compiled member node returning call798 (depth = 24)
  partcv[0] = 0;
  Object call799 = callmethod(call798, "new",
    1, partcv, params);
  gc_frame_end(callframe796);
// compiled call node returning call799 (depth = 23)
// compiled member node returning call799 (depth = 22)
  *var_suggestion = call799;
  if (call799 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 21)
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe800 = gc_frame_new();
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe801 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe802 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  partcv[0] = 0;
  Object call803 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe802);
// compiled call node returning call803 (depth = 25)
// compiled member node returning call803 (depth = 24)
  partcv[0] = 0;
  Object call804 = callmethod(call803, "linePos",
    1, partcv, params);
  gc_frame_end(callframe801);
// compiled call node returning call804 (depth = 23)
// compiled member node returning call804 (depth = 22)
  gc_frame_newslot(call804);
// starting to compile op node (depth = 22)
// starting to compile num node (depth = 23)
  Object num806 = alloc_Float64(1);
// compiled num node returning num806 (depth = 23)
  int op_slot_right_805 = gc_frame_newslot(num806);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe808 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  partcv[0] = 0;
  Object call809 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe808);
// compiled call node returning call809 (depth = 24)
// compiled member node returning call809 (depth = 23)
  int op_slot_left_805 = gc_frame_newslot(call809);
  params[0] = num806;
  partcv[0] = 1;
  Object diff810 = callmethod(call809, "-", 1, partcv, params);
// compiled op node returning diff810 (depth = 22)
  gc_frame_newslot(diff810);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe811 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe812 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  partcv[0] = 0;
  Object call813 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe812);
// compiled call node returning call813 (depth = 25)
// compiled member node returning call813 (depth = 24)
  partcv[0] = 0;
  Object call814 = callmethod(call813, "value",
    1, partcv, params);
  gc_frame_end(callframe811);
// compiled call node returning call814 (depth = 23)
// compiled member node returning call814 (depth = 22)
  gc_frame_newslot(call814);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe815 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call816 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe815);
// compiled call node returning call816 (depth = 23)
// compiled member node returning call816 (depth = 22)
  gc_frame_newslot(call816);
// call case 6: other member request
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  params[0] = call804;
  params[1] = diff810;
  params[2] = call814;
  params[3] = call816;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call817 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe800);
// compiled call node returning call817 (depth = 21)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe818 = gc_frame_new();
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestions (depth = 22)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call819 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe818);
// compiled call node returning call819 (depth = 21)
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 21)
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe820 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe821 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_errormessages (depth = 26)
  partcv[0] = 0;
  Object call822 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe821);
// compiled call node returning call822 (depth = 25)
// compiled member node returning call822 (depth = 24)
  partcv[0] = 0;
  Object call823 = callmethod(call822, "new",
    1, partcv, params);
  gc_frame_end(callframe820);
// compiled call node returning call823 (depth = 23)
// compiled member node returning call823 (depth = 22)
  *var_suggestion = call823;
  if (call823 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 21)
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe825 = gc_frame_new();
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe826 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  partcv[0] = 0;
  Object call827 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe826);
// compiled call node returning call827 (depth = 23)
// compiled member node returning call827 (depth = 22)
  gc_frame_newslot(call827);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe828 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call829 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe828);
// compiled call node returning call829 (depth = 23)
// compiled member node returning call829 (depth = 22)
  gc_frame_newslot(call829);
// call case 6: other member request
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  params[0] = call827;
  params[1] = call829;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call830 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe825);
// compiled call node returning call830 (depth = 21)
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe831 = gc_frame_new();
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestions (depth = 22)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call832 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe831);
// compiled call node returning call832 (depth = 21)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe833 = gc_frame_new();
// starting to compile op node (depth = 22)
// starting to compile string node (depth = 23)
  if (strlit835 == NULL) {
    strlit835 = alloc_String(" cannot have a fractional part.");
    gc_root(strlit835);
  }
// compiled string node returning strlit835 (depth = 23)
  int op_slot_right_834 = gc_frame_newslot(strlit835);
// starting to compile op node (depth = 23)
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe838 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe839 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_tokens (depth = 28)
  partcv[0] = 0;
  Object call840 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe839);
// compiled call node returning call840 (depth = 27)
// compiled member node returning call840 (depth = 26)
  partcv[0] = 0;
  Object call841 = callmethod(call840, "base",
    1, partcv, params);
  gc_frame_end(callframe838);
// compiled call node returning call841 (depth = 25)
// compiled member node returning call841 (depth = 24)
  int op_slot_right_837 = gc_frame_newslot(call841);
// starting to compile string node (depth = 24)
  if (strlit843 == NULL) {
    strlit843 = alloc_String("A number in base ");
    gc_root(strlit843);
  }
// compiled string node returning strlit843 (depth = 24)
  int op_slot_left_837 = gc_frame_newslot(strlit843);
  params[0] = call841;
  partcv[0] = 1;
  Object opresult844 = callmethod(strlit843, "++", 1, partcv, params);
// compiled op node returning opresult844 (depth = 23)
  int op_slot_left_834 = gc_frame_newslot(opresult844);
  params[0] = strlit835;
  partcv[0] = 1;
  Object opresult845 = callmethod(opresult844, "++", 1, partcv, params);
// compiled op node returning opresult845 (depth = 22)
  gc_frame_newslot(opresult845);
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe846 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call847 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe846);
// compiled call node returning call847 (depth = 23)
// compiled member node returning call847 (depth = 22)
  gc_frame_newslot(call847);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe848 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  partcv[0] = 0;
  Object call849 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe848);
// compiled call node returning call849 (depth = 23)
// compiled member node returning call849 (depth = 22)
  gc_frame_newslot(call849);
// starting to compile op node (depth = 22)
// starting to compile num node (depth = 23)
  Object num851 = alloc_Float64(1);
// compiled num node returning num851 (depth = 23)
  int op_slot_right_850 = gc_frame_newslot(num851);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe853 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call854 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe853);
// compiled call node returning call854 (depth = 24)
// compiled member node returning call854 (depth = 23)
  int op_slot_left_850 = gc_frame_newslot(call854);
  params[0] = num851;
  partcv[0] = 1;
  Object diff855 = callmethod(call854, "-", 1, partcv, params);
// compiled op node returning diff855 (depth = 22)
  gc_frame_newslot(diff855);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestions (depth = 22)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_errormessages (depth = 22)
  params[0] = opresult845;
  params[1] = call847;
  params[2] = call849;
  params[3] = diff855;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call856 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe833);
// compiled call node returning call856 (depth = 21)
    gc_frame_newslot(call856);
    if700 = call856;
  }
// compiled if node returning if700 (depth = 20)
    gc_frame_newslot(if700);
    if691 = if700;
  } else {
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit859 == NULL) {
    strlit859 = alloc_String("string");
    gc_root(strlit859);
  }
// compiled string node returning strlit859 (depth = 22)
  int op_slot_right_858 = gc_frame_newslot(strlit859);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe861 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe862 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  partcv[0] = 0;
  Object call863 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe862);
// compiled call node returning call863 (depth = 25)
// compiled member node returning call863 (depth = 24)
  partcv[0] = 0;
  Object call864 = callmethod(call863, "kind",
    1, partcv, params);
  gc_frame_end(callframe861);
// compiled call node returning call864 (depth = 23)
// compiled member node returning call864 (depth = 22)
  int op_slot_left_858 = gc_frame_newslot(call864);
  params[0] = strlit859;
  partcv[0] = 1;
  Object opresult865 = callmethod(call864, "==", 1, partcv, params);
// compiled op node returning opresult865 (depth = 21)
  Object if857 = done;
  if (istrue(opresult865)) {
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 21)
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe866 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe867 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_errormessages (depth = 26)
  partcv[0] = 0;
  Object call868 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe867);
// compiled call node returning call868 (depth = 25)
// compiled member node returning call868 (depth = 24)
  partcv[0] = 0;
  Object call869 = callmethod(call868, "new",
    1, partcv, params);
  gc_frame_end(callframe866);
// compiled call node returning call869 (depth = 23)
// compiled member node returning call869 (depth = 22)
  *var_suggestion = call869;
  if (call869 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 21)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe870 = gc_frame_new();
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe871 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  partcv[0] = 0;
  Object call872 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe871);
// compiled call node returning call872 (depth = 23)
// compiled member node returning call872 (depth = 22)
  gc_frame_newslot(call872);
// starting to compile string node (depth = 22)
  if (strlit873 == NULL) {
    strlit873 = alloc_String("++");
    gc_root(strlit873);
  }
// compiled string node returning strlit873 (depth = 22)
  gc_frame_newslot(strlit873);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe874 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  partcv[0] = 0;
  Object call875 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe874);
// compiled call node returning call875 (depth = 23)
// compiled member node returning call875 (depth = 22)
  gc_frame_newslot(call875);
// call case 6: other member request
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  params[0] = call872;
  params[1] = strlit873;
  params[2] = call875;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call876 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe870);
// compiled call node returning call876 (depth = 21)
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe877 = gc_frame_new();
// starting to compile op node (depth = 22)
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 23)
  if (strlit879 == NULL) {
    strlit879 = alloc_String("To join a number to a string, use '++'.");
    gc_root(strlit879);
  }
// compiled string node returning strlit879 (depth = 23)
  int op_slot_right_878 = gc_frame_newslot(strlit879);
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 23)
  if (strlit881 == NULL) {
    strlit881 = alloc_String("A number may follow a '.' only if there is a number before the '.'. ");
    gc_root(strlit881);
  }
// compiled string node returning strlit881 (depth = 23)
  int op_slot_left_878 = gc_frame_newslot(strlit881);
  params[0] = strlit879;
  partcv[0] = 1;
  Object opresult882 = callmethod(strlit881, "++", 1, partcv, params);
// compiled op node returning opresult882 (depth = 22)
  gc_frame_newslot(opresult882);
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe883 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  partcv[0] = 0;
  Object call884 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe883);
// compiled call node returning call884 (depth = 23)
// compiled member node returning call884 (depth = 22)
  gc_frame_newslot(call884);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe885 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  partcv[0] = 0;
  Object call886 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe885);
// compiled call node returning call886 (depth = 23)
// compiled member node returning call886 (depth = 22)
  gc_frame_newslot(call886);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe887 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  partcv[0] = 0;
  Object call888 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe887);
// compiled call node returning call888 (depth = 23)
// compiled member node returning call888 (depth = 22)
  gc_frame_newslot(call888);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_errormessages (depth = 22)
  params[0] = opresult882;
  params[1] = call884;
  params[2] = call886;
  params[3] = call888;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call889 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe877);
// compiled call node returning call889 (depth = 21)
    gc_frame_newslot(call889);
    if857 = call889;
  } else {
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 22)
// starting to compile op node (depth = 23)
// starting to compile string node (depth = 24)
  if (strlit893 == NULL) {
    strlit893 = alloc_String("bind");
    gc_root(strlit893);
  }
// compiled string node returning strlit893 (depth = 24)
  int op_slot_right_892 = gc_frame_newslot(strlit893);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe895 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe896 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_tokens (depth = 28)
  partcv[0] = 0;
  Object call897 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe896);
// compiled call node returning call897 (depth = 27)
// compiled member node returning call897 (depth = 26)
  partcv[0] = 0;
  Object call898 = callmethod(call897, "kind",
    1, partcv, params);
  gc_frame_end(callframe895);
// compiled call node returning call898 (depth = 25)
// compiled member node returning call898 (depth = 24)
  int op_slot_left_892 = gc_frame_newslot(call898);
  params[0] = strlit893;
  partcv[0] = 1;
  Object opresult899 = callmethod(call898, "==", 1, partcv, params);
// compiled op node returning opresult899 (depth = 23)
  int op_slot_right_891 = gc_frame_newslot(opresult899);
// starting to compile op node (depth = 23)
// starting to compile string node (depth = 24)
  if (strlit902 == NULL) {
    strlit902 = alloc_String("op");
    gc_root(strlit902);
  }
// compiled string node returning strlit902 (depth = 24)
  int op_slot_right_901 = gc_frame_newslot(strlit902);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe904 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe905 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_tokens (depth = 28)
  partcv[0] = 0;
  Object call906 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe905);
// compiled call node returning call906 (depth = 27)
// compiled member node returning call906 (depth = 26)
  partcv[0] = 0;
  Object call907 = callmethod(call906, "kind",
    1, partcv, params);
  gc_frame_end(callframe904);
// compiled call node returning call907 (depth = 25)
// compiled member node returning call907 (depth = 24)
  int op_slot_left_901 = gc_frame_newslot(call907);
  params[0] = strlit902;
  partcv[0] = 1;
  Object opresult908 = callmethod(call907, "==", 1, partcv, params);
// compiled op node returning opresult908 (depth = 23)
  int op_slot_left_891 = gc_frame_newslot(opresult908);
  params[0] = opresult899;
  partcv[0] = 1;
  Object opresult909 = callmethod(opresult908, "||", 1, partcv, params);
// compiled op node returning opresult909 (depth = 22)
  Object if890 = done;
  if (istrue(opresult909)) {
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 22)
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe910 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe911 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_errormessages (depth = 27)
  partcv[0] = 0;
  Object call912 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe911);
// compiled call node returning call912 (depth = 26)
// compiled member node returning call912 (depth = 25)
  partcv[0] = 0;
  Object call913 = callmethod(call912, "new",
    1, partcv, params);
  gc_frame_end(callframe910);
// compiled call node returning call913 (depth = 24)
// compiled member node returning call913 (depth = 23)
  *var_suggestion = call913;
  if (call913 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 22)
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe914 = gc_frame_new();
// starting to compile string node (depth = 23)
  if (strlit915 == NULL) {
    strlit915 = alloc_String("0");
    gc_root(strlit915);
  }
// compiled string node returning strlit915 (depth = 23)
  gc_frame_newslot(strlit915);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe916 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  partcv[0] = 0;
  Object call917 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe916);
// compiled call node returning call917 (depth = 24)
// compiled member node returning call917 (depth = 23)
  gc_frame_newslot(call917);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe918 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  partcv[0] = 0;
  Object call919 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe918);
// compiled call node returning call919 (depth = 24)
// compiled member node returning call919 (depth = 23)
  gc_frame_newslot(call919);
// call case 6: other member request
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  params[0] = strlit915;
  params[1] = call917;
  params[2] = call919;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call920 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe914);
// compiled call node returning call920 (depth = 22)
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe921 = gc_frame_new();
// starting to compile string node (depth = 23)
  if (strlit922 == NULL) {
    strlit922 = alloc_String("A number must have a digit before the decimal point.");
    gc_root(strlit922);
  }
// compiled string node returning strlit922 (depth = 23)
  gc_frame_newslot(strlit922);
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe923 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  partcv[0] = 0;
  Object call924 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe923);
// compiled call node returning call924 (depth = 24)
// compiled member node returning call924 (depth = 23)
  gc_frame_newslot(call924);
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe925 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  partcv[0] = 0;
  Object call926 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe925);
// compiled call node returning call926 (depth = 24)
// compiled member node returning call926 (depth = 23)
  gc_frame_newslot(call926);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_errormessages (depth = 23)
  params[0] = strlit922;
  params[1] = call924;
  params[2] = call926;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call927 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe921);
// compiled call node returning call927 (depth = 22)
    gc_frame_newslot(call927);
    if890 = call927;
  } else {
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 22)
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 23)
// starting to compile string node (depth = 24)
  if (strlit930 == NULL) {
    strlit930 = alloc_String("identifier");
    gc_root(strlit930);
  }
// compiled string node returning strlit930 (depth = 24)
  int op_slot_right_929 = gc_frame_newslot(strlit930);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe932 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe933 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_tokens (depth = 28)
  partcv[0] = 0;
  Object call934 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe933);
// compiled call node returning call934 (depth = 27)
// compiled member node returning call934 (depth = 26)
  partcv[0] = 0;
  Object call935 = callmethod(call934, "kind",
    1, partcv, params);
  gc_frame_end(callframe932);
// compiled call node returning call935 (depth = 25)
// compiled member node returning call935 (depth = 24)
  int op_slot_left_929 = gc_frame_newslot(call935);
  params[0] = strlit930;
  partcv[0] = 1;
  Object opresult936 = callmethod(call935, "==", 1, partcv, params);
// compiled op node returning opresult936 (depth = 23)
  Object if928 = done;
  if (istrue(opresult936)) {
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 23)
// starting to compile array node (depth = 24)
  Object array937 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array937 (depth = 24)
  *var_suggestions = array937;
  if (array937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 23)
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 23)
// starting to compile op node (depth = 24)
// starting to compile string node (depth = 25)
  if (strlit940 == NULL) {
    strlit940 = alloc_String("o");
    gc_root(strlit940);
  }
// compiled string node returning strlit940 (depth = 25)
  int op_slot_right_939 = gc_frame_newslot(strlit940);
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe942 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 27)
// starting to compile call node (depth = 28)
  int callframe943 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_tokens (depth = 29)
  partcv[0] = 0;
  Object call944 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe943);
// compiled call node returning call944 (depth = 28)
// compiled member node returning call944 (depth = 27)
  partcv[0] = 0;
  Object call945 = callmethod(call944, "value",
    1, partcv, params);
  gc_frame_end(callframe942);
// compiled call node returning call945 (depth = 26)
// compiled member node returning call945 (depth = 25)
  int op_slot_left_939 = gc_frame_newslot(call945);
  params[0] = strlit940;
  partcv[0] = 1;
  Object opresult946 = callmethod(call945, "==", 1, partcv, params);
// compiled op node returning opresult946 (depth = 24)
  Object if938 = done;
  if (istrue(opresult946)) {
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 24)
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe947 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 27)
// starting to compile call node (depth = 28)
  int callframe948 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_errormessages (depth = 29)
  partcv[0] = 0;
  Object call949 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe948);
// compiled call node returning call949 (depth = 28)
// compiled member node returning call949 (depth = 27)
  partcv[0] = 0;
  Object call950 = callmethod(call949, "new",
    1, partcv, params);
  gc_frame_end(callframe947);
// compiled call node returning call950 (depth = 26)
// compiled member node returning call950 (depth = 25)
  *var_suggestion = call950;
  if (call950 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 24)
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 24)
  int callframe951 = gc_frame_new();
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe952 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 27)
// starting to compile call node (depth = 28)
  int callframe953 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_tokens (depth = 29)
  partcv[0] = 0;
  Object call954 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe953);
// compiled call node returning call954 (depth = 28)
// compiled member node returning call954 (depth = 27)
  partcv[0] = 0;
  Object call955 = callmethod(call954, "linePos",
    1, partcv, params);
  gc_frame_end(callframe952);
// compiled call node returning call955 (depth = 26)
// compiled member node returning call955 (depth = 25)
  gc_frame_newslot(call955);
// starting to compile string node (depth = 25)
  if (strlit956 == NULL) {
    strlit956 = alloc_String("0");
    gc_root(strlit956);
  }
// compiled string node returning strlit956 (depth = 25)
  gc_frame_newslot(strlit956);
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe957 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 27)
// starting to compile call node (depth = 28)
  int callframe958 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_tokens (depth = 29)
  partcv[0] = 0;
  Object call959 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe958);
// compiled call node returning call959 (depth = 28)
// compiled member node returning call959 (depth = 27)
  partcv[0] = 0;
  Object call960 = callmethod(call959, "line",
    1, partcv, params);
  gc_frame_end(callframe957);
// compiled call node returning call960 (depth = 26)
// compiled member node returning call960 (depth = 25)
  gc_frame_newslot(call960);
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_suggestion (depth = 25)
  params[0] = call955;
  params[1] = strlit956;
  params[2] = call960;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call961 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe951);
// compiled call node returning call961 (depth = 24)
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 24)
  int callframe962 = gc_frame_new();
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_suggestion (depth = 25)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_suggestions (depth = 25)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call963 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe962);
// compiled call node returning call963 (depth = 24)
    gc_frame_newslot(call963);
    if938 = call963;
  } else {
  }
// compiled if node returning if938 (depth = 23)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 23)
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe964 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe965 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_errormessages (depth = 28)
  partcv[0] = 0;
  Object call966 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe965);
// compiled call node returning call966 (depth = 27)
// compiled member node returning call966 (depth = 26)
  partcv[0] = 0;
  Object call967 = callmethod(call966, "new",
    1, partcv, params);
  gc_frame_end(callframe964);
// compiled call node returning call967 (depth = 25)
// compiled member node returning call967 (depth = 24)
  *var_suggestion = call967;
  if (call967 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 23)
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe968 = gc_frame_new();
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe969 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call970 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe969);
// compiled call node returning call970 (depth = 25)
// compiled member node returning call970 (depth = 24)
  gc_frame_newslot(call970);
// starting to compile op node (depth = 24)
// starting to compile num node (depth = 25)
  Object num972 = alloc_Float64(1);
// compiled num node returning num972 (depth = 25)
  int op_slot_right_971 = gc_frame_newslot(num972);
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe974 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call975 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe974);
// compiled call node returning call975 (depth = 26)
// compiled member node returning call975 (depth = 25)
  int op_slot_left_971 = gc_frame_newslot(call975);
  params[0] = num972;
  partcv[0] = 1;
  Object diff976 = callmethod(call975, "-", 1, partcv, params);
// compiled op node returning diff976 (depth = 24)
  gc_frame_newslot(diff976);
// starting to compile op node (depth = 24)
// starting to compile string node (depth = 25)
  if (strlit978 == NULL) {
    strlit978 = alloc_String(")");
    gc_root(strlit978);
  }
// compiled string node returning strlit978 (depth = 25)
  int op_slot_right_977 = gc_frame_newslot(strlit978);
// starting to compile op node (depth = 25)
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_accum (depth = 26)
  int op_slot_right_980 = gc_frame_newslot(*var_accum);
// starting to compile string node (depth = 26)
  if (strlit982 == NULL) {
    strlit982 = alloc_String("(");
    gc_root(strlit982);
  }
// compiled string node returning strlit982 (depth = 26)
  int op_slot_left_980 = gc_frame_newslot(strlit982);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult983 = callmethod(strlit982, "++", 1, partcv, params);
// compiled op node returning opresult983 (depth = 25)
  int op_slot_left_977 = gc_frame_newslot(opresult983);
  params[0] = strlit978;
  partcv[0] = 1;
  Object opresult984 = callmethod(opresult983, "++", 1, partcv, params);
// compiled op node returning opresult984 (depth = 24)
  gc_frame_newslot(opresult984);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe985 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe986 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_tokens (depth = 28)
  partcv[0] = 0;
  Object call987 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe986);
// compiled call node returning call987 (depth = 27)
// compiled member node returning call987 (depth = 26)
  partcv[0] = 0;
  Object call988 = callmethod(call987, "line",
    1, partcv, params);
  gc_frame_end(callframe985);
// compiled call node returning call988 (depth = 25)
// compiled member node returning call988 (depth = 24)
  gc_frame_newslot(call988);
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_suggestion (depth = 24)
  params[0] = call970;
  params[1] = diff976;
  params[2] = opresult984;
  params[3] = call988;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call989 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe968);
// compiled call node returning call989 (depth = 23)
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe990 = gc_frame_new();
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_suggestion (depth = 24)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_suggestions (depth = 24)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call991 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe990);
// compiled call node returning call991 (depth = 23)
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe992 = gc_frame_new();
// starting to compile string node (depth = 24)
  if (strlit993 == NULL) {
    strlit993 = alloc_String("A number may follow a '.' only if there is a number before the '.'.");
    gc_root(strlit993);
  }
// compiled string node returning strlit993 (depth = 24)
  gc_frame_newslot(strlit993);
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe994 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call995 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe994);
// compiled call node returning call995 (depth = 25)
// compiled member node returning call995 (depth = 24)
  gc_frame_newslot(call995);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe996 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call997 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe996);
// compiled call node returning call997 (depth = 25)
// compiled member node returning call997 (depth = 24)
  gc_frame_newslot(call997);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe998 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call999 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe998);
// compiled call node returning call999 (depth = 25)
// compiled member node returning call999 (depth = 24)
  gc_frame_newslot(call999);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_suggestions (depth = 24)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_errormessages (depth = 24)
  params[0] = strlit993;
  params[1] = call995;
  params[2] = call997;
  params[3] = call999;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1000 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe992);
// compiled call node returning call1000 (depth = 23)
    gc_frame_newslot(call1000);
    if928 = call1000;
  } else {
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe1001 = gc_frame_new();
// starting to compile string node (depth = 24)
  if (strlit1002 == NULL) {
    strlit1002 = alloc_String("A number may follow a '.' only if there is a number before the '.'.");
    gc_root(strlit1002);
  }
// compiled string node returning strlit1002 (depth = 24)
  gc_frame_newslot(strlit1002);
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe1003 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call1004 = callmethod(*var_dot, "line",
    1, partcv, params);
  gc_frame_end(callframe1003);
// compiled call node returning call1004 (depth = 25)
// compiled member node returning call1004 (depth = 24)
  gc_frame_newslot(call1004);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe1005 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call1006 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1005);
// compiled call node returning call1006 (depth = 25)
// compiled member node returning call1006 (depth = 24)
  gc_frame_newslot(call1006);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe1007 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_dot (depth = 26)
  partcv[0] = 0;
  Object call1008 = callmethod(*var_dot, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1007);
// compiled call node returning call1008 (depth = 25)
// compiled member node returning call1008 (depth = 24)
  gc_frame_newslot(call1008);
// call case 6: other member request
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_errormessages (depth = 24)
  params[0] = strlit1002;
  params[1] = call1004;
  params[2] = call1006;
  params[3] = call1008;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1009 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe1001);
// compiled call node returning call1009 (depth = 23)
    gc_frame_newslot(call1009);
    if928 = call1009;
  }
// compiled if node returning if928 (depth = 22)
    gc_frame_newslot(if928);
    if890 = if928;
  }
// compiled if node returning if890 (depth = 21)
    gc_frame_newslot(if890);
    if857 = if890;
  }
// compiled if node returning if857 (depth = 20)
    gc_frame_newslot(if857);
    if691 = if857;
  }
// compiled if node returning if691 (depth = 19)
    gc_frame_newslot(if691);
    if669 = if691;
  } else {
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe1010 = gc_frame_new();
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_accum (depth = 21)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1011 = callmethodflags(self, "makeNumToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1010);
// compiled call node returning call1011 (depth = 20)
  *var_tok = call1011;
  if (call1011 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 19)
    gc_frame_newslot(done);
    if669 = done;
  }
// compiled if node returning if669 (depth = 18)
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 18)
  int callframe1013 = gc_frame_new();
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_tok (depth = 19)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_tokens (depth = 19)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1014 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1013);
// compiled call node returning call1014 (depth = 18)
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 18)
// starting to compile identifier node (depth = 19)
  Object bool1015 = alloc_Boolean(1);
// compiled identifier node returning bool1015 (depth = 19)
  *var_isDone = bool1015;
  if (bool1015 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 18)
    gc_frame_newslot(done);
    if664 = done;
  } else {
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 18)
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 19)
// starting to compile string node (depth = 20)
  if (strlit1019 == NULL) {
    strlit1019 = alloc_String("o");
    gc_root(strlit1019);
  }
// compiled string node returning strlit1019 (depth = 20)
  int op_slot_right_1018 = gc_frame_newslot(strlit1019);
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_mode (depth = 20)
  int op_slot_left_1018 = gc_frame_newslot(*var_mode);
  params[0] = strlit1019;
  partcv[0] = 1;
  Object opresult1021 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1021 (depth = 19)
  Object if1017 = done;
  if (istrue(opresult1021)) {
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe1022 = gc_frame_new();
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_accum (depth = 21)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1023 = callmethodflags(self, "opToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1022);
// compiled call node returning call1023 (depth = 20)
  *var_tok = call1023;
  if (call1023 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 19)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 19)
// starting to compile op node (depth = 20)
// starting to compile string node (depth = 21)
  if (strlit1027 == NULL) {
    strlit1027 = alloc_String("->");
    gc_root(strlit1027);
  }
// compiled string node returning strlit1027 (depth = 21)
  int op_slot_right_1026 = gc_frame_newslot(strlit1027);
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_accum (depth = 21)
  int op_slot_left_1026 = gc_frame_newslot(*var_accum);
  params[0] = strlit1027;
  partcv[0] = 1;
  Object opresult1029 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult1029 (depth = 20)
  Object if1025 = done;
  if (istrue(opresult1029)) {
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 20)
// starting to compile member node (depth = 21)
// starting to compile call node (depth = 22)
  int callframe1030 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1031 = callmethodflags(self, "arrowToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1030);
// compiled call node returning call1031 (depth = 22)
// compiled member node returning call1031 (depth = 21)
  *var_tok = call1031;
  if (call1031 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 20)
    gc_frame_newslot(done);
    if1025 = done;
  } else {
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit1035 == NULL) {
    strlit1035 = alloc_String(":=");
    gc_root(strlit1035);
  }
// compiled string node returning strlit1035 (depth = 22)
  int op_slot_right_1034 = gc_frame_newslot(strlit1035);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_accum (depth = 22)
  int op_slot_left_1034 = gc_frame_newslot(*var_accum);
  params[0] = strlit1035;
  partcv[0] = 1;
  Object opresult1037 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult1037 (depth = 21)
  Object if1033 = done;
  if (istrue(opresult1037)) {
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 21)
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe1038 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1039 = callmethodflags(self, "bindToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1038);
// compiled call node returning call1039 (depth = 23)
// compiled member node returning call1039 (depth = 22)
  *var_tok = call1039;
  if (call1039 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 21)
    gc_frame_newslot(done);
    if1033 = done;
  } else {
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 22)
// starting to compile string node (depth = 23)
  if (strlit1043 == NULL) {
    strlit1043 = alloc_String(":");
    gc_root(strlit1043);
  }
// compiled string node returning strlit1043 (depth = 23)
  int op_slot_right_1042 = gc_frame_newslot(strlit1043);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_accum (depth = 23)
  int op_slot_left_1042 = gc_frame_newslot(*var_accum);
  params[0] = strlit1043;
  partcv[0] = 1;
  Object opresult1045 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult1045 (depth = 22)
  Object if1041 = done;
  if (istrue(opresult1045)) {
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 22)
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe1046 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1047 = callmethodflags(self, "colonToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1046);
// compiled call node returning call1047 (depth = 24)
// compiled member node returning call1047 (depth = 23)
  *var_tok = call1047;
  if (call1047 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 22)
    gc_frame_newslot(done);
    if1041 = done;
  } else {
  }
// compiled if node returning if1041 (depth = 21)
    gc_frame_newslot(if1041);
    if1033 = if1041;
  }
// compiled if node returning if1033 (depth = 20)
    gc_frame_newslot(if1033);
    if1025 = if1033;
  }
// compiled if node returning if1025 (depth = 19)
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 19)
  int callframe1049 = gc_frame_new();
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_tok (depth = 20)
  gc_frame_newslot(*var_tok);
// call case 6: other member request
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_tokens (depth = 20)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1050 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1049);
// compiled call node returning call1050 (depth = 19)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 19)
// starting to compile identifier node (depth = 20)
  Object bool1051 = alloc_Boolean(1);
// compiled identifier node returning bool1051 (depth = 20)
  *var_isDone = bool1051;
  if (bool1051 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 19)
    gc_frame_newslot(done);
    if1017 = done;
  } else {
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 19)
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 20)
// starting to compile string node (depth = 21)
  if (strlit1055 == NULL) {
    strlit1055 = alloc_String("d");
    gc_root(strlit1055);
  }
// compiled string node returning strlit1055 (depth = 21)
  int op_slot_right_1054 = gc_frame_newslot(strlit1055);
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_mode (depth = 21)
  int op_slot_left_1054 = gc_frame_newslot(*var_mode);
  params[0] = strlit1055;
  partcv[0] = 1;
  Object opresult1057 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1057 (depth = 20)
  Object if1053 = done;
  if (istrue(opresult1057)) {
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 20)
  int callframe1058 = gc_frame_new();
// starting to compile op node (depth = 21)
// starting to compile num node (depth = 22)
  Object num1060 = alloc_Float64(1);
// compiled num node returning num1060 (depth = 22)
  int op_slot_right_1059 = gc_frame_newslot(num1060);
// starting to compile member node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe1062 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1063 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1062);
// compiled call node returning call1063 (depth = 23)
// compiled member node returning call1063 (depth = 22)
  int op_slot_left_1059 = gc_frame_newslot(call1063);
  params[0] = num1060;
  partcv[0] = 1;
  Object diff1064 = callmethod(call1063, "-", 1, partcv, params);
// compiled op node returning diff1064 (depth = 21)
  gc_frame_newslot(diff1064);
// call case 4: self request
  params[0] = diff1064;
  partcv[0] = 1;
  Object call1065 = callmethodflags(self, "indentLevel:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1058);
// compiled call node returning call1065 (depth = 20)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 20)
// starting to compile identifier node (depth = 21)
  Object bool1066 = alloc_Boolean(1);
// compiled identifier node returning bool1066 (depth = 21)
  *var_isDone = bool1066;
  if (bool1066 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 20)
    gc_frame_newslot(done);
    if1053 = done;
  } else {
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit1070 == NULL) {
    strlit1070 = alloc_String("n");
    gc_root(strlit1070);
  }
// compiled string node returning strlit1070 (depth = 22)
  int op_slot_right_1069 = gc_frame_newslot(strlit1070);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_mode (depth = 22)
  int op_slot_left_1069 = gc_frame_newslot(*var_mode);
  params[0] = strlit1070;
  partcv[0] = 1;
  Object opresult1072 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1072 (depth = 21)
  Object if1068 = done;
  if (istrue(opresult1072)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 21)
// starting to compile identifier node (depth = 22)
  Object bool1073 = alloc_Boolean(1);
// compiled identifier node returning bool1073 (depth = 22)
  *var_isDone = bool1073;
  if (bool1073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 21)
    gc_frame_newslot(done);
    if1068 = done;
  } else {
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 22)
// starting to compile string node (depth = 23)
  if (strlit1077 == NULL) {
    strlit1077 = alloc_String("c");
    gc_root(strlit1077);
  }
// compiled string node returning strlit1077 (depth = 23)
  int op_slot_right_1076 = gc_frame_newslot(strlit1077);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_mode (depth = 23)
  int op_slot_left_1076 = gc_frame_newslot(*var_mode);
  params[0] = strlit1077;
  partcv[0] = 1;
  Object opresult1079 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1079 (depth = 22)
  Object if1075 = done;
  if (istrue(opresult1079)) {
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 22)
// starting to compile num node (depth = 23)
  Object num1080 = alloc_Float64(3);
// compiled num node returning num1080 (depth = 23)
  *var_firstNonSpace = num1080;
  if (num1080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 22)
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 22)
// starting to compile member node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe1081 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_accum (depth = 25)
  partcv[0] = 0;
  Object call1082 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1081);
// compiled call node returning call1082 (depth = 24)
// compiled member node returning call1082 (depth = 23)
  *var_accumSize = call1082;
  if (call1082 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 22)
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe1083 = gc_frame_new();
// starting to compile block node (depth = 23)
  Object block1084 = alloc_Block(NULL, NULL, "lexer", 368);
  gc_frame_newslot(block1084);
// method "_apply"
  block_savedest(block1084);
  Object closure1085 = createclosure(3, "_apply");
  setclosureframe(closure1085, stackframe);
  addtoclosure(closure1085, var_firstNonSpace);
  addtoclosure(closure1085, var_accum);
  addtoclosure(closure1085, selfslot);
  struct UserObject *uo1085 = (struct UserObject*)block1084;
  uo1085->data[0] = (Object)closure1085;
  Method *meth_meth_lexer__apply1085 = addmethod2pos(block1084, "_apply", &meth_lexer__apply1085, 0);
  int argcv_meth_lexer__apply1085[] = {0};
  meth_meth_lexer__apply1085->type = alloc_MethodType(1, argcv_meth_lexer__apply1085);
  meth_meth_lexer__apply1085->definitionModule = modulename;
  meth_meth_lexer__apply1085->definitionLine = 367;
// compiled block node returning block1084 (depth = 23)
  gc_frame_newslot(block1084);
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 23)
  Object block1103 = alloc_Block(NULL, NULL, "lexer", 369);
  gc_frame_newslot(block1103);
// method "_apply"
  block_savedest(block1103);
  Object closure1104 = createclosure(2, "_apply");
  setclosureframe(closure1104, stackframe);
  addtoclosure(closure1104, var_firstNonSpace);
  addtoclosure(closure1104, selfslot);
  struct UserObject *uo1104 = (struct UserObject*)block1103;
  uo1104->data[0] = (Object)closure1104;
  Method *meth_meth_lexer__apply1104 = addmethod2pos(block1103, "_apply", &meth_lexer__apply1104, 0);
  int argcv_meth_lexer__apply1104[] = {0};
  meth_meth_lexer__apply1104->type = alloc_MethodType(1, argcv_meth_lexer__apply1104);
  meth_meth_lexer__apply1104->definitionModule = modulename;
  meth_meth_lexer__apply1104->definitionLine = 368;
// compiled block node returning block1103 (depth = 23)
  gc_frame_newslot(block1103);
// call case 5: prelude request
  params[0] = block1084;
  params[1] = block1103;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1111 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1083);
// compiled call node returning call1111 (depth = 22)
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe1112 = gc_frame_new();
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_firstNonSpace (depth = 24)
  gc_frame_newslot(*var_firstNonSpace);
// starting to compile member node (depth = 24)
// starting to compile call node (depth = 25)
  int callframe1113 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_accum (depth = 26)
  partcv[0] = 0;
  Object call1114 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1113);
// compiled call node returning call1114 (depth = 25)
// compiled member node returning call1114 (depth = 24)
  gc_frame_newslot(call1114);
// call case 6: other member request
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_accum (depth = 24)
  params[0] = *var_firstNonSpace;
  params[1] = call1114;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1115 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1112);
// compiled call node returning call1115 (depth = 23)
  *var_cmt = call1115;
  if (call1115 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 22)
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe1116 = gc_frame_new();
// starting to compile call node (depth = 23)
  int callframe1117 = gc_frame_new();
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_cmt (depth = 24)
  gc_frame_newslot(*var_cmt);
// call case 4: self request
  params[0] = *var_cmt;
  partcv[0] = 1;
  Object call1118 = callmethodflags(self, "commentToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1117);
// compiled call node returning call1118 (depth = 23)
  gc_frame_newslot(call1118);
// call case 6: other member request
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_tokens (depth = 23)
  params[0] = call1118;
  partcv[0] = 1;
  Object call1119 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe1116);
// compiled call node returning call1119 (depth = 22)
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 22)
// starting to compile identifier node (depth = 23)
  Object bool1120 = alloc_Boolean(1);
// compiled identifier node returning bool1120 (depth = 23)
  *var_isDone = bool1120;
  if (bool1120 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 22)
    gc_frame_newslot(done);
    if1075 = done;
  } else {
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 22)
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 23)
// starting to compile string node (depth = 24)
  if (strlit1124 == NULL) {
    strlit1124 = alloc_String("p");
    gc_root(strlit1124);
  }
// compiled string node returning strlit1124 (depth = 24)
  int op_slot_right_1123 = gc_frame_newslot(strlit1124);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_mode (depth = 24)
  int op_slot_left_1123 = gc_frame_newslot(*var_mode);
  params[0] = strlit1124;
  partcv[0] = 1;
  Object opresult1126 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult1126 (depth = 23)
  Object if1122 = done;
  if (istrue(opresult1126)) {
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 23)
// starting to compile op node (depth = 24)
// starting to compile string node (depth = 25)
  if (strlit1129 == NULL) {
    strlit1129 = alloc_String("#pragma ");
    gc_root(strlit1129);
  }
// compiled string node returning strlit1129 (depth = 25)
  int op_slot_right_1128 = gc_frame_newslot(strlit1129);
// starting to compile call node (depth = 25)
  int callframe1131 = gc_frame_new();
// starting to compile num node (depth = 26)
  Object num1132 = alloc_Float64(1);
// compiled num node returning num1132 (depth = 26)
  gc_frame_newslot(num1132);
// starting to compile num node (depth = 26)
  Object num1133 = alloc_Float64(8);
// compiled num node returning num1133 (depth = 26)
  gc_frame_newslot(num1133);
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_accum (depth = 26)
  params[0] = num1132;
  params[1] = num1133;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1134 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1131);
// compiled call node returning call1134 (depth = 25)
  int op_slot_left_1128 = gc_frame_newslot(call1134);
  params[0] = strlit1129;
  partcv[0] = 1;
  Object opresult1135 = callmethod(call1134, "==", 1, partcv, params);
// compiled op node returning opresult1135 (depth = 24)
  Object if1127 = done;
  if (istrue(opresult1135)) {
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 24)
  int callframe1136 = gc_frame_new();
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 25)
  int callframe1137 = gc_frame_new();
// starting to compile num node (depth = 26)
  Object num1138 = alloc_Float64(9);
// compiled num node returning num1138 (depth = 26)
  gc_frame_newslot(num1138);
// starting to compile member node (depth = 26)
// starting to compile call node (depth = 27)
  int callframe1139 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_accum (depth = 28)
  partcv[0] = 0;
  Object call1140 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1139);
// compiled call node returning call1140 (depth = 27)
// compiled member node returning call1140 (depth = 26)
  gc_frame_newslot(call1140);
// call case 6: other member request
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_accum (depth = 26)
  params[0] = num1138;
  params[1] = call1140;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1141 = callmethod(*var_accum, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe1137);
// compiled call node returning call1141 (depth = 25)
  gc_frame_newslot(call1141);
// call case 6: other member request
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_util (depth = 25)
  params[0] = call1141;
  partcv[0] = 1;
  Object call1142 = callmethod(*var_util, "processExtension",
    1, partcv, params);
  gc_frame_end(callframe1136);
// compiled call node returning call1142 (depth = 24)
    gc_frame_newslot(call1142);
    if1127 = call1142;
  } else {
  }
// compiled if node returning if1127 (depth = 23)
    gc_frame_newslot(if1127);
    if1122 = if1127;
  } else {
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 23)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_isDone (depth = 24)
  Object if1143 = done;
  if (istrue(*var_isDone)) {
    gc_frame_newslot(done);
    if1143 = done;
  } else {
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 24)
  int callframe1144 = gc_frame_new();
// starting to compile op node (depth = 25)
// starting to compile string node (depth = 26)
  if (strlit1146 == NULL) {
    strlit1146 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit1146);
  }
// compiled string node returning strlit1146 (depth = 26)
  int op_slot_right_1145 = gc_frame_newslot(strlit1146);
// starting to compile op node (depth = 26)
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_accum (depth = 27)
  int op_slot_right_1148 = gc_frame_newslot(*var_accum);
// starting to compile op node (depth = 27)
// starting to compile string node (depth = 28)
  if (strlit1151 == NULL) {
    strlit1151 = alloc_String(" with accum ""\xe2""""\x80""""\xb9""");
    gc_root(strlit1151);
  }
// compiled string node returning strlit1151 (depth = 28)
  int op_slot_right_1150 = gc_frame_newslot(strlit1151);
// starting to compile op node (depth = 28)
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_mode (depth = 29)
  int op_slot_right_1153 = gc_frame_newslot(*var_mode);
// starting to compile string node (depth = 29)
  if (strlit1155 == NULL) {
    strlit1155 = alloc_String("Lexing error: no handler for mode ");
    gc_root(strlit1155);
  }
// compiled string node returning strlit1155 (depth = 29)
  int op_slot_left_1153 = gc_frame_newslot(strlit1155);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult1156 = callmethod(strlit1155, "++", 1, partcv, params);
// compiled op node returning opresult1156 (depth = 28)
  int op_slot_left_1150 = gc_frame_newslot(opresult1156);
  params[0] = strlit1151;
  partcv[0] = 1;
  Object opresult1157 = callmethod(opresult1156, "++", 1, partcv, params);
// compiled op node returning opresult1157 (depth = 27)
  int op_slot_left_1148 = gc_frame_newslot(opresult1157);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult1158 = callmethod(opresult1157, "++", 1, partcv, params);
// compiled op node returning opresult1158 (depth = 26)
  int op_slot_left_1145 = gc_frame_newslot(opresult1158);
  params[0] = strlit1146;
  partcv[0] = 1;
  Object opresult1159 = callmethod(opresult1158, "++", 1, partcv, params);
// compiled op node returning opresult1159 (depth = 25)
  gc_frame_newslot(opresult1159);
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe1160 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1161 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1160);
// compiled call node returning call1161 (depth = 26)
// compiled member node returning call1161 (depth = 25)
  gc_frame_newslot(call1161);
// starting to compile member node (depth = 25)
// starting to compile call node (depth = 26)
  int callframe1162 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1163 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1162);
// compiled call node returning call1163 (depth = 26)
// compiled member node returning call1163 (depth = 25)
  gc_frame_newslot(call1163);
// call case 6: other member request
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_errormessages (depth = 25)
  params[0] = opresult1159;
  params[1] = call1161;
  params[2] = call1163;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call1164 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe1144);
// compiled call node returning call1164 (depth = 24)
    gc_frame_newslot(call1164);
    if1143 = call1164;
  }
// compiled if node returning if1143 (depth = 23)
    gc_frame_newslot(if1143);
    if1122 = if1143;
  }
// compiled if node returning if1122 (depth = 22)
    gc_frame_newslot(if1122);
    if1075 = if1122;
  }
// compiled if node returning if1075 (depth = 21)
    gc_frame_newslot(if1075);
    if1068 = if1075;
  }
// compiled if node returning if1068 (depth = 20)
    gc_frame_newslot(if1068);
    if1053 = if1068;
  }
// compiled if node returning if1053 (depth = 19)
    gc_frame_newslot(if1053);
    if1017 = if1053;
  }
// compiled if node returning if1017 (depth = 18)
    gc_frame_newslot(if1017);
    if664 = if1017;
  }
// compiled if node returning if664 (depth = 17)
    gc_frame_newslot(if664);
    if652 = if664;
  }
// compiled if node returning if652 (depth = 16)
    gc_frame_newslot(if652);
    if640 = if652;
  }
// compiled if node returning if640 (depth = 15)
    gc_frame_newslot(if640);
    if628 = if640;
  }
// compiled if node returning if628 (depth = 14)
    gc_frame_newslot(if628);
    if616 = if628;
  }
// compiled if node returning if616 (depth = 13)
    gc_frame_newslot(if616);
    if604 = if616;
  }
// compiled if node returning if604 (depth = 12)
    gc_frame_newslot(if604);
    if592 = if604;
  }
// compiled if node returning if592 (depth = 11)
    gc_frame_newslot(if592);
    if580 = if592;
  }
// compiled if node returning if580 (depth = 10)
    gc_frame_newslot(if580);
    if568 = if580;
  }
// compiled if node returning if568 (depth = 9)
    gc_frame_newslot(if568);
    if556 = if568;
  }
// compiled if node returning if556 (depth = 8)
    gc_frame_newslot(if556);
    if544 = if556;
  }
// compiled if node returning if544 (depth = 7)
    gc_frame_newslot(if544);
    if532 = if544;
  }
// compiled if node returning if532 (depth = 6)
    gc_frame_newslot(if532);
    if520 = if532;
  }
// compiled if node returning if520 (depth = 5)
    gc_frame_newslot(if520);
    if508 = if520;
  }
// compiled if node returning if508 (depth = 4)
    gc_frame_newslot(if508);
    if491 = if508;
  }
// compiled if node returning if491 (depth = 3)
    gc_frame_newslot(if491);
    if477 = if491;
  } else {
  }
// compiled if node returning if477 (depth = 2)
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1165 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1166 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1167 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1166);
// compiled call node returning call1167 (depth = 4)
// compiled member node returning call1167 (depth = 3)
  gc_frame_newslot(call1167);
// call case 4: self request
  params[0] = call1167;
  partcv[0] = 1;
  Object call1168 = callmethodflags(self, "startPosition:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1165);
// compiled call node returning call1168 (depth = 2)
  gc_frame_end(frame);
  return call1168;
}
Object meth_lexer__apply1174(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_base = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_unicode = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_inc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "inc");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_validDigits = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "validDigits");
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1175 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  partcv[0] = 0;
  Object call1176 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe1175);
// compiled call node returning call1176 (depth = 6)
// compiled member node returning call1176 (depth = 5)
  *var_n = call1176;
  if (call1176 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1177 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1177 = gc_frame_newslot(*var_val);
  params[0] = *var_base;
  partcv[0] = 1;
  Object prod1179 = callmethod(*var_val, "*", 1, partcv, params);
// compiled op node returning prod1179 (depth = 5)
  *var_val = prod1179;
  if (prod1179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1181 = alloc_Float64(0);
// compiled num node returning num1181 (depth = 5)
  *var_inc = num1181;
  if (num1181 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1185 = alloc_Float64(57);
// compiled num node returning num1185 (depth = 7)
  int op_slot_right_1184 = gc_frame_newslot(num1185);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1184 = gc_frame_newslot(*var_n);
  params[0] = num1185;
  partcv[0] = 1;
  Object opresult1187 = callmethod(*var_n, "<=", 1, partcv, params);
// compiled op node returning opresult1187 (depth = 6)
  int op_slot_right_1183 = gc_frame_newslot(opresult1187);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1190 = alloc_Float64(48);
// compiled num node returning num1190 (depth = 7)
  int op_slot_right_1189 = gc_frame_newslot(num1190);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1189 = gc_frame_newslot(*var_n);
  params[0] = num1190;
  partcv[0] = 1;
  Object opresult1192 = callmethod(*var_n, ">=", 1, partcv, params);
// compiled op node returning opresult1192 (depth = 6)
  int op_slot_left_1183 = gc_frame_newslot(opresult1192);
  params[0] = opresult1187;
  partcv[0] = 1;
  Object opresult1193 = callmethod(opresult1192, "&&", 1, partcv, params);
// compiled op node returning opresult1193 (depth = 5)
  Object if1182 = done;
  if (istrue(opresult1193)) {
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1195 = alloc_Float64(48);
// compiled num node returning num1195 (depth = 7)
  int op_slot_right_1194 = gc_frame_newslot(num1195);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1194 = gc_frame_newslot(*var_n);
  params[0] = num1195;
  partcv[0] = 1;
  Object diff1197 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff1197 (depth = 6)
  *var_inc = diff1197;
  if (diff1197 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1182 = done;
  } else {
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1202 = alloc_Float64(90);
// compiled num node returning num1202 (depth = 8)
  int op_slot_right_1201 = gc_frame_newslot(num1202);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1201 = gc_frame_newslot(*var_n);
  params[0] = num1202;
  partcv[0] = 1;
  Object opresult1204 = callmethod(*var_n, "<=", 1, partcv, params);
// compiled op node returning opresult1204 (depth = 7)
  int op_slot_right_1200 = gc_frame_newslot(opresult1204);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1207 = alloc_Float64(65);
// compiled num node returning num1207 (depth = 8)
  int op_slot_right_1206 = gc_frame_newslot(num1207);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1206 = gc_frame_newslot(*var_n);
  params[0] = num1207;
  partcv[0] = 1;
  Object opresult1209 = callmethod(*var_n, ">=", 1, partcv, params);
// compiled op node returning opresult1209 (depth = 7)
  int op_slot_left_1200 = gc_frame_newslot(opresult1209);
  params[0] = opresult1204;
  partcv[0] = 1;
  Object opresult1210 = callmethod(opresult1209, "&&", 1, partcv, params);
// compiled op node returning opresult1210 (depth = 6)
  Object if1199 = done;
  if (istrue(opresult1210)) {
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1212 = alloc_Float64(55);
// compiled num node returning num1212 (depth = 8)
  int op_slot_right_1211 = gc_frame_newslot(num1212);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1211 = gc_frame_newslot(*var_n);
  params[0] = num1212;
  partcv[0] = 1;
  Object diff1214 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff1214 (depth = 7)
  *var_inc = diff1214;
  if (diff1214 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1199 = done;
  } else {
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1217 = alloc_Float64(87);
// compiled num node returning num1217 (depth = 8)
  int op_slot_right_1216 = gc_frame_newslot(num1217);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1216 = gc_frame_newslot(*var_n);
  params[0] = num1217;
  partcv[0] = 1;
  Object diff1219 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff1219 (depth = 7)
  *var_inc = diff1219;
  if (diff1219 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1199 = done;
  }
// compiled if node returning if1199 (depth = 5)
    gc_frame_newslot(if1199);
    if1182 = if1199;
  }
// compiled if node returning if1182 (depth = 4)
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1222 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_left_1222 = gc_frame_newslot(*var_inc);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1224 = callmethod(*var_inc, ">=", 1, partcv, params);
// compiled op node returning opresult1224 (depth = 5)
  Object if1221 = done;
  if (istrue(opresult1224)) {
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1228 = alloc_Float64(16);
// compiled num node returning num1228 (depth = 8)
  int op_slot_right_1227 = gc_frame_newslot(num1228);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_inc (depth = 8)
  int op_slot_left_1227 = gc_frame_newslot(*var_inc);
  params[0] = num1228;
  partcv[0] = 1;
  Object opresult1230 = callmethod(*var_inc, "<", 1, partcv, params);
// compiled op node returning opresult1230 (depth = 7)
  int op_slot_right_1226 = gc_frame_newslot(opresult1230);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1233 == NULL) {
    strlit1233 = alloc_String("0");
    gc_root(strlit1233);
  }
// compiled string node returning strlit1233 (depth = 8)
  int op_slot_right_1232 = gc_frame_newslot(strlit1233);
// starting to compile index node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
// starting to compile num node (depth = 9)
  Object num1235 = alloc_Float64(1);
// compiled num node returning num1235 (depth = 9)
  params[0] = num1235;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1236 = callmethod(*var_str, "[]", 1, partcv, params);
// compiled index node returning idxres1236 (depth = 8)
  int op_slot_left_1232 = gc_frame_newslot(idxres1236);
  params[0] = strlit1233;
  partcv[0] = 1;
  Object opresult1237 = callmethod(idxres1236, "==", 1, partcv, params);
// compiled op node returning opresult1237 (depth = 7)
  int op_slot_left_1226 = gc_frame_newslot(opresult1237);
  params[0] = opresult1230;
  partcv[0] = 1;
  Object opresult1238 = callmethod(opresult1237, "&&", 1, partcv, params);
// compiled op node returning opresult1238 (depth = 6)
  Object if1225 = done;
  if (istrue(opresult1238)) {
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1239 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1240 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1241 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1240);
// compiled call node returning call1241 (depth = 10)
// compiled member node returning call1241 (depth = 9)
  partcv[0] = 0;
  Object call1242 = callmethod(call1241, "new",
    1, partcv, params);
  gc_frame_end(callframe1239);
// compiled call node returning call1242 (depth = 8)
// compiled member node returning call1242 (depth = 7)
  *var_suggestion = call1242;
  if (call1242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1243 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1244 == NULL) {
    strlit1244 = alloc_String("x");
    gc_root(strlit1244);
  }
// compiled string node returning strlit1244 (depth = 7)
  gc_frame_newslot(strlit1244);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1246 = alloc_Float64(1);
// compiled num node returning num1246 (depth = 8)
  int op_slot_right_1245 = gc_frame_newslot(num1246);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1249 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  partcv[0] = 0;
  Object call1250 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1249);
// compiled call node returning call1250 (depth = 10)
// compiled member node returning call1250 (depth = 9)
  int op_slot_right_1248 = gc_frame_newslot(call1250);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1252 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1253 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1252);
// compiled call node returning call1253 (depth = 10)
// compiled member node returning call1253 (depth = 9)
  int op_slot_left_1248 = gc_frame_newslot(call1253);
  params[0] = call1250;
  partcv[0] = 1;
  Object diff1254 = callmethod(call1253, "-", 1, partcv, params);
// compiled op node returning diff1254 (depth = 8)
  int op_slot_left_1245 = gc_frame_newslot(diff1254);
  params[0] = num1246;
  partcv[0] = 1;
  Object sum1255 = callmethod(diff1254, "+", 1, partcv, params);
// compiled op node returning sum1255 (depth = 7)
  gc_frame_newslot(sum1255);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1256 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1257 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1256);
// compiled call node returning call1257 (depth = 8)
// compiled member node returning call1257 (depth = 7)
  gc_frame_newslot(call1257);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1244;
  params[1] = sum1255;
  params[2] = call1257;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1258 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe1243);
// compiled call node returning call1258 (depth = 6)
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1259 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1260 == NULL) {
    strlit1260 = alloc_String("A number in base 16 must start with '0x'.");
    gc_root(strlit1260);
  }
// compiled string node returning strlit1260 (depth = 7)
  gc_frame_newslot(strlit1260);
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1261 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1262 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1261);
// compiled call node returning call1262 (depth = 8)
// compiled member node returning call1262 (depth = 7)
  gc_frame_newslot(call1262);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1264 = alloc_Float64(1);
// compiled num node returning num1264 (depth = 8)
  int op_slot_right_1263 = gc_frame_newslot(num1264);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1267 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  partcv[0] = 0;
  Object call1268 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1267);
// compiled call node returning call1268 (depth = 10)
// compiled member node returning call1268 (depth = 9)
  int op_slot_right_1266 = gc_frame_newslot(call1268);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1270 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1271 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1270);
// compiled call node returning call1271 (depth = 10)
// compiled member node returning call1271 (depth = 9)
  int op_slot_left_1266 = gc_frame_newslot(call1271);
  params[0] = call1268;
  partcv[0] = 1;
  Object diff1272 = callmethod(call1271, "-", 1, partcv, params);
// compiled op node returning diff1272 (depth = 8)
  int op_slot_left_1263 = gc_frame_newslot(diff1272);
  params[0] = num1264;
  partcv[0] = 1;
  Object sum1273 = callmethod(diff1272, "+", 1, partcv, params);
// compiled op node returning sum1273 (depth = 7)
  gc_frame_newslot(sum1273);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1260;
  params[1] = call1262;
  params[2] = sum1273;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1274 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1259);
// compiled call node returning call1274 (depth = 6)
    gc_frame_newslot(call1274);
    if1225 = call1274;
  } else {
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1275 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1276 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1277 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1276);
// compiled call node returning call1277 (depth = 10)
// compiled member node returning call1277 (depth = 9)
  partcv[0] = 0;
  Object call1278 = callmethod(call1277, "new",
    1, partcv, params);
  gc_frame_end(callframe1275);
// compiled call node returning call1278 (depth = 8)
// compiled member node returning call1278 (depth = 7)
  *var_suggestion = call1278;
  if (call1278 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1281 = alloc_Float64(1);
// compiled num node returning num1281 (depth = 8)
  int op_slot_right_1280 = gc_frame_newslot(num1281);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1283 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  partcv[0] = 0;
  Object call1284 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1283);
// compiled call node returning call1284 (depth = 9)
// compiled member node returning call1284 (depth = 8)
  int op_slot_left_1280 = gc_frame_newslot(call1284);
  params[0] = num1281;
  partcv[0] = 1;
  Object opresult1285 = callmethod(call1284, "==", 1, partcv, params);
// compiled op node returning opresult1285 (depth = 7)
  Object if1279 = done;
  if (istrue(opresult1285)) {
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1286 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1288 = alloc_Float64(1);
// compiled num node returning num1288 (depth = 9)
  int op_slot_right_1287 = gc_frame_newslot(num1288);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1291 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_str (depth = 12)
  partcv[0] = 0;
  Object call1292 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1291);
// compiled call node returning call1292 (depth = 11)
// compiled member node returning call1292 (depth = 10)
  int op_slot_right_1290 = gc_frame_newslot(call1292);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1294 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1295 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1294);
// compiled call node returning call1295 (depth = 11)
// compiled member node returning call1295 (depth = 10)
  int op_slot_left_1290 = gc_frame_newslot(call1295);
  params[0] = call1292;
  partcv[0] = 1;
  Object diff1296 = callmethod(call1295, "-", 1, partcv, params);
// compiled op node returning diff1296 (depth = 9)
  int op_slot_left_1287 = gc_frame_newslot(diff1296);
  params[0] = num1288;
  partcv[0] = 1;
  Object diff1297 = callmethod(diff1296, "-", 1, partcv, params);
// compiled op node returning diff1297 (depth = 8)
  gc_frame_newslot(diff1297);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1299 = alloc_Float64(1);
// compiled num node returning num1299 (depth = 9)
  int op_slot_right_1298 = gc_frame_newslot(num1299);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1301 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1302 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1301);
// compiled call node returning call1302 (depth = 10)
// compiled member node returning call1302 (depth = 9)
  int op_slot_left_1298 = gc_frame_newslot(call1302);
  params[0] = num1299;
  partcv[0] = 1;
  Object diff1303 = callmethod(call1302, "-", 1, partcv, params);
// compiled op node returning diff1303 (depth = 8)
  gc_frame_newslot(diff1303);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1304 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1305 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1304);
// compiled call node returning call1305 (depth = 9)
// compiled member node returning call1305 (depth = 8)
  gc_frame_newslot(call1305);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = diff1297;
  params[1] = diff1303;
  params[2] = call1305;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1306 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1286);
// compiled call node returning call1306 (depth = 7)
    gc_frame_newslot(call1306);
    if1279 = call1306;
  } else {
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1307 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_right_1308 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1311 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_str (depth = 12)
  partcv[0] = 0;
  Object call1312 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1311);
// compiled call node returning call1312 (depth = 11)
// compiled member node returning call1312 (depth = 10)
  int op_slot_right_1310 = gc_frame_newslot(call1312);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1314 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1315 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1314);
// compiled call node returning call1315 (depth = 11)
// compiled member node returning call1315 (depth = 10)
  int op_slot_left_1310 = gc_frame_newslot(call1315);
  params[0] = call1312;
  partcv[0] = 1;
  Object diff1316 = callmethod(call1315, "-", 1, partcv, params);
// compiled op node returning diff1316 (depth = 9)
  int op_slot_left_1308 = gc_frame_newslot(diff1316);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1317 = callmethod(diff1316, "+", 1, partcv, params);
// compiled op node returning sum1317 (depth = 8)
  gc_frame_newslot(sum1317);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1318 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1319 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1318);
// compiled call node returning call1319 (depth = 9)
// compiled member node returning call1319 (depth = 8)
  gc_frame_newslot(call1319);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum1317;
  params[1] = call1319;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1320 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe1307);
// compiled call node returning call1320 (depth = 7)
    gc_frame_newslot(call1320);
    if1279 = call1320;
  }
// compiled if node returning if1279 (depth = 6)
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1323 = alloc_Float64(10);
// compiled num node returning num1323 (depth = 9)
  int op_slot_right_1322 = gc_frame_newslot(num1323);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_base (depth = 9)
  int op_slot_left_1322 = gc_frame_newslot(*var_base);
  params[0] = num1323;
  partcv[0] = 1;
  Object opresult1325 = callmethod(*var_base, "<=", 1, partcv, params);
// compiled op node returning opresult1325 (depth = 8)
  Object if1321 = done;
struct StackFrameObject *iftmpstackframe1321 = stackframe;
  if (istrue(opresult1325)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1321);
gc_frame_newslot((Object)stackframe);
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1327 == NULL) {
    strlit1327 = alloc_String("'");
    gc_root(strlit1327);
  }
// compiled string node returning strlit1327 (depth = 9)
  int op_slot_right_1326 = gc_frame_newslot(strlit1327);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num1331 = alloc_Float64(1);
// compiled num node returning num1331 (depth = 11)
  int op_slot_right_1330 = gc_frame_newslot(num1331);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_left_1330 = gc_frame_newslot(*var_base);
  params[0] = num1331;
  partcv[0] = 1;
  Object diff1333 = callmethod(*var_base, "-", 1, partcv, params);
// compiled op node returning diff1333 (depth = 10)
  int op_slot_right_1329 = gc_frame_newslot(diff1333);
// starting to compile string node (depth = 10)
  if (strlit1335 == NULL) {
    strlit1335 = alloc_String("'0' to '");
    gc_root(strlit1335);
  }
// compiled string node returning strlit1335 (depth = 10)
  int op_slot_left_1329 = gc_frame_newslot(strlit1335);
  params[0] = diff1333;
  partcv[0] = 1;
  Object opresult1336 = callmethod(strlit1335, "++", 1, partcv, params);
// compiled op node returning opresult1336 (depth = 9)
  int op_slot_left_1326 = gc_frame_newslot(opresult1336);
  params[0] = strlit1327;
  partcv[0] = 1;
  Object opresult1337 = callmethod(opresult1336, "++", 1, partcv, params);
// compiled op node returning opresult1337 (depth = 8)
    gc_frame_newslot(opresult1337);
    if1321 = opresult1337;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1321);
  gc_frame_newslot((Object)stackframe);
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1339 == NULL) {
    strlit1339 = alloc_String("'");
    gc_root(strlit1339);
  }
// compiled string node returning strlit1339 (depth = 9)
  int op_slot_right_1338 = gc_frame_newslot(strlit1339);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1342 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_base (depth = 12)
  int op_slot_right_1343 = gc_frame_newslot(*var_base);
// starting to compile num node (depth = 12)
  Object num1345 = alloc_Float64(87);
// compiled num node returning num1345 (depth = 12)
  int op_slot_left_1343 = gc_frame_newslot(num1345);
  params[0] = *var_base;
  partcv[0] = 1;
  Object sum1346 = callmethod(num1345, "+", 1, partcv, params);
// compiled op node returning sum1346 (depth = 11)
  gc_frame_newslot(sum1346);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = sum1346;
  partcv[0] = 1;
  Object call1347 = callmethod(*var_unicode, "create",
    1, partcv, params);
  gc_frame_end(callframe1342);
// compiled call node returning call1347 (depth = 10)
  int op_slot_right_1341 = gc_frame_newslot(call1347);
// starting to compile string node (depth = 10)
  if (strlit1349 == NULL) {
    strlit1349 = alloc_String("'0' to '9', 'a' to '");
    gc_root(strlit1349);
  }
// compiled string node returning strlit1349 (depth = 10)
  int op_slot_left_1341 = gc_frame_newslot(strlit1349);
  params[0] = call1347;
  partcv[0] = 1;
  Object opresult1350 = callmethod(strlit1349, "++", 1, partcv, params);
// compiled op node returning opresult1350 (depth = 9)
  int op_slot_left_1338 = gc_frame_newslot(opresult1350);
  params[0] = strlit1339;
  partcv[0] = 1;
  Object opresult1351 = callmethod(opresult1350, "++", 1, partcv, params);
// compiled op node returning opresult1351 (depth = 8)
    gc_frame_newslot(opresult1351);
    if1321 = opresult1351;
  }
stackframe = iftmpstackframe1321;
// compiled if node returning if1321 (depth = 7)
  *var_validDigits = if1321;
  if (if1321 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1352 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1354 == NULL) {
    strlit1354 = alloc_String(".");
    gc_root(strlit1354);
  }
// compiled string node returning strlit1354 (depth = 8)
  int op_slot_right_1353 = gc_frame_newslot(strlit1354);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_validDigits (depth = 9)
  int op_slot_right_1356 = gc_frame_newslot(*var_validDigits);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1359 == NULL) {
    strlit1359 = alloc_String(". Valid digits are ");
    gc_root(strlit1359);
  }
// compiled string node returning strlit1359 (depth = 10)
  int op_slot_right_1358 = gc_frame_newslot(strlit1359);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_right_1361 = gc_frame_newslot(*var_base);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1364 == NULL) {
    strlit1364 = alloc_String("' is not a valid digit in base ");
    gc_root(strlit1364);
  }
// compiled string node returning strlit1364 (depth = 12)
  int op_slot_right_1363 = gc_frame_newslot(strlit1364);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_right_1366 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 13)
  if (strlit1368 == NULL) {
    strlit1368 = alloc_String("'");
    gc_root(strlit1368);
  }
// compiled string node returning strlit1368 (depth = 13)
  int op_slot_left_1366 = gc_frame_newslot(strlit1368);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1369 = callmethod(strlit1368, "++", 1, partcv, params);
// compiled op node returning opresult1369 (depth = 12)
  int op_slot_left_1363 = gc_frame_newslot(opresult1369);
  params[0] = strlit1364;
  partcv[0] = 1;
  Object opresult1370 = callmethod(opresult1369, "++", 1, partcv, params);
// compiled op node returning opresult1370 (depth = 11)
  int op_slot_left_1361 = gc_frame_newslot(opresult1370);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1371 = callmethod(opresult1370, "++", 1, partcv, params);
// compiled op node returning opresult1371 (depth = 10)
  int op_slot_left_1358 = gc_frame_newslot(opresult1371);
  params[0] = strlit1359;
  partcv[0] = 1;
  Object opresult1372 = callmethod(opresult1371, "++", 1, partcv, params);
// compiled op node returning opresult1372 (depth = 9)
  int op_slot_left_1356 = gc_frame_newslot(opresult1372);
  params[0] = *var_validDigits;
  partcv[0] = 1;
  Object opresult1373 = callmethod(opresult1372, "++", 1, partcv, params);
// compiled op node returning opresult1373 (depth = 8)
  int op_slot_left_1353 = gc_frame_newslot(opresult1373);
  params[0] = strlit1354;
  partcv[0] = 1;
  Object opresult1374 = callmethod(opresult1373, "++", 1, partcv, params);
// compiled op node returning opresult1374 (depth = 7)
  gc_frame_newslot(opresult1374);
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1375 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1376 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1375);
// compiled call node returning call1376 (depth = 8)
// compiled member node returning call1376 (depth = 7)
  gc_frame_newslot(call1376);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1377 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1380 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  partcv[0] = 0;
  Object call1381 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1380);
// compiled call node returning call1381 (depth = 10)
// compiled member node returning call1381 (depth = 9)
  int op_slot_right_1379 = gc_frame_newslot(call1381);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1383 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1384 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1383);
// compiled call node returning call1384 (depth = 10)
// compiled member node returning call1384 (depth = 9)
  int op_slot_left_1379 = gc_frame_newslot(call1384);
  params[0] = call1381;
  partcv[0] = 1;
  Object diff1385 = callmethod(call1384, "-", 1, partcv, params);
// compiled op node returning diff1385 (depth = 8)
  int op_slot_left_1377 = gc_frame_newslot(diff1385);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1386 = callmethod(diff1385, "+", 1, partcv, params);
// compiled op node returning sum1386 (depth = 7)
  gc_frame_newslot(sum1386);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1387 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1390 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  partcv[0] = 0;
  Object call1391 = callmethod(*var_str, "size",
    1, partcv, params);
  gc_frame_end(callframe1390);
// compiled call node returning call1391 (depth = 10)
// compiled member node returning call1391 (depth = 9)
  int op_slot_right_1389 = gc_frame_newslot(call1391);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1393 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1394 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1393);
// compiled call node returning call1394 (depth = 10)
// compiled member node returning call1394 (depth = 9)
  int op_slot_left_1389 = gc_frame_newslot(call1394);
  params[0] = call1391;
  partcv[0] = 1;
  Object diff1395 = callmethod(call1394, "-", 1, partcv, params);
// compiled op node returning diff1395 (depth = 8)
  int op_slot_left_1387 = gc_frame_newslot(diff1395);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1396 = callmethod(diff1395, "+", 1, partcv, params);
// compiled op node returning sum1396 (depth = 7)
  gc_frame_newslot(sum1396);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult1374;
  params[1] = call1376;
  params[2] = sum1386;
  params[3] = sum1396;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1397 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1352);
// compiled call node returning call1397 (depth = 6)
    gc_frame_newslot(call1397);
    if1225 = call1397;
  }
// compiled if node returning if1225 (depth = 5)
    gc_frame_newslot(if1225);
    if1221 = if1225;
  } else {
  }
// compiled if node returning if1221 (depth = 4)
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_right_1398 = gc_frame_newslot(*var_inc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1398 = gc_frame_newslot(*var_val);
  params[0] = *var_inc;
  partcv[0] = 1;
  Object sum1400 = callmethod(*var_val, "+", 1, partcv, params);
// compiled op node returning sum1400 (depth = 5)
  *var_val = sum1400;
  if (sum1400 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1403 = alloc_Float64(1);
// compiled num node returning num1403 (depth = 6)
  int op_slot_right_1402 = gc_frame_newslot(num1403);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1402 = gc_frame_newslot(*var_i);
  params[0] = num1403;
  partcv[0] = 1;
  Object sum1405 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum1405 (depth = 5)
  *var_i = sum1405;
  if (sum1405 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_fromBase1169(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromBase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method fromBase");
  Object params[2];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromBase (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  Object *var_base = &(stackframe->slots[1]);
  *var_base = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for fromBase");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1170 = alloc_Float64(0);
// compiled num node returning num1170 (depth = 3)
  *var_val = num1170;
  if (num1170 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1171 = alloc_Float64(0);
// compiled num node returning num1171 (depth = 3)
  *var_i = num1171;
  if (num1171 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1172 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_str (depth = 3)
  gc_frame_newslot(*var_str);
// starting to compile block node (depth = 3)
  Object block1173 = alloc_Block(NULL, NULL, "lexer", 393);
  gc_frame_newslot(block1173);
// method "_apply"
  block_savedest(block1173);
  Object closure1174 = createclosure(7, "_apply");
  setclosureframe(closure1174, stackframe);
  addtoclosure(closure1174, var_base);
  addtoclosure(closure1174, var_val);
  addtoclosure(closure1174, var_str);
  addtoclosure(closure1174, var_errormessages);
  addtoclosure(closure1174, var_i);
  addtoclosure(closure1174, var_unicode);
  addtoclosure(closure1174, selfslot);
  struct UserObject *uo1174 = (struct UserObject*)block1173;
  uo1174->data[0] = (Object)closure1174;
  Method *meth_meth_lexer__apply1174 = addmethod2pos(block1173, "_apply", &meth_lexer__apply1174, 0);
  int argcv_meth_lexer__apply1174[] = {1};
  meth_meth_lexer__apply1174->type = alloc_MethodType(1, argcv_meth_lexer__apply1174);
  meth_meth_lexer__apply1174->definitionModule = modulename;
  meth_meth_lexer__apply1174->definitionLine = 387;
// compiled block node returning block1173 (depth = 3)
  gc_frame_newslot(block1173);
// call case 5: prelude request
  params[0] = *var_str;
  params[1] = block1173;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1408 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1172);
// compiled call node returning call1408 (depth = 2)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_val (depth = 2)
  gc_frame_end(frame);
  return *var_val;
}
Object meth_lexer_hexdecchar1409(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hexdecchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method hexdecchar");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for hexdecchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for hexdecchar");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_AOrd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "AOrd");
  Object *var_aOrd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "aOrd");
  Object *var_zeroOrd = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "zeroOrd");
  Object *var_cOrd = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cOrd");
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1410 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 5)
  if (strlit1411 == NULL) {
    strlit1411 = alloc_String("A");
    gc_root(strlit1411);
  }
// compiled string node returning strlit1411 (depth = 5)
  partcv[0] = 0;
  Object call1412 = callmethod(strlit1411, "ord",
    1, partcv, params);
  gc_frame_end(callframe1410);
// compiled call node returning call1412 (depth = 4)
// compiled member node returning call1412 (depth = 3)
  *var_AOrd = call1412;
  if (call1412 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1413 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 5)
  if (strlit1414 == NULL) {
    strlit1414 = alloc_String("a");
    gc_root(strlit1414);
  }
// compiled string node returning strlit1414 (depth = 5)
  partcv[0] = 0;
  Object call1415 = callmethod(strlit1414, "ord",
    1, partcv, params);
  gc_frame_end(callframe1413);
// compiled call node returning call1415 (depth = 4)
// compiled member node returning call1415 (depth = 3)
  *var_aOrd = call1415;
  if (call1415 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1416 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 5)
  if (strlit1417 == NULL) {
    strlit1417 = alloc_String("0");
    gc_root(strlit1417);
  }
// compiled string node returning strlit1417 (depth = 5)
  partcv[0] = 0;
  Object call1418 = callmethod(strlit1417, "ord",
    1, partcv, params);
  gc_frame_end(callframe1416);
// compiled call node returning call1418 (depth = 4)
// compiled member node returning call1418 (depth = 3)
  *var_zeroOrd = call1418;
  if (call1418 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1419 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  partcv[0] = 0;
  Object call1420 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe1419);
// compiled call node returning call1420 (depth = 4)
// compiled member node returning call1420 (depth = 3)
  *var_cOrd = call1420;
  if (call1420 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1424 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 7)
  if (strlit1425 == NULL) {
    strlit1425 = alloc_String("F");
    gc_root(strlit1425);
  }
// compiled string node returning strlit1425 (depth = 7)
  partcv[0] = 0;
  Object call1426 = callmethod(strlit1425, "ord",
    1, partcv, params);
  gc_frame_end(callframe1424);
// compiled call node returning call1426 (depth = 6)
// compiled member node returning call1426 (depth = 5)
  int op_slot_right_1423 = gc_frame_newslot(call1426);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1423 = gc_frame_newslot(*var_cOrd);
  params[0] = call1426;
  partcv[0] = 1;
  Object opresult1428 = callmethod(*var_cOrd, "<=", 1, partcv, params);
// compiled op node returning opresult1428 (depth = 4)
  int op_slot_right_1422 = gc_frame_newslot(opresult1428);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1430 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1430 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object opresult1432 = callmethod(*var_cOrd, ">=", 1, partcv, params);
// compiled op node returning opresult1432 (depth = 4)
  int op_slot_left_1422 = gc_frame_newslot(opresult1432);
  params[0] = opresult1428;
  partcv[0] = 1;
  Object opresult1433 = callmethod(opresult1432, "&&", 1, partcv, params);
// compiled op node returning opresult1433 (depth = 3)
  Object if1421 = done;
  if (istrue(opresult1433)) {
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1435 = alloc_Float64(10);
// compiled num node returning num1435 (depth = 4)
  int op_slot_right_1434 = gc_frame_newslot(num1435);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1437 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1437 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object diff1439 = callmethod(*var_cOrd, "-", 1, partcv, params);
// compiled op node returning diff1439 (depth = 4)
  int op_slot_left_1434 = gc_frame_newslot(diff1439);
  params[0] = num1435;
  partcv[0] = 1;
  Object sum1440 = callmethod(diff1439, "+", 1, partcv, params);
// compiled op node returning sum1440 (depth = 3)
    gc_frame_newslot(sum1440);
    if1421 = sum1440;
  } else {
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1444 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 8)
  if (strlit1445 == NULL) {
    strlit1445 = alloc_String("f");
    gc_root(strlit1445);
  }
// compiled string node returning strlit1445 (depth = 8)
  partcv[0] = 0;
  Object call1446 = callmethod(strlit1445, "ord",
    1, partcv, params);
  gc_frame_end(callframe1444);
// compiled call node returning call1446 (depth = 7)
// compiled member node returning call1446 (depth = 6)
  int op_slot_right_1443 = gc_frame_newslot(call1446);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1443 = gc_frame_newslot(*var_cOrd);
  params[0] = call1446;
  partcv[0] = 1;
  Object opresult1448 = callmethod(*var_cOrd, "<=", 1, partcv, params);
// compiled op node returning opresult1448 (depth = 5)
  int op_slot_right_1442 = gc_frame_newslot(opresult1448);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1450 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1450 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object opresult1452 = callmethod(*var_cOrd, ">=", 1, partcv, params);
// compiled op node returning opresult1452 (depth = 5)
  int op_slot_left_1442 = gc_frame_newslot(opresult1452);
  params[0] = opresult1448;
  partcv[0] = 1;
  Object opresult1453 = callmethod(opresult1452, "&&", 1, partcv, params);
// compiled op node returning opresult1453 (depth = 4)
  Object if1441 = done;
  if (istrue(opresult1453)) {
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1455 = alloc_Float64(10);
// compiled num node returning num1455 (depth = 5)
  int op_slot_right_1454 = gc_frame_newslot(num1455);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1457 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1457 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object diff1459 = callmethod(*var_cOrd, "-", 1, partcv, params);
// compiled op node returning diff1459 (depth = 5)
  int op_slot_left_1454 = gc_frame_newslot(diff1459);
  params[0] = num1455;
  partcv[0] = 1;
  Object sum1460 = callmethod(diff1459, "+", 1, partcv, params);
// compiled op node returning sum1460 (depth = 4)
    gc_frame_newslot(sum1460);
    if1441 = sum1460;
  } else {
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1464 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 9)
  if (strlit1465 == NULL) {
    strlit1465 = alloc_String("9");
    gc_root(strlit1465);
  }
// compiled string node returning strlit1465 (depth = 9)
  partcv[0] = 0;
  Object call1466 = callmethod(strlit1465, "ord",
    1, partcv, params);
  gc_frame_end(callframe1464);
// compiled call node returning call1466 (depth = 8)
// compiled member node returning call1466 (depth = 7)
  int op_slot_right_1463 = gc_frame_newslot(call1466);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1463 = gc_frame_newslot(*var_cOrd);
  params[0] = call1466;
  partcv[0] = 1;
  Object opresult1468 = callmethod(*var_cOrd, "<=", 1, partcv, params);
// compiled op node returning opresult1468 (depth = 6)
  int op_slot_right_1462 = gc_frame_newslot(opresult1468);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_zeroOrd (depth = 7)
  int op_slot_right_1470 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1470 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object opresult1472 = callmethod(*var_cOrd, ">=", 1, partcv, params);
// compiled op node returning opresult1472 (depth = 6)
  int op_slot_left_1462 = gc_frame_newslot(opresult1472);
  params[0] = opresult1468;
  partcv[0] = 1;
  Object opresult1473 = callmethod(opresult1472, "&&", 1, partcv, params);
// compiled op node returning opresult1473 (depth = 5)
  Object if1461 = done;
  if (istrue(opresult1473)) {
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_zeroOrd (depth = 6)
  int op_slot_right_1474 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1474 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object diff1476 = callmethod(*var_cOrd, "-", 1, partcv, params);
// compiled op node returning diff1476 (depth = 5)
    gc_frame_newslot(diff1476);
    if1461 = diff1476;
  } else {
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1477 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1479 == NULL) {
    strlit1479 = alloc_String("' must be a hexadecimal digit");
    gc_root(strlit1479);
  }
// compiled string node returning strlit1479 (depth = 7)
  int op_slot_right_1478 = gc_frame_newslot(strlit1479);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_1481 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 8)
  if (strlit1483 == NULL) {
    strlit1483 = alloc_String("The character '");
    gc_root(strlit1483);
  }
// compiled string node returning strlit1483 (depth = 8)
  int op_slot_left_1481 = gc_frame_newslot(strlit1483);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1484 = callmethod(strlit1483, "++", 1, partcv, params);
// compiled op node returning opresult1484 (depth = 7)
  int op_slot_left_1478 = gc_frame_newslot(opresult1484);
  params[0] = strlit1479;
  partcv[0] = 1;
  Object opresult1485 = callmethod(opresult1484, "++", 1, partcv, params);
// compiled op node returning opresult1485 (depth = 6)
  gc_frame_newslot(opresult1485);
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1486 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1487 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1486);
// compiled call node returning call1487 (depth = 7)
// compiled member node returning call1487 (depth = 6)
  gc_frame_newslot(call1487);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1488 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1489 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1488);
// compiled call node returning call1489 (depth = 7)
// compiled member node returning call1489 (depth = 6)
  gc_frame_newslot(call1489);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1490 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1491 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1490);
// compiled call node returning call1491 (depth = 7)
// compiled member node returning call1491 (depth = 6)
  gc_frame_newslot(call1491);
// call case 6: other member request
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult1485;
  params[1] = call1487;
  params[2] = call1489;
  params[3] = call1491;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1492 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe1477);
// compiled call node returning call1492 (depth = 5)
    gc_frame_newslot(call1492);
    if1461 = call1492;
  }
// compiled if node returning if1461 (depth = 4)
    gc_frame_newslot(if1461);
    if1441 = if1461;
  }
// compiled if node returning if1441 (depth = 3)
    gc_frame_newslot(if1441);
    if1421 = if1441;
  }
// compiled if node returning if1421 (depth = 2)
  gc_frame_end(frame);
  return if1421;
}
Object meth_lexer__apply1500(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_baseSet = getfromclosure(closure, 0);
  Object *var_sofar = getfromclosure(closure, 1);
  Object *var_base = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_accum = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1503 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_baseSet (depth = 7)
  partcv[0] = 0;
  Object call1504 = callmethod(*var_baseSet, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe1503);
// compiled call node returning call1504 (depth = 6)
  int op_slot_right_1502 = gc_frame_newslot(call1504);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1507 == NULL) {
    strlit1507 = alloc_String("x");
    gc_root(strlit1507);
  }
// compiled string node returning strlit1507 (depth = 7)
  int op_slot_right_1506 = gc_frame_newslot(strlit1507);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1506 = gc_frame_newslot(*var_c);
  params[0] = strlit1507;
  partcv[0] = 1;
  Object opresult1509 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1509 (depth = 6)
  int op_slot_left_1502 = gc_frame_newslot(opresult1509);
  params[0] = call1504;
  partcv[0] = 1;
  Object opresult1510 = callmethod(opresult1509, "&&", 1, partcv, params);
// compiled op node returning opresult1510 (depth = 5)
  Object if1501 = done;
  if (istrue(opresult1510)) {
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1511 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sofar (depth = 8)
  partcv[0] = 0;
  Object call1512 = callmethod(*var_sofar, "asNumber",
    1, partcv, params);
  gc_frame_end(callframe1511);
// compiled call node returning call1512 (depth = 7)
// compiled member node returning call1512 (depth = 6)
  *var_base = call1512;
  if (call1512 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1514 = alloc_Boolean(1);
// compiled identifier node returning bool1514 (depth = 6)
  *var_baseSet = bool1514;
  if (bool1514 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1518 = alloc_Float64(0);
// compiled num node returning num1518 (depth = 7)
  int op_slot_right_1517 = gc_frame_newslot(num1518);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_base (depth = 7)
  int op_slot_left_1517 = gc_frame_newslot(*var_base);
  params[0] = num1518;
  partcv[0] = 1;
  Object opresult1520 = callmethod(*var_base, "==", 1, partcv, params);
// compiled op node returning opresult1520 (depth = 6)
  Object if1516 = done;
  if (istrue(opresult1520)) {
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1521 = alloc_Float64(16);
// compiled num node returning num1521 (depth = 7)
  *var_base = num1521;
  if (num1521 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1516 = done;
  } else {
  }
// compiled if node returning if1516 (depth = 5)
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1526 = alloc_Float64(36);
// compiled num node returning num1526 (depth = 8)
  int op_slot_right_1525 = gc_frame_newslot(num1526);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_base (depth = 8)
  int op_slot_left_1525 = gc_frame_newslot(*var_base);
  params[0] = num1526;
  partcv[0] = 1;
  Object opresult1528 = callmethod(*var_base, ">", 1, partcv, params);
// compiled op node returning opresult1528 (depth = 7)
  int op_slot_right_1524 = gc_frame_newslot(opresult1528);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1531 = alloc_Float64(2);
// compiled num node returning num1531 (depth = 8)
  int op_slot_right_1530 = gc_frame_newslot(num1531);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_base (depth = 8)
  int op_slot_left_1530 = gc_frame_newslot(*var_base);
  params[0] = num1531;
  partcv[0] = 1;
  Object opresult1533 = callmethod(*var_base, "<", 1, partcv, params);
// compiled op node returning opresult1533 (depth = 7)
  int op_slot_left_1524 = gc_frame_newslot(opresult1533);
  params[0] = opresult1528;
  partcv[0] = 1;
  Object opresult1534 = callmethod(opresult1533, "||", 1, partcv, params);
// compiled op node returning opresult1534 (depth = 6)
  Object if1523 = done;
  if (istrue(opresult1534)) {
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile array node (depth = 7)
  Object array1535 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1535 (depth = 7)
  *var_suggestions = array1535;
  if (array1535 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1536 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1537 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1538 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1537);
// compiled call node returning call1538 (depth = 10)
// compiled member node returning call1538 (depth = 9)
  partcv[0] = 0;
  Object call1539 = callmethod(call1538, "new",
    1, partcv, params);
  gc_frame_end(callframe1536);
// compiled call node returning call1539 (depth = 8)
// compiled member node returning call1539 (depth = 7)
  *var_suggestion = call1539;
  if (call1539 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1540 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1541 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1544 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  partcv[0] = 0;
  Object call1545 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1544);
// compiled call node returning call1545 (depth = 10)
// compiled member node returning call1545 (depth = 9)
  int op_slot_right_1543 = gc_frame_newslot(call1545);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1547 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1548 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1547);
// compiled call node returning call1548 (depth = 10)
// compiled member node returning call1548 (depth = 9)
  int op_slot_left_1543 = gc_frame_newslot(call1548);
  params[0] = call1545;
  partcv[0] = 1;
  Object diff1549 = callmethod(call1548, "-", 1, partcv, params);
// compiled op node returning diff1549 (depth = 8)
  int op_slot_left_1541 = gc_frame_newslot(diff1549);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1550 = callmethod(diff1549, "+", 1, partcv, params);
// compiled op node returning sum1550 (depth = 7)
  gc_frame_newslot(sum1550);
// starting to compile string node (depth = 7)
  if (strlit1551 == NULL) {
    strlit1551 = alloc_String("*");
    gc_root(strlit1551);
  }
// compiled string node returning strlit1551 (depth = 7)
  gc_frame_newslot(strlit1551);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1552 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1553 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1552);
// compiled call node returning call1553 (depth = 8)
// compiled member node returning call1553 (depth = 7)
  gc_frame_newslot(call1553);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = sum1550;
  params[1] = strlit1551;
  params[2] = call1553;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1554 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe1540);
// compiled call node returning call1554 (depth = 6)
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1555 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1556 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1555);
// compiled call node returning call1556 (depth = 6)
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1557 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1558 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call1559 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1558);
// compiled call node returning call1559 (depth = 10)
// compiled member node returning call1559 (depth = 9)
  partcv[0] = 0;
  Object call1560 = callmethod(call1559, "new",
    1, partcv, params);
  gc_frame_end(callframe1557);
// compiled call node returning call1560 (depth = 8)
// compiled member node returning call1560 (depth = 7)
  *var_suggestion = call1560;
  if (call1560 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1562 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1564 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  partcv[0] = 0;
  Object call1565 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1564);
// compiled call node returning call1565 (depth = 9)
// compiled member node returning call1565 (depth = 8)
  int op_slot_right_1563 = gc_frame_newslot(call1565);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1567 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1568 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1567);
// compiled call node returning call1568 (depth = 9)
// compiled member node returning call1568 (depth = 8)
  int op_slot_left_1563 = gc_frame_newslot(call1568);
  params[0] = call1565;
  partcv[0] = 1;
  Object diff1569 = callmethod(call1568, "-", 1, partcv, params);
// compiled op node returning diff1569 (depth = 7)
  gc_frame_newslot(diff1569);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1570 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1573 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  partcv[0] = 0;
  Object call1574 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1573);
// compiled call node returning call1574 (depth = 10)
// compiled member node returning call1574 (depth = 9)
  int op_slot_right_1572 = gc_frame_newslot(call1574);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1576 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1577 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1576);
// compiled call node returning call1577 (depth = 10)
// compiled member node returning call1577 (depth = 9)
  int op_slot_left_1572 = gc_frame_newslot(call1577);
  params[0] = call1574;
  partcv[0] = 1;
  Object diff1578 = callmethod(call1577, "-", 1, partcv, params);
// compiled op node returning diff1578 (depth = 8)
  int op_slot_left_1570 = gc_frame_newslot(diff1578);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1579 = callmethod(diff1578, "+", 1, partcv, params);
// compiled op node returning sum1579 (depth = 7)
  gc_frame_newslot(sum1579);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1580 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1581 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1580);
// compiled call node returning call1581 (depth = 8)
// compiled member node returning call1581 (depth = 7)
  gc_frame_newslot(call1581);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = diff1569;
  params[1] = sum1579;
  params[2] = call1581;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1582 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1562);
// compiled call node returning call1582 (depth = 6)
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1583 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1584 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1583);
// compiled call node returning call1584 (depth = 6)
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1585 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1587 == NULL) {
    strlit1587 = alloc_String(" is not a valid numerical base.");
    gc_root(strlit1587);
  }
// compiled string node returning strlit1587 (depth = 8)
  int op_slot_right_1586 = gc_frame_newslot(strlit1587);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_base (depth = 9)
  int op_slot_right_1589 = gc_frame_newslot(*var_base);
// starting to compile string node (depth = 9)
  if (strlit1591 == NULL) {
    strlit1591 = alloc_String("Base ");
    gc_root(strlit1591);
  }
// compiled string node returning strlit1591 (depth = 9)
  int op_slot_left_1589 = gc_frame_newslot(strlit1591);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1592 = callmethod(strlit1591, "++", 1, partcv, params);
// compiled op node returning opresult1592 (depth = 8)
  int op_slot_left_1586 = gc_frame_newslot(opresult1592);
  params[0] = strlit1587;
  partcv[0] = 1;
  Object opresult1593 = callmethod(opresult1592, "++", 1, partcv, params);
// compiled op node returning opresult1593 (depth = 7)
  gc_frame_newslot(opresult1593);
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1594 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1595 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1594);
// compiled call node returning call1595 (depth = 8)
// compiled member node returning call1595 (depth = 7)
  gc_frame_newslot(call1595);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1597 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  partcv[0] = 0;
  Object call1598 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1597);
// compiled call node returning call1598 (depth = 9)
// compiled member node returning call1598 (depth = 8)
  int op_slot_right_1596 = gc_frame_newslot(call1598);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1600 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1601 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1600);
// compiled call node returning call1601 (depth = 9)
// compiled member node returning call1601 (depth = 8)
  int op_slot_left_1596 = gc_frame_newslot(call1601);
  params[0] = call1598;
  partcv[0] = 1;
  Object diff1602 = callmethod(call1601, "-", 1, partcv, params);
// compiled op node returning diff1602 (depth = 7)
  gc_frame_newslot(diff1602);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1604 = alloc_Float64(1);
// compiled num node returning num1604 (depth = 8)
  int op_slot_right_1603 = gc_frame_newslot(num1604);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_right_1606 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1609 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  partcv[0] = 0;
  Object call1610 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1609);
// compiled call node returning call1610 (depth = 11)
// compiled member node returning call1610 (depth = 10)
  int op_slot_right_1608 = gc_frame_newslot(call1610);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1612 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1613 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1612);
// compiled call node returning call1613 (depth = 11)
// compiled member node returning call1613 (depth = 10)
  int op_slot_left_1608 = gc_frame_newslot(call1613);
  params[0] = call1610;
  partcv[0] = 1;
  Object diff1614 = callmethod(call1613, "-", 1, partcv, params);
// compiled op node returning diff1614 (depth = 9)
  int op_slot_left_1606 = gc_frame_newslot(diff1614);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1615 = callmethod(diff1614, "+", 1, partcv, params);
// compiled op node returning sum1615 (depth = 8)
  int op_slot_left_1603 = gc_frame_newslot(sum1615);
  params[0] = num1604;
  partcv[0] = 1;
  Object diff1616 = callmethod(sum1615, "-", 1, partcv, params);
// compiled op node returning diff1616 (depth = 7)
  gc_frame_newslot(diff1616);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult1593;
  params[1] = call1595;
  params[2] = diff1602;
  params[3] = diff1616;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1617 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1585);
// compiled call node returning call1617 (depth = 6)
    gc_frame_newslot(call1617);
    if1523 = call1617;
  } else {
  }
// compiled if node returning if1523 (depth = 5)
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1618 == NULL) {
    strlit1618 = alloc_String("");
    gc_root(strlit1618);
  }
// compiled string node returning strlit1618 (depth = 6)
  *var_sofar = strlit1618;
  if (strlit1618 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1501 = done;
  } else {
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_right_1620 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sofar (depth = 7)
  int op_slot_left_1620 = gc_frame_newslot(*var_sofar);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1622 = callmethod(*var_sofar, "++", 1, partcv, params);
// compiled op node returning opresult1622 (depth = 6)
  *var_sofar = opresult1622;
  if (opresult1622 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1501 = done;
  }
// compiled if node returning if1501 (depth = 4)
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1625 = alloc_Float64(1);
// compiled num node returning num1625 (depth = 6)
  int op_slot_right_1624 = gc_frame_newslot(num1625);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1624 = gc_frame_newslot(*var_i);
  params[0] = num1625;
  partcv[0] = 1;
  Object sum1627 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum1627 (depth = 5)
  *var_i = sum1627;
  if (sum1627 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_makeNumToken1493(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "makeNumToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method makeNumToken");
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for makeNumToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_accum = &(stackframe->slots[0]);
  *var_accum = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for makeNumToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_base = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "base");
  Object *var_baseSet = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "baseSet");
  Object *var_sofar = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "sofar");
  Object *var_i = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "i");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
  Object *var_suggestion = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestion");
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1494 = alloc_Float64(10);
// compiled num node returning num1494 (depth = 3)
  *var_base = num1494;
  if (num1494 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1495 = alloc_Boolean(0);
// compiled identifier node returning bool1495 (depth = 3)
  *var_baseSet = bool1495;
  if (bool1495 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1496 == NULL) {
    strlit1496 = alloc_String("");
    gc_root(strlit1496);
  }
// compiled string node returning strlit1496 (depth = 3)
  *var_sofar = strlit1496;
  if (strlit1496 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1497 = alloc_Float64(0);
// compiled num node returning num1497 (depth = 3)
  *var_i = num1497;
  if (num1497 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1498 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_accum (depth = 3)
  gc_frame_newslot(*var_accum);
// starting to compile block node (depth = 3)
  Object block1499 = alloc_Block(NULL, NULL, "lexer", 455);
  gc_frame_newslot(block1499);
// method "_apply"
  block_savedest(block1499);
  Object closure1500 = createclosure(7, "_apply");
  setclosureframe(closure1500, stackframe);
  addtoclosure(closure1500, var_baseSet);
  addtoclosure(closure1500, var_sofar);
  addtoclosure(closure1500, var_base);
  addtoclosure(closure1500, var_errormessages);
  addtoclosure(closure1500, var_i);
  addtoclosure(closure1500, var_accum);
  addtoclosure(closure1500, selfslot);
  struct UserObject *uo1500 = (struct UserObject*)block1499;
  uo1500->data[0] = (Object)closure1500;
  Method *meth_meth_lexer__apply1500 = addmethod2pos(block1499, "_apply", &meth_lexer__apply1500, 0);
  int argcv_meth_lexer__apply1500[] = {1};
  meth_meth_lexer__apply1500->type = alloc_MethodType(1, argcv_meth_lexer__apply1500);
  meth_meth_lexer__apply1500->definitionModule = modulename;
  meth_meth_lexer__apply1500->definitionLine = 446;
// compiled block node returning block1499 (depth = 3)
  gc_frame_newslot(block1499);
// call case 5: prelude request
  params[0] = *var_accum;
  params[1] = block1499;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1630 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1498);
// compiled call node returning call1630 (depth = 2)
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1633 == NULL) {
    strlit1633 = alloc_String("");
    gc_root(strlit1633);
  }
// compiled string node returning strlit1633 (depth = 4)
  int op_slot_right_1632 = gc_frame_newslot(strlit1633);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sofar (depth = 4)
  int op_slot_left_1632 = gc_frame_newslot(*var_sofar);
  params[0] = strlit1633;
  partcv[0] = 1;
  Object opresult1635 = callmethod(*var_sofar, "==", 1, partcv, params);
// compiled op node returning opresult1635 (depth = 3)
  Object if1631 = done;
  if (istrue(opresult1635)) {
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array1636 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1636 (depth = 4)
  *var_suggestions = array1636;
  if (array1636 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 3)
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1637 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1638 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call1639 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1638);
// compiled call node returning call1639 (depth = 7)
// compiled member node returning call1639 (depth = 6)
  partcv[0] = 0;
  Object call1640 = callmethod(call1639, "new",
    1, partcv, params);
  gc_frame_end(callframe1637);
// compiled call node returning call1640 (depth = 5)
// compiled member node returning call1640 (depth = 4)
  *var_suggestion = call1640;
  if (call1640 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1641 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1643 = alloc_Float64(1);
// compiled num node returning num1643 (depth = 5)
  int op_slot_right_1642 = gc_frame_newslot(num1643);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_right_1645 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1648 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  partcv[0] = 0;
  Object call1649 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1648);
// compiled call node returning call1649 (depth = 8)
// compiled member node returning call1649 (depth = 7)
  int op_slot_right_1647 = gc_frame_newslot(call1649);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1651 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1652 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1651);
// compiled call node returning call1652 (depth = 8)
// compiled member node returning call1652 (depth = 7)
  int op_slot_left_1647 = gc_frame_newslot(call1652);
  params[0] = call1649;
  partcv[0] = 1;
  Object diff1653 = callmethod(call1652, "-", 1, partcv, params);
// compiled op node returning diff1653 (depth = 6)
  int op_slot_left_1645 = gc_frame_newslot(diff1653);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1654 = callmethod(diff1653, "+", 1, partcv, params);
// compiled op node returning sum1654 (depth = 5)
  int op_slot_left_1642 = gc_frame_newslot(sum1654);
  params[0] = num1643;
  partcv[0] = 1;
  Object diff1655 = callmethod(sum1654, "-", 1, partcv, params);
// compiled op node returning diff1655 (depth = 4)
  gc_frame_newslot(diff1655);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1657 = alloc_Float64(1);
// compiled num node returning num1657 (depth = 5)
  int op_slot_right_1656 = gc_frame_newslot(num1657);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1659 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1660 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1659);
// compiled call node returning call1660 (depth = 6)
// compiled member node returning call1660 (depth = 5)
  int op_slot_left_1656 = gc_frame_newslot(call1660);
  params[0] = num1657;
  partcv[0] = 1;
  Object diff1661 = callmethod(call1660, "-", 1, partcv, params);
// compiled op node returning diff1661 (depth = 4)
  gc_frame_newslot(diff1661);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1662 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1663 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1662);
// compiled call node returning call1663 (depth = 5)
// compiled member node returning call1663 (depth = 4)
  gc_frame_newslot(call1663);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = diff1655;
  params[1] = diff1661;
  params[2] = call1663;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1664 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe1641);
// compiled call node returning call1664 (depth = 3)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1665 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1666 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1665);
// compiled call node returning call1666 (depth = 3)
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1667 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1668 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  partcv[0] = 0;
  Object call1669 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1668);
// compiled call node returning call1669 (depth = 7)
// compiled member node returning call1669 (depth = 6)
  partcv[0] = 0;
  Object call1670 = callmethod(call1669, "new",
    1, partcv, params);
  gc_frame_end(callframe1667);
// compiled call node returning call1670 (depth = 5)
// compiled member node returning call1670 (depth = 4)
  *var_suggestion = call1670;
  if (call1670 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 3)
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1672 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1673 == NULL) {
    strlit1673 = alloc_String("0");
    gc_root(strlit1673);
  }
// compiled string node returning strlit1673 (depth = 4)
  gc_frame_newslot(strlit1673);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1674 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1675 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1674);
// compiled call node returning call1675 (depth = 5)
// compiled member node returning call1675 (depth = 4)
  gc_frame_newslot(call1675);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1676 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1677 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1676);
// compiled call node returning call1677 (depth = 5)
// compiled member node returning call1677 (depth = 4)
  gc_frame_newslot(call1677);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit1673;
  params[1] = call1675;
  params[2] = call1677;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1678 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe1672);
// compiled call node returning call1678 (depth = 3)
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1679 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1680 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1679);
// compiled call node returning call1680 (depth = 3)
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1681 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1682 == NULL) {
    strlit1682 = alloc_String("At least one digit must follow the 'x' in a number.");
    gc_root(strlit1682);
  }
// compiled string node returning strlit1682 (depth = 4)
  gc_frame_newslot(strlit1682);
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1683 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1684 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1683);
// compiled call node returning call1684 (depth = 5)
// compiled member node returning call1684 (depth = 4)
  gc_frame_newslot(call1684);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_right_1685 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1688 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_accum (depth = 8)
  partcv[0] = 0;
  Object call1689 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe1688);
// compiled call node returning call1689 (depth = 7)
// compiled member node returning call1689 (depth = 6)
  int op_slot_right_1687 = gc_frame_newslot(call1689);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1691 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1692 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1691);
// compiled call node returning call1692 (depth = 7)
// compiled member node returning call1692 (depth = 6)
  int op_slot_left_1687 = gc_frame_newslot(call1692);
  params[0] = call1689;
  partcv[0] = 1;
  Object diff1693 = callmethod(call1692, "-", 1, partcv, params);
// compiled op node returning diff1693 (depth = 5)
  int op_slot_left_1685 = gc_frame_newslot(diff1693);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1694 = callmethod(diff1693, "+", 1, partcv, params);
// compiled op node returning sum1694 (depth = 4)
  gc_frame_newslot(sum1694);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit1682;
  params[1] = call1684;
  params[2] = sum1694;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1695 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1681);
// compiled call node returning call1695 (depth = 3)
    gc_frame_newslot(call1695);
    if1631 = call1695;
  } else {
  }
// compiled if node returning if1631 (depth = 2)
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1696 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1697 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe1698 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sofar (depth = 6)
  gc_frame_newslot(*var_sofar);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  gc_frame_newslot(*var_base);
// call case 4: self request
  params[0] = *var_sofar;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1699 = callmethodflags(self, "fromBase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1698);
// compiled call node returning call1699 (depth = 5)
  partcv[0] = 0;
  Object call1700 = callmethod(call1699, "asString",
    1, partcv, params);
  gc_frame_end(callframe1697);
// compiled call node returning call1700 (depth = 4)
// compiled member node returning call1700 (depth = 3)
  gc_frame_newslot(call1700);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  gc_frame_newslot(*var_base);
// call case 4: self request
  params[0] = call1700;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1701 = callmethodflags(self, "numToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1696);
// compiled call node returning call1701 (depth = 2)
  gc_frame_end(frame);
  return call1701;
}
Object meth_lexer_isidentifierchar1702(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isidentifierchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isidentifierchar");
  Object params[1];
  int partcv[1];
  Object *var_unicode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isidentifierchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ov = &(stackframe->slots[0]);
  *var_ov = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for isidentifierchar");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1704 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ov (depth = 4)
  gc_frame_newslot(*var_ov);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ov;
  partcv[0] = 1;
  Object call1705 = callmethod(*var_unicode, "isLetter",
    1, partcv, params);
  gc_frame_end(callframe1704);
// compiled call node returning call1705 (depth = 3)
  Object if1703 = done;
  if (istrue(call1705)) {
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool1706 = alloc_Boolean(1);
// compiled identifier node returning bool1706 (depth = 4)
  return bool1706;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1703 = undefined;
  } else {
  }
// compiled if node returning if1703 (depth = 2)
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1708 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ov (depth = 4)
  gc_frame_newslot(*var_ov);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ov;
  partcv[0] = 1;
  Object call1709 = callmethod(*var_unicode, "isNumber",
    1, partcv, params);
  gc_frame_end(callframe1708);
// compiled call node returning call1709 (depth = 3)
  Object if1707 = done;
  if (istrue(call1709)) {
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool1710 = alloc_Boolean(1);
// compiled identifier node returning bool1710 (depth = 4)
  return bool1710;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1707 = undefined;
  } else {
  }
// compiled if node returning if1707 (depth = 2)
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1714 = alloc_Float64(39);
// compiled num node returning num1714 (depth = 5)
  int op_slot_right_1713 = gc_frame_newslot(num1714);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ov (depth = 5)
  int op_slot_left_1713 = gc_frame_newslot(*var_ov);
  params[0] = num1714;
  partcv[0] = 1;
  Object opresult1716 = callmethod(*var_ov, "==", 1, partcv, params);
// compiled op node returning opresult1716 (depth = 4)
  int op_slot_right_1712 = gc_frame_newslot(opresult1716);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1719 = alloc_Float64(95);
// compiled num node returning num1719 (depth = 5)
  int op_slot_right_1718 = gc_frame_newslot(num1719);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ov (depth = 5)
  int op_slot_left_1718 = gc_frame_newslot(*var_ov);
  params[0] = num1719;
  partcv[0] = 1;
  Object opresult1721 = callmethod(*var_ov, "==", 1, partcv, params);
// compiled op node returning opresult1721 (depth = 4)
  int op_slot_left_1712 = gc_frame_newslot(opresult1721);
  params[0] = opresult1716;
  partcv[0] = 1;
  Object opresult1722 = callmethod(opresult1721, "||", 1, partcv, params);
// compiled op node returning opresult1722 (depth = 3)
  Object if1711 = done;
  if (istrue(opresult1722)) {
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1723 = alloc_Boolean(1);
// compiled identifier node returning bool1723 (depth = 3)
    gc_frame_newslot(bool1723);
    if1711 = bool1723;
  } else {
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1724 = alloc_Boolean(0);
// compiled identifier node returning bool1724 (depth = 3)
    gc_frame_newslot(bool1724);
    if1711 = bool1724;
  }
// compiled if node returning if1711 (depth = 2)
  gc_frame_end(frame);
  return if1711;
}
Object meth_lexer_isoperatorchar1725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isoperatorchar");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method isoperatorchar");
  Object params[2];
  int partcv[1];
  Object *var_operatorChars = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isoperatorchar (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *var_ordval = &(stackframe->slots[1]);
  *var_ordval = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for isoperatorchar");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1727 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_operatorChars (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call1728 = callmethod(*var_operatorChars, "contains",
    1, partcv, params);
  gc_frame_end(callframe1727);
// compiled call node returning call1728 (depth = 3)
  Object if1726 = done;
  if (istrue(call1728)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool1729 = alloc_Boolean(1);
// compiled identifier node returning bool1729 (depth = 4)
  return bool1729;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1726 = undefined;
  } else {
  }
// compiled if node returning if1726 (depth = 2)
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1731 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ordval (depth = 4)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call1732 = callmethod(*var_unicode, "isSymbolMathematical",
    1, partcv, params);
  gc_frame_end(callframe1731);
// compiled call node returning call1732 (depth = 3)
  Object if1730 = done;
  if (istrue(call1732)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool1733 = alloc_Boolean(1);
// compiled identifier node returning bool1733 (depth = 4)
  return bool1733;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1730 = undefined;
  } else {
  }
// compiled if node returning if1730 (depth = 2)
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1735 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// starting to compile string node (depth = 4)
  if (strlit1736 == NULL) {
    strlit1736 = alloc_String("So");
    gc_root(strlit1736);
  }
// compiled string node returning strlit1736 (depth = 4)
  gc_frame_newslot(strlit1736);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_c;
  params[1] = strlit1736;
  partcv[0] = 2;
  Object call1737 = callmethod(*var_unicode, "iscategory",
    1, partcv, params);
  gc_frame_end(callframe1735);
// compiled call node returning call1737 (depth = 3)
  Object if1734 = done;
  if (istrue(call1737)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool1738 = alloc_Boolean(1);
// compiled identifier node returning bool1738 (depth = 4)
  return bool1738;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1734 = undefined;
  } else {
  }
// compiled if node returning if1734 (depth = 2)
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1739 = alloc_Boolean(0);
// compiled identifier node returning bool1739 (depth = 3)
  return bool1739;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__apply1750(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_lines = getfromclosure(closure, 1);
  Object *var_cLine = getfromclosure(closure, 2);
  Object *var_cLines = getfromclosure(closure, 3);
  Object *var_wasCR = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1753 == NULL) {
    strlit1753 = alloc_String("""\x0d""");
    gc_root(strlit1753);
  }
// compiled string node returning strlit1753 (depth = 6)
  int op_slot_right_1752 = gc_frame_newslot(strlit1753);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_1752 = gc_frame_newslot(*var_c);
  params[0] = strlit1753;
  partcv[0] = 1;
  Object opresult1755 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1755 (depth = 5)
  Object if1751 = done;
  if (istrue(opresult1755)) {
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1756 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lines (depth = 6)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1757 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1756);
// compiled call node returning call1757 (depth = 5)
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1758 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLine (depth = 6)
  gc_frame_newslot(*var_cLine);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLines (depth = 6)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1759 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1758);
// compiled call node returning call1759 (depth = 5)
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1760 == NULL) {
    strlit1760 = alloc_String("");
    gc_root(strlit1760);
  }
// compiled string node returning strlit1760 (depth = 6)
  *var_line = strlit1760;
  if (strlit1760 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1762 == NULL) {
    strlit1762 = alloc_String("");
    gc_root(strlit1762);
  }
// compiled string node returning strlit1762 (depth = 6)
  *var_cLine = strlit1762;
  if (strlit1762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1764 = alloc_Boolean(1);
// compiled identifier node returning bool1764 (depth = 6)
  *var_wasCR = bool1764;
  if (bool1764 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1751 = done;
  } else {
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1768 == NULL) {
    strlit1768 = alloc_String("""\x0a""");
    gc_root(strlit1768);
  }
// compiled string node returning strlit1768 (depth = 7)
  int op_slot_right_1767 = gc_frame_newslot(strlit1768);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1767 = gc_frame_newslot(*var_c);
  params[0] = strlit1768;
  partcv[0] = 1;
  Object opresult1770 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1770 (depth = 6)
  Object if1766 = done;
  if (istrue(opresult1770)) {
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_wasCR (depth = 7)
  Object if1771 = done;
  if (istrue(*var_wasCR)) {
    gc_frame_newslot(done);
    if1771 = done;
  } else {
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1772 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1773 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1772);
// compiled call node returning call1773 (depth = 7)
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1774 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1775 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1774);
// compiled call node returning call1775 (depth = 7)
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1776 == NULL) {
    strlit1776 = alloc_String("");
    gc_root(strlit1776);
  }
// compiled string node returning strlit1776 (depth = 8)
  *var_line = strlit1776;
  if (strlit1776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1778 == NULL) {
    strlit1778 = alloc_String("");
    gc_root(strlit1778);
  }
// compiled string node returning strlit1778 (depth = 8)
  *var_cLine = strlit1778;
  if (strlit1778 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1771 = done;
  }
// compiled if node returning if1771 (depth = 6)
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1780 = alloc_Boolean(0);
// compiled identifier node returning bool1780 (depth = 7)
  *var_wasCR = bool1780;
  if (bool1780 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1766 = done;
  } else {
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1784 == NULL) {
    strlit1784 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit1784);
  }
// compiled string node returning strlit1784 (depth = 8)
  int op_slot_right_1783 = gc_frame_newslot(strlit1784);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_1783 = gc_frame_newslot(*var_c);
  params[0] = strlit1784;
  partcv[0] = 1;
  Object opresult1786 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1786 (depth = 7)
  Object if1782 = done;
  if (istrue(opresult1786)) {
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1787 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1788 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1787);
// compiled call node returning call1788 (depth = 7)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1789 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1790 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1789);
// compiled call node returning call1790 (depth = 7)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1791 == NULL) {
    strlit1791 = alloc_String("");
    gc_root(strlit1791);
  }
// compiled string node returning strlit1791 (depth = 8)
  *var_line = strlit1791;
  if (strlit1791 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1793 == NULL) {
    strlit1793 = alloc_String("");
    gc_root(strlit1793);
  }
// compiled string node returning strlit1793 (depth = 8)
  *var_cLine = strlit1793;
  if (strlit1793 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool1795 = alloc_Boolean(0);
// compiled identifier node returning bool1795 (depth = 8)
  *var_wasCR = bool1795;
  if (bool1795 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1782 = done;
  } else {
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1799 == NULL) {
    strlit1799 = alloc_String("\\");
    gc_root(strlit1799);
  }
// compiled string node returning strlit1799 (depth = 9)
  int op_slot_right_1798 = gc_frame_newslot(strlit1799);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_1798 = gc_frame_newslot(*var_c);
  params[0] = strlit1799;
  partcv[0] = 1;
  Object opresult1801 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1801 (depth = 8)
  Object if1797 = done;
  if (istrue(opresult1801)) {
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_right_1802 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  int op_slot_left_1802 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1804 = callmethod(*var_line, "++", 1, partcv, params);
// compiled op node returning opresult1804 (depth = 9)
  *var_line = opresult1804;
  if (opresult1804 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1807 == NULL) {
    strlit1807 = alloc_String("\\\\");
    gc_root(strlit1807);
  }
// compiled string node returning strlit1807 (depth = 10)
  int op_slot_right_1806 = gc_frame_newslot(strlit1807);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_cLine (depth = 10)
  int op_slot_left_1806 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1807;
  partcv[0] = 1;
  Object opresult1809 = callmethod(*var_cLine, "++", 1, partcv, params);
// compiled op node returning opresult1809 (depth = 9)
  *var_cLine = opresult1809;
  if (opresult1809 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool1811 = alloc_Boolean(0);
// compiled identifier node returning bool1811 (depth = 9)
  *var_wasCR = bool1811;
  if (bool1811 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1797 = done;
  } else {
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1815 == NULL) {
    strlit1815 = alloc_String("""\x22""");
    gc_root(strlit1815);
  }
// compiled string node returning strlit1815 (depth = 10)
  int op_slot_right_1814 = gc_frame_newslot(strlit1815);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_1814 = gc_frame_newslot(*var_c);
  params[0] = strlit1815;
  partcv[0] = 1;
  Object opresult1817 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult1817 (depth = 9)
  Object if1813 = done;
  if (istrue(opresult1817)) {
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1818 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1818 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1820 = callmethod(*var_line, "++", 1, partcv, params);
// compiled op node returning opresult1820 (depth = 10)
  *var_line = opresult1820;
  if (opresult1820 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1823 == NULL) {
    strlit1823 = alloc_String("\\""\x22""");
    gc_root(strlit1823);
  }
// compiled string node returning strlit1823 (depth = 11)
  int op_slot_right_1822 = gc_frame_newslot(strlit1823);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1822 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1823;
  partcv[0] = 1;
  Object opresult1825 = callmethod(*var_cLine, "++", 1, partcv, params);
// compiled op node returning opresult1825 (depth = 10)
  *var_cLine = opresult1825;
  if (opresult1825 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1827 = alloc_Boolean(0);
// compiled identifier node returning bool1827 (depth = 10)
  *var_wasCR = bool1827;
  if (bool1827 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1813 = done;
  } else {
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1829 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1829 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1831 = callmethod(*var_line, "++", 1, partcv, params);
// compiled op node returning opresult1831 (depth = 10)
  *var_line = opresult1831;
  if (opresult1831 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1833 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1833 = gc_frame_newslot(*var_cLine);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1835 = callmethod(*var_cLine, "++", 1, partcv, params);
// compiled op node returning opresult1835 (depth = 10)
  *var_cLine = opresult1835;
  if (opresult1835 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1837 = alloc_Boolean(0);
// compiled identifier node returning bool1837 (depth = 10)
  *var_wasCR = bool1837;
  if (bool1837 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1813 = done;
  }
// compiled if node returning if1813 (depth = 8)
    gc_frame_newslot(if1813);
    if1797 = if1813;
  }
// compiled if node returning if1797 (depth = 7)
    gc_frame_newslot(if1797);
    if1782 = if1797;
  }
// compiled if node returning if1782 (depth = 6)
    gc_frame_newslot(if1782);
    if1766 = if1782;
  }
// compiled if node returning if1766 (depth = 5)
    gc_frame_newslot(if1766);
    if1751 = if1766;
  }
// compiled if node returning if1751 (depth = 4)
  gc_frame_end(frame);
  return if1751;
}
Object meth_lexer_lexfile1740(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexfile");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lexfile");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lexfile (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_file = &(stackframe->slots[0]);
  *var_file = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for lexfile");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lines = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lines");
  Object *var_cLines = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "cLines");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_cLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cLine");
  Object *var_wasCR = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "wasCR");
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array1741 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1741 (depth = 3)
  *var_lines = array1741;
  if (array1741 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array1742 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1742 (depth = 3)
  *var_cLines = array1742;
  if (array1742 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1743 == NULL) {
    strlit1743 = alloc_String("");
    gc_root(strlit1743);
  }
// compiled string node returning strlit1743 (depth = 3)
  *var_line = strlit1743;
  if (strlit1743 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1744 == NULL) {
    strlit1744 = alloc_String("");
    gc_root(strlit1744);
  }
// compiled string node returning strlit1744 (depth = 3)
  *var_cLine = strlit1744;
  if (strlit1744 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1745 = alloc_Boolean(0);
// compiled identifier node returning bool1745 (depth = 3)
  *var_wasCR = bool1745;
  if (bool1745 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1746 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1747 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_file (depth = 5)
  partcv[0] = 0;
  Object call1748 = callmethod(*var_file, "read",
    1, partcv, params);
  gc_frame_end(callframe1747);
// compiled call node returning call1748 (depth = 4)
// compiled member node returning call1748 (depth = 3)
  gc_frame_newslot(call1748);
// starting to compile block node (depth = 3)
  Object block1749 = alloc_Block(NULL, NULL, "lexer", 526);
  gc_frame_newslot(block1749);
// method "_apply"
  block_savedest(block1749);
  Object closure1750 = createclosure(6, "_apply");
  setclosureframe(closure1750, stackframe);
  addtoclosure(closure1750, var_line);
  addtoclosure(closure1750, var_lines);
  addtoclosure(closure1750, var_cLine);
  addtoclosure(closure1750, var_cLines);
  addtoclosure(closure1750, var_wasCR);
  addtoclosure(closure1750, selfslot);
  struct UserObject *uo1750 = (struct UserObject*)block1749;
  uo1750->data[0] = (Object)closure1750;
  Method *meth_meth_lexer__apply1750 = addmethod2pos(block1749, "_apply", &meth_lexer__apply1750, 0);
  int argcv_meth_lexer__apply1750[] = {1};
  meth_meth_lexer__apply1750->type = alloc_MethodType(1, argcv_meth_lexer__apply1750);
  meth_meth_lexer__apply1750->definitionModule = modulename;
  meth_meth_lexer__apply1750->definitionLine = 526;
// compiled block node returning block1749 (depth = 3)
  gc_frame_newslot(block1749);
// call case 5: prelude request
  params[0] = call1748;
  params[1] = block1749;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1840 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1746);
// compiled call node returning call1840 (depth = 2)
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1843 == NULL) {
    strlit1843 = alloc_String("");
    gc_root(strlit1843);
  }
// compiled string node returning strlit1843 (depth = 4)
  int op_slot_right_1842 = gc_frame_newslot(strlit1843);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  int op_slot_left_1842 = gc_frame_newslot(*var_line);
  params[0] = strlit1843;
  partcv[0] = 1;
  Object opresult1845 = callmethod(*var_line, "!=", 1, partcv, params);
// compiled op node returning opresult1845 (depth = 3)
  Object if1841 = done;
  if (istrue(opresult1845)) {
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1846 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lines (depth = 4)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1847 = callmethod(*var_lines, "push",
    1, partcv, params);
  gc_frame_end(callframe1846);
// compiled call node returning call1847 (depth = 3)
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1848 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLine (depth = 4)
  gc_frame_newslot(*var_cLine);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLines (depth = 4)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1849 = callmethod(*var_cLines, "push",
    1, partcv, params);
  gc_frame_end(callframe1848);
// compiled call node returning call1849 (depth = 3)
    gc_frame_newslot(call1849);
    if1841 = call1849;
  } else {
  }
// compiled if node returning if1841 (depth = 2)
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1850 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lines (depth = 3)
  gc_frame_newslot(*var_lines);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1851 = callmethod(*var_util, "lines:=",
    1, partcv, params);
  gc_frame_end(callframe1850);
// compiled call node returning call1851 (depth = 2)
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1852 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cLines (depth = 3)
  gc_frame_newslot(*var_cLines);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = *var_cLines;
  partcv[0] = 1;
  Object call1853 = callmethod(*var_util, "cLines:=",
    1, partcv, params);
  gc_frame_end(callframe1852);
// compiled call node returning call1853 (depth = 2)
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1854 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lines (depth = 3)
  gc_frame_newslot(*var_lines);
// call case 4: self request
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1855 = callmethodflags(self, "lexinput", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1854);
// compiled call node returning call1855 (depth = 2)
  gc_frame_end(frame);
  return call1855;
}
Object meth_lexer_push1862(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method push");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for push (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for push");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1865 = alloc_Boolean(0);
// compiled identifier node returning bool1865 (depth = 6)
  int op_slot_right_1864 = gc_frame_newslot(bool1865);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1867 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1868 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1867);
// compiled call node returning call1868 (depth = 7)
// compiled member node returning call1868 (depth = 6)
  int op_slot_left_1864 = gc_frame_newslot(call1868);
  params[0] = bool1865;
  partcv[0] = 1;
  Object opresult1869 = callmethod(call1868, "==", 1, partcv, params);
// compiled op node returning opresult1869 (depth = 5)
  Object if1863 = done;
  if (istrue(opresult1869)) {
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1870 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1871 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1870);
// compiled call node returning call1871 (depth = 5)
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1872 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1873 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1872);
// compiled call node returning call1873 (depth = 5)
    gc_frame_newslot(call1873);
    if1863 = call1873;
  } else {
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1874 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1875 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1876 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1875);
// compiled call node returning call1876 (depth = 7)
// compiled member node returning call1876 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1877 = callmethod(call1876, "next:=",
    1, partcv, params);
  gc_frame_end(callframe1874);
// compiled call node returning call1877 (depth = 5)
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1878 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1879 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1880 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1879);
// compiled call node returning call1880 (depth = 7)
// compiled member node returning call1880 (depth = 6)
  gc_frame_newslot(call1880);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  params[0] = call1880;
  partcv[0] = 1;
  Object call1881 = callmethod(*var_t, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe1878);
// compiled call node returning call1881 (depth = 5)
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1882 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1883 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1882);
// compiled call node returning call1883 (depth = 5)
    gc_frame_newslot(call1883);
    if1863 = call1883;
  }
// compiled if node returning if1863 (depth = 4)
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1884 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1886 = alloc_Float64(1);
// compiled num node returning num1886 (depth = 6)
  int op_slot_right_1885 = gc_frame_newslot(num1886);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1888 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1889 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1888);
// compiled call node returning call1889 (depth = 7)
// compiled member node returning call1889 (depth = 6)
  int op_slot_left_1885 = gc_frame_newslot(call1889);
  params[0] = num1886;
  partcv[0] = 1;
  Object sum1890 = callmethod(call1889, "+", 1, partcv, params);
// compiled op node returning sum1890 (depth = 5)
  gc_frame_newslot(sum1890);
// call case 4: self request
  params[0] = sum1890;
  partcv[0] = 1;
  Object call1891 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1884);
// compiled call node returning call1891 (depth = 4)
  gc_frame_end(frame);
  return call1891;
}
Object meth_lexer_pop1892(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pop (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for pop");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_popped = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "popped");
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1895 = alloc_Boolean(0);
// compiled identifier node returning bool1895 (depth = 6)
  int op_slot_right_1894 = gc_frame_newslot(bool1895);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1897 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1898 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1897);
// compiled call node returning call1898 (depth = 7)
// compiled member node returning call1898 (depth = 6)
  int op_slot_left_1894 = gc_frame_newslot(call1898);
  params[0] = bool1895;
  partcv[0] = 1;
  Object opresult1899 = callmethod(call1898, "!=", 1, partcv, params);
// compiled op node returning opresult1899 (depth = 5)
  Object if1893 = done;
  if (istrue(opresult1899)) {
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1900 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1901 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1900);
// compiled call node returning call1901 (depth = 7)
// compiled member node returning call1901 (depth = 6)
  *var_popped = call1901;
  if (call1901 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1902 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1903 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1904 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1905 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1904);
// compiled call node returning call1905 (depth = 9)
// compiled member node returning call1905 (depth = 8)
  partcv[0] = 0;
  Object call1906 = callmethod(call1905, "prev",
    1, partcv, params);
  gc_frame_end(callframe1903);
// compiled call node returning call1906 (depth = 7)
// compiled member node returning call1906 (depth = 6)
  gc_frame_newslot(call1906);
// call case 4: self request
  params[0] = call1906;
  partcv[0] = 1;
  Object call1907 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1902);
// compiled call node returning call1907 (depth = 5)
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1910 = alloc_Boolean(0);
// compiled identifier node returning bool1910 (depth = 7)
  int op_slot_right_1909 = gc_frame_newslot(bool1910);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1912 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1913 = callmethodflags(self, "last", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1912);
// compiled call node returning call1913 (depth = 8)
// compiled member node returning call1913 (depth = 7)
  int op_slot_left_1909 = gc_frame_newslot(call1913);
  params[0] = bool1910;
  partcv[0] = 1;
  Object opresult1914 = callmethod(call1913, "==", 1, partcv, params);
// compiled op node returning opresult1914 (depth = 6)
  Object if1908 = done;
  if (istrue(opresult1914)) {
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1915 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool1916 = alloc_Boolean(0);
// compiled identifier node returning bool1916 (depth = 7)
  gc_frame_newslot(bool1916);
// call case 4: self request
  params[0] = bool1916;
  partcv[0] = 1;
  Object call1917 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1915);
// compiled call node returning call1917 (depth = 6)
    gc_frame_newslot(call1917);
    if1908 = call1917;
  } else {
  }
// compiled if node returning if1908 (depth = 5)
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1918 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1920 = alloc_Float64(1);
// compiled num node returning num1920 (depth = 7)
  int op_slot_right_1919 = gc_frame_newslot(num1920);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1922 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1923 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1922);
// compiled call node returning call1923 (depth = 8)
// compiled member node returning call1923 (depth = 7)
  int op_slot_left_1919 = gc_frame_newslot(call1923);
  params[0] = num1920;
  partcv[0] = 1;
  Object diff1924 = callmethod(call1923, "-", 1, partcv, params);
// compiled op node returning diff1924 (depth = 6)
  gc_frame_newslot(diff1924);
// call case 4: self request
  params[0] = diff1924;
  partcv[0] = 1;
  Object call1925 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1918);
// compiled call node returning call1925 (depth = 5)
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_popped (depth = 5)
    gc_frame_newslot(*var_popped);
    if1893 = *var_popped;
  } else {
  }
// compiled if node returning if1893 (depth = 4)
  gc_frame_end(frame);
  return if1893;
}
Object meth_lexer_poll1926(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "poll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for poll (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for poll");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_polled = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "polled");
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1929 = alloc_Boolean(0);
// compiled identifier node returning bool1929 (depth = 6)
  int op_slot_right_1928 = gc_frame_newslot(bool1929);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1931 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1932 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1931);
// compiled call node returning call1932 (depth = 7)
// compiled member node returning call1932 (depth = 6)
  int op_slot_left_1928 = gc_frame_newslot(call1932);
  params[0] = bool1929;
  partcv[0] = 1;
  Object opresult1933 = callmethod(call1932, "!=", 1, partcv, params);
// compiled op node returning opresult1933 (depth = 5)
  Object if1927 = done;
  if (istrue(opresult1933)) {
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1934 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1935 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1934);
// compiled call node returning call1935 (depth = 7)
// compiled member node returning call1935 (depth = 6)
  *var_polled = call1935;
  if (call1935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1936 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1937 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1938 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1939 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1938);
// compiled call node returning call1939 (depth = 9)
// compiled member node returning call1939 (depth = 8)
  partcv[0] = 0;
  Object call1940 = callmethod(call1939, "next",
    1, partcv, params);
  gc_frame_end(callframe1937);
// compiled call node returning call1940 (depth = 7)
// compiled member node returning call1940 (depth = 6)
  gc_frame_newslot(call1940);
// call case 4: self request
  params[0] = call1940;
  partcv[0] = 1;
  Object call1941 = callmethodflags(self, "first:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1936);
// compiled call node returning call1941 (depth = 5)
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1944 = alloc_Boolean(0);
// compiled identifier node returning bool1944 (depth = 7)
  int op_slot_right_1943 = gc_frame_newslot(bool1944);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1946 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1947 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1946);
// compiled call node returning call1947 (depth = 8)
// compiled member node returning call1947 (depth = 7)
  int op_slot_left_1943 = gc_frame_newslot(call1947);
  params[0] = bool1944;
  partcv[0] = 1;
  Object opresult1948 = callmethod(call1947, "==", 1, partcv, params);
// compiled op node returning opresult1948 (depth = 6)
  Object if1942 = done;
  if (istrue(opresult1948)) {
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1949 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool1950 = alloc_Boolean(0);
// compiled identifier node returning bool1950 (depth = 7)
  gc_frame_newslot(bool1950);
// call case 4: self request
  params[0] = bool1950;
  partcv[0] = 1;
  Object call1951 = callmethodflags(self, "last:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1949);
// compiled call node returning call1951 (depth = 6)
    gc_frame_newslot(call1951);
    if1942 = call1951;
  } else {
  }
// compiled if node returning if1942 (depth = 5)
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1952 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1954 = alloc_Float64(1);
// compiled num node returning num1954 (depth = 7)
  int op_slot_right_1953 = gc_frame_newslot(num1954);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1956 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1957 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1956);
// compiled call node returning call1957 (depth = 8)
// compiled member node returning call1957 (depth = 7)
  int op_slot_left_1953 = gc_frame_newslot(call1957);
  params[0] = num1954;
  partcv[0] = 1;
  Object diff1958 = callmethod(call1957, "-", 1, partcv, params);
// compiled op node returning diff1958 (depth = 6)
  gc_frame_newslot(diff1958);
// call case 4: self request
  params[0] = diff1958;
  partcv[0] = 1;
  Object call1959 = callmethodflags(self, "size':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1952);
// compiled call node returning call1959 (depth = 5)
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_polled (depth = 5)
    gc_frame_newslot(*var_polled);
    if1927 = *var_polled;
  } else {
  }
// compiled if node returning if1927 (depth = 4)
  gc_frame_end(frame);
  return if1927;
}
Object meth_lexer_size1960(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1962 = alloc_Float64(0);
// compiled num node returning num1962 (depth = 5)
  int op_slot_right_1961 = gc_frame_newslot(num1962);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1964 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1965 = callmethodflags(self, "size'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1964);
// compiled call node returning call1965 (depth = 6)
// compiled member node returning call1965 (depth = 5)
  int op_slot_left_1961 = gc_frame_newslot(call1965);
  params[0] = num1962;
  partcv[0] = 1;
  Object sum1966 = callmethod(call1965, "+", 1, partcv, params);
// compiled op node returning sum1966 (depth = 4)
  gc_frame_end(frame);
  return sum1966;
}
Object meth_lexer_havemore1971(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool1973 = alloc_Boolean(0);
// compiled identifier node returning bool1973 (depth = 5)
  int op_slot_right_1972 = gc_frame_newslot(bool1973);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1975 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1976 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1975);
// compiled call node returning call1976 (depth = 6)
// compiled member node returning call1976 (depth = 5)
  int op_slot_left_1972 = gc_frame_newslot(call1976);
  params[0] = bool1973;
  partcv[0] = 1;
  Object opresult1977 = callmethod(call1976, "!=", 1, partcv, params);
// compiled op node returning opresult1977 (depth = 4)
  gc_frame_end(frame);
  return opresult1977;
}
Object meth_lexer_hasNext1978(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool1980 = alloc_Boolean(0);
// compiled identifier node returning bool1980 (depth = 5)
  int op_slot_right_1979 = gc_frame_newslot(bool1980);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1982 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1983 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1982);
// compiled call node returning call1983 (depth = 6)
// compiled member node returning call1983 (depth = 5)
  int op_slot_left_1979 = gc_frame_newslot(call1983);
  params[0] = bool1980;
  partcv[0] = 1;
  Object opresult1984 = callmethod(call1983, "!=", 1, partcv, params);
// compiled op node returning opresult1984 (depth = 4)
  gc_frame_end(frame);
  return opresult1984;
}
Object meth_lexer_next1985(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1986 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1987 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1986);
// compiled call node returning call1987 (depth = 6)
// compiled member node returning call1987 (depth = 5)
  *var_ret = call1987;
  if (call1987 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1988 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1989 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1990 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1991 = callmethodflags(self, "n", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1990);
// compiled call node returning call1991 (depth = 8)
// compiled member node returning call1991 (depth = 7)
  partcv[0] = 0;
  Object call1992 = callmethod(call1991, "next",
    1, partcv, params);
  gc_frame_end(callframe1989);
// compiled call node returning call1992 (depth = 6)
// compiled member node returning call1992 (depth = 5)
  gc_frame_newslot(call1992);
// call case 4: self request
  params[0] = call1992;
  partcv[0] = 1;
  Object call1993 = callmethodflags(self, "n:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1988);
// compiled call node returning call1993 (depth = 4)
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ret (depth = 4)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer_iter1967(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1968 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1968 = alloc_userobj2(5,5, objclass1968);
  gc_frame_newslot(obj1968);
if (objclass1968 == NULL) {
  glfree(obj1968->class->name);
  obj1968->class->name = "obj1857.iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1968, self, 0);
  addmethodreal(obj1968,"outer", &reader_lexer_outer_1969);
  Object oldself1968 = self;
  struct StackFrameObject *oldstackframe1968 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1968);
  gc_frame_newslot((Object)stackframe);
  self = obj1968;
  Object *oldselfslot1968 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1968 = (*(struct UserObject *)self).data[0], lowerouter1968 = thisouter1968;
  if (inheritingObject1968) {
    struct UserObject *inho1968 = (struct UserObject *)inheritingObject1968;
    while (inho1968->super != GraceDefaultObject) inho1968 = (struct UserObject *)inho1968->super;
    inho1968->super = obj1968;
    self = inheritingObject1968;
    *selfslot = self;
    lowerouter1968 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1968;
  }
if (objclass1968 == NULL) {
  Method *reader1970 = addmethodrealflags(obj1968, "n",&reader_lexer_n_1970, MFLAG_CONFIDENTIAL);
  Method *writer1970 = addmethodrealflags(obj1968, "n:=",&writer_lexer_n_1970, MFLAG_CONFIDENTIAL);
  reader1970->definitionModule = modulename;
  writer1970->definitionModule = modulename;
  reader1970->definitionLine = 623;
  writer1970->definitionLine = 623;
}
obj1968->flags |= OFLAG_MUTABLE;
adddatum2(obj1968, alloc_Undefined(), 1);
// method "havemore"
  struct UserObject *uo1971 = (struct UserObject*)obj1968;
  uo1971->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1971 = addmethod2pos(obj1968, "havemore", &meth_lexer_havemore1971, 2);
  int argcv_meth_lexer_havemore1971[] = {0};
  meth_meth_lexer_havemore1971->type = alloc_MethodType(1, argcv_meth_lexer_havemore1971);
  meth_meth_lexer_havemore1971->definitionModule = modulename;
  meth_meth_lexer_havemore1971->definitionLine = 624;
// method "hasNext"
  struct UserObject *uo1978 = (struct UserObject*)obj1968;
  uo1978->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext1978 = addmethod2pos(obj1968, "hasNext", &meth_lexer_hasNext1978, 3);
  int argcv_meth_lexer_hasNext1978[] = {0};
  meth_meth_lexer_hasNext1978->type = alloc_MethodType(1, argcv_meth_lexer_hasNext1978);
  meth_meth_lexer_hasNext1978->definitionModule = modulename;
  meth_meth_lexer_hasNext1978->definitionLine = 627;
// method "next"
  struct UserObject *uo1985 = (struct UserObject*)obj1968;
  uo1985->data[4] = emptyclosure;
  Method *meth_meth_lexer_next1985 = addmethod2pos(obj1968, "next", &meth_lexer_next1985, 4);
  int argcv_meth_lexer_next1985[] = {0};
  meth_meth_lexer_next1985->type = alloc_MethodType(1, argcv_meth_lexer_next1985);
  meth_meth_lexer_next1985->definitionModule = modulename;
  meth_meth_lexer_next1985->definitionLine = 630;
  sourceObject = obj1968;
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1994 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1995 = gc_frame_new();
// call case 3: self.outer request
  Object call1996 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1995);
// compiled call node returning call1996 (depth = 7)
// compiled member node returning call1996 (depth = 6)
  partcv[0] = 0;
  Object call1997 = callmethodflags(call1996, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1994);
// compiled call node returning call1997 (depth = 5)
// compiled member node returning call1997 (depth = 4)
  adddatum2(obj1968, call1997, 1);
  sourceObject = obj1968;
  sourceObject = obj1968;
  sourceObject = obj1968;
  objclass1968 = obj1968->class;
  objclass1968->definitionModule = modulename;
  objclass1968->definitionLine = 622;
  (*(struct UserObject *)self).data[0] = lowerouter1968;
  self = oldself1968;
  selfslot = oldselfslot1968;
  stackframe = oldstackframe1968;
  gc_frame_end(frame);
  return obj1968;
}
Object meth_lexer_iter1967_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1968 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1968 = alloc_userobj2(5,5, objclass1968);
  gc_frame_newslot(obj1968);
if (objclass1968 == NULL) {
  glfree(obj1968->class->name);
  obj1968->class->name = "obj1857.iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1968, self, 0);
  addmethodreal(obj1968,"outer", &reader_lexer_outer_1969);
  Object oldself1968 = self;
  struct StackFrameObject *oldstackframe1968 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1968);
  gc_frame_newslot((Object)stackframe);
  self = obj1968;
  Object *oldselfslot1968 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1968 = (*(struct UserObject *)self).data[0], lowerouter1968 = thisouter1968;
  if (inheritingObject1968) {
    struct UserObject *inho1968 = (struct UserObject *)inheritingObject1968;
    while (inho1968->super != GraceDefaultObject) inho1968 = (struct UserObject *)inho1968->super;
    inho1968->super = obj1968;
    self = inheritingObject1968;
    *selfslot = self;
    lowerouter1968 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1968;
  }
if (objclass1968 == NULL) {
  Method *reader1970 = addmethodrealflags(obj1968, "n",&reader_lexer_n_1970, MFLAG_CONFIDENTIAL);
  Method *writer1970 = addmethodrealflags(obj1968, "n:=",&writer_lexer_n_1970, MFLAG_CONFIDENTIAL);
  reader1970->definitionModule = modulename;
  writer1970->definitionModule = modulename;
  reader1970->definitionLine = 623;
  writer1970->definitionLine = 623;
}
obj1968->flags |= OFLAG_MUTABLE;
adddatum2(obj1968, alloc_Undefined(), 1);
// method "havemore"
  struct UserObject *uo1971 = (struct UserObject*)obj1968;
  uo1971->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore1971 = addmethod2pos(obj1968, "havemore", &meth_lexer_havemore1971, 2);
  int argcv_meth_lexer_havemore1971[] = {0};
  meth_meth_lexer_havemore1971->type = alloc_MethodType(1, argcv_meth_lexer_havemore1971);
  meth_meth_lexer_havemore1971->definitionModule = modulename;
  meth_meth_lexer_havemore1971->definitionLine = 624;
// method "hasNext"
  struct UserObject *uo1978 = (struct UserObject*)obj1968;
  uo1978->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext1978 = addmethod2pos(obj1968, "hasNext", &meth_lexer_hasNext1978, 3);
  int argcv_meth_lexer_hasNext1978[] = {0};
  meth_meth_lexer_hasNext1978->type = alloc_MethodType(1, argcv_meth_lexer_hasNext1978);
  meth_meth_lexer_hasNext1978->definitionModule = modulename;
  meth_meth_lexer_hasNext1978->definitionLine = 627;
// method "next"
  struct UserObject *uo1985 = (struct UserObject*)obj1968;
  uo1985->data[4] = emptyclosure;
  Method *meth_meth_lexer_next1985 = addmethod2pos(obj1968, "next", &meth_lexer_next1985, 4);
  int argcv_meth_lexer_next1985[] = {0};
  meth_meth_lexer_next1985->type = alloc_MethodType(1, argcv_meth_lexer_next1985);
  meth_meth_lexer_next1985->definitionModule = modulename;
  meth_meth_lexer_next1985->definitionLine = 630;
  sourceObject = obj1968;
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1994 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1995 = gc_frame_new();
// call case 3: self.outer request
  Object call1996 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1995);
// compiled call node returning call1996 (depth = 7)
// compiled member node returning call1996 (depth = 6)
  partcv[0] = 0;
  Object call1997 = callmethodflags(call1996, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1994);
// compiled call node returning call1997 (depth = 5)
// compiled member node returning call1997 (depth = 4)
  adddatum2(obj1968, call1997, 1);
  sourceObject = obj1968;
  sourceObject = obj1968;
  sourceObject = obj1968;
  objclass1968 = obj1968->class;
  objclass1968->definitionModule = modulename;
  objclass1968->definitionLine = 622;
  (*(struct UserObject *)self).data[0] = lowerouter1968;
  self = oldself1968;
  selfslot = oldselfslot1968;
  stackframe = oldstackframe1968;
  gc_frame_end(frame);
  return obj1968;
}
Object meth_lexer_iterator1999(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2000 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2001 = callmethodflags(self, "iter", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2000);
// compiled call node returning call2001 (depth = 5)
// compiled member node returning call2001 (depth = 4)
  gc_frame_end(frame);
  return call2001;
}
Object meth_lexer__apply2007(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool2009 = alloc_Boolean(0);
// compiled identifier node returning bool2009 (depth = 7)
  int op_slot_right_2008 = gc_frame_newslot(bool2009);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_2008 = gc_frame_newslot(*var_n);
  params[0] = bool2009;
  partcv[0] = 1;
  Object opresult2011 = callmethod(*var_n, "!=", 1, partcv, params);
// compiled op node returning opresult2011 (depth = 6)
  gc_frame_end(frame);
  return opresult2011;
}
Object meth_lexer__apply2014(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_action = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2015 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2016 = callmethod(*var_action, "apply",
    1, partcv, params);
  gc_frame_end(callframe2015);
// compiled call node returning call2016 (depth = 6)
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2017 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_n (depth = 9)
  partcv[0] = 0;
  Object call2018 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe2017);
// compiled call node returning call2018 (depth = 8)
// compiled member node returning call2018 (depth = 7)
  *var_n = call2018;
  if (call2018 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_do2002(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2003 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2004 = callmethodflags(self, "first", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2003);
// compiled call node returning call2004 (depth = 6)
// compiled member node returning call2004 (depth = 5)
  *var_n = call2004;
  if (call2004 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2005 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2006 = alloc_Block(NULL, NULL, "lexer", 644);
  gc_frame_newslot(block2006);
// method "_apply"
  block_savedest(block2006);
  Object closure2007 = createclosure(2, "_apply");
  setclosureframe(closure2007, stackframe);
  addtoclosure(closure2007, var_n);
  addtoclosure(closure2007, selfslot);
  struct UserObject *uo2007 = (struct UserObject*)block2006;
  uo2007->data[0] = (Object)closure2007;
  Method *meth_meth_lexer__apply2007 = addmethod2pos(block2006, "_apply", &meth_lexer__apply2007, 0);
  int argcv_meth_lexer__apply2007[] = {0};
  meth_meth_lexer__apply2007->type = alloc_MethodType(1, argcv_meth_lexer__apply2007);
  meth_meth_lexer__apply2007->definitionModule = modulename;
  meth_meth_lexer__apply2007->definitionLine = 643;
// compiled block node returning block2006 (depth = 5)
  gc_frame_newslot(block2006);
// starting to compile block node (depth = 5)
  Object block2013 = alloc_Block(NULL, NULL, "lexer", 644);
  gc_frame_newslot(block2013);
// method "_apply"
  block_savedest(block2013);
  Object closure2014 = createclosure(3, "_apply");
  setclosureframe(closure2014, stackframe);
  addtoclosure(closure2014, var_n);
  addtoclosure(closure2014, var_action);
  addtoclosure(closure2014, selfslot);
  struct UserObject *uo2014 = (struct UserObject*)block2013;
  uo2014->data[0] = (Object)closure2014;
  Method *meth_meth_lexer__apply2014 = addmethod2pos(block2013, "_apply", &meth_lexer__apply2014, 0);
  int argcv_meth_lexer__apply2014[] = {0};
  meth_meth_lexer__apply2014->type = alloc_MethodType(1, argcv_meth_lexer__apply2014);
  meth_meth_lexer__apply2014->definitionModule = modulename;
  meth_meth_lexer__apply2014->definitionLine = 643;
// compiled block node returning block2013 (depth = 5)
  gc_frame_newslot(block2013);
// call case 5: prelude request
  params[0] = block2006;
  params[1] = block2013;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2021 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2005);
// compiled call node returning call2021 (depth = 4)
  gc_frame_end(frame);
  return call2021;
}
Object meth_lexer__apply2149(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2151 == NULL) {
    strlit2151 = alloc_String("q");
    gc_root(strlit2151);
  }
// compiled string node returning strlit2151 (depth = 8)
  int op_slot_right_2150 = gc_frame_newslot(strlit2151);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2150 = gc_frame_newslot(*var_mode);
  params[0] = strlit2151;
  partcv[0] = 1;
  Object opresult2153 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2153 (depth = 7)
  gc_frame_end(frame);
  return opresult2153;
}
Object meth_lexer__apply2379(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2381 == NULL) {
    strlit2381 = alloc_String("q");
    gc_root(strlit2381);
  }
// compiled string node returning strlit2381 (depth = 9)
  int op_slot_right_2380 = gc_frame_newslot(strlit2381);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2380 = gc_frame_newslot(*var_mode);
  params[0] = strlit2381;
  partcv[0] = 1;
  Object opresult2383 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2383 (depth = 8)
  gc_frame_end(frame);
  return opresult2383;
}
Object meth_lexer__apply3021(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_i = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3023 == NULL) {
    strlit3023 = alloc_String("{");
    gc_root(strlit3023);
  }
// compiled string node returning strlit3023 (depth = 11)
  int op_slot_right_3022 = gc_frame_newslot(strlit3023);
// starting to compile index node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3025 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_line (depth = 13)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe3026 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_util (depth = 15)
  partcv[0] = 0;
  Object call3027 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3026);
// compiled call node returning call3027 (depth = 14)
// compiled member node returning call3027 (depth = 13)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call3028 = callmethod(call3027, "at",
    1, partcv, params);
  gc_frame_end(callframe3025);
// compiled call node returning call3028 (depth = 12)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3029 = callmethod(call3028, "[]", 1, partcv, params);
// compiled index node returning idxres3029 (depth = 11)
  int op_slot_left_3022 = gc_frame_newslot(idxres3029);
  params[0] = strlit3023;
  partcv[0] = 1;
  Object opresult3030 = callmethod(idxres3029, "!=", 1, partcv, params);
// compiled op node returning opresult3030 (depth = 10)
  gc_frame_end(frame);
  return opresult3030;
}
Object meth_lexer__apply3033(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 10)
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3035 = alloc_Float64(1);
// compiled num node returning num3035 (depth = 12)
  int op_slot_right_3034 = gc_frame_newslot(num3035);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_3034 = gc_frame_newslot(*var_i);
  params[0] = num3035;
  partcv[0] = 1;
  Object diff3037 = callmethod(*var_i, "-", 1, partcv, params);
// compiled op node returning diff3037 (depth = 11)
  *var_i = diff3037;
  if (diff3037 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3041 = alloc_Float64(0);
// compiled num node returning num3041 (depth = 12)
  int op_slot_right_3040 = gc_frame_newslot(num3041);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_3040 = gc_frame_newslot(*var_i);
  params[0] = num3041;
  partcv[0] = 1;
  Object opresult3043 = callmethod(*var_i, "==", 1, partcv, params);
// compiled op node returning opresult3043 (depth = 11)
  Object if3039 = done;
  if (istrue(opresult3043)) {
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe3044 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num3046 = alloc_Float64(1);
// compiled num node returning num3046 (depth = 13)
  int op_slot_right_3045 = gc_frame_newslot(num3046);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_line (depth = 13)
  int op_slot_left_3045 = gc_frame_newslot(*var_line);
  params[0] = num3046;
  partcv[0] = 1;
  Object diff3048 = callmethod(*var_line, "-", 1, partcv, params);
// compiled op node returning diff3048 (depth = 12)
  gc_frame_newslot(diff3048);
// call case 4: self request
  params[0] = diff3048;
  partcv[0] = 1;
  Object call3049 = callmethodflags(self, "lineNumber:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3044);
// compiled call node returning call3049 (depth = 11)
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3050 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 14)
  int callframe3051 = gc_frame_new();
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_line (depth = 15)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe3052 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_util (depth = 17)
  partcv[0] = 0;
  Object call3053 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3052);
// compiled call node returning call3053 (depth = 16)
// compiled member node returning call3053 (depth = 15)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call3054 = callmethod(call3053, "at",
    1, partcv, params);
  gc_frame_end(callframe3051);
// compiled call node returning call3054 (depth = 14)
  partcv[0] = 0;
  Object call3055 = callmethod(call3054, "size",
    1, partcv, params);
  gc_frame_end(callframe3050);
// compiled call node returning call3055 (depth = 13)
// compiled member node returning call3055 (depth = 12)
  *var_i = call3055;
  if (call3055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3039 = done;
  } else {
  }
// compiled if node returning if3039 (depth = 10)
  gc_frame_end(frame);
  return if3039;
}
Object meth_lexer__apply3164(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3166 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextLine (depth = 13)
  partcv[0] = 0;
  Object call3167 = callmethod(*var_nextLine, "size",
    1, partcv, params);
  gc_frame_end(callframe3166);
// compiled call node returning call3167 (depth = 12)
// compiled member node returning call3167 (depth = 11)
  int op_slot_right_3165 = gc_frame_newslot(call3167);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_i (depth = 11)
  int op_slot_left_3165 = gc_frame_newslot(*var_i);
  params[0] = call3167;
  partcv[0] = 1;
  Object opresult3169 = callmethod(*var_i, "<=", 1, partcv, params);
// compiled op node returning opresult3169 (depth = 10)
  gc_frame_end(frame);
  return opresult3169;
}
Object meth_lexer__apply3172(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object *var_count = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3175 == NULL) {
    strlit3175 = alloc_String("""\x22""");
    gc_root(strlit3175);
  }
// compiled string node returning strlit3175 (depth = 12)
  int op_slot_right_3174 = gc_frame_newslot(strlit3175);
// starting to compile index node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextLine (depth = 13)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_i (depth = 13)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3177 = callmethod(*var_nextLine, "[]", 1, partcv, params);
// compiled index node returning idxres3177 (depth = 12)
  int op_slot_left_3174 = gc_frame_newslot(idxres3177);
  params[0] = strlit3175;
  partcv[0] = 1;
  Object opresult3178 = callmethod(idxres3177, "==", 1, partcv, params);
// compiled op node returning opresult3178 (depth = 11)
  Object if3173 = done;
  if (istrue(opresult3178)) {
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num3180 = alloc_Float64(1);
// compiled num node returning num3180 (depth = 13)
  int op_slot_right_3179 = gc_frame_newslot(num3180);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_count (depth = 13)
  int op_slot_left_3179 = gc_frame_newslot(*var_count);
  params[0] = num3180;
  partcv[0] = 1;
  Object sum3182 = callmethod(*var_count, "+", 1, partcv, params);
// compiled op node returning sum3182 (depth = 12)
  *var_count = sum3182;
  if (sum3182 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3173 = done;
  } else {
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3186 == NULL) {
    strlit3186 = alloc_String("\\");
    gc_root(strlit3186);
  }
// compiled string node returning strlit3186 (depth = 13)
  int op_slot_right_3185 = gc_frame_newslot(strlit3186);
// starting to compile index node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextLine (depth = 14)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_i (depth = 14)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3188 = callmethod(*var_nextLine, "[]", 1, partcv, params);
// compiled index node returning idxres3188 (depth = 13)
  int op_slot_left_3185 = gc_frame_newslot(idxres3188);
  params[0] = strlit3186;
  partcv[0] = 1;
  Object opresult3189 = callmethod(idxres3188, "==", 1, partcv, params);
// compiled op node returning opresult3189 (depth = 12)
  Object if3184 = done;
  if (istrue(opresult3189)) {
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num3191 = alloc_Float64(1);
// compiled num node returning num3191 (depth = 14)
  int op_slot_right_3190 = gc_frame_newslot(num3191);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_i (depth = 14)
  int op_slot_left_3190 = gc_frame_newslot(*var_i);
  params[0] = num3191;
  partcv[0] = 1;
  Object sum3193 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum3193 (depth = 13)
  *var_i = sum3193;
  if (sum3193 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if3184 = done;
  } else {
  }
// compiled if node returning if3184 (depth = 11)
    gc_frame_newslot(if3184);
    if3173 = if3184;
  }
// compiled if node returning if3173 (depth = 10)
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3196 = alloc_Float64(1);
// compiled num node returning num3196 (depth = 12)
  int op_slot_right_3195 = gc_frame_newslot(num3196);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_3195 = gc_frame_newslot(*var_i);
  params[0] = num3196;
  partcv[0] = 1;
  Object sum3198 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum3198 (depth = 11)
  *var_i = sum3198;
  if (sum3198 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer__apply2142(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply");
  Object params[5];
  int partcv[3];
  Object *var_mode = getfromclosure(closure, 0);
  Object *var_badSeparator = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_inStr = getfromclosure(closure, 3);
  Object *var_unicode = getfromclosure(closure, 4);
  Object *var_badControl = getfromclosure(closure, 5);
  Object *var_atStart = getfromclosure(closure, 6);
  Object *var_newmode = getfromclosure(closure, 7);
  Object *var_identifierChar = getfromclosure(closure, 8);
  Object *var_digit = getfromclosure(closure, 9);
  Object *var_tokens = getfromclosure(closure, 10);
  Object *var_accum = getfromclosure(closure, 11);
  Object *var_selfModes = getfromclosure(closure, 12);
  Object *var_util = getfromclosure(closure, 13);
  Object *var_escaped = getfromclosure(closure, 14);
  Object *var_interpString = getfromclosure(closure, 15);
  Object *var_interpdepth = getfromclosure(closure, 16);
  Object *var_brackets = getfromclosure(closure, 17);
  Object *var_unichars = getfromclosure(closure, 18);
  Object *var_codepoint = getfromclosure(closure, 19);
  Object *var_newlineFound = getfromclosure(closure, 20);
  Object self = *(getfromclosure(closure, 21));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ct = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ct");
  Object *var_ordval = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ordval");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_i = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "i");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_errorLine = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "errorLine");
  Object *var_nextLine = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "nextLine");
  Object *var_count = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "count");
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2143 == NULL) {
    strlit2143 = alloc_String("");
    gc_root(strlit2143);
  }
// compiled string node returning strlit2143 (depth = 5)
  *var_ct = strlit2143;
  if (strlit2143 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2144 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  partcv[0] = 0;
  Object call2145 = callmethod(*var_c, "ord",
    1, partcv, params);
  gc_frame_end(callframe2144);
// compiled call node returning call2145 (depth = 6)
// compiled member node returning call2145 (depth = 5)
  *var_ordval = call2145;
  if (call2145 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2147 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2148 = alloc_Block(NULL, NULL, "lexer", 679);
  gc_frame_newslot(block2148);
// method "_apply"
  block_savedest(block2148);
  Object closure2149 = createclosure(2, "_apply");
  setclosureframe(closure2149, stackframe);
  addtoclosure(closure2149, var_mode);
  addtoclosure(closure2149, selfslot);
  struct UserObject *uo2149 = (struct UserObject*)block2148;
  uo2149->data[0] = (Object)closure2149;
  Method *meth_meth_lexer__apply2149 = addmethod2pos(block2148, "_apply", &meth_lexer__apply2149, 0);
  int argcv_meth_lexer__apply2149[] = {0};
  meth_meth_lexer__apply2149->type = alloc_MethodType(1, argcv_meth_lexer__apply2149);
  meth_meth_lexer__apply2149->definitionModule = modulename;
  meth_meth_lexer__apply2149->definitionLine = 678;
// compiled block node returning block2148 (depth = 6)
  gc_frame_newslot(block2148);
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe2155 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ordval (depth = 7)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_badSeparator (depth = 7)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2156 = callmethod(*var_badSeparator, "match",
    1, partcv, params);
  gc_frame_end(callframe2155);
// compiled call node returning call2156 (depth = 6)
  params[0] = block2148;
  partcv[0] = 1;
  Object call2157 = callmethod(call2156, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2147);
// compiled call node returning call2157 (depth = 5)
  Object if2146 = done;
  if (istrue(call2157)) {
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2158 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2159 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  partcv[0] = 0;
  Object call2160 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2159);
// compiled call node returning call2160 (depth = 9)
// compiled member node returning call2160 (depth = 8)
  partcv[0] = 0;
  Object call2161 = callmethod(call2160, "new",
    1, partcv, params);
  gc_frame_end(callframe2158);
// compiled call node returning call2161 (depth = 7)
// compiled member node returning call2161 (depth = 6)
  *var_suggestion = call2161;
  if (call2161 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2162 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2163 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2164 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2163);
// compiled call node returning call2164 (depth = 7)
// compiled member node returning call2164 (depth = 6)
  gc_frame_newslot(call2164);
// starting to compile string node (depth = 6)
  if (strlit2165 == NULL) {
    strlit2165 = alloc_String(" ");
    gc_root(strlit2165);
  }
// compiled string node returning strlit2165 (depth = 6)
  gc_frame_newslot(strlit2165);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2166 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2167 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2166);
// compiled call node returning call2167 (depth = 7)
// compiled member node returning call2167 (depth = 6)
  gc_frame_newslot(call2167);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = call2164;
  params[1] = strlit2165;
  params[2] = call2167;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2168 = callmethod(*var_suggestion, "replaceChar()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2162);
// compiled call node returning call2168 (depth = 5)
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2171 = alloc_Float64(9);
// compiled num node returning num2171 (depth = 7)
  int op_slot_right_2170 = gc_frame_newslot(num2171);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ordval (depth = 7)
  int op_slot_left_2170 = gc_frame_newslot(*var_ordval);
  params[0] = num2171;
  partcv[0] = 1;
  Object opresult2173 = callmethod(*var_ordval, "==", 1, partcv, params);
// compiled op node returning opresult2173 (depth = 6)
  Object if2169 = done;
  if (istrue(opresult2173)) {
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_inStr (depth = 7)
  Object if2174 = done;
  if (istrue(*var_inStr)) {
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2175 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2176 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2177 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2176);
// compiled call node returning call2177 (depth = 9)
// compiled member node returning call2177 (depth = 8)
  gc_frame_newslot(call2177);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2178 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2179 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2178);
// compiled call node returning call2179 (depth = 9)
// compiled member node returning call2179 (depth = 8)
  gc_frame_newslot(call2179);
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2181 == NULL) {
    strlit2181 = alloc_String("");
    gc_root(strlit2181);
  }
// compiled string node returning strlit2181 (depth = 9)
  int op_slot_right_2180 = gc_frame_newslot(strlit2181);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2184 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2185 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2186 = alloc_Float64(16);
// compiled num node returning num2186 (depth = 12)
  gc_frame_newslot(num2186);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2186;
  partcv[0] = 1;
  Object call2187 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2185);
// compiled call node returning call2187 (depth = 11)
  gc_frame_newslot(call2187);
// starting to compile num node (depth = 11)
  Object num2188 = alloc_Float64(4);
// compiled num node returning num2188 (depth = 11)
  gc_frame_newslot(num2188);
// starting to compile string node (depth = 11)
  if (strlit2189 == NULL) {
    strlit2189 = alloc_String("0");
    gc_root(strlit2189);
  }
// compiled string node returning strlit2189 (depth = 11)
  gc_frame_newslot(strlit2189);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2190 = gc_frame_new();
// call case 3: self.outer request
  Object call2191 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2190);
// compiled call node returning call2191 (depth = 12)
// compiled member node returning call2191 (depth = 11)
  params[0] = call2187;
  params[1] = num2188;
  params[2] = strlit2189;
  partcv[0] = 3;
  Object call2192 = callmethodflags(call2191, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2184);
// compiled call node returning call2192 (depth = 10)
  int op_slot_right_2183 = gc_frame_newslot(call2192);
// starting to compile string node (depth = 10)
  if (strlit2194 == NULL) {
    strlit2194 = alloc_String("\\u");
    gc_root(strlit2194);
  }
// compiled string node returning strlit2194 (depth = 10)
  int op_slot_left_2183 = gc_frame_newslot(strlit2194);
  params[0] = call2192;
  partcv[0] = 1;
  Object opresult2195 = callmethod(strlit2194, "++", 1, partcv, params);
// compiled op node returning opresult2195 (depth = 9)
  int op_slot_left_2180 = gc_frame_newslot(opresult2195);
  params[0] = strlit2181;
  partcv[0] = 1;
  Object opresult2196 = callmethod(opresult2195, "++", 1, partcv, params);
// compiled op node returning opresult2196 (depth = 8)
  gc_frame_newslot(opresult2196);
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2197 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2198 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2197);
// compiled call node returning call2198 (depth = 9)
// compiled member node returning call2198 (depth = 8)
  gc_frame_newslot(call2198);
// call case 6: other member request
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = call2177;
  params[1] = call2179;
  params[2] = opresult2196;
  params[3] = call2198;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2199 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2175);
// compiled call node returning call2199 (depth = 7)
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2200 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2202 == NULL) {
    strlit2202 = alloc_String(" instead");
    gc_root(strlit2202);
  }
// compiled string node returning strlit2202 (depth = 9)
  int op_slot_right_2201 = gc_frame_newslot(strlit2202);
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2205 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2206 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2207 = alloc_Float64(16);
// compiled num node returning num2207 (depth = 12)
  gc_frame_newslot(num2207);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2207;
  partcv[0] = 1;
  Object call2208 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2206);
// compiled call node returning call2208 (depth = 11)
  gc_frame_newslot(call2208);
// starting to compile num node (depth = 11)
  Object num2209 = alloc_Float64(4);
// compiled num node returning num2209 (depth = 11)
  gc_frame_newslot(num2209);
// starting to compile string node (depth = 11)
  if (strlit2210 == NULL) {
    strlit2210 = alloc_String("0");
    gc_root(strlit2210);
  }
// compiled string node returning strlit2210 (depth = 11)
  gc_frame_newslot(strlit2210);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2211 = gc_frame_new();
// call case 3: self.outer request
  Object call2212 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2211);
// compiled call node returning call2212 (depth = 12)
// compiled member node returning call2212 (depth = 11)
  params[0] = call2208;
  params[1] = num2209;
  params[2] = strlit2210;
  partcv[0] = 3;
  Object call2213 = callmethodflags(call2212, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2205);
// compiled call node returning call2213 (depth = 10)
  int op_slot_right_2204 = gc_frame_newslot(call2213);
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit2216 == NULL) {
    strlit2216 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2216);
  }
// compiled string node returning strlit2216 (depth = 11)
  int op_slot_right_2215 = gc_frame_newslot(strlit2216);
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2219 == NULL) {
    strlit2219 = alloc_String("written in the source code; ");
    gc_root(strlit2219);
  }
// compiled string node returning strlit2219 (depth = 12)
  int op_slot_right_2218 = gc_frame_newslot(strlit2219);
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2221 == NULL) {
    strlit2221 = alloc_String("tabs cannot be ");
    gc_root(strlit2221);
  }
// compiled string node returning strlit2221 (depth = 12)
  int op_slot_left_2218 = gc_frame_newslot(strlit2221);
  params[0] = strlit2219;
  partcv[0] = 1;
  Object opresult2222 = callmethod(strlit2221, "++", 1, partcv, params);
// compiled op node returning opresult2222 (depth = 11)
  int op_slot_left_2215 = gc_frame_newslot(opresult2222);
  params[0] = strlit2216;
  partcv[0] = 1;
  Object opresult2223 = callmethod(opresult2222, "++", 1, partcv, params);
// compiled op node returning opresult2223 (depth = 10)
  int op_slot_left_2204 = gc_frame_newslot(opresult2223);
  params[0] = call2213;
  partcv[0] = 1;
  Object opresult2224 = callmethod(opresult2223, "++", 1, partcv, params);
// compiled op node returning opresult2224 (depth = 9)
  int op_slot_left_2201 = gc_frame_newslot(opresult2224);
  params[0] = strlit2202;
  partcv[0] = 1;
  Object opresult2225 = callmethod(opresult2224, "++", 1, partcv, params);
// compiled op node returning opresult2225 (depth = 8)
  gc_frame_newslot(opresult2225);
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2226 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2227 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2226);
// compiled call node returning call2227 (depth = 9)
// compiled member node returning call2227 (depth = 8)
  gc_frame_newslot(call2227);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2228 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2229 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2228);
// compiled call node returning call2229 (depth = 9)
// compiled member node returning call2229 (depth = 8)
  gc_frame_newslot(call2229);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2230 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2231 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2230);
// compiled call node returning call2231 (depth = 9)
// compiled member node returning call2231 (depth = 8)
  gc_frame_newslot(call2231);
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2225;
  params[1] = call2227;
  params[2] = call2229;
  params[3] = call2231;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2232 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2200);
// compiled call node returning call2232 (depth = 7)
    gc_frame_newslot(call2232);
    if2174 = call2232;
  } else {
  }
// compiled if node returning if2174 (depth = 6)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2233 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit2234 == NULL) {
    strlit2234 = alloc_String("Tabs are not allowed; use spaces instead.");
    gc_root(strlit2234);
  }
// compiled string node returning strlit2234 (depth = 7)
  gc_frame_newslot(strlit2234);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2235 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2236 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2235);
// compiled call node returning call2236 (depth = 8)
// compiled member node returning call2236 (depth = 7)
  gc_frame_newslot(call2236);
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2237 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2238 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2237);
// compiled call node returning call2238 (depth = 8)
// compiled member node returning call2238 (depth = 7)
  gc_frame_newslot(call2238);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2239 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2240 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2239);
// compiled call node returning call2240 (depth = 8)
// compiled member node returning call2240 (depth = 7)
  gc_frame_newslot(call2240);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit2234;
  params[1] = call2236;
  params[2] = call2238;
  params[3] = call2240;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2241 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2233);
// compiled call node returning call2241 (depth = 6)
    gc_frame_newslot(call2241);
    if2169 = call2241;
  } else {
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2244 == NULL) {
    strlit2244 = alloc_String("""\x22""");
    gc_root(strlit2244);
  }
// compiled string node returning strlit2244 (depth = 8)
  int op_slot_right_2243 = gc_frame_newslot(strlit2244);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2243 = gc_frame_newslot(*var_mode);
  params[0] = strlit2244;
  partcv[0] = 1;
  Object opresult2246 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2246 (depth = 7)
  Object if2242 = done;
  if (istrue(opresult2246)) {
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2247 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2248 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2249 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2248);
// compiled call node returning call2249 (depth = 9)
// compiled member node returning call2249 (depth = 8)
  gc_frame_newslot(call2249);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2250 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2251 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2250);
// compiled call node returning call2251 (depth = 9)
// compiled member node returning call2251 (depth = 8)
  gc_frame_newslot(call2251);
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2253 == NULL) {
    strlit2253 = alloc_String("");
    gc_root(strlit2253);
  }
// compiled string node returning strlit2253 (depth = 9)
  int op_slot_right_2252 = gc_frame_newslot(strlit2253);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2256 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2257 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2258 = alloc_Float64(16);
// compiled num node returning num2258 (depth = 12)
  gc_frame_newslot(num2258);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2258;
  partcv[0] = 1;
  Object call2259 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2257);
// compiled call node returning call2259 (depth = 11)
  gc_frame_newslot(call2259);
// starting to compile num node (depth = 11)
  Object num2260 = alloc_Float64(4);
// compiled num node returning num2260 (depth = 11)
  gc_frame_newslot(num2260);
// starting to compile string node (depth = 11)
  if (strlit2261 == NULL) {
    strlit2261 = alloc_String("0");
    gc_root(strlit2261);
  }
// compiled string node returning strlit2261 (depth = 11)
  gc_frame_newslot(strlit2261);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2262 = gc_frame_new();
// call case 3: self.outer request
  Object call2263 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2262);
// compiled call node returning call2263 (depth = 12)
// compiled member node returning call2263 (depth = 11)
  params[0] = call2259;
  params[1] = num2260;
  params[2] = strlit2261;
  partcv[0] = 3;
  Object call2264 = callmethodflags(call2263, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2256);
// compiled call node returning call2264 (depth = 10)
  int op_slot_right_2255 = gc_frame_newslot(call2264);
// starting to compile string node (depth = 10)
  if (strlit2266 == NULL) {
    strlit2266 = alloc_String("\\u");
    gc_root(strlit2266);
  }
// compiled string node returning strlit2266 (depth = 10)
  int op_slot_left_2255 = gc_frame_newslot(strlit2266);
  params[0] = call2264;
  partcv[0] = 1;
  Object opresult2267 = callmethod(strlit2266, "++", 1, partcv, params);
// compiled op node returning opresult2267 (depth = 9)
  int op_slot_left_2252 = gc_frame_newslot(opresult2267);
  params[0] = strlit2253;
  partcv[0] = 1;
  Object opresult2268 = callmethod(opresult2267, "++", 1, partcv, params);
// compiled op node returning opresult2268 (depth = 8)
  gc_frame_newslot(opresult2268);
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2269 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2270 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2269);
// compiled call node returning call2270 (depth = 9)
// compiled member node returning call2270 (depth = 8)
  gc_frame_newslot(call2270);
// call case 6: other member request
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = call2249;
  params[1] = call2251;
  params[2] = opresult2268;
  params[3] = call2270;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2271 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2247);
// compiled call node returning call2271 (depth = 7)
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2272 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2274 == NULL) {
    strlit2274 = alloc_String(" instead");
    gc_root(strlit2274);
  }
// compiled string node returning strlit2274 (depth = 9)
  int op_slot_right_2273 = gc_frame_newslot(strlit2274);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2277 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2278 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2279 = alloc_Float64(16);
// compiled num node returning num2279 (depth = 12)
  gc_frame_newslot(num2279);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2279;
  partcv[0] = 1;
  Object call2280 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2278);
// compiled call node returning call2280 (depth = 11)
  gc_frame_newslot(call2280);
// starting to compile num node (depth = 11)
  Object num2281 = alloc_Float64(4);
// compiled num node returning num2281 (depth = 11)
  gc_frame_newslot(num2281);
// starting to compile string node (depth = 11)
  if (strlit2282 == NULL) {
    strlit2282 = alloc_String("0");
    gc_root(strlit2282);
  }
// compiled string node returning strlit2282 (depth = 11)
  gc_frame_newslot(strlit2282);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2283 = gc_frame_new();
// call case 3: self.outer request
  Object call2284 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2283);
// compiled call node returning call2284 (depth = 12)
// compiled member node returning call2284 (depth = 11)
  params[0] = call2280;
  params[1] = num2281;
  params[2] = strlit2282;
  partcv[0] = 3;
  Object call2285 = callmethodflags(call2284, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2277);
// compiled call node returning call2285 (depth = 10)
  int op_slot_right_2276 = gc_frame_newslot(call2285);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit2288 == NULL) {
    strlit2288 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2288);
  }
// compiled string node returning strlit2288 (depth = 11)
  int op_slot_right_2287 = gc_frame_newslot(strlit2288);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2291 == NULL) {
    strlit2291 = alloc_String("written in the source code; ");
    gc_root(strlit2291);
  }
// compiled string node returning strlit2291 (depth = 12)
  int op_slot_right_2290 = gc_frame_newslot(strlit2291);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit2294 == NULL) {
    strlit2294 = alloc_String(" and cannot be ");
    gc_root(strlit2294);
  }
// compiled string node returning strlit2294 (depth = 13)
  int op_slot_right_2293 = gc_frame_newslot(strlit2294);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 14)
  if (strlit2297 == NULL) {
    strlit2297 = alloc_String("is not a valid whitespace character");
    gc_root(strlit2297);
  }
// compiled string node returning strlit2297 (depth = 14)
  int op_slot_right_2296 = gc_frame_newslot(strlit2297);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2300 == NULL) {
    strlit2300 = alloc_String(") ");
    gc_root(strlit2300);
  }
// compiled string node returning strlit2300 (depth = 15)
  int op_slot_right_2299 = gc_frame_newslot(strlit2300);
// starting to compile op node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2303 = gc_frame_new();
// starting to compile call node (depth = 17)
  int callframe2304 = gc_frame_new();
// starting to compile num node (depth = 18)
  Object num2305 = alloc_Float64(16);
// compiled num node returning num2305 (depth = 18)
  gc_frame_newslot(num2305);
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_ordval (depth = 18)
  params[0] = num2305;
  partcv[0] = 1;
  Object call2306 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2304);
// compiled call node returning call2306 (depth = 17)
  gc_frame_newslot(call2306);
// starting to compile num node (depth = 17)
  Object num2307 = alloc_Float64(4);
// compiled num node returning num2307 (depth = 17)
  gc_frame_newslot(num2307);
// starting to compile string node (depth = 17)
  if (strlit2308 == NULL) {
    strlit2308 = alloc_String("0");
    gc_root(strlit2308);
  }
// compiled string node returning strlit2308 (depth = 17)
  gc_frame_newslot(strlit2308);
// call case 2: outer request
// starting to compile member node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe2309 = gc_frame_new();
// call case 3: self.outer request
  Object call2310 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2309);
// compiled call node returning call2310 (depth = 18)
// compiled member node returning call2310 (depth = 17)
  params[0] = call2306;
  params[1] = num2307;
  params[2] = strlit2308;
  partcv[0] = 3;
  Object call2311 = callmethodflags(call2310, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2303);
// compiled call node returning call2311 (depth = 16)
  int op_slot_right_2302 = gc_frame_newslot(call2311);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit2314 == NULL) {
    strlit2314 = alloc_String(" (U+");
    gc_root(strlit2314);
  }
// compiled string node returning strlit2314 (depth = 17)
  int op_slot_right_2313 = gc_frame_newslot(strlit2314);
// starting to compile op node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe2317 = gc_frame_new();
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_c (depth = 19)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_unicode (depth = 19)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2318 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2317);
// compiled call node returning call2318 (depth = 18)
  int op_slot_right_2316 = gc_frame_newslot(call2318);
// starting to compile string node (depth = 18)
  if (strlit2320 == NULL) {
    strlit2320 = alloc_String("");
    gc_root(strlit2320);
  }
// compiled string node returning strlit2320 (depth = 18)
  int op_slot_left_2316 = gc_frame_newslot(strlit2320);
  params[0] = call2318;
  partcv[0] = 1;
  Object opresult2321 = callmethod(strlit2320, "++", 1, partcv, params);
// compiled op node returning opresult2321 (depth = 17)
  int op_slot_left_2313 = gc_frame_newslot(opresult2321);
  params[0] = strlit2314;
  partcv[0] = 1;
  Object opresult2322 = callmethod(opresult2321, "++", 1, partcv, params);
// compiled op node returning opresult2322 (depth = 16)
  int op_slot_left_2302 = gc_frame_newslot(opresult2322);
  params[0] = call2311;
  partcv[0] = 1;
  Object opresult2323 = callmethod(opresult2322, "++", 1, partcv, params);
// compiled op node returning opresult2323 (depth = 15)
  int op_slot_left_2299 = gc_frame_newslot(opresult2323);
  params[0] = strlit2300;
  partcv[0] = 1;
  Object opresult2324 = callmethod(opresult2323, "++", 1, partcv, params);
// compiled op node returning opresult2324 (depth = 14)
  int op_slot_left_2296 = gc_frame_newslot(opresult2324);
  params[0] = strlit2297;
  partcv[0] = 1;
  Object opresult2325 = callmethod(opresult2324, "++", 1, partcv, params);
// compiled op node returning opresult2325 (depth = 13)
  int op_slot_left_2293 = gc_frame_newslot(opresult2325);
  params[0] = strlit2294;
  partcv[0] = 1;
  Object opresult2326 = callmethod(opresult2325, "++", 1, partcv, params);
// compiled op node returning opresult2326 (depth = 12)
  int op_slot_left_2290 = gc_frame_newslot(opresult2326);
  params[0] = strlit2291;
  partcv[0] = 1;
  Object opresult2327 = callmethod(opresult2326, "++", 1, partcv, params);
// compiled op node returning opresult2327 (depth = 11)
  int op_slot_left_2287 = gc_frame_newslot(opresult2327);
  params[0] = strlit2288;
  partcv[0] = 1;
  Object opresult2328 = callmethod(opresult2327, "++", 1, partcv, params);
// compiled op node returning opresult2328 (depth = 10)
  int op_slot_left_2276 = gc_frame_newslot(opresult2328);
  params[0] = call2285;
  partcv[0] = 1;
  Object opresult2329 = callmethod(opresult2328, "++", 1, partcv, params);
// compiled op node returning opresult2329 (depth = 9)
  int op_slot_left_2273 = gc_frame_newslot(opresult2329);
  params[0] = strlit2274;
  partcv[0] = 1;
  Object opresult2330 = callmethod(opresult2329, "++", 1, partcv, params);
// compiled op node returning opresult2330 (depth = 8)
  gc_frame_newslot(opresult2330);
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2331 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2332 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2331);
// compiled call node returning call2332 (depth = 9)
// compiled member node returning call2332 (depth = 8)
  gc_frame_newslot(call2332);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2333 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2334 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2333);
// compiled call node returning call2334 (depth = 9)
// compiled member node returning call2334 (depth = 8)
  gc_frame_newslot(call2334);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2335 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2336 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2335);
// compiled call node returning call2336 (depth = 9)
// compiled member node returning call2336 (depth = 8)
  gc_frame_newslot(call2336);
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2330;
  params[1] = call2332;
  params[2] = call2334;
  params[3] = call2336;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2337 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2272);
// compiled call node returning call2337 (depth = 7)
    gc_frame_newslot(call2337);
    if2242 = call2337;
  } else {
  }
// compiled if node returning if2242 (depth = 6)
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2338 = gc_frame_new();
// starting to compile op node (depth = 7)
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2340 == NULL) {
    strlit2340 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit2340);
  }
// compiled string node returning strlit2340 (depth = 8)
  int op_slot_right_2339 = gc_frame_newslot(strlit2340);
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2343 == NULL) {
    strlit2343 = alloc_String(") ");
    gc_root(strlit2343);
  }
// compiled string node returning strlit2343 (depth = 9)
  int op_slot_right_2342 = gc_frame_newslot(strlit2343);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2346 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2347 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2348 = alloc_Float64(16);
// compiled num node returning num2348 (depth = 12)
  gc_frame_newslot(num2348);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2348;
  partcv[0] = 1;
  Object call2349 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2347);
// compiled call node returning call2349 (depth = 11)
  gc_frame_newslot(call2349);
// starting to compile num node (depth = 11)
  Object num2350 = alloc_Float64(4);
// compiled num node returning num2350 (depth = 11)
  gc_frame_newslot(num2350);
// starting to compile string node (depth = 11)
  if (strlit2351 == NULL) {
    strlit2351 = alloc_String("0");
    gc_root(strlit2351);
  }
// compiled string node returning strlit2351 (depth = 11)
  gc_frame_newslot(strlit2351);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2352 = gc_frame_new();
// call case 3: self.outer request
  Object call2353 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2352);
// compiled call node returning call2353 (depth = 12)
// compiled member node returning call2353 (depth = 11)
  params[0] = call2349;
  params[1] = num2350;
  params[2] = strlit2351;
  partcv[0] = 3;
  Object call2354 = callmethodflags(call2353, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2346);
// compiled call node returning call2354 (depth = 10)
  int op_slot_right_2345 = gc_frame_newslot(call2354);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2357 == NULL) {
    strlit2357 = alloc_String(" (U+");
    gc_root(strlit2357);
  }
// compiled string node returning strlit2357 (depth = 11)
  int op_slot_right_2356 = gc_frame_newslot(strlit2357);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2360 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2361 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2360);
// compiled call node returning call2361 (depth = 12)
  int op_slot_right_2359 = gc_frame_newslot(call2361);
// starting to compile string node (depth = 12)
  if (strlit2363 == NULL) {
    strlit2363 = alloc_String("");
    gc_root(strlit2363);
  }
// compiled string node returning strlit2363 (depth = 12)
  int op_slot_left_2359 = gc_frame_newslot(strlit2363);
  params[0] = call2361;
  partcv[0] = 1;
  Object opresult2364 = callmethod(strlit2363, "++", 1, partcv, params);
// compiled op node returning opresult2364 (depth = 11)
  int op_slot_left_2356 = gc_frame_newslot(opresult2364);
  params[0] = strlit2357;
  partcv[0] = 1;
  Object opresult2365 = callmethod(opresult2364, "++", 1, partcv, params);
// compiled op node returning opresult2365 (depth = 10)
  int op_slot_left_2345 = gc_frame_newslot(opresult2365);
  params[0] = call2354;
  partcv[0] = 1;
  Object opresult2366 = callmethod(opresult2365, "++", 1, partcv, params);
// compiled op node returning opresult2366 (depth = 9)
  int op_slot_left_2342 = gc_frame_newslot(opresult2366);
  params[0] = strlit2343;
  partcv[0] = 1;
  Object opresult2367 = callmethod(opresult2366, "++", 1, partcv, params);
// compiled op node returning opresult2367 (depth = 8)
  int op_slot_left_2339 = gc_frame_newslot(opresult2367);
  params[0] = strlit2340;
  partcv[0] = 1;
  Object opresult2368 = callmethod(opresult2367, "++", 1, partcv, params);
// compiled op node returning opresult2368 (depth = 7)
  gc_frame_newslot(opresult2368);
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2369 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2370 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2369);
// compiled call node returning call2370 (depth = 8)
// compiled member node returning call2370 (depth = 7)
  gc_frame_newslot(call2370);
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2371 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2372 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2371);
// compiled call node returning call2372 (depth = 8)
// compiled member node returning call2372 (depth = 7)
  gc_frame_newslot(call2372);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2373 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2374 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2373);
// compiled call node returning call2374 (depth = 8)
// compiled member node returning call2374 (depth = 7)
  gc_frame_newslot(call2374);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult2368;
  params[1] = call2370;
  params[2] = call2372;
  params[3] = call2374;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2375 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2338);
// compiled call node returning call2375 (depth = 6)
    gc_frame_newslot(call2375);
    if2169 = call2375;
  }
// compiled if node returning if2169 (depth = 5)
    gc_frame_newslot(if2169);
    if2146 = if2169;
  } else {
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2377 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block2378 = alloc_Block(NULL, NULL, "lexer", 718);
  gc_frame_newslot(block2378);
// method "_apply"
  block_savedest(block2378);
  Object closure2379 = createclosure(2, "_apply");
  setclosureframe(closure2379, stackframe);
  addtoclosure(closure2379, var_mode);
  addtoclosure(closure2379, selfslot);
  struct UserObject *uo2379 = (struct UserObject*)block2378;
  uo2379->data[0] = (Object)closure2379;
  Method *meth_meth_lexer__apply2379 = addmethod2pos(block2378, "_apply", &meth_lexer__apply2379, 0);
  int argcv_meth_lexer__apply2379[] = {0};
  meth_meth_lexer__apply2379->type = alloc_MethodType(1, argcv_meth_lexer__apply2379);
  meth_meth_lexer__apply2379->definitionModule = modulename;
  meth_meth_lexer__apply2379->definitionLine = 716;
// compiled block node returning block2378 (depth = 7)
  gc_frame_newslot(block2378);
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe2385 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ordval (depth = 8)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_badControl (depth = 8)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2386 = callmethod(*var_badControl, "match",
    1, partcv, params);
  gc_frame_end(callframe2385);
// compiled call node returning call2386 (depth = 7)
  params[0] = block2378;
  partcv[0] = 1;
  Object call2387 = callmethod(call2386, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2377);
// compiled call node returning call2387 (depth = 6)
  Object if2376 = done;
  if (istrue(call2387)) {
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2388 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2389 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  partcv[0] = 0;
  Object call2390 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2389);
// compiled call node returning call2390 (depth = 10)
// compiled member node returning call2390 (depth = 9)
  partcv[0] = 0;
  Object call2391 = callmethod(call2390, "new",
    1, partcv, params);
  gc_frame_end(callframe2388);
// compiled call node returning call2391 (depth = 8)
// compiled member node returning call2391 (depth = 7)
  *var_suggestion = call2391;
  if (call2391 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_inStr (depth = 7)
  Object if2392 = done;
  if (istrue(*var_inStr)) {
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2393 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2394 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2395 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2394);
// compiled call node returning call2395 (depth = 9)
// compiled member node returning call2395 (depth = 8)
  gc_frame_newslot(call2395);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2396 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2397 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2396);
// compiled call node returning call2397 (depth = 9)
// compiled member node returning call2397 (depth = 8)
  gc_frame_newslot(call2397);
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2399 == NULL) {
    strlit2399 = alloc_String("");
    gc_root(strlit2399);
  }
// compiled string node returning strlit2399 (depth = 9)
  int op_slot_right_2398 = gc_frame_newslot(strlit2399);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2402 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2403 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2404 = alloc_Float64(16);
// compiled num node returning num2404 (depth = 12)
  gc_frame_newslot(num2404);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2404;
  partcv[0] = 1;
  Object call2405 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2403);
// compiled call node returning call2405 (depth = 11)
  gc_frame_newslot(call2405);
// starting to compile num node (depth = 11)
  Object num2406 = alloc_Float64(4);
// compiled num node returning num2406 (depth = 11)
  gc_frame_newslot(num2406);
// starting to compile string node (depth = 11)
  if (strlit2407 == NULL) {
    strlit2407 = alloc_String("0");
    gc_root(strlit2407);
  }
// compiled string node returning strlit2407 (depth = 11)
  gc_frame_newslot(strlit2407);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2408 = gc_frame_new();
// call case 3: self.outer request
  Object call2409 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2408);
// compiled call node returning call2409 (depth = 12)
// compiled member node returning call2409 (depth = 11)
  params[0] = call2405;
  params[1] = num2406;
  params[2] = strlit2407;
  partcv[0] = 3;
  Object call2410 = callmethodflags(call2409, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2402);
// compiled call node returning call2410 (depth = 10)
  int op_slot_right_2401 = gc_frame_newslot(call2410);
// starting to compile string node (depth = 10)
  if (strlit2412 == NULL) {
    strlit2412 = alloc_String("\\u");
    gc_root(strlit2412);
  }
// compiled string node returning strlit2412 (depth = 10)
  int op_slot_left_2401 = gc_frame_newslot(strlit2412);
  params[0] = call2410;
  partcv[0] = 1;
  Object opresult2413 = callmethod(strlit2412, "++", 1, partcv, params);
// compiled op node returning opresult2413 (depth = 9)
  int op_slot_left_2398 = gc_frame_newslot(opresult2413);
  params[0] = strlit2399;
  partcv[0] = 1;
  Object opresult2414 = callmethod(opresult2413, "++", 1, partcv, params);
// compiled op node returning opresult2414 (depth = 8)
  gc_frame_newslot(opresult2414);
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2415 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2416 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2415);
// compiled call node returning call2416 (depth = 9)
// compiled member node returning call2416 (depth = 8)
  gc_frame_newslot(call2416);
// call case 6: other member request
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = call2395;
  params[1] = call2397;
  params[2] = opresult2414;
  params[3] = call2416;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2417 = callmethod(*var_suggestion, "replaceRange()with()onLine",
    3, partcv, params);
  gc_frame_end(callframe2393);
// compiled call node returning call2417 (depth = 7)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2418 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2420 == NULL) {
    strlit2420 = alloc_String(" instead");
    gc_root(strlit2420);
  }
// compiled string node returning strlit2420 (depth = 9)
  int op_slot_right_2419 = gc_frame_newslot(strlit2420);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2423 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2424 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2425 = alloc_Float64(16);
// compiled num node returning num2425 (depth = 12)
  gc_frame_newslot(num2425);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2425;
  partcv[0] = 1;
  Object call2426 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2424);
// compiled call node returning call2426 (depth = 11)
  gc_frame_newslot(call2426);
// starting to compile num node (depth = 11)
  Object num2427 = alloc_Float64(4);
// compiled num node returning num2427 (depth = 11)
  gc_frame_newslot(num2427);
// starting to compile string node (depth = 11)
  if (strlit2428 == NULL) {
    strlit2428 = alloc_String("0");
    gc_root(strlit2428);
  }
// compiled string node returning strlit2428 (depth = 11)
  gc_frame_newslot(strlit2428);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2429 = gc_frame_new();
// call case 3: self.outer request
  Object call2430 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2429);
// compiled call node returning call2430 (depth = 12)
// compiled member node returning call2430 (depth = 11)
  params[0] = call2426;
  params[1] = num2427;
  params[2] = strlit2428;
  partcv[0] = 3;
  Object call2431 = callmethodflags(call2430, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2423);
// compiled call node returning call2431 (depth = 10)
  int op_slot_right_2422 = gc_frame_newslot(call2431);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit2434 == NULL) {
    strlit2434 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2434);
  }
// compiled string node returning strlit2434 (depth = 11)
  int op_slot_right_2433 = gc_frame_newslot(strlit2434);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2437 == NULL) {
    strlit2437 = alloc_String("written in the source code; ");
    gc_root(strlit2437);
  }
// compiled string node returning strlit2437 (depth = 12)
  int op_slot_right_2436 = gc_frame_newslot(strlit2437);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit2440 == NULL) {
    strlit2440 = alloc_String("is a control character and cannot be ");
    gc_root(strlit2440);
  }
// compiled string node returning strlit2440 (depth = 13)
  int op_slot_right_2439 = gc_frame_newslot(strlit2440);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2443 == NULL) {
    strlit2443 = alloc_String(") ");
    gc_root(strlit2443);
  }
// compiled string node returning strlit2443 (depth = 14)
  int op_slot_right_2442 = gc_frame_newslot(strlit2443);
// starting to compile op node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2446 = gc_frame_new();
// starting to compile call node (depth = 16)
  int callframe2447 = gc_frame_new();
// starting to compile num node (depth = 17)
  Object num2448 = alloc_Float64(16);
// compiled num node returning num2448 (depth = 17)
  gc_frame_newslot(num2448);
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_ordval (depth = 17)
  params[0] = num2448;
  partcv[0] = 1;
  Object call2449 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2447);
// compiled call node returning call2449 (depth = 16)
  gc_frame_newslot(call2449);
// starting to compile num node (depth = 16)
  Object num2450 = alloc_Float64(4);
// compiled num node returning num2450 (depth = 16)
  gc_frame_newslot(num2450);
// starting to compile string node (depth = 16)
  if (strlit2451 == NULL) {
    strlit2451 = alloc_String("0");
    gc_root(strlit2451);
  }
// compiled string node returning strlit2451 (depth = 16)
  gc_frame_newslot(strlit2451);
// call case 2: outer request
// starting to compile member node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe2452 = gc_frame_new();
// call case 3: self.outer request
  Object call2453 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2452);
// compiled call node returning call2453 (depth = 17)
// compiled member node returning call2453 (depth = 16)
  params[0] = call2449;
  params[1] = num2450;
  params[2] = strlit2451;
  partcv[0] = 3;
  Object call2454 = callmethodflags(call2453, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2446);
// compiled call node returning call2454 (depth = 15)
  int op_slot_right_2445 = gc_frame_newslot(call2454);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit2457 == NULL) {
    strlit2457 = alloc_String(" (U+");
    gc_root(strlit2457);
  }
// compiled string node returning strlit2457 (depth = 16)
  int op_slot_right_2456 = gc_frame_newslot(strlit2457);
// starting to compile op node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe2460 = gc_frame_new();
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_c (depth = 18)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_unicode (depth = 18)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2461 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2460);
// compiled call node returning call2461 (depth = 17)
  int op_slot_right_2459 = gc_frame_newslot(call2461);
// starting to compile string node (depth = 17)
  if (strlit2463 == NULL) {
    strlit2463 = alloc_String("");
    gc_root(strlit2463);
  }
// compiled string node returning strlit2463 (depth = 17)
  int op_slot_left_2459 = gc_frame_newslot(strlit2463);
  params[0] = call2461;
  partcv[0] = 1;
  Object opresult2464 = callmethod(strlit2463, "++", 1, partcv, params);
// compiled op node returning opresult2464 (depth = 16)
  int op_slot_left_2456 = gc_frame_newslot(opresult2464);
  params[0] = strlit2457;
  partcv[0] = 1;
  Object opresult2465 = callmethod(opresult2464, "++", 1, partcv, params);
// compiled op node returning opresult2465 (depth = 15)
  int op_slot_left_2445 = gc_frame_newslot(opresult2465);
  params[0] = call2454;
  partcv[0] = 1;
  Object opresult2466 = callmethod(opresult2465, "++", 1, partcv, params);
// compiled op node returning opresult2466 (depth = 14)
  int op_slot_left_2442 = gc_frame_newslot(opresult2466);
  params[0] = strlit2443;
  partcv[0] = 1;
  Object opresult2467 = callmethod(opresult2466, "++", 1, partcv, params);
// compiled op node returning opresult2467 (depth = 13)
  int op_slot_left_2439 = gc_frame_newslot(opresult2467);
  params[0] = strlit2440;
  partcv[0] = 1;
  Object opresult2468 = callmethod(opresult2467, "++", 1, partcv, params);
// compiled op node returning opresult2468 (depth = 12)
  int op_slot_left_2436 = gc_frame_newslot(opresult2468);
  params[0] = strlit2437;
  partcv[0] = 1;
  Object opresult2469 = callmethod(opresult2468, "++", 1, partcv, params);
// compiled op node returning opresult2469 (depth = 11)
  int op_slot_left_2433 = gc_frame_newslot(opresult2469);
  params[0] = strlit2434;
  partcv[0] = 1;
  Object opresult2470 = callmethod(opresult2469, "++", 1, partcv, params);
// compiled op node returning opresult2470 (depth = 10)
  int op_slot_left_2422 = gc_frame_newslot(opresult2470);
  params[0] = call2431;
  partcv[0] = 1;
  Object opresult2471 = callmethod(opresult2470, "++", 1, partcv, params);
// compiled op node returning opresult2471 (depth = 9)
  int op_slot_left_2419 = gc_frame_newslot(opresult2471);
  params[0] = strlit2420;
  partcv[0] = 1;
  Object opresult2472 = callmethod(opresult2471, "++", 1, partcv, params);
// compiled op node returning opresult2472 (depth = 8)
  gc_frame_newslot(opresult2472);
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2473 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2474 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2473);
// compiled call node returning call2474 (depth = 9)
// compiled member node returning call2474 (depth = 8)
  gc_frame_newslot(call2474);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2475 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2476 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2475);
// compiled call node returning call2476 (depth = 9)
// compiled member node returning call2476 (depth = 8)
  gc_frame_newslot(call2476);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2477 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2478 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2477);
// compiled call node returning call2478 (depth = 9)
// compiled member node returning call2478 (depth = 8)
  gc_frame_newslot(call2478);
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2472;
  params[1] = call2474;
  params[2] = call2476;
  params[3] = call2478;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2479 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2418);
// compiled call node returning call2479 (depth = 7)
    gc_frame_newslot(call2479);
    if2392 = call2479;
  } else {
  }
// compiled if node returning if2392 (depth = 6)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2480 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2481 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2482 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2481);
// compiled call node returning call2482 (depth = 8)
// compiled member node returning call2482 (depth = 7)
  gc_frame_newslot(call2482);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2483 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2484 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2483);
// compiled call node returning call2484 (depth = 8)
// compiled member node returning call2484 (depth = 7)
  gc_frame_newslot(call2484);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = call2482;
  params[1] = call2484;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2485 = callmethod(*var_suggestion, "deleteChar()onLine",
    2, partcv, params);
  gc_frame_end(callframe2480);
// compiled call node returning call2485 (depth = 6)
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2486 = gc_frame_new();
// starting to compile op node (depth = 7)
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2488 == NULL) {
    strlit2488 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit2488);
  }
// compiled string node returning strlit2488 (depth = 8)
  int op_slot_right_2487 = gc_frame_newslot(strlit2488);
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2491 == NULL) {
    strlit2491 = alloc_String(") ");
    gc_root(strlit2491);
  }
// compiled string node returning strlit2491 (depth = 9)
  int op_slot_right_2490 = gc_frame_newslot(strlit2491);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2494 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2495 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2496 = alloc_Float64(16);
// compiled num node returning num2496 (depth = 12)
  gc_frame_newslot(num2496);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2496;
  partcv[0] = 1;
  Object call2497 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2495);
// compiled call node returning call2497 (depth = 11)
  gc_frame_newslot(call2497);
// starting to compile num node (depth = 11)
  Object num2498 = alloc_Float64(4);
// compiled num node returning num2498 (depth = 11)
  gc_frame_newslot(num2498);
// starting to compile string node (depth = 11)
  if (strlit2499 == NULL) {
    strlit2499 = alloc_String("0");
    gc_root(strlit2499);
  }
// compiled string node returning strlit2499 (depth = 11)
  gc_frame_newslot(strlit2499);
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2500 = gc_frame_new();
// call case 3: self.outer request
  Object call2501 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2500);
// compiled call node returning call2501 (depth = 12)
// compiled member node returning call2501 (depth = 11)
  params[0] = call2497;
  params[1] = num2498;
  params[2] = strlit2499;
  partcv[0] = 3;
  Object call2502 = callmethodflags(call2501, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2494);
// compiled call node returning call2502 (depth = 10)
  int op_slot_right_2493 = gc_frame_newslot(call2502);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2505 == NULL) {
    strlit2505 = alloc_String(" (U+");
    gc_root(strlit2505);
  }
// compiled string node returning strlit2505 (depth = 11)
  int op_slot_right_2504 = gc_frame_newslot(strlit2505);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2508 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2509 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2508);
// compiled call node returning call2509 (depth = 12)
  int op_slot_right_2507 = gc_frame_newslot(call2509);
// starting to compile string node (depth = 12)
  if (strlit2511 == NULL) {
    strlit2511 = alloc_String("");
    gc_root(strlit2511);
  }
// compiled string node returning strlit2511 (depth = 12)
  int op_slot_left_2507 = gc_frame_newslot(strlit2511);
  params[0] = call2509;
  partcv[0] = 1;
  Object opresult2512 = callmethod(strlit2511, "++", 1, partcv, params);
// compiled op node returning opresult2512 (depth = 11)
  int op_slot_left_2504 = gc_frame_newslot(opresult2512);
  params[0] = strlit2505;
  partcv[0] = 1;
  Object opresult2513 = callmethod(opresult2512, "++", 1, partcv, params);
// compiled op node returning opresult2513 (depth = 10)
  int op_slot_left_2493 = gc_frame_newslot(opresult2513);
  params[0] = call2502;
  partcv[0] = 1;
  Object opresult2514 = callmethod(opresult2513, "++", 1, partcv, params);
// compiled op node returning opresult2514 (depth = 9)
  int op_slot_left_2490 = gc_frame_newslot(opresult2514);
  params[0] = strlit2491;
  partcv[0] = 1;
  Object opresult2515 = callmethod(opresult2514, "++", 1, partcv, params);
// compiled op node returning opresult2515 (depth = 8)
  int op_slot_left_2487 = gc_frame_newslot(opresult2515);
  params[0] = strlit2488;
  partcv[0] = 1;
  Object opresult2516 = callmethod(opresult2515, "++", 1, partcv, params);
// compiled op node returning opresult2516 (depth = 7)
  gc_frame_newslot(opresult2516);
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2517 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2518 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2517);
// compiled call node returning call2518 (depth = 8)
// compiled member node returning call2518 (depth = 7)
  gc_frame_newslot(call2518);
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2519 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2520 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2519);
// compiled call node returning call2520 (depth = 8)
// compiled member node returning call2520 (depth = 7)
  gc_frame_newslot(call2520);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2521 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2522 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2521);
// compiled call node returning call2522 (depth = 8)
// compiled member node returning call2522 (depth = 7)
  gc_frame_newslot(call2522);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult2516;
  params[1] = call2518;
  params[2] = call2520;
  params[3] = call2522;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2523 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2486);
// compiled call node returning call2523 (depth = 6)
    gc_frame_newslot(call2523);
    if2376 = call2523;
  } else {
  }
// compiled if node returning if2376 (depth = 5)
    gc_frame_newslot(if2376);
    if2146 = if2376;
  }
// compiled if node returning if2146 (depth = 4)
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_atStart (depth = 5)
  Object if2524 = done;
  if (istrue(*var_atStart)) {
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2527 = alloc_Float64(1);
// compiled num node returning num2527 (depth = 7)
  int op_slot_right_2526 = gc_frame_newslot(num2527);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2529 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2530 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2529);
// compiled call node returning call2530 (depth = 8)
// compiled member node returning call2530 (depth = 7)
  int op_slot_left_2526 = gc_frame_newslot(call2530);
  params[0] = num2527;
  partcv[0] = 1;
  Object opresult2531 = callmethod(call2530, "==", 1, partcv, params);
// compiled op node returning opresult2531 (depth = 6)
  Object if2525 = done;
  if (istrue(opresult2531)) {
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2534 == NULL) {
    strlit2534 = alloc_String("#");
    gc_root(strlit2534);
  }
// compiled string node returning strlit2534 (depth = 8)
  int op_slot_right_2533 = gc_frame_newslot(strlit2534);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2533 = gc_frame_newslot(*var_c);
  params[0] = strlit2534;
  partcv[0] = 1;
  Object opresult2536 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2536 (depth = 7)
  Object if2532 = done;
  if (istrue(opresult2536)) {
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2537 == NULL) {
    strlit2537 = alloc_String("p");
    gc_root(strlit2537);
  }
// compiled string node returning strlit2537 (depth = 8)
  *var_mode = strlit2537;
  if (strlit2537 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2532 = done;
  } else {
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2540 = alloc_Boolean(0);
// compiled identifier node returning bool2540 (depth = 8)
  *var_atStart = bool2540;
  if (bool2540 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2532 = done;
  }
// compiled if node returning if2532 (depth = 6)
    gc_frame_newslot(if2532);
    if2525 = if2532;
  } else {
  }
// compiled if node returning if2525 (depth = 5)
    gc_frame_newslot(if2525);
    if2524 = if2525;
  } else {
  }
// compiled if node returning if2524 (depth = 4)
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_inStr (depth = 5)
  Object if2542 = done;
  if (istrue(*var_inStr)) {
    gc_frame_newslot(done);
    if2542 = done;
  } else {
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2546 == NULL) {
    strlit2546 = alloc_String("p");
    gc_root(strlit2546);
  }
// compiled string node returning strlit2546 (depth = 8)
  int op_slot_right_2545 = gc_frame_newslot(strlit2546);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2545 = gc_frame_newslot(*var_mode);
  params[0] = strlit2546;
  partcv[0] = 1;
  Object opresult2548 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2548 (depth = 7)
  int op_slot_right_2544 = gc_frame_newslot(opresult2548);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2551 == NULL) {
    strlit2551 = alloc_String("c");
    gc_root(strlit2551);
  }
// compiled string node returning strlit2551 (depth = 8)
  int op_slot_right_2550 = gc_frame_newslot(strlit2551);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2550 = gc_frame_newslot(*var_mode);
  params[0] = strlit2551;
  partcv[0] = 1;
  Object opresult2553 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2553 (depth = 7)
  int op_slot_left_2544 = gc_frame_newslot(opresult2553);
  params[0] = opresult2548;
  partcv[0] = 1;
  Object opresult2554 = callmethod(opresult2553, "&&", 1, partcv, params);
// compiled op node returning opresult2554 (depth = 6)
  Object if2543 = done;
  if (istrue(opresult2554)) {
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2558 == NULL) {
    strlit2558 = alloc_String("d");
    gc_root(strlit2558);
  }
// compiled string node returning strlit2558 (depth = 9)
  int op_slot_right_2557 = gc_frame_newslot(strlit2558);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2557 = gc_frame_newslot(*var_mode);
  params[0] = strlit2558;
  partcv[0] = 1;
  Object opresult2560 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2560 (depth = 8)
  int op_slot_right_2556 = gc_frame_newslot(opresult2560);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2563 == NULL) {
    strlit2563 = alloc_String(" ");
    gc_root(strlit2563);
  }
// compiled string node returning strlit2563 (depth = 9)
  int op_slot_right_2562 = gc_frame_newslot(strlit2563);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_2562 = gc_frame_newslot(*var_c);
  params[0] = strlit2563;
  partcv[0] = 1;
  Object opresult2565 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2565 (depth = 8)
  int op_slot_left_2556 = gc_frame_newslot(opresult2565);
  params[0] = opresult2560;
  partcv[0] = 1;
  Object opresult2566 = callmethod(opresult2565, "&&", 1, partcv, params);
// compiled op node returning opresult2566 (depth = 7)
  Object if2555 = done;
  if (istrue(opresult2566)) {
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2567 == NULL) {
    strlit2567 = alloc_String("n");
    gc_root(strlit2567);
  }
// compiled string node returning strlit2567 (depth = 8)
  *var_newmode = strlit2567;
  if (strlit2567 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2555 = done;
  } else {
  }
// compiled if node returning if2555 (depth = 6)
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2571 == NULL) {
    strlit2571 = alloc_String("""\x22""");
    gc_root(strlit2571);
  }
// compiled string node returning strlit2571 (depth = 8)
  int op_slot_right_2570 = gc_frame_newslot(strlit2571);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2570 = gc_frame_newslot(*var_c);
  params[0] = strlit2571;
  partcv[0] = 1;
  Object opresult2573 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2573 (depth = 7)
  Object if2569 = done;
  if (istrue(opresult2573)) {
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2574 == NULL) {
    strlit2574 = alloc_String("""\x22""");
    gc_root(strlit2574);
  }
// compiled string node returning strlit2574 (depth = 8)
  *var_newmode = strlit2574;
  if (strlit2574 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2576 = alloc_Boolean(1);
// compiled identifier node returning bool2576 (depth = 8)
  *var_inStr = bool2576;
  if (bool2576 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2578 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2579 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2580 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2579);
// compiled call node returning call2580 (depth = 9)
// compiled member node returning call2580 (depth = 8)
  gc_frame_newslot(call2580);
// call case 4: self request
  params[0] = call2580;
  partcv[0] = 1;
  Object call2581 = callmethodflags(self, "stringStart:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2578);
// compiled call node returning call2581 (depth = 7)
    gc_frame_newslot(call2581);
    if2569 = call2581;
  } else {
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 762
  setline(762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2584 == NULL) {
    strlit2584 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit2584);
  }
// compiled string node returning strlit2584 (depth = 9)
  int op_slot_right_2583 = gc_frame_newslot(strlit2584);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_2583 = gc_frame_newslot(*var_c);
  params[0] = strlit2584;
  partcv[0] = 1;
  Object opresult2586 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2586 (depth = 8)
  Object if2582 = done;
  if (istrue(opresult2586)) {
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2587 == NULL) {
    strlit2587 = alloc_String("q");
    gc_root(strlit2587);
  }
// compiled string node returning strlit2587 (depth = 9)
  *var_newmode = strlit2587;
  if (strlit2587 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2589 = alloc_Boolean(1);
// compiled identifier node returning bool2589 (depth = 9)
  *var_inStr = bool2589;
  if (bool2589 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2591 = gc_frame_new();
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2592 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2593 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2592);
// compiled call node returning call2593 (depth = 10)
// compiled member node returning call2593 (depth = 9)
  gc_frame_newslot(call2593);
// call case 4: self request
  params[0] = call2593;
  partcv[0] = 1;
  Object call2594 = callmethodflags(self, "startLine:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2591);
// compiled call node returning call2594 (depth = 8)
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2595 = gc_frame_new();
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2596 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2597 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2596);
// compiled call node returning call2597 (depth = 10)
// compiled member node returning call2597 (depth = 9)
  gc_frame_newslot(call2597);
// call case 4: self request
  params[0] = call2597;
  partcv[0] = 1;
  Object call2598 = callmethodflags(self, "stringStart:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2595);
// compiled call node returning call2598 (depth = 8)
    gc_frame_newslot(call2598);
    if2582 = call2598;
  } else {
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2600 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_identifierChar (depth = 10)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2601 = callmethod(*var_identifierChar, "match",
    1, partcv, params);
  gc_frame_end(callframe2600);
// compiled call node returning call2601 (depth = 9)
  Object if2599 = done;
  if (istrue(call2601)) {
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2602 == NULL) {
    strlit2602 = alloc_String("i");
    gc_root(strlit2602);
  }
// compiled string node returning strlit2602 (depth = 10)
  *var_newmode = strlit2602;
  if (strlit2602 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2599 = done;
  } else {
  }
// compiled if node returning if2599 (depth = 8)
    gc_frame_newslot(if2599);
    if2582 = if2599;
  }
// compiled if node returning if2582 (depth = 7)
    gc_frame_newslot(if2582);
    if2569 = if2582;
  }
// compiled if node returning if2569 (depth = 6)
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2605 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ordval (depth = 8)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_digit (depth = 8)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2606 = callmethod(*var_digit, "match",
    1, partcv, params);
  gc_frame_end(callframe2605);
// compiled call node returning call2606 (depth = 7)
  Object if2604 = done;
  if (istrue(call2606)) {
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2609 == NULL) {
    strlit2609 = alloc_String("i");
    gc_root(strlit2609);
  }
// compiled string node returning strlit2609 (depth = 9)
  int op_slot_right_2608 = gc_frame_newslot(strlit2609);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2608 = gc_frame_newslot(*var_mode);
  params[0] = strlit2609;
  partcv[0] = 1;
  Object opresult2611 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult2611 (depth = 8)
  Object if2607 = done;
  if (istrue(opresult2611)) {
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2612 == NULL) {
    strlit2612 = alloc_String("m");
    gc_root(strlit2612);
  }
// compiled string node returning strlit2612 (depth = 9)
  *var_newmode = strlit2612;
  if (strlit2612 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2607 = done;
  } else {
  }
// compiled if node returning if2607 (depth = 7)
    gc_frame_newslot(if2607);
    if2604 = if2607;
  } else {
  }
// compiled if node returning if2604 (depth = 6)
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2616 == NULL) {
    strlit2616 = alloc_String("m");
    gc_root(strlit2616);
  }
// compiled string node returning strlit2616 (depth = 8)
  int op_slot_right_2615 = gc_frame_newslot(strlit2616);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2615 = gc_frame_newslot(*var_mode);
  params[0] = strlit2616;
  partcv[0] = 1;
  Object opresult2618 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2618 (depth = 7)
  Object if2614 = done;
  if (istrue(opresult2618)) {
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2622 = alloc_Float64(122);
// compiled num node returning num2622 (depth = 10)
  int op_slot_right_2621 = gc_frame_newslot(num2622);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  int op_slot_left_2621 = gc_frame_newslot(*var_ordval);
  params[0] = num2622;
  partcv[0] = 1;
  Object opresult2624 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compiled op node returning opresult2624 (depth = 9)
  int op_slot_right_2620 = gc_frame_newslot(opresult2624);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2627 = alloc_Float64(97);
// compiled num node returning num2627 (depth = 10)
  int op_slot_right_2626 = gc_frame_newslot(num2627);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  int op_slot_left_2626 = gc_frame_newslot(*var_ordval);
  params[0] = num2627;
  partcv[0] = 1;
  Object opresult2629 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compiled op node returning opresult2629 (depth = 9)
  int op_slot_left_2620 = gc_frame_newslot(opresult2629);
  params[0] = opresult2624;
  partcv[0] = 1;
  Object opresult2630 = callmethod(opresult2629, "&&", 1, partcv, params);
// compiled op node returning opresult2630 (depth = 8)
  Object if2619 = done;
  if (istrue(opresult2630)) {
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2631 == NULL) {
    strlit2631 = alloc_String("m");
    gc_root(strlit2631);
  }
// compiled string node returning strlit2631 (depth = 9)
  *var_newmode = strlit2631;
  if (strlit2631 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2619 = done;
  } else {
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2636 = alloc_Float64(90);
// compiled num node returning num2636 (depth = 11)
  int op_slot_right_2635 = gc_frame_newslot(num2636);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ordval (depth = 11)
  int op_slot_left_2635 = gc_frame_newslot(*var_ordval);
  params[0] = num2636;
  partcv[0] = 1;
  Object opresult2638 = callmethod(*var_ordval, "<=", 1, partcv, params);
// compiled op node returning opresult2638 (depth = 10)
  int op_slot_right_2634 = gc_frame_newslot(opresult2638);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2641 = alloc_Float64(65);
// compiled num node returning num2641 (depth = 11)
  int op_slot_right_2640 = gc_frame_newslot(num2641);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ordval (depth = 11)
  int op_slot_left_2640 = gc_frame_newslot(*var_ordval);
  params[0] = num2641;
  partcv[0] = 1;
  Object opresult2643 = callmethod(*var_ordval, ">=", 1, partcv, params);
// compiled op node returning opresult2643 (depth = 10)
  int op_slot_left_2634 = gc_frame_newslot(opresult2643);
  params[0] = opresult2638;
  partcv[0] = 1;
  Object opresult2644 = callmethod(opresult2643, "&&", 1, partcv, params);
// compiled op node returning opresult2644 (depth = 9)
  Object if2633 = done;
  if (istrue(opresult2644)) {
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2645 == NULL) {
    strlit2645 = alloc_String("m");
    gc_root(strlit2645);
  }
// compiled string node returning strlit2645 (depth = 10)
  *var_newmode = strlit2645;
  if (strlit2645 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2633 = done;
  } else {
  }
// compiled if node returning if2633 (depth = 8)
    gc_frame_newslot(if2633);
    if2619 = if2633;
  }
// compiled if node returning if2619 (depth = 7)
    gc_frame_newslot(if2619);
    if2614 = if2619;
  } else {
  }
// compiled if node returning if2614 (depth = 6)
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2649 == NULL) {
    strlit2649 = alloc_String("<");
    gc_root(strlit2649);
  }
// compiled string node returning strlit2649 (depth = 8)
  int op_slot_right_2648 = gc_frame_newslot(strlit2649);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2648 = gc_frame_newslot(*var_c);
  params[0] = strlit2649;
  partcv[0] = 1;
  Object opresult2651 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2651 (depth = 7)
  Object if2647 = done;
  if (istrue(opresult2651)) {
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2654 == NULL) {
    strlit2654 = alloc_String("i");
    gc_root(strlit2654);
  }
// compiled string node returning strlit2654 (depth = 9)
  int op_slot_right_2653 = gc_frame_newslot(strlit2654);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2653 = gc_frame_newslot(*var_mode);
  params[0] = strlit2654;
  partcv[0] = 1;
  Object opresult2656 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2656 (depth = 8)
  Object if2652 = done;
  if (istrue(opresult2656)) {
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2657 == NULL) {
    strlit2657 = alloc_String("<");
    gc_root(strlit2657);
  }
// compiled string node returning strlit2657 (depth = 9)
  *var_newmode = strlit2657;
  if (strlit2657 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2652 = done;
  } else {
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2662 == NULL) {
    strlit2662 = alloc_String("op");
    gc_root(strlit2662);
  }
// compiled string node returning strlit2662 (depth = 11)
  int op_slot_right_2661 = gc_frame_newslot(strlit2662);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2664 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe2665 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tokens (depth = 15)
  partcv[0] = 0;
  Object call2666 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2665);
// compiled call node returning call2666 (depth = 14)
// compiled member node returning call2666 (depth = 13)
  partcv[0] = 0;
  Object call2667 = callmethod(call2666, "kind",
    1, partcv, params);
  gc_frame_end(callframe2664);
// compiled call node returning call2667 (depth = 12)
// compiled member node returning call2667 (depth = 11)
  int op_slot_left_2661 = gc_frame_newslot(call2667);
  params[0] = strlit2662;
  partcv[0] = 1;
  Object opresult2668 = callmethod(call2667, "==", 1, partcv, params);
// compiled op node returning opresult2668 (depth = 10)
  int op_slot_right_2660 = gc_frame_newslot(opresult2668);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2671 == NULL) {
    strlit2671 = alloc_String("n");
    gc_root(strlit2671);
  }
// compiled string node returning strlit2671 (depth = 11)
  int op_slot_right_2670 = gc_frame_newslot(strlit2671);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  int op_slot_left_2670 = gc_frame_newslot(*var_mode);
  params[0] = strlit2671;
  partcv[0] = 1;
  Object opresult2673 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2673 (depth = 10)
  int op_slot_left_2660 = gc_frame_newslot(opresult2673);
  params[0] = opresult2668;
  partcv[0] = 1;
  Object opresult2674 = callmethod(opresult2673, "&&", 1, partcv, params);
// compiled op node returning opresult2674 (depth = 9)
  Object if2659 = done;
  if (istrue(opresult2674)) {
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2675 == NULL) {
    strlit2675 = alloc_String("<");
    gc_root(strlit2675);
  }
// compiled string node returning strlit2675 (depth = 10)
  *var_newmode = strlit2675;
  if (strlit2675 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2659 = done;
  } else {
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2677 == NULL) {
    strlit2677 = alloc_String("o");
    gc_root(strlit2677);
  }
// compiled string node returning strlit2677 (depth = 10)
  *var_newmode = strlit2677;
  if (strlit2677 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2659 = done;
  }
// compiled if node returning if2659 (depth = 8)
    gc_frame_newslot(if2659);
    if2652 = if2659;
  }
// compiled if node returning if2652 (depth = 7)
    gc_frame_newslot(if2652);
    if2647 = if2652;
  } else {
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2683 == NULL) {
    strlit2683 = alloc_String(">");
    gc_root(strlit2683);
  }
// compiled string node returning strlit2683 (depth = 11)
  int op_slot_right_2682 = gc_frame_newslot(strlit2683);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  int op_slot_left_2682 = gc_frame_newslot(*var_mode);
  params[0] = strlit2683;
  partcv[0] = 1;
  Object opresult2685 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2685 (depth = 10)
  int op_slot_right_2681 = gc_frame_newslot(opresult2685);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2689 == NULL) {
    strlit2689 = alloc_String("<");
    gc_root(strlit2689);
  }
// compiled string node returning strlit2689 (depth = 12)
  int op_slot_right_2688 = gc_frame_newslot(strlit2689);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  int op_slot_left_2688 = gc_frame_newslot(*var_mode);
  params[0] = strlit2689;
  partcv[0] = 1;
  Object opresult2691 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2691 (depth = 11)
  int op_slot_right_2687 = gc_frame_newslot(opresult2691);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2694 == NULL) {
    strlit2694 = alloc_String("i");
    gc_root(strlit2694);
  }
// compiled string node returning strlit2694 (depth = 12)
  int op_slot_right_2693 = gc_frame_newslot(strlit2694);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  int op_slot_left_2693 = gc_frame_newslot(*var_mode);
  params[0] = strlit2694;
  partcv[0] = 1;
  Object opresult2696 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2696 (depth = 11)
  int op_slot_left_2687 = gc_frame_newslot(opresult2696);
  params[0] = opresult2691;
  partcv[0] = 1;
  Object opresult2697 = callmethod(opresult2696, "||", 1, partcv, params);
// compiled op node returning opresult2697 (depth = 10)
  int op_slot_left_2681 = gc_frame_newslot(opresult2697);
  params[0] = opresult2685;
  partcv[0] = 1;
  Object opresult2698 = callmethod(opresult2697, "||", 1, partcv, params);
// compiled op node returning opresult2698 (depth = 9)
  int op_slot_right_2680 = gc_frame_newslot(opresult2698);
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2701 == NULL) {
    strlit2701 = alloc_String(">");
    gc_root(strlit2701);
  }
// compiled string node returning strlit2701 (depth = 10)
  int op_slot_right_2700 = gc_frame_newslot(strlit2701);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_2700 = gc_frame_newslot(*var_c);
  params[0] = strlit2701;
  partcv[0] = 1;
  Object opresult2703 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2703 (depth = 9)
  int op_slot_left_2680 = gc_frame_newslot(opresult2703);
  params[0] = opresult2698;
  partcv[0] = 1;
  Object opresult2704 = callmethod(opresult2703, "&&", 1, partcv, params);
// compiled op node returning opresult2704 (depth = 8)
  Object if2679 = done;
  if (istrue(opresult2704)) {
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2707 == NULL) {
    strlit2707 = alloc_String(">");
    gc_root(strlit2707);
  }
// compiled string node returning strlit2707 (depth = 10)
  int op_slot_right_2706 = gc_frame_newslot(strlit2707);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_2706 = gc_frame_newslot(*var_mode);
  params[0] = strlit2707;
  partcv[0] = 1;
  Object opresult2709 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2709 (depth = 9)
  Object if2705 = done;
  if (istrue(opresult2709)) {
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2710 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2711 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2710);
// compiled call node returning call2711 (depth = 9)
    gc_frame_newslot(call2711);
    if2705 = call2711;
  } else {
  }
// compiled if node returning if2705 (depth = 8)
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2712 == NULL) {
    strlit2712 = alloc_String(">");
    gc_root(strlit2712);
  }
// compiled string node returning strlit2712 (depth = 9)
  *var_newmode = strlit2712;
  if (strlit2712 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2679 = done;
  } else {
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2715 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  gc_frame_newslot(*var_ordval);
// call case 4: self request
  params[0] = *var_c;
  params[1] = *var_ordval;
  partcv[0] = 2;
  Object call2716 = callmethodflags(self, "isoperatorchar", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2715);
// compiled call node returning call2716 (depth = 9)
  Object if2714 = done;
  if (istrue(call2716)) {
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2717 == NULL) {
    strlit2717 = alloc_String("o");
    gc_root(strlit2717);
  }
// compiled string node returning strlit2717 (depth = 10)
  *var_newmode = strlit2717;
  if (strlit2717 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2714 = done;
  } else {
  }
// compiled if node returning if2714 (depth = 8)
    gc_frame_newslot(if2714);
    if2679 = if2714;
  }
// compiled if node returning if2679 (depth = 7)
    gc_frame_newslot(if2679);
    if2647 = if2679;
  }
// compiled if node returning if2647 (depth = 6)
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2720 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ordval (depth = 8)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_selfModes (depth = 8)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2721 = callmethod(*var_selfModes, "match",
    1, partcv, params);
  gc_frame_end(callframe2720);
// compiled call node returning call2721 (depth = 7)
  Object if2719 = done;
  if (istrue(call2721)) {
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  *var_newmode = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2719 = done;
  } else {
  }
// compiled if node returning if2719 (depth = 6)
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2725 == NULL) {
    strlit2725 = alloc_String("#");
    gc_root(strlit2725);
  }
// compiled string node returning strlit2725 (depth = 8)
  int op_slot_right_2724 = gc_frame_newslot(strlit2725);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2724 = gc_frame_newslot(*var_c);
  params[0] = strlit2725;
  partcv[0] = 1;
  Object opresult2727 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2727 (depth = 7)
  Object if2723 = done;
  if (istrue(opresult2727)) {
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2730 == NULL) {
    strlit2730 = alloc_String("#pragma");
    gc_root(strlit2730);
  }
// compiled string node returning strlit2730 (depth = 9)
  int op_slot_right_2729 = gc_frame_newslot(strlit2730);
// starting to compile call node (depth = 9)
  int callframe2732 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num2733 = alloc_Float64(1);
// compiled num node returning num2733 (depth = 10)
  gc_frame_newslot(num2733);
// starting to compile num node (depth = 10)
  Object num2734 = alloc_Float64(7);
// compiled num node returning num2734 (depth = 10)
  gc_frame_newslot(num2734);
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe2735 = gc_frame_new();
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2736 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2737 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2736);
// compiled call node returning call2737 (depth = 12)
// compiled member node returning call2737 (depth = 11)
  gc_frame_newslot(call2737);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2738 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_util (depth = 13)
  partcv[0] = 0;
  Object call2739 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe2738);
// compiled call node returning call2739 (depth = 12)
// compiled member node returning call2739 (depth = 11)
  params[0] = call2737;
  partcv[0] = 1;
  Object call2740 = callmethod(call2739, "at",
    1, partcv, params);
  gc_frame_end(callframe2735);
// compiled call node returning call2740 (depth = 10)
  params[0] = num2733;
  params[1] = num2734;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2741 = callmethod(call2740, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe2732);
// compiled call node returning call2741 (depth = 9)
  int op_slot_left_2729 = gc_frame_newslot(call2741);
  params[0] = strlit2730;
  partcv[0] = 1;
  Object opresult2742 = callmethod(call2741, "==", 1, partcv, params);
// compiled op node returning opresult2742 (depth = 8)
  Object if2728 = done;
  if (istrue(opresult2742)) {
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_atStart (depth = 9)
  Object if2743 = done;
  if (istrue(*var_atStart)) {
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2744 == NULL) {
    strlit2744 = alloc_String("p");
    gc_root(strlit2744);
  }
// compiled string node returning strlit2744 (depth = 10)
  *var_mode = strlit2744;
  if (strlit2744 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2746 == NULL) {
    strlit2746 = alloc_String("p");
    gc_root(strlit2746);
  }
// compiled string node returning strlit2746 (depth = 10)
  *var_newmode = strlit2746;
  if (strlit2746 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2743 = done;
  } else {
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2748 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2749 == NULL) {
    strlit2749 = alloc_String("pragmas must be at the start of the file.");
    gc_root(strlit2749);
  }
// compiled string node returning strlit2749 (depth = 10)
  gc_frame_newslot(strlit2749);
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2750 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2751 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2750);
// compiled call node returning call2751 (depth = 11)
// compiled member node returning call2751 (depth = 10)
  gc_frame_newslot(call2751);
// call case 6: other member request
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2749;
  params[1] = call2751;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2752 = callmethod(*var_errormessages, "syntaxError()atLine",
    2, partcv, params);
  gc_frame_end(callframe2748);
// compiled call node returning call2752 (depth = 9)
    gc_frame_newslot(call2752);
    if2743 = call2752;
  }
// compiled if node returning if2743 (depth = 8)
    gc_frame_newslot(if2743);
    if2728 = if2743;
  } else {
  }
// compiled if node returning if2728 (depth = 7)
    gc_frame_newslot(if2728);
    if2723 = if2728;
  } else {
  }
// compiled if node returning if2723 (depth = 6)
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2755 == NULL) {
    strlit2755 = alloc_String(".");
    gc_root(strlit2755);
  }
// compiled string node returning strlit2755 (depth = 8)
  int op_slot_right_2754 = gc_frame_newslot(strlit2755);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2754 = gc_frame_newslot(*var_c);
  params[0] = strlit2755;
  partcv[0] = 1;
  Object opresult2757 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2757 (depth = 7)
  Object if2753 = done;
  if (istrue(opresult2757)) {
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2760 == NULL) {
    strlit2760 = alloc_String(".");
    gc_root(strlit2760);
  }
// compiled string node returning strlit2760 (depth = 9)
  int op_slot_right_2759 = gc_frame_newslot(strlit2760);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_2759 = gc_frame_newslot(*var_accum);
  params[0] = strlit2760;
  partcv[0] = 1;
  Object opresult2762 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult2762 (depth = 8)
  Object if2758 = done;
  if (istrue(opresult2762)) {
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2763 == NULL) {
    strlit2763 = alloc_String("o");
    gc_root(strlit2763);
  }
// compiled string node returning strlit2763 (depth = 9)
  *var_mode = strlit2763;
  if (strlit2763 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2758 = done;
  } else {
  }
// compiled if node returning if2758 (depth = 7)
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2768 == NULL) {
    strlit2768 = alloc_String("..");
    gc_root(strlit2768);
  }
// compiled string node returning strlit2768 (depth = 9)
  int op_slot_right_2767 = gc_frame_newslot(strlit2768);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_2767 = gc_frame_newslot(*var_accum);
  params[0] = strlit2768;
  partcv[0] = 1;
  Object opresult2770 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult2770 (depth = 8)
  Object if2766 = done;
  if (istrue(opresult2770)) {
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2771 == NULL) {
    strlit2771 = alloc_String("n");
    gc_root(strlit2771);
  }
// compiled string node returning strlit2771 (depth = 9)
  *var_mode = strlit2771;
  if (strlit2771 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2774 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 9)
  if (strlit2775 == NULL) {
    strlit2775 = alloc_String("i");
    gc_root(strlit2775);
  }
// compiled string node returning strlit2775 (depth = 9)
  gc_frame_newslot(strlit2775);
// starting to compile string node (depth = 9)
  if (strlit2776 == NULL) {
    strlit2776 = alloc_String("...");
    gc_root(strlit2776);
  }
// compiled string node returning strlit2776 (depth = 9)
  gc_frame_newslot(strlit2776);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2775;
  params[2] = strlit2776;
  partcv[0] = 3;
  Object call2777 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2774);
// compiled call node returning call2777 (depth = 8)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2778 == NULL) {
    strlit2778 = alloc_String("");
    gc_root(strlit2778);
  }
// compiled string node returning strlit2778 (depth = 9)
  *var_accum = strlit2778;
  if (strlit2778 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2766 = done;
  } else {
  }
// compiled if node returning if2766 (depth = 7)
    gc_frame_newslot(if2766);
    if2753 = if2766;
  } else {
  }
// compiled if node returning if2753 (depth = 6)
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2782 == NULL) {
    strlit2782 = alloc_String("/");
    gc_root(strlit2782);
  }
// compiled string node returning strlit2782 (depth = 8)
  int op_slot_right_2781 = gc_frame_newslot(strlit2782);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2781 = gc_frame_newslot(*var_c);
  params[0] = strlit2782;
  partcv[0] = 1;
  Object opresult2784 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2784 (depth = 7)
  Object if2780 = done;
  if (istrue(opresult2784)) {
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2787 == NULL) {
    strlit2787 = alloc_String("/");
    gc_root(strlit2787);
  }
// compiled string node returning strlit2787 (depth = 9)
  int op_slot_right_2786 = gc_frame_newslot(strlit2787);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_2786 = gc_frame_newslot(*var_accum);
  params[0] = strlit2787;
  partcv[0] = 1;
  Object opresult2789 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult2789 (depth = 8)
  Object if2785 = done;
  if (istrue(opresult2789)) {
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2790 == NULL) {
    strlit2790 = alloc_String("c");
    gc_root(strlit2790);
  }
// compiled string node returning strlit2790 (depth = 9)
  *var_mode = strlit2790;
  if (strlit2790 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2785 = done;
  } else {
  }
// compiled if node returning if2785 (depth = 7)
    gc_frame_newslot(if2785);
    if2780 = if2785;
  } else {
  }
// compiled if node returning if2780 (depth = 6)
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2795 == NULL) {
    strlit2795 = alloc_String("n");
    gc_root(strlit2795);
  }
// compiled string node returning strlit2795 (depth = 8)
  int op_slot_right_2794 = gc_frame_newslot(strlit2795);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2794 = gc_frame_newslot(*var_mode);
  params[0] = strlit2795;
  partcv[0] = 1;
  Object opresult2797 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2797 (depth = 7)
  Object if2793 = done;
  if (istrue(opresult2797)) {
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newmode (depth = 9)
  int op_slot_right_2799 = gc_frame_newslot(*var_newmode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2799 = gc_frame_newslot(*var_mode);
  params[0] = *var_newmode;
  partcv[0] = 1;
  Object opresult2801 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2801 (depth = 8)
  Object if2798 = done;
  if (istrue(opresult2801)) {
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2803 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 11)
  int callframe2804 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_unicode (depth = 12)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2805 = callmethod(*var_unicode, "isSeparator",
    1, partcv, params);
  gc_frame_end(callframe2804);
// compiled call node returning call2805 (depth = 11)
  partcv[0] = 0;
  Object call2806 = callmethod(call2805, "not",
    1, partcv, params);
  gc_frame_end(callframe2803);
// compiled call node returning call2806 (depth = 10)
// compiled member node returning call2806 (depth = 9)
  Object if2802 = done;
  if (istrue(call2806)) {
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2808 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 12)
  int callframe2809 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_ordval (depth = 13)
  gc_frame_newslot(*var_ordval);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2810 = callmethod(*var_unicode, "isControl",
    1, partcv, params);
  gc_frame_end(callframe2809);
// compiled call node returning call2810 (depth = 12)
  partcv[0] = 0;
  Object call2811 = callmethod(call2810, "not",
    1, partcv, params);
  gc_frame_end(callframe2808);
// compiled call node returning call2811 (depth = 11)
// compiled member node returning call2811 (depth = 10)
  Object if2807 = done;
  if (istrue(call2811)) {
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2814 = alloc_Float64(10);
// compiled num node returning num2814 (depth = 12)
  int op_slot_right_2813 = gc_frame_newslot(num2814);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  int op_slot_left_2813 = gc_frame_newslot(*var_ordval);
  params[0] = num2814;
  partcv[0] = 1;
  Object opresult2816 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compiled op node returning opresult2816 (depth = 11)
  Object if2812 = done;
  if (istrue(opresult2816)) {
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num2819 = alloc_Float64(13);
// compiled num node returning num2819 (depth = 13)
  int op_slot_right_2818 = gc_frame_newslot(num2819);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_ordval (depth = 13)
  int op_slot_left_2818 = gc_frame_newslot(*var_ordval);
  params[0] = num2819;
  partcv[0] = 1;
  Object opresult2821 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compiled op node returning opresult2821 (depth = 12)
  Object if2817 = done;
  if (istrue(opresult2821)) {
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num2824 = alloc_Float64(32);
// compiled num node returning num2824 (depth = 14)
  int op_slot_right_2823 = gc_frame_newslot(num2824);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_ordval (depth = 14)
  int op_slot_left_2823 = gc_frame_newslot(*var_ordval);
  params[0] = num2824;
  partcv[0] = 1;
  Object opresult2826 = callmethod(*var_ordval, "!=", 1, partcv, params);
// compiled op node returning opresult2826 (depth = 13)
  Object if2822 = done;
  if (istrue(opresult2826)) {
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2829 == NULL) {
    strlit2829 = alloc_String(".");
    gc_root(strlit2829);
  }
// compiled string node returning strlit2829 (depth = 15)
  int op_slot_right_2828 = gc_frame_newslot(strlit2829);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_2828 = gc_frame_newslot(*var_c);
  params[0] = strlit2829;
  partcv[0] = 1;
  Object opresult2831 = callmethod(*var_c, "!=", 1, partcv, params);
// compiled op node returning opresult2831 (depth = 14)
  Object if2827 = done;
  if (istrue(opresult2831)) {
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe2832 = gc_frame_new();
// starting to compile op node (depth = 15)
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 16)
  if (strlit2834 == NULL) {
    strlit2834 = alloc_String("is not a valid character; use spaces instead.");
    gc_root(strlit2834);
  }
// compiled string node returning strlit2834 (depth = 16)
  int op_slot_right_2833 = gc_frame_newslot(strlit2834);
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit2837 == NULL) {
    strlit2837 = alloc_String(") ");
    gc_root(strlit2837);
  }
// compiled string node returning strlit2837 (depth = 17)
  int op_slot_right_2836 = gc_frame_newslot(strlit2837);
// starting to compile op node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe2840 = gc_frame_new();
// starting to compile call node (depth = 19)
  int callframe2841 = gc_frame_new();
// starting to compile num node (depth = 20)
  Object num2842 = alloc_Float64(16);
// compiled num node returning num2842 (depth = 20)
  gc_frame_newslot(num2842);
// call case 6: other member request
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_ordval (depth = 20)
  params[0] = num2842;
  partcv[0] = 1;
  Object call2843 = callmethod(*var_ordval, "inBase",
    1, partcv, params);
  gc_frame_end(callframe2841);
// compiled call node returning call2843 (depth = 19)
  gc_frame_newslot(call2843);
// starting to compile num node (depth = 19)
  Object num2844 = alloc_Float64(4);
// compiled num node returning num2844 (depth = 19)
  gc_frame_newslot(num2844);
// starting to compile string node (depth = 19)
  if (strlit2845 == NULL) {
    strlit2845 = alloc_String("0");
    gc_root(strlit2845);
  }
// compiled string node returning strlit2845 (depth = 19)
  gc_frame_newslot(strlit2845);
// call case 2: outer request
// starting to compile member node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe2846 = gc_frame_new();
// call case 3: self.outer request
  Object call2847 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2846);
// compiled call node returning call2847 (depth = 20)
// compiled member node returning call2847 (depth = 19)
  params[0] = call2843;
  params[1] = num2844;
  params[2] = strlit2845;
  partcv[0] = 3;
  Object call2848 = callmethodflags(call2847, "padl", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2840);
// compiled call node returning call2848 (depth = 18)
  int op_slot_right_2839 = gc_frame_newslot(call2848);
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit2851 == NULL) {
    strlit2851 = alloc_String(" (U+");
    gc_root(strlit2851);
  }
// compiled string node returning strlit2851 (depth = 19)
  int op_slot_right_2850 = gc_frame_newslot(strlit2851);
// starting to compile op node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe2854 = gc_frame_new();
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_c (depth = 21)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_unicode (depth = 21)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2855 = callmethod(*var_unicode, "name",
    1, partcv, params);
  gc_frame_end(callframe2854);
// compiled call node returning call2855 (depth = 20)
  int op_slot_right_2853 = gc_frame_newslot(call2855);
// starting to compile string node (depth = 20)
  if (strlit2857 == NULL) {
    strlit2857 = alloc_String("");
    gc_root(strlit2857);
  }
// compiled string node returning strlit2857 (depth = 20)
  int op_slot_left_2853 = gc_frame_newslot(strlit2857);
  params[0] = call2855;
  partcv[0] = 1;
  Object opresult2858 = callmethod(strlit2857, "++", 1, partcv, params);
// compiled op node returning opresult2858 (depth = 19)
  int op_slot_left_2850 = gc_frame_newslot(opresult2858);
  params[0] = strlit2851;
  partcv[0] = 1;
  Object opresult2859 = callmethod(opresult2858, "++", 1, partcv, params);
// compiled op node returning opresult2859 (depth = 18)
  int op_slot_left_2839 = gc_frame_newslot(opresult2859);
  params[0] = call2848;
  partcv[0] = 1;
  Object opresult2860 = callmethod(opresult2859, "++", 1, partcv, params);
// compiled op node returning opresult2860 (depth = 17)
  int op_slot_left_2836 = gc_frame_newslot(opresult2860);
  params[0] = strlit2837;
  partcv[0] = 1;
  Object opresult2861 = callmethod(opresult2860, "++", 1, partcv, params);
// compiled op node returning opresult2861 (depth = 16)
  int op_slot_left_2833 = gc_frame_newslot(opresult2861);
  params[0] = strlit2834;
  partcv[0] = 1;
  Object opresult2862 = callmethod(opresult2861, "++", 1, partcv, params);
// compiled op node returning opresult2862 (depth = 15)
  gc_frame_newslot(opresult2862);
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2863 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2864 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2863);
// compiled call node returning call2864 (depth = 16)
// compiled member node returning call2864 (depth = 15)
  gc_frame_newslot(call2864);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2865 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2866 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2865);
// compiled call node returning call2866 (depth = 16)
// compiled member node returning call2866 (depth = 15)
  gc_frame_newslot(call2866);
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2867 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2868 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2867);
// compiled call node returning call2868 (depth = 16)
// compiled member node returning call2868 (depth = 15)
  gc_frame_newslot(call2868);
// call case 6: other member request
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_errormessages (depth = 15)
  params[0] = opresult2862;
  params[1] = call2864;
  params[2] = call2866;
  params[3] = call2868;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2869 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe2832);
// compiled call node returning call2869 (depth = 14)
    gc_frame_newslot(call2869);
    if2827 = call2869;
  } else {
  }
// compiled if node returning if2827 (depth = 13)
    gc_frame_newslot(if2827);
    if2822 = if2827;
  } else {
  }
// compiled if node returning if2822 (depth = 12)
    gc_frame_newslot(if2822);
    if2817 = if2822;
  } else {
  }
// compiled if node returning if2817 (depth = 11)
    gc_frame_newslot(if2817);
    if2812 = if2817;
  } else {
  }
// compiled if node returning if2812 (depth = 10)
    gc_frame_newslot(if2812);
    if2807 = if2812;
  } else {
  }
// compiled if node returning if2807 (depth = 9)
    gc_frame_newslot(if2807);
    if2802 = if2807;
  } else {
  }
// compiled if node returning if2802 (depth = 8)
    gc_frame_newslot(if2802);
    if2798 = if2802;
  } else {
  }
// compiled if node returning if2798 (depth = 7)
    gc_frame_newslot(if2798);
    if2793 = if2798;
  } else {
  }
// compiled if node returning if2793 (depth = 6)
    gc_frame_newslot(if2793);
    if2543 = if2793;
  } else {
  }
// compiled if node returning if2543 (depth = 5)
    gc_frame_newslot(if2543);
    if2542 = if2543;
  }
// compiled if node returning if2542 (depth = 4)
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2872 == NULL) {
    strlit2872 = alloc_String("""\x22""");
    gc_root(strlit2872);
  }
// compiled string node returning strlit2872 (depth = 6)
  int op_slot_right_2871 = gc_frame_newslot(strlit2872);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_2871 = gc_frame_newslot(*var_mode);
  params[0] = strlit2872;
  partcv[0] = 1;
  Object opresult2874 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2874 (depth = 5)
  Object if2870 = done;
  if (istrue(opresult2874)) {
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2877 == NULL) {
    strlit2877 = alloc_String("""\x22""");
    gc_root(strlit2877);
  }
// compiled string node returning strlit2877 (depth = 7)
  int op_slot_right_2876 = gc_frame_newslot(strlit2877);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_2876 = gc_frame_newslot(*var_c);
  params[0] = strlit2877;
  partcv[0] = 1;
  Object opresult2879 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2879 (depth = 6)
  Object if2875 = done;
  if (istrue(opresult2879)) {
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2881 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_escaped (depth = 9)
  partcv[0] = 0;
  Object call2882 = callmethod(*var_escaped, "not",
    1, partcv, params);
  gc_frame_end(callframe2881);
// compiled call node returning call2882 (depth = 8)
// compiled member node returning call2882 (depth = 7)
  Object if2880 = done;
  if (istrue(call2882)) {
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2883 == NULL) {
    strlit2883 = alloc_String("n");
    gc_root(strlit2883);
  }
// compiled string node returning strlit2883 (depth = 8)
  *var_newmode = strlit2883;
  if (strlit2883 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2885 = alloc_Boolean(0);
// compiled identifier node returning bool2885 (depth = 8)
  *var_inStr = bool2885;
  if (bool2885 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_interpString (depth = 8)
  Object if2887 = done;
  if (istrue(*var_interpString)) {
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2888 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2889 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2888);
// compiled call node returning call2889 (depth = 8)
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2890 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 9)
  if (strlit2891 == NULL) {
    strlit2891 = alloc_String(")");
    gc_root(strlit2891);
  }
// compiled string node returning strlit2891 (depth = 9)
  gc_frame_newslot(strlit2891);
// starting to compile string node (depth = 9)
  if (strlit2892 == NULL) {
    strlit2892 = alloc_String(")");
    gc_root(strlit2892);
  }
// compiled string node returning strlit2892 (depth = 9)
  gc_frame_newslot(strlit2892);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2891;
  params[2] = strlit2892;
  partcv[0] = 3;
  Object call2893 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2890);
// compiled call node returning call2893 (depth = 8)
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newmode (depth = 9)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2895 = alloc_Boolean(0);
// compiled identifier node returning bool2895 (depth = 9)
  *var_interpString = bool2895;
  if (bool2895 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2887 = done;
  } else {
  }
// compiled if node returning if2887 (depth = 7)
    gc_frame_newslot(if2887);
    if2880 = if2887;
  } else {
  }
// compiled if node returning if2880 (depth = 6)
    gc_frame_newslot(if2880);
    if2875 = if2880;
  } else {
  }
// compiled if node returning if2875 (depth = 5)
    gc_frame_newslot(if2875);
    if2870 = if2875;
  } else {
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2899 == NULL) {
    strlit2899 = alloc_String("q");
    gc_root(strlit2899);
  }
// compiled string node returning strlit2899 (depth = 7)
  int op_slot_right_2898 = gc_frame_newslot(strlit2899);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_2898 = gc_frame_newslot(*var_mode);
  params[0] = strlit2899;
  partcv[0] = 1;
  Object opresult2901 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult2901 (depth = 6)
  Object if2897 = done;
  if (istrue(opresult2901)) {
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2904 == NULL) {
    strlit2904 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit2904);
  }
// compiled string node returning strlit2904 (depth = 8)
  int op_slot_right_2903 = gc_frame_newslot(strlit2904);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2903 = gc_frame_newslot(*var_c);
  params[0] = strlit2904;
  partcv[0] = 1;
  Object opresult2906 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult2906 (depth = 7)
  Object if2902 = done;
  if (istrue(opresult2906)) {
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2907 == NULL) {
    strlit2907 = alloc_String("n");
    gc_root(strlit2907);
  }
// compiled string node returning strlit2907 (depth = 8)
  *var_newmode = strlit2907;
  if (strlit2907 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2909 = alloc_Boolean(0);
// compiled identifier node returning bool2909 (depth = 8)
  *var_inStr = bool2909;
  if (bool2909 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2902 = done;
  } else {
  }
// compiled if node returning if2902 (depth = 6)
    gc_frame_newslot(if2902);
    if2897 = if2902;
  } else {
  }
// compiled if node returning if2897 (depth = 5)
    gc_frame_newslot(if2897);
    if2870 = if2897;
  }
// compiled if node returning if2870 (depth = 4)
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_right_2912 = gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newmode (depth = 6)
  int op_slot_left_2912 = gc_frame_newslot(*var_newmode);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult2914 = callmethod(*var_newmode, "!=", 1, partcv, params);
// compiled op node returning opresult2914 (depth = 5)
  Object if2911 = done;
  if (istrue(opresult2914)) {
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2915 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2916 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2915);
// compiled call node returning call2916 (depth = 5)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2919 = alloc_Float64(0);
// compiled num node returning num2919 (depth = 7)
  int op_slot_right_2918 = gc_frame_newslot(num2919);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_interpdepth (depth = 7)
  int op_slot_left_2918 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2919;
  partcv[0] = 1;
  Object opresult2921 = callmethod(*var_interpdepth, ">", 1, partcv, params);
// compiled op node returning opresult2921 (depth = 6)
  Object if2917 = done;
  if (istrue(opresult2921)) {
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2924 == NULL) {
    strlit2924 = alloc_String("}");
    gc_root(strlit2924);
  }
// compiled string node returning strlit2924 (depth = 8)
  int op_slot_right_2923 = gc_frame_newslot(strlit2924);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newmode (depth = 8)
  int op_slot_left_2923 = gc_frame_newslot(*var_newmode);
  params[0] = strlit2924;
  partcv[0] = 1;
  Object opresult2926 = callmethod(*var_newmode, "==", 1, partcv, params);
// compiled op node returning opresult2926 (depth = 7)
  Object if2922 = done;
  if (istrue(opresult2926)) {
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2929 == NULL) {
    strlit2929 = alloc_String("lbrace");
    gc_root(strlit2929);
  }
// compiled string node returning strlit2929 (depth = 9)
  int op_slot_right_2928 = gc_frame_newslot(strlit2929);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2931 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2932 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  partcv[0] = 0;
  Object call2933 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2932);
// compiled call node returning call2933 (depth = 12)
// compiled member node returning call2933 (depth = 11)
  partcv[0] = 0;
  Object call2934 = callmethod(call2933, "kind",
    1, partcv, params);
  gc_frame_end(callframe2931);
// compiled call node returning call2934 (depth = 10)
// compiled member node returning call2934 (depth = 9)
  int op_slot_left_2928 = gc_frame_newslot(call2934);
  params[0] = strlit2929;
  partcv[0] = 1;
  Object opresult2935 = callmethod(call2934, "==", 1, partcv, params);
// compiled op node returning opresult2935 (depth = 8)
  Object if2927 = done;
  if (istrue(opresult2935)) {
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2936 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2937 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call2938 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2937);
// compiled call node returning call2938 (depth = 12)
// compiled member node returning call2938 (depth = 11)
  partcv[0] = 0;
  Object call2939 = callmethod(call2938, "new",
    1, partcv, params);
  gc_frame_end(callframe2936);
// compiled call node returning call2939 (depth = 10)
// compiled member node returning call2939 (depth = 9)
  *var_suggestion = call2939;
  if (call2939 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2940 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2942 = alloc_Float64(1);
// compiled num node returning num2942 (depth = 10)
  int op_slot_right_2941 = gc_frame_newslot(num2942);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2944 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2945 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2944);
// compiled call node returning call2945 (depth = 11)
// compiled member node returning call2945 (depth = 10)
  int op_slot_left_2941 = gc_frame_newslot(call2945);
  params[0] = num2942;
  partcv[0] = 1;
  Object diff2946 = callmethod(call2945, "-", 1, partcv, params);
// compiled op node returning diff2946 (depth = 9)
  gc_frame_newslot(diff2946);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2947 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2948 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2947);
// compiled call node returning call2948 (depth = 10)
// compiled member node returning call2948 (depth = 9)
  gc_frame_newslot(call2948);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2949 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2950 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2949);
// compiled call node returning call2950 (depth = 10)
// compiled member node returning call2950 (depth = 9)
  gc_frame_newslot(call2950);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = diff2946;
  params[1] = call2948;
  params[2] = call2950;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2951 = callmethod(*var_suggestion, "deleteRange()onLine",
    2, partcv, params);
  gc_frame_end(callframe2940);
// compiled call node returning call2951 (depth = 8)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2952 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2953 == NULL) {
    strlit2953 = alloc_String("A string interpolation cannot be empty.");
    gc_root(strlit2953);
  }
// compiled string node returning strlit2953 (depth = 9)
  gc_frame_newslot(strlit2953);
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2954 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2955 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2954);
// compiled call node returning call2955 (depth = 10)
// compiled member node returning call2955 (depth = 9)
  gc_frame_newslot(call2955);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2956 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2957 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  partcv[0] = 0;
  Object call2958 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe2957);
// compiled call node returning call2958 (depth = 12)
// compiled member node returning call2958 (depth = 11)
  partcv[0] = 0;
  Object call2959 = callmethod(call2958, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2956);
// compiled call node returning call2959 (depth = 10)
// compiled member node returning call2959 (depth = 9)
  gc_frame_newslot(call2959);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2960 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2961 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2960);
// compiled call node returning call2961 (depth = 10)
// compiled member node returning call2961 (depth = 9)
  gc_frame_newslot(call2961);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit2953;
  params[1] = call2955;
  params[2] = call2959;
  params[3] = call2961;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2962 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2952);
// compiled call node returning call2962 (depth = 8)
    gc_frame_newslot(call2962);
    if2927 = call2962;
  } else {
  }
// compiled if node returning if2927 (depth = 7)
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2963 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 8)
  if (strlit2964 == NULL) {
    strlit2964 = alloc_String(")");
    gc_root(strlit2964);
  }
// compiled string node returning strlit2964 (depth = 8)
  gc_frame_newslot(strlit2964);
// starting to compile string node (depth = 8)
  if (strlit2965 == NULL) {
    strlit2965 = alloc_String(")");
    gc_root(strlit2965);
  }
// compiled string node returning strlit2965 (depth = 8)
  gc_frame_newslot(strlit2965);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2964;
  params[2] = strlit2965;
  partcv[0] = 3;
  Object call2966 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2963);
// compiled call node returning call2966 (depth = 7)
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2967 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 8)
  if (strlit2968 == NULL) {
    strlit2968 = alloc_String("o");
    gc_root(strlit2968);
  }
// compiled string node returning strlit2968 (depth = 8)
  gc_frame_newslot(strlit2968);
// starting to compile string node (depth = 8)
  if (strlit2969 == NULL) {
    strlit2969 = alloc_String("++");
    gc_root(strlit2969);
  }
// compiled string node returning strlit2969 (depth = 8)
  gc_frame_newslot(strlit2969);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2968;
  params[2] = strlit2969;
  partcv[0] = 3;
  Object call2970 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2967);
// compiled call node returning call2970 (depth = 7)
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2971 == NULL) {
    strlit2971 = alloc_String("""\x22""");
    gc_root(strlit2971);
  }
// compiled string node returning strlit2971 (depth = 8)
  *var_newmode = strlit2971;
  if (strlit2971 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2973 = alloc_Boolean(1);
// compiled identifier node returning bool2973 (depth = 8)
  *var_inStr = bool2973;
  if (bool2973 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2976 = alloc_Float64(1);
// compiled num node returning num2976 (depth = 9)
  int op_slot_right_2975 = gc_frame_newslot(num2976);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_interpdepth (depth = 9)
  int op_slot_left_2975 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2976;
  partcv[0] = 1;
  Object diff2978 = callmethod(*var_interpdepth, "-", 1, partcv, params);
// compiled op node returning diff2978 (depth = 8)
  *var_interpdepth = diff2978;
  if (diff2978 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2922 = done;
  } else {
  }
// compiled if node returning if2922 (depth = 6)
    gc_frame_newslot(if2922);
    if2917 = if2922;
  } else {
  }
// compiled if node returning if2917 (depth = 5)
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newmode (depth = 6)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inStr (depth = 6)
  Object if2981 = done;
  if (istrue(*var_inStr)) {
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2982 == NULL) {
    strlit2982 = alloc_String("");
    gc_root(strlit2982);
  }
// compiled string node returning strlit2982 (depth = 7)
  *var_accum = strlit2982;
  if (strlit2982 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2981 = done;
  } else {
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  *var_accum = *var_c;
  if (*var_c == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2981 = done;
  }
// compiled if node returning if2981 (depth = 5)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2986 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  gc_frame_newslot(*var_mode);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_brackets (depth = 7)
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call2987 = callmethod(*var_brackets, "match",
    1, partcv, params);
  gc_frame_end(callframe2986);
// compiled call node returning call2987 (depth = 6)
  Object if2985 = done;
  if (istrue(call2987)) {
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2988 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2989 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2988);
// compiled call node returning call2989 (depth = 6)
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2990 == NULL) {
    strlit2990 = alloc_String("n");
    gc_root(strlit2990);
  }
// compiled string node returning strlit2990 (depth = 7)
  *var_mode = strlit2990;
  if (strlit2990 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2992 == NULL) {
    strlit2992 = alloc_String("n");
    gc_root(strlit2992);
  }
// compiled string node returning strlit2992 (depth = 7)
  *var_newmode = strlit2992;
  if (strlit2992 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2994 == NULL) {
    strlit2994 = alloc_String("");
    gc_root(strlit2994);
  }
// compiled string node returning strlit2994 (depth = 7)
  *var_accum = strlit2994;
  if (strlit2994 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2985 = done;
  } else {
  }
// compiled if node returning if2985 (depth = 5)
    gc_frame_newslot(if2985);
    if2911 = if2985;
  } else {
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2998 == NULL) {
    strlit2998 = alloc_String("""\x22""");
    gc_root(strlit2998);
  }
// compiled string node returning strlit2998 (depth = 7)
  int op_slot_right_2997 = gc_frame_newslot(strlit2998);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_2997 = gc_frame_newslot(*var_mode);
  params[0] = strlit2998;
  partcv[0] = 1;
  Object opresult3000 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3000 (depth = 6)
  Object if2996 = done;
  if (istrue(opresult3000)) {
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3003 == NULL) {
    strlit3003 = alloc_String("""\x0a""");
    gc_root(strlit3003);
  }
// compiled string node returning strlit3003 (depth = 8)
  int op_slot_right_3002 = gc_frame_newslot(strlit3003);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_3002 = gc_frame_newslot(*var_c);
  params[0] = strlit3003;
  partcv[0] = 1;
  Object opresult3005 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3005 (depth = 7)
  Object if3001 = done;
  if (istrue(opresult3005)) {
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3008 = alloc_Float64(0);
// compiled num node returning num3008 (depth = 9)
  int op_slot_right_3007 = gc_frame_newslot(num3008);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_interpdepth (depth = 9)
  int op_slot_left_3007 = gc_frame_newslot(*var_interpdepth);
  params[0] = num3008;
  partcv[0] = 1;
  Object opresult3010 = callmethod(*var_interpdepth, ">", 1, partcv, params);
// compiled op node returning opresult3010 (depth = 8)
  Object if3006 = done;
  if (istrue(opresult3010)) {
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3011 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3012 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3011);
// compiled call node returning call3012 (depth = 10)
// compiled member node returning call3012 (depth = 9)
  *var_line = call3012;
  if (call3012 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3013 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 11)
  int callframe3014 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_line (depth = 12)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3015 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_util (depth = 14)
  partcv[0] = 0;
  Object call3016 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3015);
// compiled call node returning call3016 (depth = 13)
// compiled member node returning call3016 (depth = 12)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call3017 = callmethod(call3016, "at",
    1, partcv, params);
  gc_frame_end(callframe3014);
// compiled call node returning call3017 (depth = 11)
  partcv[0] = 0;
  Object call3018 = callmethod(call3017, "size",
    1, partcv, params);
  gc_frame_end(callframe3013);
// compiled call node returning call3018 (depth = 10)
// compiled member node returning call3018 (depth = 9)
  *var_i = call3018;
  if (call3018 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3019 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block3020 = alloc_Block(NULL, NULL, "lexer", 922);
  gc_frame_newslot(block3020);
// method "_apply"
  block_savedest(block3020);
  Object closure3021 = createclosure(4, "_apply");
  setclosureframe(closure3021, stackframe);
  addtoclosure(closure3021, var_line);
  addtoclosure(closure3021, var_util);
  addtoclosure(closure3021, var_i);
  addtoclosure(closure3021, selfslot);
  struct UserObject *uo3021 = (struct UserObject*)block3020;
  uo3021->data[0] = (Object)closure3021;
  Method *meth_meth_lexer__apply3021 = addmethod2pos(block3020, "_apply", &meth_lexer__apply3021, 0);
  int argcv_meth_lexer__apply3021[] = {0};
  meth_meth_lexer__apply3021->type = alloc_MethodType(1, argcv_meth_lexer__apply3021);
  meth_meth_lexer__apply3021->definitionModule = modulename;
  meth_meth_lexer__apply3021->definitionLine = 921;
// compiled block node returning block3020 (depth = 9)
  gc_frame_newslot(block3020);
// starting to compile block node (depth = 9)
  Object block3032 = alloc_Block(NULL, NULL, "lexer", 922);
  gc_frame_newslot(block3032);
// method "_apply"
  block_savedest(block3032);
  Object closure3033 = createclosure(4, "_apply");
  setclosureframe(closure3033, stackframe);
  addtoclosure(closure3033, var_i);
  addtoclosure(closure3033, var_line);
  addtoclosure(closure3033, var_util);
  addtoclosure(closure3033, selfslot);
  struct UserObject *uo3033 = (struct UserObject*)block3032;
  uo3033->data[0] = (Object)closure3033;
  Method *meth_meth_lexer__apply3033 = addmethod2pos(block3032, "_apply", &meth_lexer__apply3033, 0);
  int argcv_meth_lexer__apply3033[] = {0};
  meth_meth_lexer__apply3033->type = alloc_MethodType(1, argcv_meth_lexer__apply3033);
  meth_meth_lexer__apply3033->definitionModule = modulename;
  meth_meth_lexer__apply3033->definitionLine = 922;
// compiled block node returning block3032 (depth = 9)
  gc_frame_newslot(block3032);
// call case 5: prelude request
  params[0] = block3020;
  params[1] = block3032;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3058 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3019);
// compiled call node returning call3058 (depth = 8)
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile array node (depth = 9)
  Object array3059 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3059 (depth = 9)
  *var_suggestions = array3059;
  if (array3059 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3060 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3061 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_errormessages (depth = 13)
  partcv[0] = 0;
  Object call3062 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3061);
// compiled call node returning call3062 (depth = 12)
// compiled member node returning call3062 (depth = 11)
  partcv[0] = 0;
  Object call3063 = callmethod(call3062, "new",
    1, partcv, params);
  gc_frame_end(callframe3060);
// compiled call node returning call3063 (depth = 10)
// compiled member node returning call3063 (depth = 9)
  *var_suggestion = call3063;
  if (call3063 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3064 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3065 == NULL) {
    strlit3065 = alloc_String("\\");
    gc_root(strlit3065);
  }
// compiled string node returning strlit3065 (depth = 9)
  gc_frame_newslot(strlit3065);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_line (depth = 9)
  gc_frame_newslot(*var_line);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3065;
  params[1] = *var_i;
  params[2] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3066 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe3064);
// compiled call node returning call3066 (depth = 8)
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3067 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3068 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3067);
// compiled call node returning call3068 (depth = 8)
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3073 = alloc_Float64(2);
// compiled num node returning num3073 (depth = 12)
  int op_slot_right_3072 = gc_frame_newslot(num3073);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3075 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3076 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3075);
// compiled call node returning call3076 (depth = 13)
// compiled member node returning call3076 (depth = 12)
  int op_slot_left_3072 = gc_frame_newslot(call3076);
  params[0] = num3073;
  partcv[0] = 1;
  Object diff3077 = callmethod(call3076, "-", 1, partcv, params);
// compiled op node returning diff3077 (depth = 11)
  int op_slot_right_3071 = gc_frame_newslot(diff3077);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_i (depth = 11)
  int op_slot_left_3071 = gc_frame_newslot(*var_i);
  params[0] = diff3077;
  partcv[0] = 1;
  Object opresult3079 = callmethod(*var_i, "==", 1, partcv, params);
// compiled op node returning opresult3079 (depth = 10)
  int op_slot_right_3070 = gc_frame_newslot(opresult3079);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3082 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3083 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3082);
// compiled call node returning call3083 (depth = 12)
// compiled member node returning call3083 (depth = 11)
  int op_slot_right_3081 = gc_frame_newslot(call3083);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_3081 = gc_frame_newslot(*var_line);
  params[0] = call3083;
  partcv[0] = 1;
  Object opresult3085 = callmethod(*var_line, "==", 1, partcv, params);
// compiled op node returning opresult3085 (depth = 10)
  int op_slot_left_3070 = gc_frame_newslot(opresult3085);
  params[0] = opresult3079;
  partcv[0] = 1;
  Object opresult3086 = callmethod(opresult3085, "&&", 1, partcv, params);
// compiled op node returning opresult3086 (depth = 9)
  Object if3069 = done;
  if (istrue(opresult3086)) {
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3087 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3088 == NULL) {
    strlit3088 = alloc_String("For a '{' character in a string use '\\{'.");
    gc_root(strlit3088);
  }
// compiled string node returning strlit3088 (depth = 10)
  gc_frame_newslot(strlit3088);
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit3088;
  params[1] = *var_line;
  params[2] = *var_i;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3089 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3087);
// compiled call node returning call3089 (depth = 9)
    gc_frame_newslot(call3089);
    if3069 = call3089;
  } else {
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3090 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3091 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3092 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3091);
// compiled call node returning call3092 (depth = 13)
// compiled member node returning call3092 (depth = 12)
  partcv[0] = 0;
  Object call3093 = callmethod(call3092, "new",
    1, partcv, params);
  gc_frame_end(callframe3090);
// compiled call node returning call3093 (depth = 11)
// compiled member node returning call3093 (depth = 10)
  *var_suggestion = call3093;
  if (call3093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3095 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3096 == NULL) {
    strlit3096 = alloc_String("}");
    gc_root(strlit3096);
  }
// compiled string node returning strlit3096 (depth = 10)
  gc_frame_newslot(strlit3096);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3098 = alloc_Float64(1);
// compiled num node returning num3098 (depth = 11)
  int op_slot_right_3097 = gc_frame_newslot(num3098);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3101 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  partcv[0] = 0;
  Object call3102 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe3101);
// compiled call node returning call3102 (depth = 13)
// compiled member node returning call3102 (depth = 12)
  int op_slot_right_3100 = gc_frame_newslot(call3102);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3104 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3105 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3104);
// compiled call node returning call3105 (depth = 13)
// compiled member node returning call3105 (depth = 12)
  int op_slot_left_3100 = gc_frame_newslot(call3105);
  params[0] = call3102;
  partcv[0] = 1;
  Object diff3106 = callmethod(call3105, "-", 1, partcv, params);
// compiled op node returning diff3106 (depth = 11)
  int op_slot_left_3097 = gc_frame_newslot(diff3106);
  params[0] = num3098;
  partcv[0] = 1;
  Object diff3107 = callmethod(diff3106, "-", 1, partcv, params);
// compiled op node returning diff3107 (depth = 10)
  gc_frame_newslot(diff3107);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3108 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3109 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3108);
// compiled call node returning call3109 (depth = 11)
// compiled member node returning call3109 (depth = 10)
  gc_frame_newslot(call3109);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit3096;
  params[1] = diff3107;
  params[2] = call3109;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3110 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe3095);
// compiled call node returning call3110 (depth = 9)
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3111 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3112 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3111);
// compiled call node returning call3112 (depth = 9)
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3113 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3114 == NULL) {
    strlit3114 = alloc_String("A string interpolation must end with a '}'. For a '{' character in a string use '\\{'.");
    gc_root(strlit3114);
  }
// compiled string node returning strlit3114 (depth = 10)
  gc_frame_newslot(strlit3114);
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3115 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3116 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3115);
// compiled call node returning call3116 (depth = 11)
// compiled member node returning call3116 (depth = 10)
  gc_frame_newslot(call3116);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3118 = alloc_Float64(1);
// compiled num node returning num3118 (depth = 11)
  int op_slot_right_3117 = gc_frame_newslot(num3118);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3121 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  partcv[0] = 0;
  Object call3122 = callmethod(*var_accum, "size",
    1, partcv, params);
  gc_frame_end(callframe3121);
// compiled call node returning call3122 (depth = 13)
// compiled member node returning call3122 (depth = 12)
  int op_slot_right_3120 = gc_frame_newslot(call3122);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3124 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3125 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3124);
// compiled call node returning call3125 (depth = 13)
// compiled member node returning call3125 (depth = 12)
  int op_slot_left_3120 = gc_frame_newslot(call3125);
  params[0] = call3122;
  partcv[0] = 1;
  Object diff3126 = callmethod(call3125, "-", 1, partcv, params);
// compiled op node returning diff3126 (depth = 11)
  int op_slot_left_3117 = gc_frame_newslot(diff3126);
  params[0] = num3118;
  partcv[0] = 1;
  Object diff3127 = callmethod(diff3126, "-", 1, partcv, params);
// compiled op node returning diff3127 (depth = 10)
  gc_frame_newslot(diff3127);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit3114;
  params[1] = call3116;
  params[2] = diff3127;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3128 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3113);
// compiled call node returning call3128 (depth = 9)
    gc_frame_newslot(call3128);
    if3069 = call3128;
  }
// compiled if node returning if3069 (depth = 8)
    gc_frame_newslot(if3069);
    if3006 = if3069;
  } else {
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3129 = gc_frame_new();
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3130 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3131 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3130);
// compiled call node returning call3131 (depth = 11)
// compiled member node returning call3131 (depth = 10)
  gc_frame_newslot(call3131);
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3132 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_util (depth = 12)
  partcv[0] = 0;
  Object call3133 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3132);
// compiled call node returning call3133 (depth = 11)
// compiled member node returning call3133 (depth = 10)
  params[0] = call3131;
  partcv[0] = 1;
  Object call3134 = callmethod(call3133, "at",
    1, partcv, params);
  gc_frame_end(callframe3129);
// compiled call node returning call3134 (depth = 9)
  *var_errorLine = call3134;
  if (call3134 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3138 = alloc_Float64(1);
// compiled num node returning num3138 (depth = 12)
  int op_slot_right_3137 = gc_frame_newslot(num3138);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3140 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3141 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3140);
// compiled call node returning call3141 (depth = 13)
// compiled member node returning call3141 (depth = 12)
  int op_slot_left_3137 = gc_frame_newslot(call3141);
  params[0] = num3138;
  partcv[0] = 1;
  Object sum3142 = callmethod(call3141, "+", 1, partcv, params);
// compiled op node returning sum3142 (depth = 11)
  int op_slot_right_3136 = gc_frame_newslot(sum3142);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3144 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe3145 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_util (depth = 15)
  partcv[0] = 0;
  Object call3146 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3145);
// compiled call node returning call3146 (depth = 14)
// compiled member node returning call3146 (depth = 13)
  partcv[0] = 0;
  Object call3147 = callmethod(call3146, "size",
    1, partcv, params);
  gc_frame_end(callframe3144);
// compiled call node returning call3147 (depth = 12)
// compiled member node returning call3147 (depth = 11)
  int op_slot_left_3136 = gc_frame_newslot(call3147);
  params[0] = sum3142;
  partcv[0] = 1;
  Object opresult3148 = callmethod(call3147, ">=", 1, partcv, params);
// compiled op node returning opresult3148 (depth = 10)
  Object if3135 = done;
struct StackFrameObject *iftmpstackframe3135 = stackframe;
  if (istrue(opresult3148)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3135);
gc_frame_newslot((Object)stackframe);
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3149 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3151 = alloc_Float64(1);
// compiled num node returning num3151 (depth = 12)
  int op_slot_right_3150 = gc_frame_newslot(num3151);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3153 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3154 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3153);
// compiled call node returning call3154 (depth = 13)
// compiled member node returning call3154 (depth = 12)
  int op_slot_left_3150 = gc_frame_newslot(call3154);
  params[0] = num3151;
  partcv[0] = 1;
  Object sum3155 = callmethod(call3154, "+", 1, partcv, params);
// compiled op node returning sum3155 (depth = 11)
  gc_frame_newslot(sum3155);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3156 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_util (depth = 13)
  partcv[0] = 0;
  Object call3157 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3156);
// compiled call node returning call3157 (depth = 12)
// compiled member node returning call3157 (depth = 11)
  params[0] = sum3155;
  partcv[0] = 1;
  Object call3158 = callmethod(call3157, "at",
    1, partcv, params);
  gc_frame_end(callframe3149);
// compiled call node returning call3158 (depth = 10)
    gc_frame_newslot(call3158);
    if3135 = call3158;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe3135);
  gc_frame_newslot((Object)stackframe);
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit3159 == NULL) {
    strlit3159 = alloc_String("");
    gc_root(strlit3159);
  }
// compiled string node returning strlit3159 (depth = 10)
    gc_frame_newslot(strlit3159);
    if3135 = strlit3159;
  }
stackframe = iftmpstackframe3135;
// compiled if node returning if3135 (depth = 9)
  *var_nextLine = if3135;
  if (if3135 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 8)
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3160 = alloc_Float64(1);
// compiled num node returning num3160 (depth = 9)
  *var_i = num3160;
  if (num3160 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3161 = alloc_Float64(0);
// compiled num node returning num3161 (depth = 9)
  *var_count = num3161;
  if (num3161 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3162 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block3163 = alloc_Block(NULL, NULL, "lexer", 953);
  gc_frame_newslot(block3163);
// method "_apply"
  block_savedest(block3163);
  Object closure3164 = createclosure(3, "_apply");
  setclosureframe(closure3164, stackframe);
  addtoclosure(closure3164, var_nextLine);
  addtoclosure(closure3164, var_i);
  addtoclosure(closure3164, selfslot);
  struct UserObject *uo3164 = (struct UserObject*)block3163;
  uo3164->data[0] = (Object)closure3164;
  Method *meth_meth_lexer__apply3164 = addmethod2pos(block3163, "_apply", &meth_lexer__apply3164, 0);
  int argcv_meth_lexer__apply3164[] = {0};
  meth_meth_lexer__apply3164->type = alloc_MethodType(1, argcv_meth_lexer__apply3164);
  meth_meth_lexer__apply3164->definitionModule = modulename;
  meth_meth_lexer__apply3164->definitionLine = 946;
// compiled block node returning block3163 (depth = 9)
  gc_frame_newslot(block3163);
// starting to compile block node (depth = 9)
  Object block3171 = alloc_Block(NULL, NULL, "lexer", 953);
  gc_frame_newslot(block3171);
// method "_apply"
  block_savedest(block3171);
  Object closure3172 = createclosure(4, "_apply");
  setclosureframe(closure3172, stackframe);
  addtoclosure(closure3172, var_nextLine);
  addtoclosure(closure3172, var_i);
  addtoclosure(closure3172, var_count);
  addtoclosure(closure3172, selfslot);
  struct UserObject *uo3172 = (struct UserObject*)block3171;
  uo3172->data[0] = (Object)closure3172;
  Method *meth_meth_lexer__apply3172 = addmethod2pos(block3171, "_apply", &meth_lexer__apply3172, 0);
  int argcv_meth_lexer__apply3172[] = {0};
  meth_meth_lexer__apply3172->type = alloc_MethodType(1, argcv_meth_lexer__apply3172);
  meth_meth_lexer__apply3172->definitionModule = modulename;
  meth_meth_lexer__apply3172->definitionLine = 953;
// compiled block node returning block3171 (depth = 9)
  gc_frame_newslot(block3171);
// call case 5: prelude request
  params[0] = block3163;
  params[1] = block3171;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3201 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3162);
// compiled call node returning call3201 (depth = 8)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3204 = alloc_Float64(1);
// compiled num node returning num3204 (depth = 10)
  int op_slot_right_3203 = gc_frame_newslot(num3204);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3207 = alloc_Float64(2);
// compiled num node returning num3207 (depth = 11)
  int op_slot_right_3206 = gc_frame_newslot(num3207);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_count (depth = 11)
  int op_slot_left_3206 = gc_frame_newslot(*var_count);
  params[0] = num3207;
  partcv[0] = 1;
  Object modulus3209 = callmethod(*var_count, "%", 1, partcv, params);
// compiled op node returning modulus3209 (depth = 10)
  int op_slot_left_3203 = gc_frame_newslot(modulus3209);
  params[0] = num3204;
  partcv[0] = 1;
  Object opresult3210 = callmethod(modulus3209, "==", 1, partcv, params);
// compiled op node returning opresult3210 (depth = 9)
  Object if3202 = done;
  if (istrue(opresult3210)) {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile array node (depth = 10)
  Object array3211 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3211 (depth = 10)
  *var_suggestions = array3211;
  if (array3211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3212 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3213 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3214 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3213);
// compiled call node returning call3214 (depth = 13)
// compiled member node returning call3214 (depth = 12)
  partcv[0] = 0;
  Object call3215 = callmethod(call3214, "new",
    1, partcv, params);
  gc_frame_end(callframe3212);
// compiled call node returning call3215 (depth = 11)
// compiled member node returning call3215 (depth = 10)
  *var_suggestion = call3215;
  if (call3215 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 9)
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3216 = gc_frame_new();
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3217 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3218 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3217);
// compiled call node returning call3218 (depth = 11)
// compiled member node returning call3218 (depth = 10)
  gc_frame_newslot(call3218);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3219 = gc_frame_newslot(*var_nextLine);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3219 = gc_frame_newslot(*var_errorLine);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3221 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compiled op node returning opresult3221 (depth = 10)
  gc_frame_newslot(opresult3221);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = call3218;
  params[1] = opresult3221;
  partcv[0] = 2;
  Object call3222 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3216);
// compiled call node returning call3222 (depth = 9)
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3223 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3225 = alloc_Float64(1);
// compiled num node returning num3225 (depth = 11)
  int op_slot_right_3224 = gc_frame_newslot(num3225);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3227 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3228 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3227);
// compiled call node returning call3228 (depth = 12)
// compiled member node returning call3228 (depth = 11)
  int op_slot_left_3224 = gc_frame_newslot(call3228);
  params[0] = num3225;
  partcv[0] = 1;
  Object sum3229 = callmethod(call3228, "+", 1, partcv, params);
// compiled op node returning sum3229 (depth = 10)
  gc_frame_newslot(sum3229);
// starting to compile string node (depth = 10)
  if (strlit3230 == NULL) {
    strlit3230 = alloc_String("");
    gc_root(strlit3230);
  }
// compiled string node returning strlit3230 (depth = 10)
  gc_frame_newslot(strlit3230);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3229;
  params[1] = strlit3230;
  partcv[0] = 2;
  Object call3231 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3223);
// compiled call node returning call3231 (depth = 9)
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3232 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3233 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3232);
// compiled call node returning call3233 (depth = 9)
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3234 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3235 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3236 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3235);
// compiled call node returning call3236 (depth = 13)
// compiled member node returning call3236 (depth = 12)
  partcv[0] = 0;
  Object call3237 = callmethod(call3236, "new",
    1, partcv, params);
  gc_frame_end(callframe3234);
// compiled call node returning call3237 (depth = 11)
// compiled member node returning call3237 (depth = 10)
  *var_suggestion = call3237;
  if (call3237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3239 = gc_frame_new();
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3240 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3241 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3240);
// compiled call node returning call3241 (depth = 11)
// compiled member node returning call3241 (depth = 10)
  gc_frame_newslot(call3241);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3243 == NULL) {
    strlit3243 = alloc_String("""\x22""");
    gc_root(strlit3243);
  }
// compiled string node returning strlit3243 (depth = 11)
  int op_slot_right_3242 = gc_frame_newslot(strlit3243);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3242 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3243;
  partcv[0] = 1;
  Object opresult3245 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compiled op node returning opresult3245 (depth = 10)
  gc_frame_newslot(opresult3245);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = call3241;
  params[1] = opresult3245;
  partcv[0] = 2;
  Object call3246 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3239);
// compiled call node returning call3246 (depth = 9)
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3247 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3249 = alloc_Float64(1);
// compiled num node returning num3249 (depth = 11)
  int op_slot_right_3248 = gc_frame_newslot(num3249);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3251 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3252 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3251);
// compiled call node returning call3252 (depth = 12)
// compiled member node returning call3252 (depth = 11)
  int op_slot_left_3248 = gc_frame_newslot(call3252);
  params[0] = num3249;
  partcv[0] = 1;
  Object sum3253 = callmethod(call3252, "+", 1, partcv, params);
// compiled op node returning sum3253 (depth = 10)
  gc_frame_newslot(sum3253);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3254 = gc_frame_newslot(*var_nextLine);
// starting to compile string node (depth = 11)
  if (strlit3256 == NULL) {
    strlit3256 = alloc_String("    ++ ""\x22""");
    gc_root(strlit3256);
  }
// compiled string node returning strlit3256 (depth = 11)
  int op_slot_left_3254 = gc_frame_newslot(strlit3256);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3257 = callmethod(strlit3256, "++", 1, partcv, params);
// compiled op node returning opresult3257 (depth = 10)
  gc_frame_newslot(opresult3257);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3253;
  params[1] = opresult3257;
  partcv[0] = 2;
  Object call3258 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3247);
// compiled call node returning call3258 (depth = 9)
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3259 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3260 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3259);
// compiled call node returning call3260 (depth = 9)
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3261 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3262 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3263 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3262);
// compiled call node returning call3263 (depth = 13)
// compiled member node returning call3263 (depth = 12)
  partcv[0] = 0;
  Object call3264 = callmethod(call3263, "new",
    1, partcv, params);
  gc_frame_end(callframe3261);
// compiled call node returning call3264 (depth = 11)
// compiled member node returning call3264 (depth = 10)
  *var_suggestion = call3264;
  if (call3264 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3266 = gc_frame_new();
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3267 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3268 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3267);
// compiled call node returning call3268 (depth = 11)
// compiled member node returning call3268 (depth = 10)
  gc_frame_newslot(call3268);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3269 = gc_frame_newslot(*var_nextLine);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3272 == NULL) {
    strlit3272 = alloc_String("\\n");
    gc_root(strlit3272);
  }
// compiled string node returning strlit3272 (depth = 12)
  int op_slot_right_3271 = gc_frame_newslot(strlit3272);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errorLine (depth = 12)
  int op_slot_left_3271 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3272;
  partcv[0] = 1;
  Object opresult3274 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compiled op node returning opresult3274 (depth = 11)
  int op_slot_left_3269 = gc_frame_newslot(opresult3274);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3275 = callmethod(opresult3274, "++", 1, partcv, params);
// compiled op node returning opresult3275 (depth = 10)
  gc_frame_newslot(opresult3275);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = call3268;
  params[1] = opresult3275;
  partcv[0] = 2;
  Object call3276 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3266);
// compiled call node returning call3276 (depth = 9)
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3277 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3279 = alloc_Float64(1);
// compiled num node returning num3279 (depth = 11)
  int op_slot_right_3278 = gc_frame_newslot(num3279);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3281 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3282 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3281);
// compiled call node returning call3282 (depth = 12)
// compiled member node returning call3282 (depth = 11)
  int op_slot_left_3278 = gc_frame_newslot(call3282);
  params[0] = num3279;
  partcv[0] = 1;
  Object sum3283 = callmethod(call3282, "+", 1, partcv, params);
// compiled op node returning sum3283 (depth = 10)
  gc_frame_newslot(sum3283);
// starting to compile string node (depth = 10)
  if (strlit3284 == NULL) {
    strlit3284 = alloc_String("");
    gc_root(strlit3284);
  }
// compiled string node returning strlit3284 (depth = 10)
  gc_frame_newslot(strlit3284);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3283;
  params[1] = strlit3284;
  partcv[0] = 2;
  Object call3285 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3277);
// compiled call node returning call3285 (depth = 9)
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3286 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3287 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3286);
// compiled call node returning call3287 (depth = 9)
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3288 = gc_frame_new();
// starting to compile op node (depth = 10)
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit3290 == NULL) {
    strlit3290 = alloc_String("To split a string over multiple lines use '++' to join strings together.");
    gc_root(strlit3290);
  }
// compiled string node returning strlit3290 (depth = 11)
  int op_slot_right_3289 = gc_frame_newslot(strlit3290);
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit3292 == NULL) {
    strlit3292 = alloc_String("A string must end with a '""\x22""'. To insert a newline in a string use '\\n'. ");
    gc_root(strlit3292);
  }
// compiled string node returning strlit3292 (depth = 11)
  int op_slot_left_3289 = gc_frame_newslot(strlit3292);
  params[0] = strlit3290;
  partcv[0] = 1;
  Object opresult3293 = callmethod(strlit3292, "++", 1, partcv, params);
// compiled op node returning opresult3293 (depth = 10)
  gc_frame_newslot(opresult3293);
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3294 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3295 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3294);
// compiled call node returning call3295 (depth = 11)
// compiled member node returning call3295 (depth = 10)
  gc_frame_newslot(call3295);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3296 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3297 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3296);
// compiled call node returning call3297 (depth = 11)
// compiled member node returning call3297 (depth = 10)
  gc_frame_newslot(call3297);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3298 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3299 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3298);
// compiled call node returning call3299 (depth = 11)
// compiled member node returning call3299 (depth = 10)
  gc_frame_newslot(call3299);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other member request
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = opresult3293;
  params[1] = call3295;
  params[2] = call3297;
  params[3] = call3299;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3300 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3288);
// compiled call node returning call3300 (depth = 9)
    gc_frame_newslot(call3300);
    if3202 = call3300;
  } else {
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3301 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3302 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  partcv[0] = 0;
  Object call3303 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3302);
// compiled call node returning call3303 (depth = 13)
// compiled member node returning call3303 (depth = 12)
  partcv[0] = 0;
  Object call3304 = callmethod(call3303, "new",
    1, partcv, params);
  gc_frame_end(callframe3301);
// compiled call node returning call3304 (depth = 11)
// compiled member node returning call3304 (depth = 10)
  *var_suggestion = call3304;
  if (call3304 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 9)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3305 = gc_frame_new();
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3306 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3307 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3306);
// compiled call node returning call3307 (depth = 11)
// compiled member node returning call3307 (depth = 10)
  gc_frame_newslot(call3307);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3309 == NULL) {
    strlit3309 = alloc_String("""\x22""");
    gc_root(strlit3309);
  }
// compiled string node returning strlit3309 (depth = 11)
  int op_slot_right_3308 = gc_frame_newslot(strlit3309);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3308 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3309;
  partcv[0] = 1;
  Object opresult3311 = callmethod(*var_errorLine, "++", 1, partcv, params);
// compiled op node returning opresult3311 (depth = 10)
  gc_frame_newslot(opresult3311);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = call3307;
  params[1] = opresult3311;
  partcv[0] = 2;
  Object call3312 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3305);
// compiled call node returning call3312 (depth = 9)
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3313 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3314 == NULL) {
    strlit3314 = alloc_String("A string must end with a '""\x22""'.");
    gc_root(strlit3314);
  }
// compiled string node returning strlit3314 (depth = 10)
  gc_frame_newslot(strlit3314);
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3315 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3316 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3315);
// compiled call node returning call3316 (depth = 11)
// compiled member node returning call3316 (depth = 10)
  gc_frame_newslot(call3316);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3317 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3318 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3317);
// compiled call node returning call3318 (depth = 11)
// compiled member node returning call3318 (depth = 10)
  gc_frame_newslot(call3318);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit3314;
  params[1] = call3316;
  params[2] = call3318;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3319 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3313);
// compiled call node returning call3319 (depth = 9)
    gc_frame_newslot(call3319);
    if3202 = call3319;
  }
// compiled if node returning if3202 (depth = 8)
    gc_frame_newslot(if3202);
    if3006 = if3202;
  }
// compiled if node returning if3006 (depth = 7)
    gc_frame_newslot(if3006);
    if3001 = if3006;
  } else {
  }
// compiled if node returning if3001 (depth = 6)
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_escaped (depth = 7)
  Object if3320 = done;
  if (istrue(*var_escaped)) {
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3323 == NULL) {
    strlit3323 = alloc_String("n");
    gc_root(strlit3323);
  }
// compiled string node returning strlit3323 (depth = 9)
  int op_slot_right_3322 = gc_frame_newslot(strlit3323);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_3322 = gc_frame_newslot(*var_c);
  params[0] = strlit3323;
  partcv[0] = 1;
  Object opresult3325 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3325 (depth = 8)
  Object if3321 = done;
  if (istrue(opresult3325)) {
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3327 == NULL) {
    strlit3327 = alloc_String("""\x0a""");
    gc_root(strlit3327);
  }
// compiled string node returning strlit3327 (depth = 10)
  int op_slot_right_3326 = gc_frame_newslot(strlit3327);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  int op_slot_left_3326 = gc_frame_newslot(*var_accum);
  params[0] = strlit3327;
  partcv[0] = 1;
  Object opresult3329 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3329 (depth = 9)
  *var_accum = opresult3329;
  if (opresult3329 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3321 = done;
  } else {
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3333 == NULL) {
    strlit3333 = alloc_String("u");
    gc_root(strlit3333);
  }
// compiled string node returning strlit3333 (depth = 10)
  int op_slot_right_3332 = gc_frame_newslot(strlit3333);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_3332 = gc_frame_newslot(*var_c);
  params[0] = strlit3333;
  partcv[0] = 1;
  Object opresult3335 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3335 (depth = 9)
  Object if3331 = done;
  if (istrue(opresult3335)) {
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3336 = alloc_Float64(4);
// compiled num node returning num3336 (depth = 10)
  *var_unichars = num3336;
  if (num3336 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3338 = alloc_Float64(0);
// compiled num node returning num3338 (depth = 10)
  *var_codepoint = num3338;
  if (num3338 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if3331 = done;
  } else {
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3342 == NULL) {
    strlit3342 = alloc_String("U");
    gc_root(strlit3342);
  }
// compiled string node returning strlit3342 (depth = 11)
  int op_slot_right_3341 = gc_frame_newslot(strlit3342);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_3341 = gc_frame_newslot(*var_c);
  params[0] = strlit3342;
  partcv[0] = 1;
  Object opresult3344 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3344 (depth = 10)
  Object if3340 = done;
  if (istrue(opresult3344)) {
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3345 = alloc_Float64(6);
// compiled num node returning num3345 (depth = 11)
  *var_unichars = num3345;
  if (num3345 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3347 = alloc_Float64(0);
// compiled num node returning num3347 (depth = 11)
  *var_codepoint = num3347;
  if (num3347 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3340 = done;
  } else {
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3351 == NULL) {
    strlit3351 = alloc_String("t");
    gc_root(strlit3351);
  }
// compiled string node returning strlit3351 (depth = 12)
  int op_slot_right_3350 = gc_frame_newslot(strlit3351);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_3350 = gc_frame_newslot(*var_c);
  params[0] = strlit3351;
  partcv[0] = 1;
  Object opresult3353 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3353 (depth = 11)
  Object if3349 = done;
  if (istrue(opresult3353)) {
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3355 == NULL) {
    strlit3355 = alloc_String("""\x09""");
    gc_root(strlit3355);
  }
// compiled string node returning strlit3355 (depth = 13)
  int op_slot_right_3354 = gc_frame_newslot(strlit3355);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_accum (depth = 13)
  int op_slot_left_3354 = gc_frame_newslot(*var_accum);
  params[0] = strlit3355;
  partcv[0] = 1;
  Object opresult3357 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3357 (depth = 12)
  *var_accum = opresult3357;
  if (opresult3357 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3349 = done;
  } else {
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3361 == NULL) {
    strlit3361 = alloc_String("r");
    gc_root(strlit3361);
  }
// compiled string node returning strlit3361 (depth = 13)
  int op_slot_right_3360 = gc_frame_newslot(strlit3361);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_left_3360 = gc_frame_newslot(*var_c);
  params[0] = strlit3361;
  partcv[0] = 1;
  Object opresult3363 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3363 (depth = 12)
  Object if3359 = done;
  if (istrue(opresult3363)) {
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3365 == NULL) {
    strlit3365 = alloc_String("""\x0d""");
    gc_root(strlit3365);
  }
// compiled string node returning strlit3365 (depth = 14)
  int op_slot_right_3364 = gc_frame_newslot(strlit3365);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  int op_slot_left_3364 = gc_frame_newslot(*var_accum);
  params[0] = strlit3365;
  partcv[0] = 1;
  Object opresult3367 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3367 (depth = 13)
  *var_accum = opresult3367;
  if (opresult3367 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if3359 = done;
  } else {
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3371 == NULL) {
    strlit3371 = alloc_String("b");
    gc_root(strlit3371);
  }
// compiled string node returning strlit3371 (depth = 14)
  int op_slot_right_3370 = gc_frame_newslot(strlit3371);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  int op_slot_left_3370 = gc_frame_newslot(*var_c);
  params[0] = strlit3371;
  partcv[0] = 1;
  Object opresult3373 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3373 (depth = 13)
  Object if3369 = done;
  if (istrue(opresult3373)) {
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 13)
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit3375 == NULL) {
    strlit3375 = alloc_String("""\x08""");
    gc_root(strlit3375);
  }
// compiled string node returning strlit3375 (depth = 15)
  int op_slot_right_3374 = gc_frame_newslot(strlit3375);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_accum (depth = 15)
  int op_slot_left_3374 = gc_frame_newslot(*var_accum);
  params[0] = strlit3375;
  partcv[0] = 1;
  Object opresult3377 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3377 (depth = 14)
  *var_accum = opresult3377;
  if (opresult3377 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 13)
    gc_frame_newslot(done);
    if3369 = done;
  } else {
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit3381 == NULL) {
    strlit3381 = alloc_String("l");
    gc_root(strlit3381);
  }
// compiled string node returning strlit3381 (depth = 15)
  int op_slot_right_3380 = gc_frame_newslot(strlit3381);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_3380 = gc_frame_newslot(*var_c);
  params[0] = strlit3381;
  partcv[0] = 1;
  Object opresult3383 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3383 (depth = 14)
  Object if3379 = done;
  if (istrue(opresult3383)) {
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit3385 == NULL) {
    strlit3385 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit3385);
  }
// compiled string node returning strlit3385 (depth = 16)
  int op_slot_right_3384 = gc_frame_newslot(strlit3385);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_accum (depth = 16)
  int op_slot_left_3384 = gc_frame_newslot(*var_accum);
  params[0] = strlit3385;
  partcv[0] = 1;
  Object opresult3387 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3387 (depth = 15)
  *var_accum = opresult3387;
  if (opresult3387 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 14)
    gc_frame_newslot(done);
    if3379 = done;
  } else {
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 14)
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit3391 == NULL) {
    strlit3391 = alloc_String("f");
    gc_root(strlit3391);
  }
// compiled string node returning strlit3391 (depth = 16)
  int op_slot_right_3390 = gc_frame_newslot(strlit3391);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_c (depth = 16)
  int op_slot_left_3390 = gc_frame_newslot(*var_c);
  params[0] = strlit3391;
  partcv[0] = 1;
  Object opresult3393 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3393 (depth = 15)
  Object if3389 = done;
  if (istrue(opresult3393)) {
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 15)
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit3395 == NULL) {
    strlit3395 = alloc_String("""\x0c""");
    gc_root(strlit3395);
  }
// compiled string node returning strlit3395 (depth = 17)
  int op_slot_right_3394 = gc_frame_newslot(strlit3395);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_accum (depth = 17)
  int op_slot_left_3394 = gc_frame_newslot(*var_accum);
  params[0] = strlit3395;
  partcv[0] = 1;
  Object opresult3397 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3397 (depth = 16)
  *var_accum = opresult3397;
  if (opresult3397 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 15)
    gc_frame_newslot(done);
    if3389 = done;
  } else {
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit3401 == NULL) {
    strlit3401 = alloc_String("e");
    gc_root(strlit3401);
  }
// compiled string node returning strlit3401 (depth = 17)
  int op_slot_right_3400 = gc_frame_newslot(strlit3401);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_c (depth = 17)
  int op_slot_left_3400 = gc_frame_newslot(*var_c);
  params[0] = strlit3401;
  partcv[0] = 1;
  Object opresult3403 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3403 (depth = 16)
  Object if3399 = done;
  if (istrue(opresult3403)) {
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 16)
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit3405 == NULL) {
    strlit3405 = alloc_String("""\x1b""");
    gc_root(strlit3405);
  }
// compiled string node returning strlit3405 (depth = 18)
  int op_slot_right_3404 = gc_frame_newslot(strlit3405);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_accum (depth = 18)
  int op_slot_left_3404 = gc_frame_newslot(*var_accum);
  params[0] = strlit3405;
  partcv[0] = 1;
  Object opresult3407 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3407 (depth = 17)
  *var_accum = opresult3407;
  if (opresult3407 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 16)
    gc_frame_newslot(done);
    if3399 = done;
  } else {
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 16)
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit3411 == NULL) {
    strlit3411 = alloc_String("_");
    gc_root(strlit3411);
  }
// compiled string node returning strlit3411 (depth = 18)
  int op_slot_right_3410 = gc_frame_newslot(strlit3411);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_c (depth = 18)
  int op_slot_left_3410 = gc_frame_newslot(*var_c);
  params[0] = strlit3411;
  partcv[0] = 1;
  Object opresult3413 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3413 (depth = 17)
  Object if3409 = done;
  if (istrue(opresult3413)) {
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit3415 == NULL) {
    strlit3415 = alloc_String("""\xc2""""\xa0""");
    gc_root(strlit3415);
  }
// compiled string node returning strlit3415 (depth = 19)
  int op_slot_right_3414 = gc_frame_newslot(strlit3415);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_accum (depth = 19)
  int op_slot_left_3414 = gc_frame_newslot(*var_accum);
  params[0] = strlit3415;
  partcv[0] = 1;
  Object opresult3417 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3417 (depth = 18)
  *var_accum = opresult3417;
  if (opresult3417 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 17)
    gc_frame_newslot(done);
    if3409 = done;
  } else {
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile op node (depth = 18)
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_c (depth = 19)
  int op_slot_right_3419 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_accum (depth = 19)
  int op_slot_left_3419 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3421 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3421 (depth = 18)
  *var_accum = opresult3421;
  if (opresult3421 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 17)
    gc_frame_newslot(done);
    if3409 = done;
  }
// compiled if node returning if3409 (depth = 16)
    gc_frame_newslot(if3409);
    if3399 = if3409;
  }
// compiled if node returning if3399 (depth = 15)
    gc_frame_newslot(if3399);
    if3389 = if3399;
  }
// compiled if node returning if3389 (depth = 14)
    gc_frame_newslot(if3389);
    if3379 = if3389;
  }
// compiled if node returning if3379 (depth = 13)
    gc_frame_newslot(if3379);
    if3369 = if3379;
  }
// compiled if node returning if3369 (depth = 12)
    gc_frame_newslot(if3369);
    if3359 = if3369;
  }
// compiled if node returning if3359 (depth = 11)
    gc_frame_newslot(if3359);
    if3349 = if3359;
  }
// compiled if node returning if3349 (depth = 10)
    gc_frame_newslot(if3349);
    if3340 = if3349;
  }
// compiled if node returning if3340 (depth = 9)
    gc_frame_newslot(if3340);
    if3331 = if3340;
  }
// compiled if node returning if3331 (depth = 8)
    gc_frame_newslot(if3331);
    if3321 = if3331;
  }
// compiled if node returning if3321 (depth = 7)
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool3423 = alloc_Boolean(0);
// compiled identifier node returning bool3423 (depth = 8)
  *var_escaped = bool3423;
  if (bool3423 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3320 = done;
  } else {
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3427 == NULL) {
    strlit3427 = alloc_String("\\");
    gc_root(strlit3427);
  }
// compiled string node returning strlit3427 (depth = 9)
  int op_slot_right_3426 = gc_frame_newslot(strlit3427);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_3426 = gc_frame_newslot(*var_c);
  params[0] = strlit3427;
  partcv[0] = 1;
  Object opresult3429 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3429 (depth = 8)
  Object if3425 = done;
  if (istrue(opresult3429)) {
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool3430 = alloc_Boolean(1);
// compiled identifier node returning bool3430 (depth = 9)
  *var_escaped = bool3430;
  if (bool3430 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3425 = done;
  } else {
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3434 = alloc_Float64(0);
// compiled num node returning num3434 (depth = 10)
  int op_slot_right_3433 = gc_frame_newslot(num3434);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_unichars (depth = 10)
  int op_slot_left_3433 = gc_frame_newslot(*var_unichars);
  params[0] = num3434;
  partcv[0] = 1;
  Object opresult3436 = callmethod(*var_unichars, ">", 1, partcv, params);
// compiled op node returning opresult3436 (depth = 9)
  Object if3432 = done;
  if (istrue(opresult3436)) {
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3438 = alloc_Float64(1);
// compiled num node returning num3438 (depth = 11)
  int op_slot_right_3437 = gc_frame_newslot(num3438);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unichars (depth = 11)
  int op_slot_left_3437 = gc_frame_newslot(*var_unichars);
  params[0] = num3438;
  partcv[0] = 1;
  Object diff3440 = callmethod(*var_unichars, "-", 1, partcv, params);
// compiled op node returning diff3440 (depth = 10)
  *var_unichars = diff3440;
  if (diff3440 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3443 = alloc_Float64(16);
// compiled num node returning num3443 (depth = 11)
  int op_slot_right_3442 = gc_frame_newslot(num3443);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_codepoint (depth = 11)
  int op_slot_left_3442 = gc_frame_newslot(*var_codepoint);
  params[0] = num3443;
  partcv[0] = 1;
  Object prod3445 = callmethod(*var_codepoint, "*", 1, partcv, params);
// compiled op node returning prod3445 (depth = 10)
  *var_codepoint = prod3445;
  if (prod3445 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3448 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  gc_frame_newslot(*var_c);
// call case 4: self request
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3449 = callmethodflags(self, "hexdecchar", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3448);
// compiled call node returning call3449 (depth = 11)
  int op_slot_right_3447 = gc_frame_newslot(call3449);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_codepoint (depth = 11)
  int op_slot_left_3447 = gc_frame_newslot(*var_codepoint);
  params[0] = call3449;
  partcv[0] = 1;
  Object sum3451 = callmethod(*var_codepoint, "+", 1, partcv, params);
// compiled op node returning sum3451 (depth = 10)
  *var_codepoint = sum3451;
  if (sum3451 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3455 = alloc_Float64(0);
// compiled num node returning num3455 (depth = 11)
  int op_slot_right_3454 = gc_frame_newslot(num3455);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unichars (depth = 11)
  int op_slot_left_3454 = gc_frame_newslot(*var_unichars);
  params[0] = num3455;
  partcv[0] = 1;
  Object opresult3457 = callmethod(*var_unichars, "==", 1, partcv, params);
// compiled op node returning opresult3457 (depth = 10)
  Object if3453 = done;
  if (istrue(opresult3457)) {
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3459 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_codepoint (depth = 13)
  gc_frame_newslot(*var_codepoint);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_codepoint;
  partcv[0] = 1;
  Object call3460 = callmethod(*var_unicode, "create",
    1, partcv, params);
  gc_frame_end(callframe3459);
// compiled call node returning call3460 (depth = 12)
  int op_slot_right_3458 = gc_frame_newslot(call3460);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  int op_slot_left_3458 = gc_frame_newslot(*var_accum);
  params[0] = call3460;
  partcv[0] = 1;
  Object opresult3462 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3462 (depth = 11)
  *var_accum = opresult3462;
  if (opresult3462 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3453 = done;
  } else {
  }
// compiled if node returning if3453 (depth = 9)
    gc_frame_newslot(if3453);
    if3432 = if3453;
  } else {
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3466 == NULL) {
    strlit3466 = alloc_String("{");
    gc_root(strlit3466);
  }
// compiled string node returning strlit3466 (depth = 11)
  int op_slot_right_3465 = gc_frame_newslot(strlit3466);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_3465 = gc_frame_newslot(*var_c);
  params[0] = strlit3466;
  partcv[0] = 1;
  Object opresult3468 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3468 (depth = 10)
  Object if3464 = done;
  if (istrue(opresult3468)) {
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3470 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_interpString (depth = 13)
  partcv[0] = 0;
  Object call3471 = callmethod(*var_interpString, "not",
    1, partcv, params);
  gc_frame_end(callframe3470);
// compiled call node returning call3471 (depth = 12)
// compiled member node returning call3471 (depth = 11)
  Object if3469 = done;
  if (istrue(call3471)) {
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe3472 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 12)
  if (strlit3473 == NULL) {
    strlit3473 = alloc_String("(");
    gc_root(strlit3473);
  }
// compiled string node returning strlit3473 (depth = 12)
  gc_frame_newslot(strlit3473);
// starting to compile string node (depth = 12)
  if (strlit3474 == NULL) {
    strlit3474 = alloc_String("(");
    gc_root(strlit3474);
  }
// compiled string node returning strlit3474 (depth = 12)
  gc_frame_newslot(strlit3474);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3473;
  params[2] = strlit3474;
  partcv[0] = 3;
  Object call3475 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3472);
// compiled call node returning call3475 (depth = 11)
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile identifier node (depth = 12)
  Object bool3476 = alloc_Boolean(1);
// compiled identifier node returning bool3476 (depth = 12)
  *var_interpString = bool3476;
  if (bool3476 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3469 = done;
  } else {
  }
// compiled if node returning if3469 (depth = 10)
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3478 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3479 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3478);
// compiled call node returning call3479 (depth = 10)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3480 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 11)
  if (strlit3481 == NULL) {
    strlit3481 = alloc_String("o");
    gc_root(strlit3481);
  }
// compiled string node returning strlit3481 (depth = 11)
  gc_frame_newslot(strlit3481);
// starting to compile string node (depth = 11)
  if (strlit3482 == NULL) {
    strlit3482 = alloc_String("++");
    gc_root(strlit3482);
  }
// compiled string node returning strlit3482 (depth = 11)
  gc_frame_newslot(strlit3482);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3481;
  params[2] = strlit3482;
  partcv[0] = 3;
  Object call3483 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3480);
// compiled call node returning call3483 (depth = 10)
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3484 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 11)
  if (strlit3485 == NULL) {
    strlit3485 = alloc_String("(");
    gc_root(strlit3485);
  }
// compiled string node returning strlit3485 (depth = 11)
  gc_frame_newslot(strlit3485);
// starting to compile string node (depth = 11)
  if (strlit3486 == NULL) {
    strlit3486 = alloc_String("(");
    gc_root(strlit3486);
  }
// compiled string node returning strlit3486 (depth = 11)
  gc_frame_newslot(strlit3486);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3485;
  params[2] = strlit3486;
  partcv[0] = 3;
  Object call3487 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3484);
// compiled call node returning call3487 (depth = 10)
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3488 == NULL) {
    strlit3488 = alloc_String("n");
    gc_root(strlit3488);
  }
// compiled string node returning strlit3488 (depth = 11)
  *var_mode = strlit3488;
  if (strlit3488 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3490 == NULL) {
    strlit3490 = alloc_String("n");
    gc_root(strlit3490);
  }
// compiled string node returning strlit3490 (depth = 11)
  *var_newmode = strlit3490;
  if (strlit3490 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3492 == NULL) {
    strlit3492 = alloc_String("");
    gc_root(strlit3492);
  }
// compiled string node returning strlit3492 (depth = 11)
  *var_accum = strlit3492;
  if (strlit3492 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile identifier node (depth = 11)
  Object bool3494 = alloc_Boolean(0);
// compiled identifier node returning bool3494 (depth = 11)
  *var_inStr = bool3494;
  if (bool3494 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3497 = alloc_Float64(1);
// compiled num node returning num3497 (depth = 12)
  int op_slot_right_3496 = gc_frame_newslot(num3497);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_interpdepth (depth = 12)
  int op_slot_left_3496 = gc_frame_newslot(*var_interpdepth);
  params[0] = num3497;
  partcv[0] = 1;
  Object sum3499 = callmethod(*var_interpdepth, "+", 1, partcv, params);
// compiled op node returning sum3499 (depth = 11)
  *var_interpdepth = sum3499;
  if (sum3499 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3464 = done;
  } else {
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_right_3501 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  int op_slot_left_3501 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3503 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3503 (depth = 11)
  *var_accum = opresult3503;
  if (opresult3503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3464 = done;
  }
// compiled if node returning if3464 (depth = 9)
    gc_frame_newslot(if3464);
    if3432 = if3464;
  }
// compiled if node returning if3432 (depth = 8)
    gc_frame_newslot(if3432);
    if3425 = if3432;
  }
// compiled if node returning if3425 (depth = 7)
    gc_frame_newslot(if3425);
    if3320 = if3425;
  }
// compiled if node returning if3320 (depth = 6)
    gc_frame_newslot(if3320);
    if2996 = if3320;
  } else {
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3507 == NULL) {
    strlit3507 = alloc_String("""\x0a""");
    gc_root(strlit3507);
  }
// compiled string node returning strlit3507 (depth = 8)
  int op_slot_right_3506 = gc_frame_newslot(strlit3507);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_3506 = gc_frame_newslot(*var_c);
  params[0] = strlit3507;
  partcv[0] = 1;
  Object opresult3509 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult3509 (depth = 7)
  Object if3505 = done;
  if (istrue(opresult3509)) {
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool3510 = alloc_Boolean(1);
// compiled identifier node returning bool3510 (depth = 8)
  *var_newlineFound = bool3510;
  if (bool3510 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3514 == NULL) {
    strlit3514 = alloc_String("q");
    gc_root(strlit3514);
  }
// compiled string node returning strlit3514 (depth = 9)
  int op_slot_right_3513 = gc_frame_newslot(strlit3514);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_3513 = gc_frame_newslot(*var_mode);
  params[0] = strlit3514;
  partcv[0] = 1;
  Object opresult3516 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3516 (depth = 8)
  Object if3512 = done;
  if (istrue(opresult3516)) {
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_right_3517 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  int op_slot_left_3517 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3519 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3519 (depth = 9)
  *var_accum = opresult3519;
  if (opresult3519 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3512 = done;
  } else {
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3521 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3522 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3521);
// compiled call node returning call3522 (depth = 8)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3523 == NULL) {
    strlit3523 = alloc_String("d");
    gc_root(strlit3523);
  }
// compiled string node returning strlit3523 (depth = 9)
  *var_mode = strlit3523;
  if (strlit3523 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3525 == NULL) {
    strlit3525 = alloc_String("d");
    gc_root(strlit3525);
  }
// compiled string node returning strlit3525 (depth = 9)
  *var_newmode = strlit3525;
  if (strlit3525 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3527 == NULL) {
    strlit3527 = alloc_String("");
    gc_root(strlit3527);
  }
// compiled string node returning strlit3527 (depth = 9)
  *var_accum = strlit3527;
  if (strlit3527 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3512 = done;
  }
// compiled if node returning if3512 (depth = 7)
    gc_frame_newslot(if3512);
    if3505 = if3512;
  } else {
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_right_3529 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_3529 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3531 = callmethod(*var_accum, "++", 1, partcv, params);
// compiled op node returning opresult3531 (depth = 8)
  *var_accum = opresult3531;
  if (opresult3531 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3505 = done;
  }
// compiled if node returning if3505 (depth = 6)
    gc_frame_newslot(if3505);
    if2996 = if3505;
  }
// compiled if node returning if2996 (depth = 5)
    gc_frame_newslot(if2996);
    if2911 = if2996;
  }
// compiled if node returning if2911 (depth = 4)
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3535 == NULL) {
    strlit3535 = alloc_String("...");
    gc_root(strlit3535);
  }
// compiled string node returning strlit3535 (depth = 6)
  int op_slot_right_3534 = gc_frame_newslot(strlit3535);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  int op_slot_left_3534 = gc_frame_newslot(*var_accum);
  params[0] = strlit3535;
  partcv[0] = 1;
  Object opresult3537 = callmethod(*var_accum, "==", 1, partcv, params);
// compiled op node returning opresult3537 (depth = 5)
  Object if3533 = done;
  if (istrue(opresult3537)) {
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3540 == NULL) {
    strlit3540 = alloc_String("o");
    gc_root(strlit3540);
  }
// compiled string node returning strlit3540 (depth = 7)
  int op_slot_right_3539 = gc_frame_newslot(strlit3540);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_3539 = gc_frame_newslot(*var_mode);
  params[0] = strlit3540;
  partcv[0] = 1;
  Object opresult3542 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3542 (depth = 6)
  Object if3538 = done;
  if (istrue(opresult3542)) {
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3543 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 7)
  if (strlit3544 == NULL) {
    strlit3544 = alloc_String("i");
    gc_root(strlit3544);
  }
// compiled string node returning strlit3544 (depth = 7)
  gc_frame_newslot(strlit3544);
// starting to compile string node (depth = 7)
  if (strlit3545 == NULL) {
    strlit3545 = alloc_String("...");
    gc_root(strlit3545);
  }
// compiled string node returning strlit3545 (depth = 7)
  gc_frame_newslot(strlit3545);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3544;
  params[2] = strlit3545;
  partcv[0] = 3;
  Object call3546 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3543);
// compiled call node returning call3546 (depth = 6)
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3547 == NULL) {
    strlit3547 = alloc_String("n");
    gc_root(strlit3547);
  }
// compiled string node returning strlit3547 (depth = 7)
  *var_newmode = strlit3547;
  if (strlit3547 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newmode (depth = 7)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3550 == NULL) {
    strlit3550 = alloc_String("");
    gc_root(strlit3550);
  }
// compiled string node returning strlit3550 (depth = 7)
  *var_accum = strlit3550;
  if (strlit3550 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if3538 = done;
  } else {
  }
// compiled if node returning if3538 (depth = 5)
    gc_frame_newslot(if3538);
    if3533 = if3538;
  } else {
  }
// compiled if node returning if3533 (depth = 4)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newlineFound (depth = 5)
  Object if3552 = done;
  if (istrue(*var_newlineFound)) {
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3553 = alloc_Boolean(0);
// compiled identifier node returning bool3553 (depth = 6)
  *var_newlineFound = bool3553;
  if (bool3553 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3555 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3557 = alloc_Float64(1);
// compiled num node returning num3557 (depth = 7)
  int op_slot_right_3556 = gc_frame_newslot(num3557);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3559 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3560 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3559);
// compiled call node returning call3560 (depth = 8)
// compiled member node returning call3560 (depth = 7)
  int op_slot_left_3556 = gc_frame_newslot(call3560);
  params[0] = num3557;
  partcv[0] = 1;
  Object sum3561 = callmethod(call3560, "+", 1, partcv, params);
// compiled op node returning sum3561 (depth = 6)
  gc_frame_newslot(sum3561);
// call case 4: self request
  params[0] = sum3561;
  partcv[0] = 1;
  Object call3562 = callmethodflags(self, "lineNumber:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3555);
// compiled call node returning call3562 (depth = 5)
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3563 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3564 = alloc_Float64(0);
// compiled num node returning num3564 (depth = 6)
  gc_frame_newslot(num3564);
// call case 4: self request
  params[0] = num3564;
  partcv[0] = 1;
  Object call3565 = callmethodflags(self, "linePosition:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3563);
// compiled call node returning call3565 (depth = 5)
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3566 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3567 = alloc_Float64(1);
// compiled num node returning num3567 (depth = 6)
  gc_frame_newslot(num3567);
// call case 4: self request
  params[0] = num3567;
  partcv[0] = 1;
  Object call3568 = callmethodflags(self, "startPosition:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3566);
// compiled call node returning call3568 (depth = 5)
    gc_frame_newslot(call3568);
    if3552 = call3568;
  } else {
  }
// compiled if node returning if3552 (depth = 4)
  gc_frame_end(frame);
  return if3552;
}
Object meth_lexer__apply3575(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object *var_mainBlock = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3576 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3578 = alloc_Float64(1);
// compiled num node returning num3578 (depth = 8)
  int op_slot_right_3577 = gc_frame_newslot(num3578);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3580 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3581 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3580);
// compiled call node returning call3581 (depth = 9)
// compiled member node returning call3581 (depth = 8)
  int op_slot_left_3577 = gc_frame_newslot(call3581);
  params[0] = num3578;
  partcv[0] = 1;
  Object sum3582 = callmethod(call3581, "+", 1, partcv, params);
// compiled op node returning sum3582 (depth = 7)
  gc_frame_newslot(sum3582);
// call case 4: self request
  params[0] = sum3582;
  partcv[0] = 1;
  Object call3583 = callmethodflags(self, "linePosition:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3576);
// compiled call node returning call3583 (depth = 6)
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3586 == NULL) {
    strlit3586 = alloc_String(" ");
    gc_root(strlit3586);
  }
// compiled string node returning strlit3586 (depth = 8)
  int op_slot_right_3585 = gc_frame_newslot(strlit3586);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ch (depth = 8)
  int op_slot_left_3585 = gc_frame_newslot(*var_ch);
  params[0] = strlit3586;
  partcv[0] = 1;
  Object opresult3588 = callmethod(*var_ch, "==", 1, partcv, params);
// compiled op node returning opresult3588 (depth = 7)
  Object if3584 = done;
  if (istrue(opresult3588)) {
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3591 == NULL) {
    strlit3591 = alloc_String("d");
    gc_root(strlit3591);
  }
// compiled string node returning strlit3591 (depth = 9)
  int op_slot_right_3590 = gc_frame_newslot(strlit3591);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_3590 = gc_frame_newslot(*var_mode);
  params[0] = strlit3591;
  partcv[0] = 1;
  Object opresult3593 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3593 (depth = 8)
  Object if3589 = done;
  if (istrue(opresult3593)) {
    gc_frame_newslot(done);
    if3589 = done;
  } else {
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3596 == NULL) {
    strlit3596 = alloc_String("n");
    gc_root(strlit3596);
  }
// compiled string node returning strlit3596 (depth = 10)
  int op_slot_right_3595 = gc_frame_newslot(strlit3596);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_3595 = gc_frame_newslot(*var_mode);
  params[0] = strlit3596;
  partcv[0] = 1;
  Object opresult3598 = callmethod(*var_mode, "!=", 1, partcv, params);
// compiled op node returning opresult3598 (depth = 9)
  Object if3594 = done;
  if (istrue(opresult3598)) {
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3599 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ch (depth = 10)
  gc_frame_newslot(*var_ch);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mainBlock (depth = 10)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call3600 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3599);
// compiled call node returning call3600 (depth = 9)
    gc_frame_newslot(call3600);
    if3594 = call3600;
  } else {
  }
// compiled if node returning if3594 (depth = 8)
    gc_frame_newslot(if3594);
    if3589 = if3594;
  }
// compiled if node returning if3589 (depth = 7)
    gc_frame_newslot(if3589);
    if3584 = if3589;
  } else {
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3601 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ch (depth = 8)
  gc_frame_newslot(*var_ch);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mainBlock (depth = 8)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call3602 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3601);
// compiled call node returning call3602 (depth = 7)
    gc_frame_newslot(call3602);
    if3584 = call3602;
  }
// compiled if node returning if3584 (depth = 6)
  gc_frame_end(frame);
  return if3584;
}
Object meth_lexer__apply3572(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_mode = getfromclosure(closure, 0);
  Object *var_mainBlock = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_eachLine = &(stackframe->slots[0]);
  *var_eachLine = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3573 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_eachLine (depth = 5)
  gc_frame_newslot(*var_eachLine);
// starting to compile block node (depth = 5)
  Object block3574 = alloc_Block(NULL, NULL, "lexer", 1090);
  gc_frame_newslot(block3574);
// method "_apply"
  block_savedest(block3574);
  Object closure3575 = createclosure(3, "_apply");
  setclosureframe(closure3575, stackframe);
  addtoclosure(closure3575, var_mode);
  addtoclosure(closure3575, var_mainBlock);
  addtoclosure(closure3575, selfslot);
  struct UserObject *uo3575 = (struct UserObject*)block3574;
  uo3575->data[0] = (Object)closure3575;
  Method *meth_meth_lexer__apply3575 = addmethod2pos(block3574, "_apply", &meth_lexer__apply3575, 0);
  int argcv_meth_lexer__apply3575[] = {1};
  meth_meth_lexer__apply3575->type = alloc_MethodType(1, argcv_meth_lexer__apply3575);
  meth_meth_lexer__apply3575->definitionModule = modulename;
  meth_meth_lexer__apply3575->definitionLine = 1084;
// compiled block node returning block3574 (depth = 5)
  gc_frame_newslot(block3574);
// call case 5: prelude request
  params[0] = *var_eachLine;
  params[1] = block3574;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3604 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3573);
// compiled call node returning call3604 (depth = 4)
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3605 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3606 == NULL) {
    strlit3606 = alloc_String("""\x0a""");
    gc_root(strlit3606);
  }
// compiled string node returning strlit3606 (depth = 5)
  gc_frame_newslot(strlit3606);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mainBlock (depth = 5)
  params[0] = strlit3606;
  partcv[0] = 1;
  Object call3607 = callmethod(*var_mainBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe3605);
// compiled call node returning call3607 (depth = 4)
  gc_frame_end(frame);
  return call3607;
}
Object meth_lexer_lexinput1856(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(24, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexinput");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lexinput");
  Object params[10];
  int partcv[3];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lexinput (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_inputLines = &(stackframe->slots[0]);
  *var_inputLines = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for lexinput");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tokens");
  Object *var_mode = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "mode");
  Object *var_newmode = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newmode");
  Object *var_inStr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "inStr");
  Object *var_inBackticks = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "inBackticks");
  Object *var_backtickIdent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "backtickIdent");
  Object *var_accum = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "accum");
  Object *var_escaped = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "escaped");
  Object *var_unichars = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "unichars");
  Object *var_codepoint = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "codepoint");
  Object *var_interpdepth = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "interpdepth");
  Object *var_interpString = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "interpString");
  Object *var_atStart = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "atStart");
  Object *var_newlineFound = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "newlineFound");
  Object *var_badSeparator = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "badSeparator");
  Object *var_badControl = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "badControl");
  Object *var_selfModes = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "selfModes");
  Object *var_brackets = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "brackets");
  Object *var_identifierChar = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "identifierChar");
  Object *var_digit = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "digit");
  Object *var_mainBlock = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "mainBlock");
  Object *var_suggestion = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "suggestion");
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject1857 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1857 = alloc_userobj2(14,12, objclass1857);
  gc_frame_newslot(obj1857);
// OBJECT OUTER DEC outer
  adddatum2(obj1857, self, 0);
  addmethodreal(obj1857,"outer", &reader_lexer_outer_1858);
  Object oldself1857 = self;
  struct StackFrameObject *oldstackframe1857 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1857);
  gc_frame_newslot((Object)stackframe);
  self = obj1857;
  Object *oldselfslot1857 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1857 = (*(struct UserObject *)self).data[0], lowerouter1857 = thisouter1857;
  if (inheritingObject1857) {
    struct UserObject *inho1857 = (struct UserObject *)inheritingObject1857;
    while (inho1857->super != GraceDefaultObject) inho1857 = (struct UserObject *)inho1857->super;
    inho1857->super = obj1857;
    self = inheritingObject1857;
    *selfslot = self;
    lowerouter1857 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1857;
  }
if (objclass1857 == NULL) {
  Method *reader1859 = addmethodrealflags(obj1857, "first",&reader_lexer_first_1859, 0);
  Method *writer1859 = addmethodrealflags(obj1857, "first:=",&writer_lexer_first_1859, MFLAG_CONFIDENTIAL);
  reader1859->definitionModule = modulename;
  writer1859->definitionModule = modulename;
  reader1859->definitionLine = 577;
  writer1859->definitionLine = 577;
}
obj1857->flags |= OFLAG_MUTABLE;
adddatum2(obj1857, alloc_Undefined(), 1);
if (objclass1857 == NULL) {
  Method *reader1860 = addmethodrealflags(obj1857, "last",&reader_lexer_last_1860, 0);
  Method *writer1860 = addmethodrealflags(obj1857, "last:=",&writer_lexer_last_1860, MFLAG_CONFIDENTIAL);
  reader1860->definitionModule = modulename;
  writer1860->definitionModule = modulename;
  reader1860->definitionLine = 578;
  writer1860->definitionLine = 578;
}
obj1857->flags |= OFLAG_MUTABLE;
adddatum2(obj1857, alloc_Undefined(), 2);
if (objclass1857 == NULL) {
  Method *reader1861 = addmethodrealflags(obj1857, "size'",&reader_lexer_size_39__1861, MFLAG_CONFIDENTIAL);
  Method *writer1861 = addmethodrealflags(obj1857, "size':=",&writer_lexer_size_39__1861, MFLAG_CONFIDENTIAL);
  reader1861->definitionModule = modulename;
  writer1861->definitionModule = modulename;
  reader1861->definitionLine = 579;
  writer1861->definitionLine = 579;
}
obj1857->flags |= OFLAG_MUTABLE;
adddatum2(obj1857, alloc_Undefined(), 3);
// method "push"
  struct UserObject *uo1862 = (struct UserObject*)obj1857;
  uo1862->data[4] = emptyclosure;
  Method *meth_meth_lexer_push1862 = addmethod2pos(obj1857, "push", &meth_lexer_push1862, 4);
  int argcv_meth_lexer_push1862[] = {1};
  meth_meth_lexer_push1862->type = alloc_MethodType(1, argcv_meth_lexer_push1862);
  meth_meth_lexer_push1862->definitionModule = modulename;
  meth_meth_lexer_push1862->definitionLine = 581;
// method "pop"
  struct UserObject *uo1892 = (struct UserObject*)obj1857;
  uo1892->data[5] = emptyclosure;
  Method *meth_meth_lexer_pop1892 = addmethod2pos(obj1857, "pop", &meth_lexer_pop1892, 5);
  int argcv_meth_lexer_pop1892[] = {0};
  meth_meth_lexer_pop1892->type = alloc_MethodType(1, argcv_meth_lexer_pop1892);
  meth_meth_lexer_pop1892->definitionModule = modulename;
  meth_meth_lexer_pop1892->definitionLine = 593;
// method "poll"
  struct UserObject *uo1926 = (struct UserObject*)obj1857;
  uo1926->data[6] = emptyclosure;
  Method *meth_meth_lexer_poll1926 = addmethod2pos(obj1857, "poll", &meth_lexer_poll1926, 6);
  int argcv_meth_lexer_poll1926[] = {0};
  meth_meth_lexer_poll1926->type = alloc_MethodType(1, argcv_meth_lexer_poll1926);
  meth_meth_lexer_poll1926->definitionModule = modulename;
  meth_meth_lexer_poll1926->definitionLine = 605;
// method "size"
  struct UserObject *uo1960 = (struct UserObject*)obj1857;
  uo1960->data[7] = emptyclosure;
  Method *meth_meth_lexer_size1960 = addmethod2pos(obj1857, "size", &meth_lexer_size1960, 7);
  int argcv_meth_lexer_size1960[] = {0};
  meth_meth_lexer_size1960->type = alloc_MethodType(1, argcv_meth_lexer_size1960);
  meth_meth_lexer_size1960->definitionModule = modulename;
  meth_meth_lexer_size1960->definitionLine = 617;
// method "iter"
  struct UserObject *uo1967 = (struct UserObject*)obj1857;
  uo1967->data[8] = emptyclosure;
  Method *meth_meth_lexer_iter1967 = addmethod2pos(obj1857, "iter", &meth_lexer_iter1967, 8);
  int argcv_meth_lexer_iter1967[] = {0};
  meth_meth_lexer_iter1967->type = alloc_MethodType(1, argcv_meth_lexer_iter1967);
  meth_meth_lexer_iter1967->definitionModule = modulename;
  meth_meth_lexer_iter1967->definitionLine = 621;
  Method *meth_meth_lexer_iter1967_object = addmethod2pos(obj1857, "iter()object", &meth_lexer_iter1967_object, 8);
  int argcv_meth_lexer_iter1967_object[] = {0};
  meth_meth_lexer_iter1967_object->type = alloc_MethodType(1, argcv_meth_lexer_iter1967_object);
  meth_meth_lexer_iter1967_object->definitionModule = modulename;
  meth_meth_lexer_iter1967_object->definitionLine = 621;
// method "iterator"
  struct UserObject *uo1999 = (struct UserObject*)obj1857;
  uo1999->data[9] = emptyclosure;
  Method *meth_meth_lexer_iterator1999 = addmethod2pos(obj1857, "iterator", &meth_lexer_iterator1999, 9);
  int argcv_meth_lexer_iterator1999[] = {0};
  meth_meth_lexer_iterator1999->type = alloc_MethodType(1, argcv_meth_lexer_iterator1999);
  meth_meth_lexer_iterator1999->definitionModule = modulename;
  meth_meth_lexer_iterator1999->definitionLine = 638;
// method "do"
  struct UserObject *uo2002 = (struct UserObject*)obj1857;
  uo2002->data[10] = emptyclosure;
  Method *meth_meth_lexer_do2002 = addmethod2pos(obj1857, "do", &meth_lexer_do2002, 10);
  int argcv_meth_lexer_do2002[] = {1};
  meth_meth_lexer_do2002->type = alloc_MethodType(1, argcv_meth_lexer_do2002);
  meth_meth_lexer_do2002->definitionModule = modulename;
  meth_meth_lexer_do2002->definitionLine = 642;
  sourceObject = obj1857;
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2022 = alloc_Boolean(0);
// compiled identifier node returning bool2022 (depth = 4)
  adddatum2(obj1857, bool2022, 1);
  sourceObject = obj1857;
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2023 = alloc_Boolean(0);
// compiled identifier node returning bool2023 (depth = 4)
  adddatum2(obj1857, bool2023, 2);
  sourceObject = obj1857;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num2024 = alloc_Float64(0);
// compiled num node returning num2024 (depth = 4)
  adddatum2(obj1857, num2024, 3);
  sourceObject = obj1857;
  sourceObject = obj1857;
  sourceObject = obj1857;
  sourceObject = obj1857;
  sourceObject = obj1857;
  sourceObject = obj1857;
  sourceObject = obj1857;
  objclass1857 = obj1857->class;
  objclass1857->definitionModule = modulename;
  objclass1857->definitionLine = 576;
  (*(struct UserObject *)self).data[0] = lowerouter1857;
  self = oldself1857;
  selfslot = oldselfslot1857;
  stackframe = oldstackframe1857;
// compiled object node returning obj1857 (depth = 3)
  *var_tokens = obj1857;
  if (obj1857 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2025 == NULL) {
    strlit2025 = alloc_String("d");
    gc_root(strlit2025);
  }
// compiled string node returning strlit2025 (depth = 3)
  *var_mode = strlit2025;
  if (strlit2025 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_mode (depth = 3)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2026 = alloc_Boolean(0);
// compiled identifier node returning bool2026 (depth = 3)
  *var_inStr = bool2026;
  if (bool2026 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2027 = alloc_Boolean(0);
// compiled identifier node returning bool2027 (depth = 3)
  *var_inBackticks = bool2027;
  if (bool2027 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2028 = alloc_Boolean(0);
// compiled identifier node returning bool2028 (depth = 3)
  *var_backtickIdent = bool2028;
  if (bool2028 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2029 == NULL) {
    strlit2029 = alloc_String("");
    gc_root(strlit2029);
  }
// compiled string node returning strlit2029 (depth = 3)
  *var_accum = strlit2029;
  if (strlit2029 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2030 = alloc_Boolean(0);
// compiled identifier node returning bool2030 (depth = 3)
  *var_escaped = bool2030;
  if (bool2030 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2031 = alloc_Float64(0);
// compiled num node returning num2031 (depth = 3)
  *var_unichars = num2031;
  if (num2031 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2032 = alloc_Float64(0);
// compiled num node returning num2032 (depth = 3)
  *var_codepoint = num2032;
  if (num2032 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2033 = alloc_Float64(0);
// compiled num node returning num2033 (depth = 3)
  *var_interpdepth = num2033;
  if (num2033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2034 = alloc_Boolean(0);
// compiled identifier node returning bool2034 (depth = 3)
  *var_interpString = bool2034;
  if (bool2034 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2035 = alloc_Boolean(1);
// compiled identifier node returning bool2035 (depth = 3)
  *var_atStart = bool2035;
  if (bool2035 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2036 = alloc_Boolean(0);
// compiled identifier node returning bool2036 (depth = 3)
  *var_newlineFound = bool2036;
  if (bool2036 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2037 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num2038 = alloc_Float64(0);
// compiled num node returning num2038 (depth = 3)
  gc_frame_newslot(num2038);
// call case 4: self request
  params[0] = num2038;
  partcv[0] = 1;
  Object call2039 = callmethodflags(self, "linePosition:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2037);
// compiled call node returning call2039 (depth = 2)
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2040 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit2041 == NULL) {
    strlit2041 = alloc_String("lexing.");
    gc_root(strlit2041);
  }
// compiled string node returning strlit2041 (depth = 3)
  gc_frame_newslot(strlit2041);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit2041;
  partcv[0] = 1;
  Object call2042 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe2040);
// compiled call node returning call2042 (depth = 2)
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2043 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2044 == NULL) {
    strlit2044 = alloc_String("Z");
    gc_root(strlit2044);
  }
// compiled string node returning strlit2044 (depth = 4)
  gc_frame_newslot(strlit2044);
// starting to compile num node (depth = 4)
  Object num2045 = alloc_Float64(9);
// compiled num node returning num2045 (depth = 4)
  gc_frame_newslot(num2045);
// starting to compile num node (depth = 4)
  Object num2046 = alloc_Float64(32);
// compiled num node returning num2046 (depth = 4)
  gc_frame_newslot(num2046);
// starting to compile num node (depth = 4)
  Object num2047 = alloc_Float64(160);
// compiled num node returning num2047 (depth = 4)
  gc_frame_newslot(num2047);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = strlit2044;
  params[1] = num2045;
  params[2] = num2046;
  params[3] = num2047;
  partcv[0] = 2;
  partcv[1] = 2;
  Object call2048 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe2043);
// compiled call node returning call2048 (depth = 3)
  *var_badSeparator = call2048;
  if (call2048 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2049 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2050 == NULL) {
    strlit2050 = alloc_String("C");
    gc_root(strlit2050);
  }
// compiled string node returning strlit2050 (depth = 4)
  gc_frame_newslot(strlit2050);
// starting to compile num node (depth = 4)
  Object num2051 = alloc_Float64(10);
// compiled num node returning num2051 (depth = 4)
  gc_frame_newslot(num2051);
// starting to compile num node (depth = 4)
  Object num2052 = alloc_Float64(13);
// compiled num node returning num2052 (depth = 4)
  gc_frame_newslot(num2052);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = strlit2050;
  params[1] = num2051;
  params[2] = num2052;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call2053 = callmethod(*var_unicode, "pattern()not",
    2, partcv, params);
  gc_frame_end(callframe2049);
// compiled call node returning call2053 (depth = 3)
  *var_badControl = call2053;
  if (call2053 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2054 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2055 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2056 == NULL) {
    strlit2056 = alloc_String("(");
    gc_root(strlit2056);
  }
// compiled string node returning strlit2056 (depth = 6)
  partcv[0] = 0;
  Object call2057 = callmethod(strlit2056, "ord",
    1, partcv, params);
  gc_frame_end(callframe2055);
// compiled call node returning call2057 (depth = 5)
// compiled member node returning call2057 (depth = 4)
  gc_frame_newslot(call2057);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2058 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2059 == NULL) {
    strlit2059 = alloc_String(")");
    gc_root(strlit2059);
  }
// compiled string node returning strlit2059 (depth = 6)
  partcv[0] = 0;
  Object call2060 = callmethod(strlit2059, "ord",
    1, partcv, params);
  gc_frame_end(callframe2058);
// compiled call node returning call2060 (depth = 5)
// compiled member node returning call2060 (depth = 4)
  gc_frame_newslot(call2060);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2061 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2062 == NULL) {
    strlit2062 = alloc_String(",");
    gc_root(strlit2062);
  }
// compiled string node returning strlit2062 (depth = 6)
  partcv[0] = 0;
  Object call2063 = callmethod(strlit2062, "ord",
    1, partcv, params);
  gc_frame_end(callframe2061);
// compiled call node returning call2063 (depth = 5)
// compiled member node returning call2063 (depth = 4)
  gc_frame_newslot(call2063);
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2064 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2065 == NULL) {
    strlit2065 = alloc_String(".");
    gc_root(strlit2065);
  }
// compiled string node returning strlit2065 (depth = 6)
  partcv[0] = 0;
  Object call2066 = callmethod(strlit2065, "ord",
    1, partcv, params);
  gc_frame_end(callframe2064);
// compiled call node returning call2066 (depth = 5)
// compiled member node returning call2066 (depth = 4)
  gc_frame_newslot(call2066);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2067 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2068 == NULL) {
    strlit2068 = alloc_String("{");
    gc_root(strlit2068);
  }
// compiled string node returning strlit2068 (depth = 6)
  partcv[0] = 0;
  Object call2069 = callmethod(strlit2068, "ord",
    1, partcv, params);
  gc_frame_end(callframe2067);
// compiled call node returning call2069 (depth = 5)
// compiled member node returning call2069 (depth = 4)
  gc_frame_newslot(call2069);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2070 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2071 == NULL) {
    strlit2071 = alloc_String("}");
    gc_root(strlit2071);
  }
// compiled string node returning strlit2071 (depth = 6)
  partcv[0] = 0;
  Object call2072 = callmethod(strlit2071, "ord",
    1, partcv, params);
  gc_frame_end(callframe2070);
// compiled call node returning call2072 (depth = 5)
// compiled member node returning call2072 (depth = 4)
  gc_frame_newslot(call2072);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2073 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2074 == NULL) {
    strlit2074 = alloc_String("[");
    gc_root(strlit2074);
  }
// compiled string node returning strlit2074 (depth = 6)
  partcv[0] = 0;
  Object call2075 = callmethod(strlit2074, "ord",
    1, partcv, params);
  gc_frame_end(callframe2073);
// compiled call node returning call2075 (depth = 5)
// compiled member node returning call2075 (depth = 4)
  gc_frame_newslot(call2075);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2076 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2077 == NULL) {
    strlit2077 = alloc_String("]");
    gc_root(strlit2077);
  }
// compiled string node returning strlit2077 (depth = 6)
  partcv[0] = 0;
  Object call2078 = callmethod(strlit2077, "ord",
    1, partcv, params);
  gc_frame_end(callframe2076);
// compiled call node returning call2078 (depth = 5)
// compiled member node returning call2078 (depth = 4)
  gc_frame_newslot(call2078);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2079 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2080 == NULL) {
    strlit2080 = alloc_String(";");
    gc_root(strlit2080);
  }
// compiled string node returning strlit2080 (depth = 6)
  partcv[0] = 0;
  Object call2081 = callmethod(strlit2080, "ord",
    1, partcv, params);
  gc_frame_end(callframe2079);
// compiled call node returning call2081 (depth = 5)
// compiled member node returning call2081 (depth = 4)
  gc_frame_newslot(call2081);
// call case 6: other member request
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = call2057;
  params[1] = call2060;
  params[2] = call2063;
  params[3] = call2066;
  params[4] = call2069;
  params[5] = call2072;
  params[6] = call2075;
  params[7] = call2078;
  params[8] = call2081;
  partcv[0] = 9;
  Object call2082 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2054);
// compiled call node returning call2082 (depth = 3)
  *var_selfModes = call2082;
  if (call2082 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2083 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2084 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2085 == NULL) {
    strlit2085 = alloc_String("(");
    gc_root(strlit2085);
  }
// compiled string node returning strlit2085 (depth = 6)
  partcv[0] = 0;
  Object call2086 = callmethod(strlit2085, "ord",
    1, partcv, params);
  gc_frame_end(callframe2084);
// compiled call node returning call2086 (depth = 5)
// compiled member node returning call2086 (depth = 4)
  gc_frame_newslot(call2086);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2087 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2088 == NULL) {
    strlit2088 = alloc_String(")");
    gc_root(strlit2088);
  }
// compiled string node returning strlit2088 (depth = 6)
  partcv[0] = 0;
  Object call2089 = callmethod(strlit2088, "ord",
    1, partcv, params);
  gc_frame_end(callframe2087);
// compiled call node returning call2089 (depth = 5)
// compiled member node returning call2089 (depth = 4)
  gc_frame_newslot(call2089);
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2090 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2091 == NULL) {
    strlit2091 = alloc_String("{");
    gc_root(strlit2091);
  }
// compiled string node returning strlit2091 (depth = 6)
  partcv[0] = 0;
  Object call2092 = callmethod(strlit2091, "ord",
    1, partcv, params);
  gc_frame_end(callframe2090);
// compiled call node returning call2092 (depth = 5)
// compiled member node returning call2092 (depth = 4)
  gc_frame_newslot(call2092);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2093 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2094 == NULL) {
    strlit2094 = alloc_String("}");
    gc_root(strlit2094);
  }
// compiled string node returning strlit2094 (depth = 6)
  partcv[0] = 0;
  Object call2095 = callmethod(strlit2094, "ord",
    1, partcv, params);
  gc_frame_end(callframe2093);
// compiled call node returning call2095 (depth = 5)
// compiled member node returning call2095 (depth = 4)
  gc_frame_newslot(call2095);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2096 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2097 == NULL) {
    strlit2097 = alloc_String("[");
    gc_root(strlit2097);
  }
// compiled string node returning strlit2097 (depth = 6)
  partcv[0] = 0;
  Object call2098 = callmethod(strlit2097, "ord",
    1, partcv, params);
  gc_frame_end(callframe2096);
// compiled call node returning call2098 (depth = 5)
// compiled member node returning call2098 (depth = 4)
  gc_frame_newslot(call2098);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2099 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2100 == NULL) {
    strlit2100 = alloc_String("]");
    gc_root(strlit2100);
  }
// compiled string node returning strlit2100 (depth = 6)
  partcv[0] = 0;
  Object call2101 = callmethod(strlit2100, "ord",
    1, partcv, params);
  gc_frame_end(callframe2099);
// compiled call node returning call2101 (depth = 5)
// compiled member node returning call2101 (depth = 4)
  gc_frame_newslot(call2101);
// call case 6: other member request
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = call2086;
  params[1] = call2089;
  params[2] = call2092;
  params[3] = call2095;
  params[4] = call2098;
  params[5] = call2101;
  partcv[0] = 6;
  Object call2102 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2083);
// compiled call node returning call2102 (depth = 3)
  *var_brackets = call2102;
  if (call2102 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2103 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit2104 == NULL) {
    strlit2104 = alloc_String("L");
    gc_root(strlit2104);
  }
// compiled string node returning strlit2104 (depth = 4)
  gc_frame_newslot(strlit2104);
// starting to compile string node (depth = 4)
  if (strlit2105 == NULL) {
    strlit2105 = alloc_String("N");
    gc_root(strlit2105);
  }
// compiled string node returning strlit2105 (depth = 4)
  gc_frame_newslot(strlit2105);
// starting to compile num node (depth = 4)
  Object num2106 = alloc_Float64(95);
// compiled num node returning num2106 (depth = 4)
  gc_frame_newslot(num2106);
// starting to compile num node (depth = 4)
  Object num2107 = alloc_Float64(39);
// compiled num node returning num2107 (depth = 4)
  gc_frame_newslot(num2107);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = strlit2104;
  params[1] = strlit2105;
  params[2] = num2106;
  params[3] = num2107;
  partcv[0] = 4;
  Object call2108 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2103);
// compiled call node returning call2108 (depth = 3)
  *var_identifierChar = call2108;
  if (call2108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2109 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2110 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2111 == NULL) {
    strlit2111 = alloc_String("0");
    gc_root(strlit2111);
  }
// compiled string node returning strlit2111 (depth = 6)
  partcv[0] = 0;
  Object call2112 = callmethod(strlit2111, "ord",
    1, partcv, params);
  gc_frame_end(callframe2110);
// compiled call node returning call2112 (depth = 5)
// compiled member node returning call2112 (depth = 4)
  gc_frame_newslot(call2112);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2113 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2114 == NULL) {
    strlit2114 = alloc_String("1");
    gc_root(strlit2114);
  }
// compiled string node returning strlit2114 (depth = 6)
  partcv[0] = 0;
  Object call2115 = callmethod(strlit2114, "ord",
    1, partcv, params);
  gc_frame_end(callframe2113);
// compiled call node returning call2115 (depth = 5)
// compiled member node returning call2115 (depth = 4)
  gc_frame_newslot(call2115);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2116 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2117 == NULL) {
    strlit2117 = alloc_String("2");
    gc_root(strlit2117);
  }
// compiled string node returning strlit2117 (depth = 6)
  partcv[0] = 0;
  Object call2118 = callmethod(strlit2117, "ord",
    1, partcv, params);
  gc_frame_end(callframe2116);
// compiled call node returning call2118 (depth = 5)
// compiled member node returning call2118 (depth = 4)
  gc_frame_newslot(call2118);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2119 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2120 == NULL) {
    strlit2120 = alloc_String("3");
    gc_root(strlit2120);
  }
// compiled string node returning strlit2120 (depth = 6)
  partcv[0] = 0;
  Object call2121 = callmethod(strlit2120, "ord",
    1, partcv, params);
  gc_frame_end(callframe2119);
// compiled call node returning call2121 (depth = 5)
// compiled member node returning call2121 (depth = 4)
  gc_frame_newslot(call2121);
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2122 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2123 == NULL) {
    strlit2123 = alloc_String("4");
    gc_root(strlit2123);
  }
// compiled string node returning strlit2123 (depth = 6)
  partcv[0] = 0;
  Object call2124 = callmethod(strlit2123, "ord",
    1, partcv, params);
  gc_frame_end(callframe2122);
// compiled call node returning call2124 (depth = 5)
// compiled member node returning call2124 (depth = 4)
  gc_frame_newslot(call2124);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2125 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2126 == NULL) {
    strlit2126 = alloc_String("5");
    gc_root(strlit2126);
  }
// compiled string node returning strlit2126 (depth = 6)
  partcv[0] = 0;
  Object call2127 = callmethod(strlit2126, "ord",
    1, partcv, params);
  gc_frame_end(callframe2125);
// compiled call node returning call2127 (depth = 5)
// compiled member node returning call2127 (depth = 4)
  gc_frame_newslot(call2127);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2128 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2129 == NULL) {
    strlit2129 = alloc_String("6");
    gc_root(strlit2129);
  }
// compiled string node returning strlit2129 (depth = 6)
  partcv[0] = 0;
  Object call2130 = callmethod(strlit2129, "ord",
    1, partcv, params);
  gc_frame_end(callframe2128);
// compiled call node returning call2130 (depth = 5)
// compiled member node returning call2130 (depth = 4)
  gc_frame_newslot(call2130);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2131 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2132 == NULL) {
    strlit2132 = alloc_String("7");
    gc_root(strlit2132);
  }
// compiled string node returning strlit2132 (depth = 6)
  partcv[0] = 0;
  Object call2133 = callmethod(strlit2132, "ord",
    1, partcv, params);
  gc_frame_end(callframe2131);
// compiled call node returning call2133 (depth = 5)
// compiled member node returning call2133 (depth = 4)
  gc_frame_newslot(call2133);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2134 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2135 == NULL) {
    strlit2135 = alloc_String("8");
    gc_root(strlit2135);
  }
// compiled string node returning strlit2135 (depth = 6)
  partcv[0] = 0;
  Object call2136 = callmethod(strlit2135, "ord",
    1, partcv, params);
  gc_frame_end(callframe2134);
// compiled call node returning call2136 (depth = 5)
// compiled member node returning call2136 (depth = 4)
  gc_frame_newslot(call2136);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2137 = gc_frame_new();
// call case 6: other member request
// starting to compile string node (depth = 6)
  if (strlit2138 == NULL) {
    strlit2138 = alloc_String("9");
    gc_root(strlit2138);
  }
// compiled string node returning strlit2138 (depth = 6)
  partcv[0] = 0;
  Object call2139 = callmethod(strlit2138, "ord",
    1, partcv, params);
  gc_frame_end(callframe2137);
// compiled call node returning call2139 (depth = 5)
// compiled member node returning call2139 (depth = 4)
  gc_frame_newslot(call2139);
// call case 6: other member request
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = call2112;
  params[1] = call2115;
  params[2] = call2118;
  params[3] = call2121;
  params[4] = call2124;
  params[5] = call2127;
  params[6] = call2130;
  params[7] = call2133;
  params[8] = call2136;
  params[9] = call2139;
  partcv[0] = 10;
  Object call2140 = callmethod(*var_unicode, "pattern",
    1, partcv, params);
  gc_frame_end(callframe2109);
// compiled call node returning call2140 (depth = 3)
  *var_digit = call2140;
  if (call2140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile block node (depth = 3)
  Object block2141 = alloc_Block(NULL, NULL, "lexer", 676);
  gc_frame_newslot(block2141);
// method "_apply"
  block_savedest(block2141);
  Object closure2142 = createclosure(22, "_apply");
  setclosureframe(closure2142, stackframe);
  addtoclosure(closure2142, var_mode);
  addtoclosure(closure2142, var_badSeparator);
  addtoclosure(closure2142, var_errormessages);
  addtoclosure(closure2142, var_inStr);
  addtoclosure(closure2142, var_unicode);
  addtoclosure(closure2142, var_badControl);
  addtoclosure(closure2142, var_atStart);
  addtoclosure(closure2142, var_newmode);
  addtoclosure(closure2142, var_identifierChar);
  addtoclosure(closure2142, var_digit);
  addtoclosure(closure2142, var_tokens);
  addtoclosure(closure2142, var_accum);
  addtoclosure(closure2142, var_selfModes);
  addtoclosure(closure2142, var_util);
  addtoclosure(closure2142, var_escaped);
  addtoclosure(closure2142, var_interpString);
  addtoclosure(closure2142, var_interpdepth);
  addtoclosure(closure2142, var_brackets);
  addtoclosure(closure2142, var_unichars);
  addtoclosure(closure2142, var_codepoint);
  addtoclosure(closure2142, var_newlineFound);
  addtoclosure(closure2142, selfslot);
  struct UserObject *uo2142 = (struct UserObject*)block2141;
  uo2142->data[0] = (Object)closure2142;
  Method *meth_meth_lexer__apply2142 = addmethod2pos(block2141, "_apply", &meth_lexer__apply2142, 0);
  int argcv_meth_lexer__apply2142[] = {1};
  meth_meth_lexer__apply2142->type = alloc_MethodType(1, argcv_meth_lexer__apply2142);
  meth_meth_lexer__apply2142->definitionModule = modulename;
  meth_meth_lexer__apply2142->definitionLine = 675;
// compiled block node returning block2141 (depth = 3)
  *var_mainBlock = block2141;
  if (block2141 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3570 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inputLines (depth = 3)
  gc_frame_newslot(*var_inputLines);
// starting to compile block node (depth = 3)
  Object block3571 = alloc_Block(NULL, NULL, "lexer", 1089);
  gc_frame_newslot(block3571);
// method "_apply"
  block_savedest(block3571);
  Object closure3572 = createclosure(3, "_apply");
  setclosureframe(closure3572, stackframe);
  addtoclosure(closure3572, var_mode);
  addtoclosure(closure3572, var_mainBlock);
  addtoclosure(closure3572, selfslot);
  struct UserObject *uo3572 = (struct UserObject*)block3571;
  uo3572->data[0] = (Object)closure3572;
  Method *meth_meth_lexer__apply3572 = addmethod2pos(block3571, "_apply", &meth_lexer__apply3572, 0);
  int argcv_meth_lexer__apply3572[] = {1};
  meth_meth_lexer__apply3572->type = alloc_MethodType(1, argcv_meth_lexer__apply3572);
  meth_meth_lexer__apply3572->definitionModule = modulename;
  meth_meth_lexer__apply3572->definitionLine = 1084;
// compiled block node returning block3571 (depth = 3)
  gc_frame_newslot(block3571);
// call case 5: prelude request
  params[0] = *var_inputLines;
  params[1] = block3571;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3609 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3570);
// compiled call node returning call3609 (depth = 2)
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3610 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3612 = alloc_Float64(1);
// compiled num node returning num3612 (depth = 4)
  int op_slot_right_3611 = gc_frame_newslot(num3612);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3614 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3615 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3614);
// compiled call node returning call3615 (depth = 5)
// compiled member node returning call3615 (depth = 4)
  int op_slot_left_3611 = gc_frame_newslot(call3615);
  params[0] = num3612;
  partcv[0] = 1;
  Object sum3616 = callmethod(call3615, "+", 1, partcv, params);
// compiled op node returning sum3616 (depth = 3)
  gc_frame_newslot(sum3616);
// call case 4: self request
  params[0] = sum3616;
  partcv[0] = 1;
  Object call3617 = callmethodflags(self, "linePosition:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3610);
// compiled call node returning call3617 (depth = 2)
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inStr (depth = 3)
  Object if3618 = done;
  if (istrue(*var_inStr)) {
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3621 == NULL) {
    strlit3621 = alloc_String("""\x22""");
    gc_root(strlit3621);
  }
// compiled string node returning strlit3621 (depth = 5)
  int op_slot_right_3620 = gc_frame_newslot(strlit3621);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_3620 = gc_frame_newslot(*var_mode);
  params[0] = strlit3621;
  partcv[0] = 1;
  Object opresult3623 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3623 (depth = 4)
  Object if3619 = done;
  if (istrue(opresult3623)) {
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3624 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3625 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  partcv[0] = 0;
  Object call3626 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3625);
// compiled call node returning call3626 (depth = 8)
// compiled member node returning call3626 (depth = 7)
  partcv[0] = 0;
  Object call3627 = callmethod(call3626, "new",
    1, partcv, params);
  gc_frame_end(callframe3624);
// compiled call node returning call3627 (depth = 6)
// compiled member node returning call3627 (depth = 5)
  *var_suggestion = call3627;
  if (call3627 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3628 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3629 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3630 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3629);
// compiled call node returning call3630 (depth = 6)
// compiled member node returning call3630 (depth = 5)
  gc_frame_newslot(call3630);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3632 == NULL) {
    strlit3632 = alloc_String("""\x22""");
    gc_root(strlit3632);
  }
// compiled string node returning strlit3632 (depth = 6)
  int op_slot_right_3631 = gc_frame_newslot(strlit3632);
// starting to compile call node (depth = 6)
  int callframe3634 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3635 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3636 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3635);
// compiled call node returning call3636 (depth = 8)
// compiled member node returning call3636 (depth = 7)
  gc_frame_newslot(call3636);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3637 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  partcv[0] = 0;
  Object call3638 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3637);
// compiled call node returning call3638 (depth = 8)
// compiled member node returning call3638 (depth = 7)
  params[0] = call3636;
  partcv[0] = 1;
  Object call3639 = callmethod(call3638, "at",
    1, partcv, params);
  gc_frame_end(callframe3634);
// compiled call node returning call3639 (depth = 6)
  int op_slot_left_3631 = gc_frame_newslot(call3639);
  params[0] = strlit3632;
  partcv[0] = 1;
  Object opresult3640 = callmethod(call3639, "++", 1, partcv, params);
// compiled op node returning opresult3640 (depth = 5)
  gc_frame_newslot(opresult3640);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call3630;
  params[1] = opresult3640;
  partcv[0] = 2;
  Object call3641 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3628);
// compiled call node returning call3641 (depth = 4)
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3642 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3643 == NULL) {
    strlit3643 = alloc_String("A string must end with a '""\x22""'.");
    gc_root(strlit3643);
  }
// compiled string node returning strlit3643 (depth = 5)
  gc_frame_newslot(strlit3643);
// Begin line 1111
  setline(1111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3644 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3645 = callmethodflags(self, "lineNumber", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3644);
// compiled call node returning call3645 (depth = 6)
// compiled member node returning call3645 (depth = 5)
  gc_frame_newslot(call3645);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3646 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3647 = callmethodflags(self, "linePosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3646);
// compiled call node returning call3647 (depth = 6)
// compiled member node returning call3647 (depth = 5)
  gc_frame_newslot(call3647);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other member request
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3643;
  params[1] = call3645;
  params[2] = call3647;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3648 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3642);
// compiled call node returning call3648 (depth = 4)
    gc_frame_newslot(call3648);
    if3619 = call3648;
  } else {
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3651 == NULL) {
    strlit3651 = alloc_String("q");
    gc_root(strlit3651);
  }
// compiled string node returning strlit3651 (depth = 6)
  int op_slot_right_3650 = gc_frame_newslot(strlit3651);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_3650 = gc_frame_newslot(*var_mode);
  params[0] = strlit3651;
  partcv[0] = 1;
  Object opresult3653 = callmethod(*var_mode, "==", 1, partcv, params);
// compiled op node returning opresult3653 (depth = 5)
  Object if3649 = done;
  if (istrue(opresult3653)) {
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3654 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3657 == NULL) {
    strlit3657 = alloc_String(" and unclosed at end of input.");
    gc_root(strlit3657);
  }
// compiled string node returning strlit3657 (depth = 8)
  int op_slot_right_3656 = gc_frame_newslot(strlit3657);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3660 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3661 = callmethodflags(self, "startLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3660);
// compiled call node returning call3661 (depth = 10)
// compiled member node returning call3661 (depth = 9)
  int op_slot_right_3659 = gc_frame_newslot(call3661);
// starting to compile string node (depth = 9)
  if (strlit3663 == NULL) {
    strlit3663 = alloc_String("String opened on line ");
    gc_root(strlit3663);
  }
// compiled string node returning strlit3663 (depth = 9)
  int op_slot_left_3659 = gc_frame_newslot(strlit3663);
  params[0] = call3661;
  partcv[0] = 1;
  Object opresult3664 = callmethod(strlit3663, "++", 1, partcv, params);
// compiled op node returning opresult3664 (depth = 8)
  int op_slot_left_3656 = gc_frame_newslot(opresult3664);
  params[0] = strlit3657;
  partcv[0] = 1;
  Object opresult3665 = callmethod(opresult3664, "++", 1, partcv, params);
// compiled op node returning opresult3665 (depth = 7)
  int op_slot_right_3655 = gc_frame_newslot(opresult3665);
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3667 == NULL) {
    strlit3667 = alloc_String("A multi-line string must end with a '""\xe2""""\x80""""\xba""'.""\x0a""");
    gc_root(strlit3667);
  }
// compiled string node returning strlit3667 (depth = 7)
  int op_slot_left_3655 = gc_frame_newslot(strlit3667);
  params[0] = opresult3665;
  partcv[0] = 1;
  Object opresult3668 = callmethod(strlit3667, "++", 1, partcv, params);
// compiled op node returning opresult3668 (depth = 6)
  gc_frame_newslot(opresult3668);
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3669 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3670 = callmethodflags(self, "startLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3669);
// compiled call node returning call3670 (depth = 7)
// compiled member node returning call3670 (depth = 6)
  gc_frame_newslot(call3670);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3671 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3672 = callmethodflags(self, "stringStart", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3671);
// compiled call node returning call3672 (depth = 7)
// compiled member node returning call3672 (depth = 6)
  gc_frame_newslot(call3672);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3673 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe3674 = gc_frame_new();
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3675 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3676 = callmethodflags(self, "startLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3675);
// compiled call node returning call3676 (depth = 10)
// compiled member node returning call3676 (depth = 9)
  gc_frame_newslot(call3676);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3677 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_util (depth = 11)
  partcv[0] = 0;
  Object call3678 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe3677);
// compiled call node returning call3678 (depth = 10)
// compiled member node returning call3678 (depth = 9)
  params[0] = call3676;
  partcv[0] = 1;
  Object call3679 = callmethod(call3678, "at",
    1, partcv, params);
  gc_frame_end(callframe3674);
// compiled call node returning call3679 (depth = 8)
  partcv[0] = 0;
  Object call3680 = callmethod(call3679, "size",
    1, partcv, params);
  gc_frame_end(callframe3673);
// compiled call node returning call3680 (depth = 7)
// compiled member node returning call3680 (depth = 6)
  gc_frame_newslot(call3680);
// call case 6: other member request
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult3668;
  params[1] = call3670;
  params[2] = call3672;
  params[3] = call3680;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call3681 = callmethod(*var_errormessages, "syntaxError()atRange",
    2, partcv, params);
  gc_frame_end(callframe3654);
// compiled call node returning call3681 (depth = 5)
    gc_frame_newslot(call3681);
    if3649 = call3681;
  } else {
  }
// compiled if node returning if3649 (depth = 4)
    gc_frame_newslot(if3649);
    if3619 = if3649;
  }
// compiled if node returning if3619 (depth = 3)
    gc_frame_newslot(if3619);
    if3618 = if3619;
  } else {
  }
// compiled if node returning if3618 (depth = 2)
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3682 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tokens (depth = 3)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_mode (depth = 3)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_accum (depth = 3)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3683 = callmethodflags(self, "modechange", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3682);
// compiled call node returning call3683 (depth = 2)
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3684 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3685 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3686 = callmethodflags(self, "eofToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3685);
// compiled call node returning call3686 (depth = 4)
// compiled member node returning call3686 (depth = 3)
  gc_frame_newslot(call3686);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tokens (depth = 3)
  params[0] = call3686;
  partcv[0] = 1;
  Object call3687 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe3684);
// compiled call node returning call3687 (depth = 2)
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_tokens (depth = 2)
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_lexer_new25(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_keywords = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_operatorChars = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject26 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj26 = alloc_userobj2(66,61, objclass26);
  gc_frame_newslot(obj26);
if (objclass26 == NULL) {
  glfree(obj26->class->name);
  obj26->class->name = "new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj26, self, 0);
  addmethodreal(obj26,"outer", &reader_lexer_outer_27);
  Object oldself26 = self;
  struct StackFrameObject *oldstackframe26 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe26);
  gc_frame_newslot((Object)stackframe);
  self = obj26;
  Object *oldselfslot26 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter26 = (*(struct UserObject *)self).data[0], lowerouter26 = thisouter26;
  if (inheritingObject26) {
    struct UserObject *inho26 = (struct UserObject *)inheritingObject26;
    while (inho26->super != GraceDefaultObject) inho26 = (struct UserObject *)inho26->super;
    inho26->super = obj26;
    self = inheritingObject26;
    *selfslot = self;
    lowerouter26 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter26;
  }
if (objclass26 == NULL) {
  Method *reader28 = addmethodrealflags(obj26, "lineNumber",&reader_lexer_lineNumber_28, MFLAG_CONFIDENTIAL);
  Method *writer28 = addmethodrealflags(obj26, "lineNumber:=",&writer_lexer_lineNumber_28, MFLAG_CONFIDENTIAL);
  reader28->definitionModule = modulename;
  writer28->definitionModule = modulename;
  reader28->definitionLine = 39;
  writer28->definitionLine = 39;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 1);
if (objclass26 == NULL) {
  Method *reader29 = addmethodrealflags(obj26, "linePosition",&reader_lexer_linePosition_29, MFLAG_CONFIDENTIAL);
  Method *writer29 = addmethodrealflags(obj26, "linePosition:=",&writer_lexer_linePosition_29, MFLAG_CONFIDENTIAL);
  reader29->definitionModule = modulename;
  writer29->definitionModule = modulename;
  reader29->definitionLine = 40;
  writer29->definitionLine = 40;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 2);
if (objclass26 == NULL) {
  Method *reader30 = addmethodrealflags(obj26, "startPosition",&reader_lexer_startPosition_30, MFLAG_CONFIDENTIAL);
  Method *writer30 = addmethodrealflags(obj26, "startPosition:=",&writer_lexer_startPosition_30, MFLAG_CONFIDENTIAL);
  reader30->definitionModule = modulename;
  writer30->definitionModule = modulename;
  reader30->definitionLine = 41;
  writer30->definitionLine = 41;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 3);
if (objclass26 == NULL) {
  Method *reader31 = addmethodrealflags(obj26, "indentLevel",&reader_lexer_indentLevel_31, MFLAG_CONFIDENTIAL);
  Method *writer31 = addmethodrealflags(obj26, "indentLevel:=",&writer_lexer_indentLevel_31, MFLAG_CONFIDENTIAL);
  reader31->definitionModule = modulename;
  writer31->definitionModule = modulename;
  reader31->definitionLine = 42;
  writer31->definitionLine = 42;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 4);
if (objclass26 == NULL) {
  Method *reader32 = addmethodrealflags(obj26, "startLine",&reader_lexer_startLine_32, MFLAG_CONFIDENTIAL);
  Method *writer32 = addmethodrealflags(obj26, "startLine:=",&writer_lexer_startLine_32, MFLAG_CONFIDENTIAL);
  reader32->definitionModule = modulename;
  writer32->definitionModule = modulename;
  reader32->definitionLine = 43;
  writer32->definitionLine = 43;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 5);
if (objclass26 == NULL) {
  Method *reader33 = addmethodrealflags(obj26, "stringStart",&reader_lexer_stringStart_33, MFLAG_CONFIDENTIAL);
  Method *writer33 = addmethodrealflags(obj26, "stringStart:=",&writer_lexer_stringStart_33, MFLAG_CONFIDENTIAL);
  reader33->definitionModule = modulename;
  writer33->definitionModule = modulename;
  reader33->definitionLine = 44;
  writer33->definitionLine = 44;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 6);
// method "token"
  struct UserObject *uo34 = (struct UserObject*)obj26;
  uo34->data[7] = emptyclosure;
  Method *meth_meth_lexer_token34 = addmethod2pos(obj26, "token", &meth_lexer_token34, 7);
  int argcv_meth_lexer_token34[] = {0};
  meth_meth_lexer_token34->type = alloc_MethodType(1, argcv_meth_lexer_token34);
  meth_meth_lexer_token34->definitionModule = modulename;
  meth_meth_lexer_token34->definitionLine = 46;
  Method *meth_meth_lexer_token34_object = addmethod2pos(obj26, "token()object", &meth_lexer_token34_object, 7);
  int argcv_meth_lexer_token34_object[] = {0};
  meth_meth_lexer_token34_object->type = alloc_MethodType(1, argcv_meth_lexer_token34_object);
  meth_meth_lexer_token34_object->definitionModule = modulename;
  meth_meth_lexer_token34_object->definitionLine = 46;
// method "identifierToken"
  struct UserObject *uo119 = (struct UserObject*)obj26;
  uo119->data[8] = emptyclosure;
  Method *meth_meth_lexer_identifierToken119 = addmethod2pos(obj26, "identifierToken", &meth_lexer_identifierToken119, 8);
  int argcv_meth_lexer_identifierToken119[] = {1};
  meth_meth_lexer_identifierToken119->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken119);
  meth_meth_lexer_identifierToken119->definitionModule = modulename;
  meth_meth_lexer_identifierToken119->definitionLine = 65;
  Method *meth_meth_lexer_identifierToken119_object = addmethod2pos(obj26, "identifierToken()object", &meth_lexer_identifierToken119_object, 8);
  int argcv_meth_lexer_identifierToken119_object[] = {1};
  meth_meth_lexer_identifierToken119_object->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken119_object);
  meth_meth_lexer_identifierToken119_object->definitionModule = modulename;
  meth_meth_lexer_identifierToken119_object->definitionLine = 65;
// method "stringToken"
  struct UserObject *uo133 = (struct UserObject*)obj26;
  uo133->data[9] = emptyclosure;
  Method *meth_meth_lexer_stringToken133 = addmethod2pos(obj26, "stringToken", &meth_lexer_stringToken133, 9);
  int argcv_meth_lexer_stringToken133[] = {1};
  meth_meth_lexer_stringToken133->type = alloc_MethodType(1, argcv_meth_lexer_stringToken133);
  meth_meth_lexer_stringToken133->definitionModule = modulename;
  meth_meth_lexer_stringToken133->definitionLine = 71;
  Method *meth_meth_lexer_stringToken133_object = addmethod2pos(obj26, "stringToken()object", &meth_lexer_stringToken133_object, 9);
  int argcv_meth_lexer_stringToken133_object[] = {1};
  meth_meth_lexer_stringToken133_object->type = alloc_MethodType(1, argcv_meth_lexer_stringToken133_object);
  meth_meth_lexer_stringToken133_object->definitionModule = modulename;
  meth_meth_lexer_stringToken133_object->definitionLine = 71;
// method "multiLineStringToken"
  struct UserObject *uo160 = (struct UserObject*)obj26;
  uo160->data[10] = emptyclosure;
  Method *meth_meth_lexer_multiLineStringToken160 = addmethod2pos(obj26, "multiLineStringToken", &meth_lexer_multiLineStringToken160, 10);
  int argcv_meth_lexer_multiLineStringToken160[] = {1};
  meth_meth_lexer_multiLineStringToken160->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken160);
  meth_meth_lexer_multiLineStringToken160->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken160->definitionLine = 77;
  Method *meth_meth_lexer_multiLineStringToken160_object = addmethod2pos(obj26, "multiLineStringToken()object", &meth_lexer_multiLineStringToken160_object, 10);
  int argcv_meth_lexer_multiLineStringToken160_object[] = {1};
  meth_meth_lexer_multiLineStringToken160_object->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken160_object);
  meth_meth_lexer_multiLineStringToken160_object->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken160_object->definitionLine = 77;
// method "commentToken"
  struct UserObject *uo194 = (struct UserObject*)obj26;
  uo194->data[11] = emptyclosure;
  Method *meth_meth_lexer_commentToken194 = addmethod2pos(obj26, "commentToken", &meth_lexer_commentToken194, 11);
  int argcv_meth_lexer_commentToken194[] = {1};
  meth_meth_lexer_commentToken194->type = alloc_MethodType(1, argcv_meth_lexer_commentToken194);
  meth_meth_lexer_commentToken194->definitionModule = modulename;
  meth_meth_lexer_commentToken194->definitionLine = 87;
  Method *meth_meth_lexer_commentToken194_object = addmethod2pos(obj26, "commentToken()object", &meth_lexer_commentToken194_object, 11);
  int argcv_meth_lexer_commentToken194_object[] = {1};
  meth_meth_lexer_commentToken194_object->type = alloc_MethodType(1, argcv_meth_lexer_commentToken194_object);
  meth_meth_lexer_commentToken194_object->definitionModule = modulename;
  meth_meth_lexer_commentToken194_object->definitionLine = 87;
// method "lBraceToken"
  struct UserObject *uo212 = (struct UserObject*)obj26;
  uo212->data[12] = emptyclosure;
  Method *meth_meth_lexer_lBraceToken212 = addmethod2pos(obj26, "lBraceToken", &meth_lexer_lBraceToken212, 12);
  int argcv_meth_lexer_lBraceToken212[] = {0};
  meth_meth_lexer_lBraceToken212->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken212);
  meth_meth_lexer_lBraceToken212->definitionModule = modulename;
  meth_meth_lexer_lBraceToken212->definitionLine = 93;
  Method *meth_meth_lexer_lBraceToken212_object = addmethod2pos(obj26, "lBraceToken()object", &meth_lexer_lBraceToken212_object, 12);
  int argcv_meth_lexer_lBraceToken212_object[] = {0};
  meth_meth_lexer_lBraceToken212_object->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken212_object);
  meth_meth_lexer_lBraceToken212_object->definitionModule = modulename;
  meth_meth_lexer_lBraceToken212_object->definitionLine = 93;
// method "rBraceToken"
  struct UserObject *uo226 = (struct UserObject*)obj26;
  uo226->data[13] = emptyclosure;
  Method *meth_meth_lexer_rBraceToken226 = addmethod2pos(obj26, "rBraceToken", &meth_lexer_rBraceToken226, 13);
  int argcv_meth_lexer_rBraceToken226[] = {0};
  meth_meth_lexer_rBraceToken226->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken226);
  meth_meth_lexer_rBraceToken226->definitionModule = modulename;
  meth_meth_lexer_rBraceToken226->definitionLine = 99;
  Method *meth_meth_lexer_rBraceToken226_object = addmethod2pos(obj26, "rBraceToken()object", &meth_lexer_rBraceToken226_object, 13);
  int argcv_meth_lexer_rBraceToken226_object[] = {0};
  meth_meth_lexer_rBraceToken226_object->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken226_object);
  meth_meth_lexer_rBraceToken226_object->definitionModule = modulename;
  meth_meth_lexer_rBraceToken226_object->definitionLine = 99;
// method "lParenToken"
  struct UserObject *uo240 = (struct UserObject*)obj26;
  uo240->data[14] = emptyclosure;
  Method *meth_meth_lexer_lParenToken240 = addmethod2pos(obj26, "lParenToken", &meth_lexer_lParenToken240, 14);
  int argcv_meth_lexer_lParenToken240[] = {0};
  meth_meth_lexer_lParenToken240->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken240);
  meth_meth_lexer_lParenToken240->definitionModule = modulename;
  meth_meth_lexer_lParenToken240->definitionLine = 105;
  Method *meth_meth_lexer_lParenToken240_object = addmethod2pos(obj26, "lParenToken()object", &meth_lexer_lParenToken240_object, 14);
  int argcv_meth_lexer_lParenToken240_object[] = {0};
  meth_meth_lexer_lParenToken240_object->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken240_object);
  meth_meth_lexer_lParenToken240_object->definitionModule = modulename;
  meth_meth_lexer_lParenToken240_object->definitionLine = 105;
// method "rParenToken"
  struct UserObject *uo254 = (struct UserObject*)obj26;
  uo254->data[15] = emptyclosure;
  Method *meth_meth_lexer_rParenToken254 = addmethod2pos(obj26, "rParenToken", &meth_lexer_rParenToken254, 15);
  int argcv_meth_lexer_rParenToken254[] = {0};
  meth_meth_lexer_rParenToken254->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken254);
  meth_meth_lexer_rParenToken254->definitionModule = modulename;
  meth_meth_lexer_rParenToken254->definitionLine = 111;
  Method *meth_meth_lexer_rParenToken254_object = addmethod2pos(obj26, "rParenToken()object", &meth_lexer_rParenToken254_object, 15);
  int argcv_meth_lexer_rParenToken254_object[] = {0};
  meth_meth_lexer_rParenToken254_object->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken254_object);
  meth_meth_lexer_rParenToken254_object->definitionModule = modulename;
  meth_meth_lexer_rParenToken254_object->definitionLine = 111;
// method "lSquareToken"
  struct UserObject *uo268 = (struct UserObject*)obj26;
  uo268->data[16] = emptyclosure;
  Method *meth_meth_lexer_lSquareToken268 = addmethod2pos(obj26, "lSquareToken", &meth_lexer_lSquareToken268, 16);
  int argcv_meth_lexer_lSquareToken268[] = {0};
  meth_meth_lexer_lSquareToken268->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken268);
  meth_meth_lexer_lSquareToken268->definitionModule = modulename;
  meth_meth_lexer_lSquareToken268->definitionLine = 117;
  Method *meth_meth_lexer_lSquareToken268_object = addmethod2pos(obj26, "lSquareToken()object", &meth_lexer_lSquareToken268_object, 16);
  int argcv_meth_lexer_lSquareToken268_object[] = {0};
  meth_meth_lexer_lSquareToken268_object->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken268_object);
  meth_meth_lexer_lSquareToken268_object->definitionModule = modulename;
  meth_meth_lexer_lSquareToken268_object->definitionLine = 117;
// method "rSquareToken"
  struct UserObject *uo282 = (struct UserObject*)obj26;
  uo282->data[17] = emptyclosure;
  Method *meth_meth_lexer_rSquareToken282 = addmethod2pos(obj26, "rSquareToken", &meth_lexer_rSquareToken282, 17);
  int argcv_meth_lexer_rSquareToken282[] = {0};
  meth_meth_lexer_rSquareToken282->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken282);
  meth_meth_lexer_rSquareToken282->definitionModule = modulename;
  meth_meth_lexer_rSquareToken282->definitionLine = 123;
  Method *meth_meth_lexer_rSquareToken282_object = addmethod2pos(obj26, "rSquareToken()object", &meth_lexer_rSquareToken282_object, 17);
  int argcv_meth_lexer_rSquareToken282_object[] = {0};
  meth_meth_lexer_rSquareToken282_object->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken282_object);
  meth_meth_lexer_rSquareToken282_object->definitionModule = modulename;
  meth_meth_lexer_rSquareToken282_object->definitionLine = 123;
// method "commaToken"
  struct UserObject *uo296 = (struct UserObject*)obj26;
  uo296->data[18] = emptyclosure;
  Method *meth_meth_lexer_commaToken296 = addmethod2pos(obj26, "commaToken", &meth_lexer_commaToken296, 18);
  int argcv_meth_lexer_commaToken296[] = {0};
  meth_meth_lexer_commaToken296->type = alloc_MethodType(1, argcv_meth_lexer_commaToken296);
  meth_meth_lexer_commaToken296->definitionModule = modulename;
  meth_meth_lexer_commaToken296->definitionLine = 129;
  Method *meth_meth_lexer_commaToken296_object = addmethod2pos(obj26, "commaToken()object", &meth_lexer_commaToken296_object, 18);
  int argcv_meth_lexer_commaToken296_object[] = {0};
  meth_meth_lexer_commaToken296_object->type = alloc_MethodType(1, argcv_meth_lexer_commaToken296_object);
  meth_meth_lexer_commaToken296_object->definitionModule = modulename;
  meth_meth_lexer_commaToken296_object->definitionLine = 129;
// method "colonToken"
  struct UserObject *uo310 = (struct UserObject*)obj26;
  uo310->data[19] = emptyclosure;
  Method *meth_meth_lexer_colonToken310 = addmethod2pos(obj26, "colonToken", &meth_lexer_colonToken310, 19);
  int argcv_meth_lexer_colonToken310[] = {0};
  meth_meth_lexer_colonToken310->type = alloc_MethodType(1, argcv_meth_lexer_colonToken310);
  meth_meth_lexer_colonToken310->definitionModule = modulename;
  meth_meth_lexer_colonToken310->definitionLine = 135;
  Method *meth_meth_lexer_colonToken310_object = addmethod2pos(obj26, "colonToken()object", &meth_lexer_colonToken310_object, 19);
  int argcv_meth_lexer_colonToken310_object[] = {0};
  meth_meth_lexer_colonToken310_object->type = alloc_MethodType(1, argcv_meth_lexer_colonToken310_object);
  meth_meth_lexer_colonToken310_object->definitionModule = modulename;
  meth_meth_lexer_colonToken310_object->definitionLine = 135;
// method "dotToken"
  struct UserObject *uo324 = (struct UserObject*)obj26;
  uo324->data[20] = emptyclosure;
  Method *meth_meth_lexer_dotToken324 = addmethod2pos(obj26, "dotToken", &meth_lexer_dotToken324, 20);
  int argcv_meth_lexer_dotToken324[] = {0};
  meth_meth_lexer_dotToken324->type = alloc_MethodType(1, argcv_meth_lexer_dotToken324);
  meth_meth_lexer_dotToken324->definitionModule = modulename;
  meth_meth_lexer_dotToken324->definitionLine = 141;
  Method *meth_meth_lexer_dotToken324_object = addmethod2pos(obj26, "dotToken()object", &meth_lexer_dotToken324_object, 20);
  int argcv_meth_lexer_dotToken324_object[] = {0};
  meth_meth_lexer_dotToken324_object->type = alloc_MethodType(1, argcv_meth_lexer_dotToken324_object);
  meth_meth_lexer_dotToken324_object->definitionModule = modulename;
  meth_meth_lexer_dotToken324_object->definitionLine = 141;
// method "numToken"
  struct UserObject *uo338 = (struct UserObject*)obj26;
  uo338->data[21] = emptyclosure;
  Method *meth_meth_lexer_numToken338 = addmethod2pos(obj26, "numToken", &meth_lexer_numToken338, 21);
  int argcv_meth_lexer_numToken338[] = {2};
  meth_meth_lexer_numToken338->type = alloc_MethodType(1, argcv_meth_lexer_numToken338);
  meth_meth_lexer_numToken338->definitionModule = modulename;
  meth_meth_lexer_numToken338->definitionLine = 147;
  Method *meth_meth_lexer_numToken338_object = addmethod2pos(obj26, "numToken()object", &meth_lexer_numToken338_object, 21);
  int argcv_meth_lexer_numToken338_object[] = {2};
  meth_meth_lexer_numToken338_object->type = alloc_MethodType(1, argcv_meth_lexer_numToken338_object);
  meth_meth_lexer_numToken338_object->definitionModule = modulename;
  meth_meth_lexer_numToken338_object->definitionLine = 147;
// method "keywordToken"
  struct UserObject *uo362 = (struct UserObject*)obj26;
  uo362->data[22] = emptyclosure;
  Method *meth_meth_lexer_keywordToken362 = addmethod2pos(obj26, "keywordToken", &meth_lexer_keywordToken362, 22);
  int argcv_meth_lexer_keywordToken362[] = {1};
  meth_meth_lexer_keywordToken362->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken362);
  meth_meth_lexer_keywordToken362->definitionModule = modulename;
  meth_meth_lexer_keywordToken362->definitionLine = 154;
  Method *meth_meth_lexer_keywordToken362_object = addmethod2pos(obj26, "keywordToken()object", &meth_lexer_keywordToken362_object, 22);
  int argcv_meth_lexer_keywordToken362_object[] = {1};
  meth_meth_lexer_keywordToken362_object->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken362_object);
  meth_meth_lexer_keywordToken362_object->definitionModule = modulename;
  meth_meth_lexer_keywordToken362_object->definitionLine = 154;
// method "opToken"
  struct UserObject *uo376 = (struct UserObject*)obj26;
  uo376->data[23] = emptyclosure;
  Method *meth_meth_lexer_opToken376 = addmethod2pos(obj26, "opToken", &meth_lexer_opToken376, 23);
  int argcv_meth_lexer_opToken376[] = {1};
  meth_meth_lexer_opToken376->type = alloc_MethodType(1, argcv_meth_lexer_opToken376);
  meth_meth_lexer_opToken376->definitionModule = modulename;
  meth_meth_lexer_opToken376->definitionLine = 160;
  Method *meth_meth_lexer_opToken376_object = addmethod2pos(obj26, "opToken()object", &meth_lexer_opToken376_object, 23);
  int argcv_meth_lexer_opToken376_object[] = {1};
  meth_meth_lexer_opToken376_object->type = alloc_MethodType(1, argcv_meth_lexer_opToken376_object);
  meth_meth_lexer_opToken376_object->definitionModule = modulename;
  meth_meth_lexer_opToken376_object->definitionLine = 160;
// method "arrowToken"
  struct UserObject *uo390 = (struct UserObject*)obj26;
  uo390->data[24] = emptyclosure;
  Method *meth_meth_lexer_arrowToken390 = addmethod2pos(obj26, "arrowToken", &meth_lexer_arrowToken390, 24);
  int argcv_meth_lexer_arrowToken390[] = {0};
  meth_meth_lexer_arrowToken390->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken390);
  meth_meth_lexer_arrowToken390->definitionModule = modulename;
  meth_meth_lexer_arrowToken390->definitionLine = 166;
  Method *meth_meth_lexer_arrowToken390_object = addmethod2pos(obj26, "arrowToken()object", &meth_lexer_arrowToken390_object, 24);
  int argcv_meth_lexer_arrowToken390_object[] = {0};
  meth_meth_lexer_arrowToken390_object->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken390_object);
  meth_meth_lexer_arrowToken390_object->definitionModule = modulename;
  meth_meth_lexer_arrowToken390_object->definitionLine = 166;
// method "bindToken"
  struct UserObject *uo404 = (struct UserObject*)obj26;
  uo404->data[25] = emptyclosure;
  Method *meth_meth_lexer_bindToken404 = addmethod2pos(obj26, "bindToken", &meth_lexer_bindToken404, 25);
  int argcv_meth_lexer_bindToken404[] = {0};
  meth_meth_lexer_bindToken404->type = alloc_MethodType(1, argcv_meth_lexer_bindToken404);
  meth_meth_lexer_bindToken404->definitionModule = modulename;
  meth_meth_lexer_bindToken404->definitionLine = 172;
  Method *meth_meth_lexer_bindToken404_object = addmethod2pos(obj26, "bindToken()object", &meth_lexer_bindToken404_object, 25);
  int argcv_meth_lexer_bindToken404_object[] = {0};
  meth_meth_lexer_bindToken404_object->type = alloc_MethodType(1, argcv_meth_lexer_bindToken404_object);
  meth_meth_lexer_bindToken404_object->definitionModule = modulename;
  meth_meth_lexer_bindToken404_object->definitionLine = 172;
// method "semicolonToken"
  struct UserObject *uo418 = (struct UserObject*)obj26;
  uo418->data[26] = emptyclosure;
  Method *meth_meth_lexer_semicolonToken418 = addmethod2pos(obj26, "semicolonToken", &meth_lexer_semicolonToken418, 26);
  int argcv_meth_lexer_semicolonToken418[] = {0};
  meth_meth_lexer_semicolonToken418->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken418);
  meth_meth_lexer_semicolonToken418->definitionModule = modulename;
  meth_meth_lexer_semicolonToken418->definitionLine = 178;
  Method *meth_meth_lexer_semicolonToken418_object = addmethod2pos(obj26, "semicolonToken()object", &meth_lexer_semicolonToken418_object, 26);
  int argcv_meth_lexer_semicolonToken418_object[] = {0};
  meth_meth_lexer_semicolonToken418_object->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken418_object);
  meth_meth_lexer_semicolonToken418_object->definitionModule = modulename;
  meth_meth_lexer_semicolonToken418_object->definitionLine = 178;
// method "lGenericToken"
  struct UserObject *uo432 = (struct UserObject*)obj26;
  uo432->data[27] = emptyclosure;
  Method *meth_meth_lexer_lGenericToken432 = addmethod2pos(obj26, "lGenericToken", &meth_lexer_lGenericToken432, 27);
  int argcv_meth_lexer_lGenericToken432[] = {0};
  meth_meth_lexer_lGenericToken432->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken432);
  meth_meth_lexer_lGenericToken432->definitionModule = modulename;
  meth_meth_lexer_lGenericToken432->definitionLine = 184;
  Method *meth_meth_lexer_lGenericToken432_object = addmethod2pos(obj26, "lGenericToken()object", &meth_lexer_lGenericToken432_object, 27);
  int argcv_meth_lexer_lGenericToken432_object[] = {0};
  meth_meth_lexer_lGenericToken432_object->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken432_object);
  meth_meth_lexer_lGenericToken432_object->definitionModule = modulename;
  meth_meth_lexer_lGenericToken432_object->definitionLine = 184;
// method "rGenericToken"
  struct UserObject *uo446 = (struct UserObject*)obj26;
  uo446->data[28] = emptyclosure;
  Method *meth_meth_lexer_rGenericToken446 = addmethod2pos(obj26, "rGenericToken", &meth_lexer_rGenericToken446, 28);
  int argcv_meth_lexer_rGenericToken446[] = {0};
  meth_meth_lexer_rGenericToken446->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken446);
  meth_meth_lexer_rGenericToken446->definitionModule = modulename;
  meth_meth_lexer_rGenericToken446->definitionLine = 190;
  Method *meth_meth_lexer_rGenericToken446_object = addmethod2pos(obj26, "rGenericToken()object", &meth_lexer_rGenericToken446_object, 28);
  int argcv_meth_lexer_rGenericToken446_object[] = {0};
  meth_meth_lexer_rGenericToken446_object->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken446_object);
  meth_meth_lexer_rGenericToken446_object->definitionModule = modulename;
  meth_meth_lexer_rGenericToken446_object->definitionLine = 190;
// method "eofToken"
  struct UserObject *uo460 = (struct UserObject*)obj26;
  uo460->data[29] = emptyclosure;
  Method *meth_meth_lexer_eofToken460 = addmethod2pos(obj26, "eofToken", &meth_lexer_eofToken460, 29);
  int argcv_meth_lexer_eofToken460[] = {0};
  meth_meth_lexer_eofToken460->type = alloc_MethodType(1, argcv_meth_lexer_eofToken460);
  meth_meth_lexer_eofToken460->definitionModule = modulename;
  meth_meth_lexer_eofToken460->definitionLine = 196;
  Method *meth_meth_lexer_eofToken460_object = addmethod2pos(obj26, "eofToken()object", &meth_lexer_eofToken460_object, 29);
  int argcv_meth_lexer_eofToken460_object[] = {0};
  meth_meth_lexer_eofToken460_object->type = alloc_MethodType(1, argcv_meth_lexer_eofToken460_object);
  meth_meth_lexer_eofToken460_object->definitionModule = modulename;
  meth_meth_lexer_eofToken460_object->definitionLine = 196;
// method "modechange"
  block_savedest(obj26);
  Object closure474 = createclosure(3, "modechange");
  setclosureframe(closure474, stackframe);
  addtoclosure(closure474, var_keywords);
  addtoclosure(closure474, var_errormessages);
  addtoclosure(closure474, var_util);
  struct UserObject *uo474 = (struct UserObject*)obj26;
  uo474->data[30] = (Object)closure474;
  Method *meth_meth_lexer_modechange474 = addmethod2pos(obj26, "modechange", &meth_lexer_modechange474, 30);
  int argcv_meth_lexer_modechange474[] = {3};
  meth_meth_lexer_modechange474->type = alloc_MethodType(1, argcv_meth_lexer_modechange474);
  meth_meth_lexer_modechange474->definitionModule = modulename;
  meth_meth_lexer_modechange474->definitionLine = 204;
// method "fromBase"
  block_savedest(obj26);
  Object closure1169 = createclosure(2, "fromBase");
  setclosureframe(closure1169, stackframe);
  addtoclosure(closure1169, var_errormessages);
  addtoclosure(closure1169, var_unicode);
  struct UserObject *uo1169 = (struct UserObject*)obj26;
  uo1169->data[31] = (Object)closure1169;
  Method *meth_meth_lexer_fromBase1169 = addmethod2pos(obj26, "fromBase", &meth_lexer_fromBase1169, 31);
  int argcv_meth_lexer_fromBase1169[] = {2};
  meth_meth_lexer_fromBase1169->type = alloc_MethodType(1, argcv_meth_lexer_fromBase1169);
  meth_meth_lexer_fromBase1169->definitionModule = modulename;
  meth_meth_lexer_fromBase1169->definitionLine = 390;
// method "hexdecchar"
  block_savedest(obj26);
  Object closure1409 = createclosure(1, "hexdecchar");
  setclosureframe(closure1409, stackframe);
  addtoclosure(closure1409, var_errormessages);
  struct UserObject *uo1409 = (struct UserObject*)obj26;
  uo1409->data[32] = (Object)closure1409;
  Method *meth_meth_lexer_hexdecchar1409 = addmethod2pos(obj26, "hexdecchar", &meth_lexer_hexdecchar1409, 32);
  int argcv_meth_lexer_hexdecchar1409[] = {1};
  meth_meth_lexer_hexdecchar1409->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar1409);
  meth_meth_lexer_hexdecchar1409->definitionModule = modulename;
  meth_meth_lexer_hexdecchar1409->definitionLine = 432;
// method "makeNumToken"
  block_savedest(obj26);
  Object closure1493 = createclosure(1, "makeNumToken");
  setclosureframe(closure1493, stackframe);
  addtoclosure(closure1493, var_errormessages);
  struct UserObject *uo1493 = (struct UserObject*)obj26;
  uo1493->data[33] = (Object)closure1493;
  Method *meth_meth_lexer_makeNumToken1493 = addmethod2pos(obj26, "makeNumToken", &meth_lexer_makeNumToken1493, 33);
  int argcv_meth_lexer_makeNumToken1493[] = {1};
  meth_meth_lexer_makeNumToken1493->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken1493);
  meth_meth_lexer_makeNumToken1493->definitionModule = modulename;
  meth_meth_lexer_makeNumToken1493->definitionLine = 450;
// method "isidentifierchar"
  block_savedest(obj26);
  Object closure1702 = createclosure(1, "isidentifierchar");
  setclosureframe(closure1702, stackframe);
  addtoclosure(closure1702, var_unicode);
  struct UserObject *uo1702 = (struct UserObject*)obj26;
  uo1702->data[34] = (Object)closure1702;
  Method *meth_meth_lexer_isidentifierchar1702 = addmethod2pos(obj26, "isidentifierchar", &meth_lexer_isidentifierchar1702, 34);
  int argcv_meth_lexer_isidentifierchar1702[] = {1};
  meth_meth_lexer_isidentifierchar1702->type = alloc_MethodType(1, argcv_meth_lexer_isidentifierchar1702);
  meth_meth_lexer_isidentifierchar1702->definitionModule = modulename;
  meth_meth_lexer_isidentifierchar1702->definitionLine = 495;
// method "isoperatorchar"
  block_savedest(obj26);
  Object closure1725 = createclosure(2, "isoperatorchar");
  setclosureframe(closure1725, stackframe);
  addtoclosure(closure1725, var_operatorChars);
  addtoclosure(closure1725, var_unicode);
  struct UserObject *uo1725 = (struct UserObject*)obj26;
  uo1725->data[35] = (Object)closure1725;
  Method *meth_meth_lexer_isoperatorchar1725 = addmethod2pos(obj26, "isoperatorchar", &meth_lexer_isoperatorchar1725, 35);
  int argcv_meth_lexer_isoperatorchar1725[] = {2};
  meth_meth_lexer_isoperatorchar1725->type = alloc_MethodType(1, argcv_meth_lexer_isoperatorchar1725);
  meth_meth_lexer_isoperatorchar1725->definitionModule = modulename;
  meth_meth_lexer_isoperatorchar1725->definitionLine = 511;
// method "lexfile"
  block_savedest(obj26);
  Object closure1740 = createclosure(1, "lexfile");
  setclosureframe(closure1740, stackframe);
  addtoclosure(closure1740, var_util);
  struct UserObject *uo1740 = (struct UserObject*)obj26;
  uo1740->data[36] = (Object)closure1740;
  Method *meth_meth_lexer_lexfile1740 = addmethod2pos(obj26, "lexfile", &meth_lexer_lexfile1740, 36);
  int argcv_meth_lexer_lexfile1740[] = {1};
  meth_meth_lexer_lexfile1740->type = alloc_MethodType(1, argcv_meth_lexer_lexfile1740);
  meth_meth_lexer_lexfile1740->definitionModule = modulename;
  meth_meth_lexer_lexfile1740->definitionLine = 520;
// method "lexinput"
  block_savedest(obj26);
  Object closure1856 = createclosure(3, "lexinput");
  setclosureframe(closure1856, stackframe);
  addtoclosure(closure1856, var_util);
  addtoclosure(closure1856, var_unicode);
  addtoclosure(closure1856, var_errormessages);
  struct UserObject *uo1856 = (struct UserObject*)obj26;
  uo1856->data[37] = (Object)closure1856;
  Method *meth_meth_lexer_lexinput1856 = addmethod2pos(obj26, "lexinput", &meth_lexer_lexinput1856, 37);
  int argcv_meth_lexer_lexinput1856[] = {1};
  meth_meth_lexer_lexinput1856->type = alloc_MethodType(1, argcv_meth_lexer_lexinput1856);
  meth_meth_lexer_lexinput1856->definitionModule = modulename;
  meth_meth_lexer_lexinput1856->definitionLine = 574;
  sourceObject = obj26;
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3688 = alloc_Float64(1);
// compiled num node returning num3688 (depth = 2)
  adddatum2(obj26, num3688, 1);
  sourceObject = obj26;
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3689 = alloc_Float64(0);
// compiled num node returning num3689 (depth = 2)
  adddatum2(obj26, num3689, 2);
  sourceObject = obj26;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3690 = alloc_Float64(1);
// compiled num node returning num3690 (depth = 2)
  adddatum2(obj26, num3690, 3);
  sourceObject = obj26;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3691 = alloc_Float64(0);
// compiled num node returning num3691 (depth = 2)
  adddatum2(obj26, num3691, 4);
  sourceObject = obj26;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3692 = alloc_Float64(1);
// compiled num node returning num3692 (depth = 2)
  adddatum2(obj26, num3692, 5);
  sourceObject = obj26;
  adddatum2(obj26, undefined, 6);
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  objclass26 = obj26->class;
  objclass26->definitionModule = modulename;
  objclass26->definitionLine = 38;
  (*(struct UserObject *)self).data[0] = lowerouter26;
  self = oldself26;
  selfslot = oldselfslot26;
  stackframe = oldstackframe26;
  gc_frame_end(frame);
  return obj26;
}
Object meth_lexer_new25_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_keywords = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_operatorChars = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject26 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj26 = alloc_userobj2(66,61, objclass26);
  gc_frame_newslot(obj26);
if (objclass26 == NULL) {
  glfree(obj26->class->name);
  obj26->class->name = "new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj26, self, 0);
  addmethodreal(obj26,"outer", &reader_lexer_outer_27);
  Object oldself26 = self;
  struct StackFrameObject *oldstackframe26 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe26);
  gc_frame_newslot((Object)stackframe);
  self = obj26;
  Object *oldselfslot26 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter26 = (*(struct UserObject *)self).data[0], lowerouter26 = thisouter26;
  if (inheritingObject26) {
    struct UserObject *inho26 = (struct UserObject *)inheritingObject26;
    while (inho26->super != GraceDefaultObject) inho26 = (struct UserObject *)inho26->super;
    inho26->super = obj26;
    self = inheritingObject26;
    *selfslot = self;
    lowerouter26 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter26;
  }
if (objclass26 == NULL) {
  Method *reader28 = addmethodrealflags(obj26, "lineNumber",&reader_lexer_lineNumber_28, MFLAG_CONFIDENTIAL);
  Method *writer28 = addmethodrealflags(obj26, "lineNumber:=",&writer_lexer_lineNumber_28, MFLAG_CONFIDENTIAL);
  reader28->definitionModule = modulename;
  writer28->definitionModule = modulename;
  reader28->definitionLine = 39;
  writer28->definitionLine = 39;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 1);
if (objclass26 == NULL) {
  Method *reader29 = addmethodrealflags(obj26, "linePosition",&reader_lexer_linePosition_29, MFLAG_CONFIDENTIAL);
  Method *writer29 = addmethodrealflags(obj26, "linePosition:=",&writer_lexer_linePosition_29, MFLAG_CONFIDENTIAL);
  reader29->definitionModule = modulename;
  writer29->definitionModule = modulename;
  reader29->definitionLine = 40;
  writer29->definitionLine = 40;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 2);
if (objclass26 == NULL) {
  Method *reader30 = addmethodrealflags(obj26, "startPosition",&reader_lexer_startPosition_30, MFLAG_CONFIDENTIAL);
  Method *writer30 = addmethodrealflags(obj26, "startPosition:=",&writer_lexer_startPosition_30, MFLAG_CONFIDENTIAL);
  reader30->definitionModule = modulename;
  writer30->definitionModule = modulename;
  reader30->definitionLine = 41;
  writer30->definitionLine = 41;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 3);
if (objclass26 == NULL) {
  Method *reader31 = addmethodrealflags(obj26, "indentLevel",&reader_lexer_indentLevel_31, MFLAG_CONFIDENTIAL);
  Method *writer31 = addmethodrealflags(obj26, "indentLevel:=",&writer_lexer_indentLevel_31, MFLAG_CONFIDENTIAL);
  reader31->definitionModule = modulename;
  writer31->definitionModule = modulename;
  reader31->definitionLine = 42;
  writer31->definitionLine = 42;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 4);
if (objclass26 == NULL) {
  Method *reader32 = addmethodrealflags(obj26, "startLine",&reader_lexer_startLine_32, MFLAG_CONFIDENTIAL);
  Method *writer32 = addmethodrealflags(obj26, "startLine:=",&writer_lexer_startLine_32, MFLAG_CONFIDENTIAL);
  reader32->definitionModule = modulename;
  writer32->definitionModule = modulename;
  reader32->definitionLine = 43;
  writer32->definitionLine = 43;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 5);
if (objclass26 == NULL) {
  Method *reader33 = addmethodrealflags(obj26, "stringStart",&reader_lexer_stringStart_33, MFLAG_CONFIDENTIAL);
  Method *writer33 = addmethodrealflags(obj26, "stringStart:=",&writer_lexer_stringStart_33, MFLAG_CONFIDENTIAL);
  reader33->definitionModule = modulename;
  writer33->definitionModule = modulename;
  reader33->definitionLine = 44;
  writer33->definitionLine = 44;
}
obj26->flags |= OFLAG_MUTABLE;
adddatum2(obj26, alloc_Undefined(), 6);
// method "token"
  struct UserObject *uo34 = (struct UserObject*)obj26;
  uo34->data[7] = emptyclosure;
  Method *meth_meth_lexer_token34 = addmethod2pos(obj26, "token", &meth_lexer_token34, 7);
  int argcv_meth_lexer_token34[] = {0};
  meth_meth_lexer_token34->type = alloc_MethodType(1, argcv_meth_lexer_token34);
  meth_meth_lexer_token34->definitionModule = modulename;
  meth_meth_lexer_token34->definitionLine = 46;
  Method *meth_meth_lexer_token34_object = addmethod2pos(obj26, "token()object", &meth_lexer_token34_object, 7);
  int argcv_meth_lexer_token34_object[] = {0};
  meth_meth_lexer_token34_object->type = alloc_MethodType(1, argcv_meth_lexer_token34_object);
  meth_meth_lexer_token34_object->definitionModule = modulename;
  meth_meth_lexer_token34_object->definitionLine = 46;
// method "identifierToken"
  struct UserObject *uo119 = (struct UserObject*)obj26;
  uo119->data[8] = emptyclosure;
  Method *meth_meth_lexer_identifierToken119 = addmethod2pos(obj26, "identifierToken", &meth_lexer_identifierToken119, 8);
  int argcv_meth_lexer_identifierToken119[] = {1};
  meth_meth_lexer_identifierToken119->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken119);
  meth_meth_lexer_identifierToken119->definitionModule = modulename;
  meth_meth_lexer_identifierToken119->definitionLine = 65;
  Method *meth_meth_lexer_identifierToken119_object = addmethod2pos(obj26, "identifierToken()object", &meth_lexer_identifierToken119_object, 8);
  int argcv_meth_lexer_identifierToken119_object[] = {1};
  meth_meth_lexer_identifierToken119_object->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken119_object);
  meth_meth_lexer_identifierToken119_object->definitionModule = modulename;
  meth_meth_lexer_identifierToken119_object->definitionLine = 65;
// method "stringToken"
  struct UserObject *uo133 = (struct UserObject*)obj26;
  uo133->data[9] = emptyclosure;
  Method *meth_meth_lexer_stringToken133 = addmethod2pos(obj26, "stringToken", &meth_lexer_stringToken133, 9);
  int argcv_meth_lexer_stringToken133[] = {1};
  meth_meth_lexer_stringToken133->type = alloc_MethodType(1, argcv_meth_lexer_stringToken133);
  meth_meth_lexer_stringToken133->definitionModule = modulename;
  meth_meth_lexer_stringToken133->definitionLine = 71;
  Method *meth_meth_lexer_stringToken133_object = addmethod2pos(obj26, "stringToken()object", &meth_lexer_stringToken133_object, 9);
  int argcv_meth_lexer_stringToken133_object[] = {1};
  meth_meth_lexer_stringToken133_object->type = alloc_MethodType(1, argcv_meth_lexer_stringToken133_object);
  meth_meth_lexer_stringToken133_object->definitionModule = modulename;
  meth_meth_lexer_stringToken133_object->definitionLine = 71;
// method "multiLineStringToken"
  struct UserObject *uo160 = (struct UserObject*)obj26;
  uo160->data[10] = emptyclosure;
  Method *meth_meth_lexer_multiLineStringToken160 = addmethod2pos(obj26, "multiLineStringToken", &meth_lexer_multiLineStringToken160, 10);
  int argcv_meth_lexer_multiLineStringToken160[] = {1};
  meth_meth_lexer_multiLineStringToken160->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken160);
  meth_meth_lexer_multiLineStringToken160->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken160->definitionLine = 77;
  Method *meth_meth_lexer_multiLineStringToken160_object = addmethod2pos(obj26, "multiLineStringToken()object", &meth_lexer_multiLineStringToken160_object, 10);
  int argcv_meth_lexer_multiLineStringToken160_object[] = {1};
  meth_meth_lexer_multiLineStringToken160_object->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken160_object);
  meth_meth_lexer_multiLineStringToken160_object->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken160_object->definitionLine = 77;
// method "commentToken"
  struct UserObject *uo194 = (struct UserObject*)obj26;
  uo194->data[11] = emptyclosure;
  Method *meth_meth_lexer_commentToken194 = addmethod2pos(obj26, "commentToken", &meth_lexer_commentToken194, 11);
  int argcv_meth_lexer_commentToken194[] = {1};
  meth_meth_lexer_commentToken194->type = alloc_MethodType(1, argcv_meth_lexer_commentToken194);
  meth_meth_lexer_commentToken194->definitionModule = modulename;
  meth_meth_lexer_commentToken194->definitionLine = 87;
  Method *meth_meth_lexer_commentToken194_object = addmethod2pos(obj26, "commentToken()object", &meth_lexer_commentToken194_object, 11);
  int argcv_meth_lexer_commentToken194_object[] = {1};
  meth_meth_lexer_commentToken194_object->type = alloc_MethodType(1, argcv_meth_lexer_commentToken194_object);
  meth_meth_lexer_commentToken194_object->definitionModule = modulename;
  meth_meth_lexer_commentToken194_object->definitionLine = 87;
// method "lBraceToken"
  struct UserObject *uo212 = (struct UserObject*)obj26;
  uo212->data[12] = emptyclosure;
  Method *meth_meth_lexer_lBraceToken212 = addmethod2pos(obj26, "lBraceToken", &meth_lexer_lBraceToken212, 12);
  int argcv_meth_lexer_lBraceToken212[] = {0};
  meth_meth_lexer_lBraceToken212->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken212);
  meth_meth_lexer_lBraceToken212->definitionModule = modulename;
  meth_meth_lexer_lBraceToken212->definitionLine = 93;
  Method *meth_meth_lexer_lBraceToken212_object = addmethod2pos(obj26, "lBraceToken()object", &meth_lexer_lBraceToken212_object, 12);
  int argcv_meth_lexer_lBraceToken212_object[] = {0};
  meth_meth_lexer_lBraceToken212_object->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken212_object);
  meth_meth_lexer_lBraceToken212_object->definitionModule = modulename;
  meth_meth_lexer_lBraceToken212_object->definitionLine = 93;
// method "rBraceToken"
  struct UserObject *uo226 = (struct UserObject*)obj26;
  uo226->data[13] = emptyclosure;
  Method *meth_meth_lexer_rBraceToken226 = addmethod2pos(obj26, "rBraceToken", &meth_lexer_rBraceToken226, 13);
  int argcv_meth_lexer_rBraceToken226[] = {0};
  meth_meth_lexer_rBraceToken226->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken226);
  meth_meth_lexer_rBraceToken226->definitionModule = modulename;
  meth_meth_lexer_rBraceToken226->definitionLine = 99;
  Method *meth_meth_lexer_rBraceToken226_object = addmethod2pos(obj26, "rBraceToken()object", &meth_lexer_rBraceToken226_object, 13);
  int argcv_meth_lexer_rBraceToken226_object[] = {0};
  meth_meth_lexer_rBraceToken226_object->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken226_object);
  meth_meth_lexer_rBraceToken226_object->definitionModule = modulename;
  meth_meth_lexer_rBraceToken226_object->definitionLine = 99;
// method "lParenToken"
  struct UserObject *uo240 = (struct UserObject*)obj26;
  uo240->data[14] = emptyclosure;
  Method *meth_meth_lexer_lParenToken240 = addmethod2pos(obj26, "lParenToken", &meth_lexer_lParenToken240, 14);
  int argcv_meth_lexer_lParenToken240[] = {0};
  meth_meth_lexer_lParenToken240->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken240);
  meth_meth_lexer_lParenToken240->definitionModule = modulename;
  meth_meth_lexer_lParenToken240->definitionLine = 105;
  Method *meth_meth_lexer_lParenToken240_object = addmethod2pos(obj26, "lParenToken()object", &meth_lexer_lParenToken240_object, 14);
  int argcv_meth_lexer_lParenToken240_object[] = {0};
  meth_meth_lexer_lParenToken240_object->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken240_object);
  meth_meth_lexer_lParenToken240_object->definitionModule = modulename;
  meth_meth_lexer_lParenToken240_object->definitionLine = 105;
// method "rParenToken"
  struct UserObject *uo254 = (struct UserObject*)obj26;
  uo254->data[15] = emptyclosure;
  Method *meth_meth_lexer_rParenToken254 = addmethod2pos(obj26, "rParenToken", &meth_lexer_rParenToken254, 15);
  int argcv_meth_lexer_rParenToken254[] = {0};
  meth_meth_lexer_rParenToken254->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken254);
  meth_meth_lexer_rParenToken254->definitionModule = modulename;
  meth_meth_lexer_rParenToken254->definitionLine = 111;
  Method *meth_meth_lexer_rParenToken254_object = addmethod2pos(obj26, "rParenToken()object", &meth_lexer_rParenToken254_object, 15);
  int argcv_meth_lexer_rParenToken254_object[] = {0};
  meth_meth_lexer_rParenToken254_object->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken254_object);
  meth_meth_lexer_rParenToken254_object->definitionModule = modulename;
  meth_meth_lexer_rParenToken254_object->definitionLine = 111;
// method "lSquareToken"
  struct UserObject *uo268 = (struct UserObject*)obj26;
  uo268->data[16] = emptyclosure;
  Method *meth_meth_lexer_lSquareToken268 = addmethod2pos(obj26, "lSquareToken", &meth_lexer_lSquareToken268, 16);
  int argcv_meth_lexer_lSquareToken268[] = {0};
  meth_meth_lexer_lSquareToken268->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken268);
  meth_meth_lexer_lSquareToken268->definitionModule = modulename;
  meth_meth_lexer_lSquareToken268->definitionLine = 117;
  Method *meth_meth_lexer_lSquareToken268_object = addmethod2pos(obj26, "lSquareToken()object", &meth_lexer_lSquareToken268_object, 16);
  int argcv_meth_lexer_lSquareToken268_object[] = {0};
  meth_meth_lexer_lSquareToken268_object->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken268_object);
  meth_meth_lexer_lSquareToken268_object->definitionModule = modulename;
  meth_meth_lexer_lSquareToken268_object->definitionLine = 117;
// method "rSquareToken"
  struct UserObject *uo282 = (struct UserObject*)obj26;
  uo282->data[17] = emptyclosure;
  Method *meth_meth_lexer_rSquareToken282 = addmethod2pos(obj26, "rSquareToken", &meth_lexer_rSquareToken282, 17);
  int argcv_meth_lexer_rSquareToken282[] = {0};
  meth_meth_lexer_rSquareToken282->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken282);
  meth_meth_lexer_rSquareToken282->definitionModule = modulename;
  meth_meth_lexer_rSquareToken282->definitionLine = 123;
  Method *meth_meth_lexer_rSquareToken282_object = addmethod2pos(obj26, "rSquareToken()object", &meth_lexer_rSquareToken282_object, 17);
  int argcv_meth_lexer_rSquareToken282_object[] = {0};
  meth_meth_lexer_rSquareToken282_object->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken282_object);
  meth_meth_lexer_rSquareToken282_object->definitionModule = modulename;
  meth_meth_lexer_rSquareToken282_object->definitionLine = 123;
// method "commaToken"
  struct UserObject *uo296 = (struct UserObject*)obj26;
  uo296->data[18] = emptyclosure;
  Method *meth_meth_lexer_commaToken296 = addmethod2pos(obj26, "commaToken", &meth_lexer_commaToken296, 18);
  int argcv_meth_lexer_commaToken296[] = {0};
  meth_meth_lexer_commaToken296->type = alloc_MethodType(1, argcv_meth_lexer_commaToken296);
  meth_meth_lexer_commaToken296->definitionModule = modulename;
  meth_meth_lexer_commaToken296->definitionLine = 129;
  Method *meth_meth_lexer_commaToken296_object = addmethod2pos(obj26, "commaToken()object", &meth_lexer_commaToken296_object, 18);
  int argcv_meth_lexer_commaToken296_object[] = {0};
  meth_meth_lexer_commaToken296_object->type = alloc_MethodType(1, argcv_meth_lexer_commaToken296_object);
  meth_meth_lexer_commaToken296_object->definitionModule = modulename;
  meth_meth_lexer_commaToken296_object->definitionLine = 129;
// method "colonToken"
  struct UserObject *uo310 = (struct UserObject*)obj26;
  uo310->data[19] = emptyclosure;
  Method *meth_meth_lexer_colonToken310 = addmethod2pos(obj26, "colonToken", &meth_lexer_colonToken310, 19);
  int argcv_meth_lexer_colonToken310[] = {0};
  meth_meth_lexer_colonToken310->type = alloc_MethodType(1, argcv_meth_lexer_colonToken310);
  meth_meth_lexer_colonToken310->definitionModule = modulename;
  meth_meth_lexer_colonToken310->definitionLine = 135;
  Method *meth_meth_lexer_colonToken310_object = addmethod2pos(obj26, "colonToken()object", &meth_lexer_colonToken310_object, 19);
  int argcv_meth_lexer_colonToken310_object[] = {0};
  meth_meth_lexer_colonToken310_object->type = alloc_MethodType(1, argcv_meth_lexer_colonToken310_object);
  meth_meth_lexer_colonToken310_object->definitionModule = modulename;
  meth_meth_lexer_colonToken310_object->definitionLine = 135;
// method "dotToken"
  struct UserObject *uo324 = (struct UserObject*)obj26;
  uo324->data[20] = emptyclosure;
  Method *meth_meth_lexer_dotToken324 = addmethod2pos(obj26, "dotToken", &meth_lexer_dotToken324, 20);
  int argcv_meth_lexer_dotToken324[] = {0};
  meth_meth_lexer_dotToken324->type = alloc_MethodType(1, argcv_meth_lexer_dotToken324);
  meth_meth_lexer_dotToken324->definitionModule = modulename;
  meth_meth_lexer_dotToken324->definitionLine = 141;
  Method *meth_meth_lexer_dotToken324_object = addmethod2pos(obj26, "dotToken()object", &meth_lexer_dotToken324_object, 20);
  int argcv_meth_lexer_dotToken324_object[] = {0};
  meth_meth_lexer_dotToken324_object->type = alloc_MethodType(1, argcv_meth_lexer_dotToken324_object);
  meth_meth_lexer_dotToken324_object->definitionModule = modulename;
  meth_meth_lexer_dotToken324_object->definitionLine = 141;
// method "numToken"
  struct UserObject *uo338 = (struct UserObject*)obj26;
  uo338->data[21] = emptyclosure;
  Method *meth_meth_lexer_numToken338 = addmethod2pos(obj26, "numToken", &meth_lexer_numToken338, 21);
  int argcv_meth_lexer_numToken338[] = {2};
  meth_meth_lexer_numToken338->type = alloc_MethodType(1, argcv_meth_lexer_numToken338);
  meth_meth_lexer_numToken338->definitionModule = modulename;
  meth_meth_lexer_numToken338->definitionLine = 147;
  Method *meth_meth_lexer_numToken338_object = addmethod2pos(obj26, "numToken()object", &meth_lexer_numToken338_object, 21);
  int argcv_meth_lexer_numToken338_object[] = {2};
  meth_meth_lexer_numToken338_object->type = alloc_MethodType(1, argcv_meth_lexer_numToken338_object);
  meth_meth_lexer_numToken338_object->definitionModule = modulename;
  meth_meth_lexer_numToken338_object->definitionLine = 147;
// method "keywordToken"
  struct UserObject *uo362 = (struct UserObject*)obj26;
  uo362->data[22] = emptyclosure;
  Method *meth_meth_lexer_keywordToken362 = addmethod2pos(obj26, "keywordToken", &meth_lexer_keywordToken362, 22);
  int argcv_meth_lexer_keywordToken362[] = {1};
  meth_meth_lexer_keywordToken362->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken362);
  meth_meth_lexer_keywordToken362->definitionModule = modulename;
  meth_meth_lexer_keywordToken362->definitionLine = 154;
  Method *meth_meth_lexer_keywordToken362_object = addmethod2pos(obj26, "keywordToken()object", &meth_lexer_keywordToken362_object, 22);
  int argcv_meth_lexer_keywordToken362_object[] = {1};
  meth_meth_lexer_keywordToken362_object->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken362_object);
  meth_meth_lexer_keywordToken362_object->definitionModule = modulename;
  meth_meth_lexer_keywordToken362_object->definitionLine = 154;
// method "opToken"
  struct UserObject *uo376 = (struct UserObject*)obj26;
  uo376->data[23] = emptyclosure;
  Method *meth_meth_lexer_opToken376 = addmethod2pos(obj26, "opToken", &meth_lexer_opToken376, 23);
  int argcv_meth_lexer_opToken376[] = {1};
  meth_meth_lexer_opToken376->type = alloc_MethodType(1, argcv_meth_lexer_opToken376);
  meth_meth_lexer_opToken376->definitionModule = modulename;
  meth_meth_lexer_opToken376->definitionLine = 160;
  Method *meth_meth_lexer_opToken376_object = addmethod2pos(obj26, "opToken()object", &meth_lexer_opToken376_object, 23);
  int argcv_meth_lexer_opToken376_object[] = {1};
  meth_meth_lexer_opToken376_object->type = alloc_MethodType(1, argcv_meth_lexer_opToken376_object);
  meth_meth_lexer_opToken376_object->definitionModule = modulename;
  meth_meth_lexer_opToken376_object->definitionLine = 160;
// method "arrowToken"
  struct UserObject *uo390 = (struct UserObject*)obj26;
  uo390->data[24] = emptyclosure;
  Method *meth_meth_lexer_arrowToken390 = addmethod2pos(obj26, "arrowToken", &meth_lexer_arrowToken390, 24);
  int argcv_meth_lexer_arrowToken390[] = {0};
  meth_meth_lexer_arrowToken390->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken390);
  meth_meth_lexer_arrowToken390->definitionModule = modulename;
  meth_meth_lexer_arrowToken390->definitionLine = 166;
  Method *meth_meth_lexer_arrowToken390_object = addmethod2pos(obj26, "arrowToken()object", &meth_lexer_arrowToken390_object, 24);
  int argcv_meth_lexer_arrowToken390_object[] = {0};
  meth_meth_lexer_arrowToken390_object->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken390_object);
  meth_meth_lexer_arrowToken390_object->definitionModule = modulename;
  meth_meth_lexer_arrowToken390_object->definitionLine = 166;
// method "bindToken"
  struct UserObject *uo404 = (struct UserObject*)obj26;
  uo404->data[25] = emptyclosure;
  Method *meth_meth_lexer_bindToken404 = addmethod2pos(obj26, "bindToken", &meth_lexer_bindToken404, 25);
  int argcv_meth_lexer_bindToken404[] = {0};
  meth_meth_lexer_bindToken404->type = alloc_MethodType(1, argcv_meth_lexer_bindToken404);
  meth_meth_lexer_bindToken404->definitionModule = modulename;
  meth_meth_lexer_bindToken404->definitionLine = 172;
  Method *meth_meth_lexer_bindToken404_object = addmethod2pos(obj26, "bindToken()object", &meth_lexer_bindToken404_object, 25);
  int argcv_meth_lexer_bindToken404_object[] = {0};
  meth_meth_lexer_bindToken404_object->type = alloc_MethodType(1, argcv_meth_lexer_bindToken404_object);
  meth_meth_lexer_bindToken404_object->definitionModule = modulename;
  meth_meth_lexer_bindToken404_object->definitionLine = 172;
// method "semicolonToken"
  struct UserObject *uo418 = (struct UserObject*)obj26;
  uo418->data[26] = emptyclosure;
  Method *meth_meth_lexer_semicolonToken418 = addmethod2pos(obj26, "semicolonToken", &meth_lexer_semicolonToken418, 26);
  int argcv_meth_lexer_semicolonToken418[] = {0};
  meth_meth_lexer_semicolonToken418->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken418);
  meth_meth_lexer_semicolonToken418->definitionModule = modulename;
  meth_meth_lexer_semicolonToken418->definitionLine = 178;
  Method *meth_meth_lexer_semicolonToken418_object = addmethod2pos(obj26, "semicolonToken()object", &meth_lexer_semicolonToken418_object, 26);
  int argcv_meth_lexer_semicolonToken418_object[] = {0};
  meth_meth_lexer_semicolonToken418_object->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken418_object);
  meth_meth_lexer_semicolonToken418_object->definitionModule = modulename;
  meth_meth_lexer_semicolonToken418_object->definitionLine = 178;
// method "lGenericToken"
  struct UserObject *uo432 = (struct UserObject*)obj26;
  uo432->data[27] = emptyclosure;
  Method *meth_meth_lexer_lGenericToken432 = addmethod2pos(obj26, "lGenericToken", &meth_lexer_lGenericToken432, 27);
  int argcv_meth_lexer_lGenericToken432[] = {0};
  meth_meth_lexer_lGenericToken432->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken432);
  meth_meth_lexer_lGenericToken432->definitionModule = modulename;
  meth_meth_lexer_lGenericToken432->definitionLine = 184;
  Method *meth_meth_lexer_lGenericToken432_object = addmethod2pos(obj26, "lGenericToken()object", &meth_lexer_lGenericToken432_object, 27);
  int argcv_meth_lexer_lGenericToken432_object[] = {0};
  meth_meth_lexer_lGenericToken432_object->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken432_object);
  meth_meth_lexer_lGenericToken432_object->definitionModule = modulename;
  meth_meth_lexer_lGenericToken432_object->definitionLine = 184;
// method "rGenericToken"
  struct UserObject *uo446 = (struct UserObject*)obj26;
  uo446->data[28] = emptyclosure;
  Method *meth_meth_lexer_rGenericToken446 = addmethod2pos(obj26, "rGenericToken", &meth_lexer_rGenericToken446, 28);
  int argcv_meth_lexer_rGenericToken446[] = {0};
  meth_meth_lexer_rGenericToken446->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken446);
  meth_meth_lexer_rGenericToken446->definitionModule = modulename;
  meth_meth_lexer_rGenericToken446->definitionLine = 190;
  Method *meth_meth_lexer_rGenericToken446_object = addmethod2pos(obj26, "rGenericToken()object", &meth_lexer_rGenericToken446_object, 28);
  int argcv_meth_lexer_rGenericToken446_object[] = {0};
  meth_meth_lexer_rGenericToken446_object->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken446_object);
  meth_meth_lexer_rGenericToken446_object->definitionModule = modulename;
  meth_meth_lexer_rGenericToken446_object->definitionLine = 190;
// method "eofToken"
  struct UserObject *uo460 = (struct UserObject*)obj26;
  uo460->data[29] = emptyclosure;
  Method *meth_meth_lexer_eofToken460 = addmethod2pos(obj26, "eofToken", &meth_lexer_eofToken460, 29);
  int argcv_meth_lexer_eofToken460[] = {0};
  meth_meth_lexer_eofToken460->type = alloc_MethodType(1, argcv_meth_lexer_eofToken460);
  meth_meth_lexer_eofToken460->definitionModule = modulename;
  meth_meth_lexer_eofToken460->definitionLine = 196;
  Method *meth_meth_lexer_eofToken460_object = addmethod2pos(obj26, "eofToken()object", &meth_lexer_eofToken460_object, 29);
  int argcv_meth_lexer_eofToken460_object[] = {0};
  meth_meth_lexer_eofToken460_object->type = alloc_MethodType(1, argcv_meth_lexer_eofToken460_object);
  meth_meth_lexer_eofToken460_object->definitionModule = modulename;
  meth_meth_lexer_eofToken460_object->definitionLine = 196;
// method "modechange"
  block_savedest(obj26);
  Object closure474 = createclosure(3, "modechange");
  setclosureframe(closure474, stackframe);
  addtoclosure(closure474, var_keywords);
  addtoclosure(closure474, var_errormessages);
  addtoclosure(closure474, var_util);
  struct UserObject *uo474 = (struct UserObject*)obj26;
  uo474->data[30] = (Object)closure474;
  Method *meth_meth_lexer_modechange474 = addmethod2pos(obj26, "modechange", &meth_lexer_modechange474, 30);
  int argcv_meth_lexer_modechange474[] = {3};
  meth_meth_lexer_modechange474->type = alloc_MethodType(1, argcv_meth_lexer_modechange474);
  meth_meth_lexer_modechange474->definitionModule = modulename;
  meth_meth_lexer_modechange474->definitionLine = 204;
// method "fromBase"
  block_savedest(obj26);
  Object closure1169 = createclosure(2, "fromBase");
  setclosureframe(closure1169, stackframe);
  addtoclosure(closure1169, var_errormessages);
  addtoclosure(closure1169, var_unicode);
  struct UserObject *uo1169 = (struct UserObject*)obj26;
  uo1169->data[31] = (Object)closure1169;
  Method *meth_meth_lexer_fromBase1169 = addmethod2pos(obj26, "fromBase", &meth_lexer_fromBase1169, 31);
  int argcv_meth_lexer_fromBase1169[] = {2};
  meth_meth_lexer_fromBase1169->type = alloc_MethodType(1, argcv_meth_lexer_fromBase1169);
  meth_meth_lexer_fromBase1169->definitionModule = modulename;
  meth_meth_lexer_fromBase1169->definitionLine = 390;
// method "hexdecchar"
  block_savedest(obj26);
  Object closure1409 = createclosure(1, "hexdecchar");
  setclosureframe(closure1409, stackframe);
  addtoclosure(closure1409, var_errormessages);
  struct UserObject *uo1409 = (struct UserObject*)obj26;
  uo1409->data[32] = (Object)closure1409;
  Method *meth_meth_lexer_hexdecchar1409 = addmethod2pos(obj26, "hexdecchar", &meth_lexer_hexdecchar1409, 32);
  int argcv_meth_lexer_hexdecchar1409[] = {1};
  meth_meth_lexer_hexdecchar1409->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar1409);
  meth_meth_lexer_hexdecchar1409->definitionModule = modulename;
  meth_meth_lexer_hexdecchar1409->definitionLine = 432;
// method "makeNumToken"
  block_savedest(obj26);
  Object closure1493 = createclosure(1, "makeNumToken");
  setclosureframe(closure1493, stackframe);
  addtoclosure(closure1493, var_errormessages);
  struct UserObject *uo1493 = (struct UserObject*)obj26;
  uo1493->data[33] = (Object)closure1493;
  Method *meth_meth_lexer_makeNumToken1493 = addmethod2pos(obj26, "makeNumToken", &meth_lexer_makeNumToken1493, 33);
  int argcv_meth_lexer_makeNumToken1493[] = {1};
  meth_meth_lexer_makeNumToken1493->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken1493);
  meth_meth_lexer_makeNumToken1493->definitionModule = modulename;
  meth_meth_lexer_makeNumToken1493->definitionLine = 450;
// method "isidentifierchar"
  block_savedest(obj26);
  Object closure1702 = createclosure(1, "isidentifierchar");
  setclosureframe(closure1702, stackframe);
  addtoclosure(closure1702, var_unicode);
  struct UserObject *uo1702 = (struct UserObject*)obj26;
  uo1702->data[34] = (Object)closure1702;
  Method *meth_meth_lexer_isidentifierchar1702 = addmethod2pos(obj26, "isidentifierchar", &meth_lexer_isidentifierchar1702, 34);
  int argcv_meth_lexer_isidentifierchar1702[] = {1};
  meth_meth_lexer_isidentifierchar1702->type = alloc_MethodType(1, argcv_meth_lexer_isidentifierchar1702);
  meth_meth_lexer_isidentifierchar1702->definitionModule = modulename;
  meth_meth_lexer_isidentifierchar1702->definitionLine = 495;
// method "isoperatorchar"
  block_savedest(obj26);
  Object closure1725 = createclosure(2, "isoperatorchar");
  setclosureframe(closure1725, stackframe);
  addtoclosure(closure1725, var_operatorChars);
  addtoclosure(closure1725, var_unicode);
  struct UserObject *uo1725 = (struct UserObject*)obj26;
  uo1725->data[35] = (Object)closure1725;
  Method *meth_meth_lexer_isoperatorchar1725 = addmethod2pos(obj26, "isoperatorchar", &meth_lexer_isoperatorchar1725, 35);
  int argcv_meth_lexer_isoperatorchar1725[] = {2};
  meth_meth_lexer_isoperatorchar1725->type = alloc_MethodType(1, argcv_meth_lexer_isoperatorchar1725);
  meth_meth_lexer_isoperatorchar1725->definitionModule = modulename;
  meth_meth_lexer_isoperatorchar1725->definitionLine = 511;
// method "lexfile"
  block_savedest(obj26);
  Object closure1740 = createclosure(1, "lexfile");
  setclosureframe(closure1740, stackframe);
  addtoclosure(closure1740, var_util);
  struct UserObject *uo1740 = (struct UserObject*)obj26;
  uo1740->data[36] = (Object)closure1740;
  Method *meth_meth_lexer_lexfile1740 = addmethod2pos(obj26, "lexfile", &meth_lexer_lexfile1740, 36);
  int argcv_meth_lexer_lexfile1740[] = {1};
  meth_meth_lexer_lexfile1740->type = alloc_MethodType(1, argcv_meth_lexer_lexfile1740);
  meth_meth_lexer_lexfile1740->definitionModule = modulename;
  meth_meth_lexer_lexfile1740->definitionLine = 520;
// method "lexinput"
  block_savedest(obj26);
  Object closure1856 = createclosure(3, "lexinput");
  setclosureframe(closure1856, stackframe);
  addtoclosure(closure1856, var_util);
  addtoclosure(closure1856, var_unicode);
  addtoclosure(closure1856, var_errormessages);
  struct UserObject *uo1856 = (struct UserObject*)obj26;
  uo1856->data[37] = (Object)closure1856;
  Method *meth_meth_lexer_lexinput1856 = addmethod2pos(obj26, "lexinput", &meth_lexer_lexinput1856, 37);
  int argcv_meth_lexer_lexinput1856[] = {1};
  meth_meth_lexer_lexinput1856->type = alloc_MethodType(1, argcv_meth_lexer_lexinput1856);
  meth_meth_lexer_lexinput1856->definitionModule = modulename;
  meth_meth_lexer_lexinput1856->definitionLine = 574;
  sourceObject = obj26;
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3688 = alloc_Float64(1);
// compiled num node returning num3688 (depth = 2)
  adddatum2(obj26, num3688, 1);
  sourceObject = obj26;
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3689 = alloc_Float64(0);
// compiled num node returning num3689 (depth = 2)
  adddatum2(obj26, num3689, 2);
  sourceObject = obj26;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3690 = alloc_Float64(1);
// compiled num node returning num3690 (depth = 2)
  adddatum2(obj26, num3690, 3);
  sourceObject = obj26;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3691 = alloc_Float64(0);
// compiled num node returning num3691 (depth = 2)
  adddatum2(obj26, num3691, 4);
  sourceObject = obj26;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3692 = alloc_Float64(1);
// compiled num node returning num3692 (depth = 2)
  adddatum2(obj26, num3692, 5);
  sourceObject = obj26;
  adddatum2(obj26, undefined, 6);
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  sourceObject = obj26;
  objclass26 = obj26->class;
  objclass26->definitionModule = modulename;
  objclass26->definitionLine = 38;
  (*(struct UserObject *)self).data[0] = lowerouter26;
  self = oldself26;
  selfslot = oldselfslot26;
  stackframe = oldstackframe26;
  gc_frame_end(frame);
  return obj26;
}
Object meth_lexer_keywords3696(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keywords");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_keywords = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywords (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for keywords");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_keywords (depth = 3)
  gc_frame_end(frame);
  return *var_keywords;
}
Object meth_lexer_operatorChars3766(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "operatorChars");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_operatorChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for operatorChars (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    graceRaise(RequestError(), "wrong number of arguments for operatorChars");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_operatorChars (depth = 3)
  gc_frame_end(frame);
  return *var_operatorChars;
}
Object module_lexer_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(7, 7);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<lexer>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[2];
  int partcv[1];
  Object *var_util = alloc_var();
  Object *var_unicode = alloc_var();
  Object *var_errormessages = alloc_var();
  Object *var_map = alloc_var();
  Object *var_keywords = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "keywords");
  Object *var_operatorChars = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "operatorChars");
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "padl"
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = emptyclosure;
  Method *meth_meth_lexer_padl1 = addmethod2pos(self, "padl", &meth_lexer_padl1, 1);
  int argcv_meth_lexer_padl1[] = {3};
  meth_meth_lexer_padl1->type = alloc_MethodType(1, argcv_meth_lexer_padl1);
  meth_meth_lexer_padl1->definitionModule = modulename;
  meth_meth_lexer_padl1->definitionLine = 27;
// compiled method node returning  (depth = 1)
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "new"
  block_savedest(self);
  Object closure25 = createclosure(5, "new");
  setclosureframe(closure25, stackframe);
  addtoclosure(closure25, var_keywords);
  addtoclosure(closure25, var_errormessages);
  addtoclosure(closure25, var_util);
  addtoclosure(closure25, var_unicode);
  addtoclosure(closure25, var_operatorChars);
  struct UserObject *uo25 = (struct UserObject*)self;
  uo25->data[2] = (Object)closure25;
  Method *meth_meth_lexer_new25 = addmethod2pos(self, "new", &meth_lexer_new25, 2);
  int argcv_meth_lexer_new25[] = {0};
  meth_meth_lexer_new25->type = alloc_MethodType(1, argcv_meth_lexer_new25);
  meth_meth_lexer_new25->definitionModule = modulename;
  meth_meth_lexer_new25->definitionLine = 38;
  block_savedest(self);
  Object closure3693 = createclosure(5, "new()object");
  setclosureframe(closure3693, stackframe);
  addtoclosure(closure3693, var_keywords);
  addtoclosure(closure3693, var_errormessages);
  addtoclosure(closure3693, var_util);
  addtoclosure(closure3693, var_unicode);
  addtoclosure(closure3693, var_operatorChars);
  Method *meth_meth_lexer_new25_object = addmethod2pos(self, "new()object", &meth_lexer_new25_object, 2);
  meth_meth_lexer_new25_object->definitionModule = modulename;
  meth_meth_lexer_new25_object->definitionLine = 38;
// compiled method node returning  (depth = 1)
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of unicode as unicode
  if (module_unicode == NULL)
    module_unicode = dlmodule("unicode");
  *var_unicode = module_unicode;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = LOAD_MODULE(errormessages);
  *var_errormessages = module_errormessages;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of stringMap as map
  if (module_stringMap == NULL)
    module_stringMap = LOAD_MODULE(stringMap);
  *var_map = module_stringMap;
// compiled import node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3694 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_map (depth = 4)
  partcv[0] = 0;
  Object call3695 = callmethod(*var_map, "new",
    1, partcv, params);
  gc_frame_end(callframe3694);
// compiled call node returning call3695 (depth = 3)
// compiled member node returning call3695 (depth = 2)
  *var_keywords = call3695;
  if (call3695 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// starting to compile method node (depth = 2)
// method "keywords"
  block_savedest(self);
  Object closure3696 = createclosure(1, "keywords");
  setclosureframe(closure3696, stackframe);
  addtoclosure(closure3696, var_keywords);
  struct UserObject *uo3696 = (struct UserObject*)self;
  uo3696->data[3] = (Object)closure3696;
  Method *meth_meth_lexer_keywords3696 = addmethod2pos(self, "keywords", &meth_lexer_keywords3696, 3);
  int argcv_meth_lexer_keywords3696[] = {0};
  meth_meth_lexer_keywords3696->type = alloc_MethodType(1, argcv_meth_lexer_keywords3696);
  meth_meth_lexer_keywords3696->definitionModule = modulename;
  meth_meth_lexer_keywords3696->definitionLine = 6;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3697 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3698 == NULL) {
    strlit3698 = alloc_String("alias");
    gc_root(strlit3698);
  }
// compiled string node returning strlit3698 (depth = 2)
  gc_frame_newslot(strlit3698);
// starting to compile identifier node (depth = 2)
  Object bool3699 = alloc_Boolean(1);
// compiled identifier node returning bool3699 (depth = 2)
  gc_frame_newslot(bool3699);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3698;
  params[1] = bool3699;
  partcv[0] = 2;
  Object call3700 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3697);
// compiled call node returning call3700 (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3701 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3702 == NULL) {
    strlit3702 = alloc_String("class");
    gc_root(strlit3702);
  }
// compiled string node returning strlit3702 (depth = 2)
  gc_frame_newslot(strlit3702);
// starting to compile identifier node (depth = 2)
  Object bool3703 = alloc_Boolean(1);
// compiled identifier node returning bool3703 (depth = 2)
  gc_frame_newslot(bool3703);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3702;
  params[1] = bool3703;
  partcv[0] = 2;
  Object call3704 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3701);
// compiled call node returning call3704 (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3705 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3706 == NULL) {
    strlit3706 = alloc_String("def");
    gc_root(strlit3706);
  }
// compiled string node returning strlit3706 (depth = 2)
  gc_frame_newslot(strlit3706);
// starting to compile identifier node (depth = 2)
  Object bool3707 = alloc_Boolean(1);
// compiled identifier node returning bool3707 (depth = 2)
  gc_frame_newslot(bool3707);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3706;
  params[1] = bool3707;
  partcv[0] = 2;
  Object call3708 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3705);
// compiled call node returning call3708 (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3709 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3710 == NULL) {
    strlit3710 = alloc_String("dialect");
    gc_root(strlit3710);
  }
// compiled string node returning strlit3710 (depth = 2)
  gc_frame_newslot(strlit3710);
// starting to compile identifier node (depth = 2)
  Object bool3711 = alloc_Boolean(1);
// compiled identifier node returning bool3711 (depth = 2)
  gc_frame_newslot(bool3711);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3710;
  params[1] = bool3711;
  partcv[0] = 2;
  Object call3712 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3709);
// compiled call node returning call3712 (depth = 1)
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3713 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3714 == NULL) {
    strlit3714 = alloc_String("exclude");
    gc_root(strlit3714);
  }
// compiled string node returning strlit3714 (depth = 2)
  gc_frame_newslot(strlit3714);
// starting to compile identifier node (depth = 2)
  Object bool3715 = alloc_Boolean(1);
// compiled identifier node returning bool3715 (depth = 2)
  gc_frame_newslot(bool3715);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3714;
  params[1] = bool3715;
  partcv[0] = 2;
  Object call3716 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3713);
// compiled call node returning call3716 (depth = 1)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3717 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3718 == NULL) {
    strlit3718 = alloc_String("factory");
    gc_root(strlit3718);
  }
// compiled string node returning strlit3718 (depth = 2)
  gc_frame_newslot(strlit3718);
// starting to compile identifier node (depth = 2)
  Object bool3719 = alloc_Boolean(1);
// compiled identifier node returning bool3719 (depth = 2)
  gc_frame_newslot(bool3719);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3718;
  params[1] = bool3719;
  partcv[0] = 2;
  Object call3720 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3717);
// compiled call node returning call3720 (depth = 1)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3721 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3722 == NULL) {
    strlit3722 = alloc_String("import");
    gc_root(strlit3722);
  }
// compiled string node returning strlit3722 (depth = 2)
  gc_frame_newslot(strlit3722);
// starting to compile identifier node (depth = 2)
  Object bool3723 = alloc_Boolean(1);
// compiled identifier node returning bool3723 (depth = 2)
  gc_frame_newslot(bool3723);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3722;
  params[1] = bool3723;
  partcv[0] = 2;
  Object call3724 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3721);
// compiled call node returning call3724 (depth = 1)
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3725 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3726 == NULL) {
    strlit3726 = alloc_String("inherits");
    gc_root(strlit3726);
  }
// compiled string node returning strlit3726 (depth = 2)
  gc_frame_newslot(strlit3726);
// starting to compile identifier node (depth = 2)
  Object bool3727 = alloc_Boolean(1);
// compiled identifier node returning bool3727 (depth = 2)
  gc_frame_newslot(bool3727);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3726;
  params[1] = bool3727;
  partcv[0] = 2;
  Object call3728 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3725);
// compiled call node returning call3728 (depth = 1)
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3729 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3730 == NULL) {
    strlit3730 = alloc_String("inherit");
    gc_root(strlit3730);
  }
// compiled string node returning strlit3730 (depth = 2)
  gc_frame_newslot(strlit3730);
// starting to compile identifier node (depth = 2)
  Object bool3731 = alloc_Boolean(1);
// compiled identifier node returning bool3731 (depth = 2)
  gc_frame_newslot(bool3731);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3730;
  params[1] = bool3731;
  partcv[0] = 2;
  Object call3732 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3729);
// compiled call node returning call3732 (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3733 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3734 == NULL) {
    strlit3734 = alloc_String("is");
    gc_root(strlit3734);
  }
// compiled string node returning strlit3734 (depth = 2)
  gc_frame_newslot(strlit3734);
// starting to compile identifier node (depth = 2)
  Object bool3735 = alloc_Boolean(1);
// compiled identifier node returning bool3735 (depth = 2)
  gc_frame_newslot(bool3735);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3734;
  params[1] = bool3735;
  partcv[0] = 2;
  Object call3736 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3733);
// compiled call node returning call3736 (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3737 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3738 == NULL) {
    strlit3738 = alloc_String("method");
    gc_root(strlit3738);
  }
// compiled string node returning strlit3738 (depth = 2)
  gc_frame_newslot(strlit3738);
// starting to compile identifier node (depth = 2)
  Object bool3739 = alloc_Boolean(1);
// compiled identifier node returning bool3739 (depth = 2)
  gc_frame_newslot(bool3739);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3738;
  params[1] = bool3739;
  partcv[0] = 2;
  Object call3740 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3737);
// compiled call node returning call3740 (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3741 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3742 == NULL) {
    strlit3742 = alloc_String("object");
    gc_root(strlit3742);
  }
// compiled string node returning strlit3742 (depth = 2)
  gc_frame_newslot(strlit3742);
// starting to compile identifier node (depth = 2)
  Object bool3743 = alloc_Boolean(1);
// compiled identifier node returning bool3743 (depth = 2)
  gc_frame_newslot(bool3743);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3742;
  params[1] = bool3743;
  partcv[0] = 2;
  Object call3744 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3741);
// compiled call node returning call3744 (depth = 1)
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3745 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3746 == NULL) {
    strlit3746 = alloc_String("return");
    gc_root(strlit3746);
  }
// compiled string node returning strlit3746 (depth = 2)
  gc_frame_newslot(strlit3746);
// starting to compile identifier node (depth = 2)
  Object bool3747 = alloc_Boolean(1);
// compiled identifier node returning bool3747 (depth = 2)
  gc_frame_newslot(bool3747);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3746;
  params[1] = bool3747;
  partcv[0] = 2;
  Object call3748 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3745);
// compiled call node returning call3748 (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3749 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3750 == NULL) {
    strlit3750 = alloc_String("trait");
    gc_root(strlit3750);
  }
// compiled string node returning strlit3750 (depth = 2)
  gc_frame_newslot(strlit3750);
// starting to compile identifier node (depth = 2)
  Object bool3751 = alloc_Boolean(1);
// compiled identifier node returning bool3751 (depth = 2)
  gc_frame_newslot(bool3751);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3750;
  params[1] = bool3751;
  partcv[0] = 2;
  Object call3752 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3749);
// compiled call node returning call3752 (depth = 1)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3753 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3754 == NULL) {
    strlit3754 = alloc_String("type");
    gc_root(strlit3754);
  }
// compiled string node returning strlit3754 (depth = 2)
  gc_frame_newslot(strlit3754);
// starting to compile identifier node (depth = 2)
  Object bool3755 = alloc_Boolean(1);
// compiled identifier node returning bool3755 (depth = 2)
  gc_frame_newslot(bool3755);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3754;
  params[1] = bool3755;
  partcv[0] = 2;
  Object call3756 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3753);
// compiled call node returning call3756 (depth = 1)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3757 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3758 == NULL) {
    strlit3758 = alloc_String("use");
    gc_root(strlit3758);
  }
// compiled string node returning strlit3758 (depth = 2)
  gc_frame_newslot(strlit3758);
// starting to compile identifier node (depth = 2)
  Object bool3759 = alloc_Boolean(1);
// compiled identifier node returning bool3759 (depth = 2)
  gc_frame_newslot(bool3759);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3758;
  params[1] = bool3759;
  partcv[0] = 2;
  Object call3760 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3757);
// compiled call node returning call3760 (depth = 1)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3761 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3762 == NULL) {
    strlit3762 = alloc_String("var");
    gc_root(strlit3762);
  }
// compiled string node returning strlit3762 (depth = 2)
  gc_frame_newslot(strlit3762);
// starting to compile identifier node (depth = 2)
  Object bool3763 = alloc_Boolean(1);
// compiled identifier node returning bool3763 (depth = 2)
  gc_frame_newslot(bool3763);
// call case 6: other member request
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3762;
  params[1] = bool3763;
  partcv[0] = 2;
  Object call3764 = callmethod(*var_keywords, "put",
    1, partcv, params);
  gc_frame_end(callframe3761);
// compiled call node returning call3764 (depth = 1)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3765 == NULL) {
    strlit3765 = alloc_String("-&|:$#\\%^@?*/+!~");
    gc_root(strlit3765);
  }
// compiled string node returning strlit3765 (depth = 2)
  *var_operatorChars = strlit3765;
  if (strlit3765 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "operatorChars"
  block_savedest(self);
  Object closure3766 = createclosure(1, "operatorChars");
  setclosureframe(closure3766, stackframe);
  addtoclosure(closure3766, var_operatorChars);
  struct UserObject *uo3766 = (struct UserObject*)self;
  uo3766->data[4] = (Object)closure3766;
  Method *meth_meth_lexer_operatorChars3766 = addmethod2pos(self, "operatorChars", &meth_lexer_operatorChars3766, 4);
  int argcv_meth_lexer_operatorChars3766[] = {0};
  meth_meth_lexer_operatorChars3766->type = alloc_MethodType(1, argcv_meth_lexer_operatorChars3766);
  meth_meth_lexer_operatorChars3766->definitionModule = modulename;
  meth_meth_lexer_operatorChars3766->definitionLine = 6;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
